<?php
require_once '../util/main.php';
require_once '../util/validation.php';
require_once '../model/v_k_c_db.php';
require_once '../model/cart.php';
require_once '../model/vrste_dokumenata_db.php';
require_once '../model/porezi_db.php';
require_once '../model/razne_db.php';
require_once '../model/product_db.php';
require_once '../model/dokumenti_db.php';
require_once '../model/poslovnice_db.php';
if(isset($_REQUEST['odustaniSve'])) {
    unset($_SESSION['rate']);
    if(isset($_SESSION['stare_rate'])) {
        $_SESSION['rate']=$_SESSION['stare_rate'];
        unset($_SESSION['stare_rate']);
    }
    ?>
    <script type="text/javascript">
    if (typeof parent.zatvoriDialogRate == 'function') 
        parent.zatvoriDialogRate();
    </script>    
    <?php
}

$slog['proda']=$_REQUEST['proda'];  
$slog['vrsDo']=$_REQUEST['vrsDo'];
$slog['proIn']=$_REQUEST['proIn'];  
$slog['zapis']=$_REQUEST['zapis'];
$slog['broDo']=$_REQUEST['broDo'];
$slog['verzi']=$_REQUEST['verzi'];

if(isset($_REQUEST['prihvatiSve'])) {
    if($_SESSION['rate_izmjena_dok']){
        include '../model/rate_kartice_db.php';
        delete_rate_kartice($slog['proda'], $slog['vrsDo'], $slog['proIn'], $slog['zapis'], $slog['broDo'], $slog['verzi']);
        rate_u_bazu($slog['broDo']);
    }    
    if(isset($_SESSION['stare_rate'])) {
        unset($_SESSION['stare_rate']);
    }
    ?>
    <script type="text/javascript">
    if (typeof parent.zatvoriDialogRate == 'function') 
        parent.zatvoriDialogRate();
    </script>    
    <?php
}

if(isset($_REQUEST['brojStavke']) && isset($_REQUEST['prihvati']))
    $slog['brojStavke']=$_REQUEST['brojStavke'];
else
    $slog['brojStavke']=0;
if(isset($_REQUEST['valuta']) && isset($_REQUEST['prihvati']))
    $slog['valuta']=$_REQUEST['valuta'];
else
    $slog['valuta']='';
if(isset($_REQUEST['iznosRateKartice']) && isset($_REQUEST['prihvati']))
    $slog['iznosRateKartice']=str_replace(',', '.',$_REQUEST['iznosRateKartice']);
else
    $slog['iznosRateKartice']=0;
if(isset($_REQUEST['vrstaRateKartice']) && isset($_REQUEST['prihvati']))
    $slog['vrstaRateKartice']=$_REQUEST['vrstaRateKartice'];
else
    $slog['vrstaRateKartice']='';

$greska='';
$greskaIznos='';
$greskaValuta='';

$samoPrikaz=false;

if(isset($_REQUEST['prihvati'])) {
    /*
    // kontrole unosa i stavljanje sloga u rate
    if ($slog['iznosRateKartice']<=0) {
        $greska.='Iznos mora biti veći od 0!';
        $greskaIznos='*';
    } 
     */   
    $greskaDatum = is_valid_datum($slog['valuta']);
    if (isset($greskaDatum)) {
        $buduciDatum = stripos($greskaDatum, ' Budući datum ! ');
        if ($buduciDatum === 0) 
            $greskaDatum = ''; 
         else  {
             $greska .= ' Greška datum dospijeća ! ' . $greskaDatum; 
             $greskaValuta = '*';
        }
    }
    if($greskaValuta!='*' && isset($_SESSION['rate'])) {
        if($slog['brojStavke']==0) {
            $brojRata=count($_SESSION['rate']);
            if($brojRata>0) {
                $zadnjiDatum= new DateTime($_SESSION['rate'][$brojRata-1]['valuta']);
                $dd=new DateTime($slog['valuta']);
                if($dd<$zadnjiDatum) {
                    $greska .= ' Datum dospijeća ne smije biti manji od:'.$_SESSION['rate'][$brojRata-1]['valuta'].' ! '; 
                    $greskaValuta = '*';                    
                }
            }
        }
        else {
            $dd=new DateTime($slog['valuta']);
            if($slog['brojStavke']>1) {
                $pomDatum= new DateTime($_SESSION['rate'][$slog['brojStavke']-2]['valuta']);
                if($dd<$pomDatum) {
                    $greska .= ' Datum dospijeća ne smije biti manji od:'.$_SESSION['rate'][$slog['brojStavke']-2]['valuta'].' ! '; 
                    $greskaValuta = '*';                    
                }
            }
            if($slog['brojStavke']<count($_SESSION['rate'])) {
                $pomDatum= new DateTime($_SESSION['rate'][$slog['brojStavke']]['valuta']);
                if($dd>$pomDatum) {
                    $greska .= ' Datum dospijeća ne smije biti veći od:'.$_SESSION['rate'][$slog['brojStavke']]['valuta'].' ! '; 
                    $greskaValuta = '*';                    
                }
            }
        }
    }
    if(trim($greska)=='') {
        if($slog['brojStavke']==0) {
            cart_add_rata($slog);
            $greska='Stavka je dodana.';
        }
        else {
            cart_update_rata($slog);
            $greska='Stavka je izmjenjena.';
        }
    }
}
	
if(isset($_REQUEST['opSaDok']) && isset($_REQUEST['indeks'])) {
    if($_REQUEST['opSaDok']=='Brisanje') {
        cart_delete_rata($_REQUEST['indeks']-1);
        $greska='Stavka je obrisana';
    }
    else if($_REQUEST['opSaDok']=='Izmjena') {
        $slog=$_SESSION['rate'][$_REQUEST['indeks']-1];
        $greska='Možete mijenjati stavku';
    }
    else if($_REQUEST['opSaDok']=='Prikaz') 
        $samoPrikaz=true;
    else if($_REQUEST['opSaDok']=='Unos' && trim($slog['vrsDo'])=='8' && count($_SESSION['rate'])==0) {
        if($_SESSION['dok_zag']['novac']>0) {
            $slog['valuta']=$_SESSION['dok_zag']['DVO'];
            $slog['vrstaRateKartice']='novčanice';
            $slog['iznosRateKartice']=$_SESSION['dok_zag']['novac'];
            cart_add_rata($slog);
            $slog['valuta']='';
            $slog['vrstaRateKartice']='';
            $slog['iznosRateKartice']=0;
        }
        if($_SESSION['dok_zag']['novac']>0) {
            $slog['valuta']=$_SESSION['dok_zag']['DVO'];
            $slog['vrstaRateKartice']=$_SESSION['dok_zag']['vrstaKartice'];
            $slog['iznosRateKartice']=$_SESSION['dok_zag']['iznosKartice'];
            cart_add_rata($slog);
            $slog['valuta']='';
            $slog['vrstaRateKartice']='';
            $slog['iznosRateKartice']=0;
        }
    } 
}
else if(isset($_GET['proda'])) { // prvi ulaz
    $_SESSION['rate_izmjena_dok']=false;
    if(isset($_GET['opSaDok']) && trim($slog['vrsDo'])!='8')    
        if($_GET['opSaDok']=='Izmjena')    
            $_SESSION['rate_izmjena_dok']=true;
    if(isset($_SESSION['stare_rate']))
        unset($_SESSION['stare_rate']);
    if(isset($_SESSION['rate']))
        $_SESSION['stare_rate']=$_SESSION['rate'];

    if (!isset($_REQUEST['opSaDok']))
        $samoPrikaz = true;
    else if ($_REQUEST['opSaDok'] == 'Prikaz' || trim($slog['vrsDo']) == '8' && $_REQUEST['opSaDok'] != 'Unos')
        $samoPrikaz = true;
}

$vkc=get_v_k_c();
$slogVrsdo=get_vrsta_dokumenta($slog['vrsDo']);
// $iznosi = cart_subtotal();
// $iznos=$iznosi['zaNaplatu'];
 $zbroj = zbroj_po_dok($slog['proda'], $slog['vrsDo'], $slog['proIn'], $slog['zapis'], $slog['broDo'], $slog['verzi']);
 $iznos=$zbroj['zaNaplatu'];
 
$ukupnoRate=rate_zbroj();
$preostalo=$iznos-$ukupnoRate;

if((trim($slog['vrsDo'])=='8' || $slog['vrsDo']=='PB' || $_SESSION['dok_zag']['fiskalizacijaDaNe']=='Da') && trim($slog['valuta'])=='') {
    $dd=new DateTime();
    $slog['valuta']=$dd->format("d.m.Y");
}

?>
<body style="background-color: white"  > 
<link rel="stylesheet" type="text/css"  href="<?php echo $app_path ?>/styles/robno.css" />
<form action="view_rate_kartice.php" method="post" id="view_rate_kartice" name="view_rate_kartice">
    <input type="hidden" name="action" value="uzmi_rate" />
    <h2>Plaćanje na rate ili s više od jedne kartice za dokument: </h2>
    <div id="panel" style="background-color: #EAFFEF; border: solid 1px grey; padding: 0.4em">
        <b>Poslovnica: <?php echo $slog['proda'] ?> </b> &nbsp;&nbsp;
        <b> <?php echo $slogVrsdo['nazivDokumenta']?></b> &nbsp;&nbsp;
        <b>br. <?php echo $slog['broDo']?></b> &nbsp;&nbsp;
        <b>Verzija: <?php echo $slog['verzi']?></b> &nbsp;&nbsp;
        <b>Zapisnik: <?php echo $slog['zapis']?></b> &nbsp;&nbsp;
        <br>
        Iznos: <b><?php echo str_replace('.', ',', sprintf('%.2f', $iznos)). ' kn'; ?> </b>  &nbsp;&nbsp;
        <?php if(trim($slog['vrsDo']) == '8'  || $slog['vrsDo'] == 'PB'  || $_SESSION['dok_zag']['fiskalizacijaDaNe'] == 'Da') : ?>
        Novac: <span id="novac">0</span> &nbsp;&nbsp;
        Transakcijski račun: <span id="iznosTransRacun">0</span> &nbsp;&nbsp;
        <?php endif ?>
        Preostali dio: <span style="color: red" id="preostalo"><b><?php echo str_replace('.', ',', sprintf('%.2f', $preostalo)). ' kn'; ?> </b></span>
    </div> 
    <br>
<fieldset>
    <legend>Unos/izmjena jedne kartice ili rate:</legend>
    <?php if(!$samoPrikaz) : ?>
        <table class="t_lista_primka">
            <thead>
                <tr>
                    <th class='left' style="padding-left: 1em; padding-right: 1em">Rbr </th>
                    <th class='left'>Vrsta plaćanja </th>
                    <th class='left' style="padding-right: 1em" >Iznos <br />rate-kartice </th>
                    <th class='left'>Dospijeće <br />(valuta) </th>
                </tr>
            </thead>
            <tr>
            <td class="td_t_lista"> 
                <input type="text" class="text_width_3em" name="brojStavke" value="<?php echo $slog['brojStavke']; ?>"  readonly /> 
            </td>
            <td class="td_t_lista"> 
                <select name="vrstaRateKartice">
                    <?php if(!(trim($slog['vrsDo']) == '8'  || $slog['vrsDo'] == 'PB'  || $_SESSION['dok_zag']['fiskalizacijaDaNe'] == 'Da')) :?>
                        <option value="rata" <?php if($slog['vrstaRateKartice'] == 'rata') echo 'selected="selected"'; ?> >rata</option>
                        <option value="novčanice" <?php if($slog['vrstaRateKartice'] == 'novčanice') echo 'selected="selected"'; ?> >novčanice</option>
                    <?php endif; ?>    
                    <?php foreach ($vkc as $s) : ?>
                        <option value="<?php echo $s['vrsKart']?>" <?php if($slog['vrstaRateKartice'] == $s['vrsKart']) echo 'selected="selected"'; ?> > <?php echo $s['nazivKarticeCeka'] ?> </option>
                    <?php endforeach; ?>
                </select>
            </td>
            <td>
                <input type="text" class="text_width_5em" name="iznosRateKartice" id="iznosPot" pattern="<?php echo $pBroj2Decimale ?>" title="Unesite broj zaokružen na dvije decimale"
                       value="<?php echo $slog['iznosRateKartice']; ?>"  required="" />
                 <span class="greska"><?php echo $greskaIznos; ?> </span> 
            </td>    
            <td class="td_t_lista"> 
                <input type="text" name="valuta" value="<?php echo $slog['valuta']; ?>" 
                       pattern="<?php echo $patternDatum ?>" size="8" title="datum:dd.mm.gggg" required=""/> 
                <span class="greska"><?php echo $greskaValuta; ?> </span> 
            </td>
        </tr>
        </table>
        <br>
        <input type="submit" name="prihvati" id="prihvati" value="Prihvati karticu ili ratu " autofocus="autofocus" />
        <input type="submit" name="odustani" value="Čišćenje" formnovalidate />
        <input type="hidden" name="proda" value="<?php echo $slog['proda']; ?>" />
        <input type="hidden" name="vrsDo" value="<?php echo $slog['vrsDo']; ?>" />
        <input type="hidden" name="proIn" value="<?php echo $slog['proIn']; ?>" />
        <input type="hidden" name="zapis" value="<?php echo $slog['zapis']; ?>" />
        <input type="hidden" name="broDo" value="<?php echo $slog['broDo']; ?>" />
        <input type="hidden" name="verzi" value="<?php echo $slog['verzi']; ?>" />
    <?php endif ?>
</fieldset>
</form> 
<?php
 if (trim($greska)!='') : ?>
        <p></p> 
        <?php
        if(!isset($_REQUEST['tipka']))
            $_REQUEST['tipka']='Prihvat';
          //ako je greska onda u tekstu greske ima barem jedan !
          $imaUsklicnik = strpos($greska, '!');
          if ($imaUsklicnik === FALSE) {
              $greska_prihvat = 'greska_prihvat_nije_greska';
          } else {
              $greska_prihvat = 'greska_prihvat';
          }
        ?>
       <p id="<?php echo $greska_prihvat; ?>"> <?php echo $greska; ?> </p>
       <p></p>
<?php endif; ?> 
       
<?php
if(isset($_SESSION['rate'])) {
    $brojRata=count($_SESSION['rate']);
    if($brojRata>0) : ?>    
       <table class="t_lista_primka">
        <thead>
            <tr>
                <th class='left' style="padding-left: 1em; padding-right: 1em">Rbr </th>
                <th class='left' style="padding-right: 1em">Vrsta plaćanja </th>
                <th class='left' style="padding-right: 1em" >Iznos <br />rate-kartice </th>
                <th class='left'>Dospijeće <br />(valuta) </th>
                <th></th>
            </tr>
        </thead>
        <?php 
        $RB=0;
        foreach ($_SESSION['rate'] as $rata) : 
            $RB = $RB + 1 ;
            $ostatak = $RB % 2;
            if ($ostatak == 0) {
              $pozadina = 'pozadina1';
            } else {
              $pozadina = 'pozadina2';
            }
            $kartica=get_v_k_c_jedan($rata['vrstaRateKartice']);
            ?>
            <tr class="<?php echo $pozadina;?>" >
                <td class="right" style='padding-right: 0.5em; padding-left: 1em'>
                    <?php echo $rata['brojStavke']; ?>
                </td>
                <td class="left" style='padding-right: 0.5em; padding-left: 1em'>
                    <?php 
                    if(is_array($kartica))
                        echo $kartica['nazivKarticeCeka'];
                    else
                        echo $rata['vrstaRateKartice']; 
                    ?>
                </td>
                <td class="right" style='padding-right: 0.5em; padding-left: 1em'>
                    <?php echo number_format(str_replace(',', '.', $rata['iznosRateKartice']),2,',','.'); ?>
                </td>
                <td class="left" style='padding-right: 0.5em; padding-left: 1em'>
                    <?php echo $rata['valuta']; ?>
                </td>
                <td style="vertical-align: central">
                <?php if(!$samoPrikaz) : ?>
                    &nbsp; <a href="<?php echo $app_path . 'cart/view_rate_kartice.php?proda='.$slog['proda']
                        .'&vrsDo='.trim($slog['vrsDo']).'&proIn='.$slog['proIn'].'&broDo='.$slog['broDo']
                        .'&zapis='.$slog['zapis'].'&verzi='.$slog['verzi'].'&opSaDok=Brisanje&indeks='.$rata['brojStavke'] ?>">
                    <img src="<?php echo $app_path .'images/brisanje.png' ?>" alt="Brisanje" title="Brisanje stavke" onclick="return brisanjeClicked(); " /> </a> 
                    &nbsp; <a href="<?php echo $app_path . 'cart/view_rate_kartice.php?proda='.$slog['proda']
                        .'&vrsDo='.trim($slog['vrsDo']).'&proIn='.$slog['proIn'].'&broDo='.$slog['broDo']
                        .'&zapis='.$slog['zapis'].'&verzi='.$slog['verzi'].'&opSaDok=Izmjena&indeks='.$rata['brojStavke'] ?>">
                    <img src="<?php echo $app_path .'images/izmjena.png' ?>" alt="Izmjena" title="Izmjena stavke" /> </a> &nbsp;
                <?php endif; ?>    
                </td>
            </tr>

       <?php endforeach; ?>  
       <tfoot>
           <tr>
               <td colspan="2"></td>    
                <td class="right" style='padding-right: 0.5em; padding-left: 1em'>
                    <?php echo number_format(str_replace(',', '.', $ukupnoRate),2,',','.'); ?>
                </td>
               <td colspan="2"></td>    
           </tr>
       </tfoot>
       </table> 
    <?php endif;
}
?>

    <?php if(!$samoPrikaz) : ?>
       <form name="fPotvrda" id="fPotvrda" onsubmit="return kontrolaSubmit()">
       <br />
       <p id="prihvat" style="position: relative; bottom: 2px">
            <input type="hidden" name="proda" value="<?php echo $slog['proda']; ?>" />
            <input type="hidden" name="vrsDo" value="<?php echo $slog['vrsDo']; ?>" />
            <input type="hidden" name="proIn" value="<?php echo $slog['proIn']; ?>" />
            <input type="hidden" name="zapis" value="<?php echo $slog['zapis']; ?>" />
            <input type="hidden" name="broDo" value="<?php echo $slog['broDo']; ?>" />
            <input type="hidden" name="verzi" value="<?php echo $slog['verzi']; ?>" />
           <!--<input type="button" name='prihvatiSve' value="Potvrdi unos svih kartica ili rata" onclick="kontrolaUnosaKartica(parent)"/>-->
           <input type="submit" name='prihvatiSve' value="Potvrdi unos svih kartica ili rata" onclick="onclick=fPotvrda.akcija='prihati'"/>
           <input type="submit" name='odustaniSve' value="Odustani" onclick="fPotvrda.akcija='bezKonrole'"/>
       </p>
       </form>
    <?php endif; ?>
</body>

<script type="text/javascript">
    vrsDo="<?php echo trim($slog['vrsDo'])?>";
    fiskalizacijaDaNe="<?php echo $_SESSION['dok_zag']['fiskalizacijaDaNe'] ?>";
    fiskalizacija=fiskalizacijaDaNe=="Da" || vrsDo=="8" || vrsDo=="PB";
    preostalo=<?php echo round($preostalo,2) ?>;      
    zaPlatiti=<?php echo round($iznos,2) ?>;
    iznosTransRacun=0;
    novac=0;
    function brisanjeClicked() {
        return confirm("Želite li obrisati stavku?");
    }
    function kontrolaSubmit() {
        if(fPotvrda.akcija=='bezKonrole')
            return true;
        // alert(fPotvrda.akcija);
        if(fiskalizacija) {
            ukupnoRate=<?php echo $ukupnoRate ?>;
            parent.document.getElementById("iznosKartice").value=ukupnoRate;
            return true;
        }    
        if(preostalo!=0) {
            alert("Iznos za platiti je:" + zaPlatiti.toFixed(2) + " kn, neraspoređeni dio je:" + preostalo + " kn. Potrebno ga je rasporediti.");
            return false;
        }
        return true;
    }
    /*
    function kontrolaUnosaKartica(parent) {       
        //preostalo=preostalo.toFixed(2);
        if(fiskalizacija) {
            ukupnoRate=<?php echo $ukupnoRate ?>;
            parent.document.getElementById("iznosKartice").value=ukupnoRate;
            zatvoriUnosKartica(parent);
            return;
        }    
        if(preostalo==0)
            zatvoriUnosKartica(parent);
        else
            alert("Iznos za platiti je:" + zaPlatiti.toFixed(2) + " kn, neraspoređeni dio je:" + preostalo.toFixed(2) + " kn. Potrebno ga je rasporediti.");
    }
    */
    function zatvoriUnosKartica(parent) {
    if (typeof parent.zatvoriDialogRate == 'function') 
        parent.zatvoriDialogRate();
        
    }
    
    function initUnosRata() {
        if(fiskalizacija) {
            iznosTransRacun=parseFloat(parent.document.getElementById("iznosTransRacun").value.replace(",","."));
            novac=parseFloat(parent.document.getElementById("novac").value.replace(",","."));
            ukupnoRate=<?php echo $ukupnoRate ?>;
            preostalo=zaPlatiti - ukupnoRate - novac - iznosTransRacun;
            document.getElementById("novac").innerHTML=parseFloat(novac).toFixed(2).replace(".",",");
            document.getElementById("iznosTransRacun").innerHTML=parseFloat(iznosTransRacun).toFixed(2).replace(".",",");
            document.getElementById("preostalo").innerHTML="<b>" + preostalo.toFixed(2).replace(".",",") + "</b>";
        }    
    }
    
    initUnosRata();
    
</script>    

