CREATE TABLE maticna_radnika (
  kodRadnika char(11) NOT NULL,
  imeIprezime varchar(70) NOT NULL,
  spol char(1) NOT NULL,
  OIB varchar(11) NOT NULL,  
  statusRadnika char(1) NOT NULL,
  datumRodjenja date NOT NULL,
  mjestoRodjenja varchar(60) NOT NULL,
  drzavljanstvo  varchar(60) DEFAULT NULL,
  dozvolaZaBoravakIrad varchar(60) DEFAULT NULL,

  mjestoBoravka varchar(60) NOT NULL,
  ulicaIbroj varchar(60) NOT NULL,   
  posPretinac varchar(10) DEFAULT ' ',
  brojPoste varchar(10) NOT NULL,
  mjestoPoste varchar(60) NOT NULL,  
  opcinaPrebivalista varchar(13) DEFAULT NULL,

  pocetakRadaSatMin varchar(5) DEFAULT '07:00',
  zavrsetakRadaSatMin varchar(5) DEFAULT '15:00',
  pocetakSubotom varchar(5) DEFAULT NULL,
  zavrsetakSubotom varchar(5) DEFAULT NULL,
  redovniSatiNaDan int DEFAULT 8,  
  redovniSatiSubotom int DEFAULT 0,
  godisnjiOdmorOd date DEFAULT NULL,
  godisnjiOdmorDo date DEFAULT NULL,
  bolovanjeFirmaOd date DEFAULT NULL,
  bolovanjeFirmaDo date DEFAULT NULL,
  bolovanjeHZZOod date DEFAULT NULL,
  bolovanjeHZZOdo date DEFAULT NULL,
  porodiljskiOd date DEFAULT NULL,
  porodiljskiDo date DEFAULT NULL,

  strucnaSprema varchar(2) NOT NULL DEFAULT 'F',
  posebniIspitiTecajevi varchar(60) DEFAULT NULL,
  zanimanje varchar(60) DEFAULT NULL,
  posaoKojiObavlja varchar(70) DEFAULT NULL,
  pocetakRada date DEFAULT NULL,
  ugovorOradu char(1) DEFAULT 'N',
  odredjenoOd1 date DEFAULT NULL,
  odredjenoDo1 date DEFAULT NULL,
  odredjenoOd2 date DEFAULT NULL,
  odredjenoDo2 date DEFAULT NULL,
  odredivoDo   date DEFAULT NULL,
  trajanjeProbnogRada varchar(15) DEFAULT NULL,
  trajanjePripravnickogStaza varchar(15) DEFAULT NULL,
  vrijemeIrezultatPripIspita varchar(100) DEFAULT NULL,
  radUinozemstvu varchar(60) DEFAULT NULL,
  privremenoUstupanjeRadnika varchar(60) DEFAULT NULL,
  beneficiraniStaz CHAR(1) DEFAULT 'N',
  nacinRacunanjaBstaza VARCHAR(60) DEFAULT NULL,
  potrebnoUtvrZdrSposobnosti CHAR(1) DEFAULT 'N',
  redovitiPregledi VARCHAR(200) DEFAULT NULL,
  mjestoRada VARCHAR(60) DEFAULT NULL,
  radNaRaznimMjestima CHAR(1) DEFAULT 'D',
  tjednoRadnoVrijeme  DECIMAL(3,1) DEFAULT 40,
  TRVpunoSkracenoNepuno CHAR(1) DEFAULT 'P',
  MstazDoPocetkaRadaKodP INT(6) DEFAULT 0, 
  MstazDoPocetkaRadaKodPtekst VARCHAR(200) DEFAULT NULL, 
  mirovanjeROod date DEFAULT NULL,
  mirovanjeROdo date DEFAULT NULL,
  mirovanjeROodRodiljni date DEFAULT NULL,
  mirovanjeROdoRodiljni date DEFAULT NULL,
  mirovanjeROodRoditeljski date DEFAULT NULL,
  mirovanjeROdoRoditeljski date DEFAULT NULL,
  datumPrestankaRO date DEFAULT NULL,
  razlogPrestankaRO VARCHAR(60) DEFAULT NULL,   
  
  polaznaOsnovica DECIMAL(9,2)  DEFAULT 0,
  koeficijentSlozenostiPosla  DECIMAL(5,2)  DEFAULT 1,  
  stazZaObracun INT DEFAULT 0,
  stimulacija DECIMAL(9,2)  DEFAULT 0,
  postoIliIznosStimulacija CHAR(1) DEFAULT NULL,
  drugiStup CHAR DEFAULT 'D',
  prijevoz DECIMAL(6,2)  DEFAULT 0,
  osobniOdbitak DECIMAL(7,2)  DEFAULT 2600,
  faktorOsOdbitka DECIMAL(4,2) DEFAULT 1,
  bodovi DECIMAL(9,2)  DEFAULT 0,  
  pravoNaGO INT DEFAULT 0,
  iskoristeniGO INT DEFAULT 0,
  stariGO int DEFAULT 0,
  registarskiBrojRadnika VARCHAR(13) DEFAULT NULL,
  opcinaMjestaRada VARCHAR(13) NOT NULL,      
  brojBankRacuna VARCHAR(60) DEFAULT ' ',
  iznosBanka DECIMAL(9,2)  DEFAULT 100,
  postoIliIznosBanka CHAR(1) DEFAULT '%',
  banka VARCHAR(13) DEFAULT NULL,    

  komentar text NOT NULL,
 
  pocetakVodjenjaE date NOT NULL,
  zakljucenjeVodjenjaE date DEFAULT NULL,
  voditeljEvidencije varchar(40) NOT NULL,
    
  datumOtvaranja datetime NOT NULL,
  datumIzmjene datetime DEFAULT NULL,
  tkoJeIzmjenio varchar(40) DEFAULT ' ',
  PRIMARY KEY (kodRadnika),  
  KEY OIB (OIB)
) DEFAULT CHARSET=utf8 ;  