<?php
include_once 'model/tablica_db.php';
include_once 'model/KPI_db.php';

// $tipka='Prihvat';
$tablica='KPI';

$slogZaUnos=kreiraj_slog_tablice($tablica);

$poljaKljuca=get_primarni_kljuc($tablica);

$greska = '';
$naslov = 'Knjiga primitaka i izdataka';
$slogZaUnos = postaviPoljaKPI();
$opSaDok ='Prikaz';

if(isset($_REQUEST['prihvati'])) {
    $slogZaUnos=puniSlogKPI($_REQUEST);
    $greskaDatum = is_valid_datum($slogZaUnos['DVO'], true);
    if (isset($greskaDatum)) {
       $greska .= ' DVO greška ! ' . $greskaDatum.' '; 
    }
    if($_REQUEST['interniBroj']==0)
        $opSaDok ='Unos';
    else
        $opSaDok ='Izmjena';
} 

// izmjena ili brisanje
if(isset($_GET['opSaDok'])) {
    if($_GET['opSaDok']=='Brisanje') {
        $opSaDok = $_GET['opSaDok'];
    }
    $sl = get_KPI_1_slog($_GET['interniBroj']);
    if(!is_array($sl)){
        $greska .= 'Zapis s rednim brojem  '.$_GET['interniBroj'].' ne postoji!';
    } else if($_GET['opSaDok']=='Izmjena') {
        $slogZaUnos=puniSlogKPI($sl);
        $d = new DateTime($sl['DVO']);
        $slogZaUnos['DVO'] = $d->format('d.m.Y');
    }
}

if(trim($greska)=='') {
    // brisanje ili upis u bazu
    switch ($opSaDok) {
        case 'Unos':
            $r = KPI_zadnji_rbr();
            $slogZaUnos['interniBroj'] = $r['zadnjiBroj']+1;
            unset($r);
            add_KPI($slogZaUnos);
            $greska='Zapis s internim brojem '.$slogZaUnos['interniBroj'].' je uspješno upisan.';
            $slogZaUnos = postaviPoljaKPI();
            break;
        case 'Izmjena':
            update_KPI($slogZaUnos);
            $greska='Zapis s internim brojem '.$slogZaUnos['interniBroj'].' je uspješno izmjenjen.';
            $slogZaUnos = postaviPoljaKPI();
            break;
        case 'Brisanje':
            delete_KPI($_GET['interniBroj']);
            $greska='Zapis s internim brojem '.$_GET['interniBroj'].' je uspješno obrisan.';
            break;
    } 
}

?>

<form action="." method="post" id="view_KPI">
<input type="hidden" name="action" value="view_KPI" />
<h1><?php echo $naslov; ?> </h1>
<div id="panel" style="background-color: #EAFFEF; border: solid 1px grey; padding: 0.4em">
    <table class="t_lista_primka">
    <thead>
        <tr>
            <th style="padding-left: 0.5em" >Interni </th>
            <th colspan="3"> </th>
            <th colspan="5" style="background-color: #8bdab5"> P R I M I C I </th>
            <th colspan="6" > I Z D A C I </th>
        </tr>
        <tr>
            <th class='left' style="padding-left: 0.5em" >broj </th>
            <th class='left'>DVO </th>
            <th class='left'>Temeljnica </th>
            <th class='left'>Opis </th>
            <th class='right' style="background-color: #8bdab5">&nbsp;u gotovini</th>
            <th class='right' style="background-color: #8bdab5">žiro raćun </th>
            <th class='right' style="background-color: #8bdab5">u naravi </th>
            <th class='right' style="background-color: #8bdab5">PDV </th>
            <th class='right' style="background-color: #8bdab5">ukupno &nbsp;</th>

            <th class='right' >&nbsp;u gotovini</th>
            <th class='right' >žiro raćun </th>
            <th class='right' >u naravi </th>
            <th class='right' >PDV </th>
            <th class='right' >
                iz čl 33 
                <img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help"
            title="IZDACI  IZ ČL.  33. ST.  1. T. 1.  I 5
1. 50% izdataka reprezentacije (ugošćenja, darova s ili bez utisnutog znaka tvrtke ili proizvoda, izdataka za odmor, šport, rekreaciju, izdataka za korištenje osobnih motornih vozila, plovila, zrakoplova, kuća za odmor), u visini troškova nastalih iz poslovnih odnosa s poslovnim partnerom

5. 50% izdataka u svezi s vlastitim ili unajmljenim osobnim motornim vozilima i drugim sredstvima za osobni prijevoz poduzetnika, poslovodnih i drugih zaposlenih osoba, ako se po osnovi korištenja tih sredstava za osobni prijevoz ne utvrđuje plaća ili drugi dohodak.
" 
            />
            </th>
            <th class='right' >ukupno &nbsp;</th>
            
        </tr>
    </thead>
    <tr>
        <td class="td_t_lista"> 
            <input type="text" class="text_width_2em" name="interniBroj" value="<?php echo $slogZaUnos['interniBroj']; ?>"  readonly /> 
        </td>

        <td class="td_t_lista"> 
            <input type="text" name="DVO" value="<?php echo $slogZaUnos['DVO']; ?>" 
                   pattern="[0-9]{1,2}.{0,1}[0-9]{1,2}.{0,1}[0-9]{4}" size="8" title="datum:dd.mm.gggg" required=""/> 
        </td>
        <td class="td_t_lista"> 
            <input type="text" name="brojTemeljnice" value="<?php echo $slogZaUnos['brojTemeljnice']; ?>" size="10" /> 
        </td>
        <td class="td_t_lista"> 
            <input type="text" name="opis" value="<?php echo $slogZaUnos['opis']; ?>" size="40" required=""/> 
        </td>
        <td class="right_t_lista">
            <input type="text" class="text_width_5em" name="gotovinaPrimitak" id="gotovinaPrimitak" pattern="<?php echo $pBroj2Decimale ?>" title="Unesite broj zaokružen na dvije decimale"                              
                   value="<?php echo $slogZaUnos['gotovinaPrimitak']; ?>" required="" onchange="zbroji()"/>
        </td>
        <td class="right_t_lista">
            <input type="text" class="text_width_5em" name="ziroPrimitak" id="ziroPrimitak" pattern="<?php echo $pBroj2Decimale ?>" title="Unesite broj zaokružen na dvije decimale"                              
                   value="<?php echo $slogZaUnos['ziroPrimitak']; ?>" required="" onchange="zbroji()"/>
        </td>
        <td class="right_t_lista">
            <input type="text" class="text_width_5em" name="naravaPrimitak" id="naravaPrimitak" pattern="<?php echo $pBroj2Decimale ?>" title="Unesite broj zaokružen na dvije decimale"                              
                   value="<?php echo $slogZaUnos['naravaPrimitak']; ?>" required="" onchange="zbroji()"/>
        </td>
        <td class="right_t_lista">
            <input type="text" class="text_width_5em" name="PDVPrimitak" id="PDVPrimitak" pattern="<?php echo $pBroj2Decimale ?>" title="Unesite broj zaokružen na dvije decimale"                              
                   value="<?php echo $slogZaUnos['PDVPrimitak']; ?>" required="" onchange="zbroji()"/>
        </td>
        <td class="right_t_lista">
            <input type="text" class="text_width_5em" name="ukupnoPrimitak" id="ukupnoPrimitak" value="" readonly="" />
        </td>
       <td class="right_t_lista">
            <input type="text" class="text_width_5em" name="gotovinaIzdatak" id="gotovinaIzdatak" pattern="<?php echo $pBroj2Decimale ?>" title="Unesite broj zaokružen na dvije decimale"                              
                   value="<?php echo $slogZaUnos['gotovinaIzdatak']; ?>" required="" onchange="zbroji()"/>
        </td>
        <td class="right_t_lista">
            <input type="text" class="text_width_5em" name="ziroIzdatak" id="ziroIzdatak" pattern="<?php echo $pBroj2Decimale ?>" title="Unesite broj zaokružen na dvije decimale"                              
                   value="<?php echo $slogZaUnos['ziroIzdatak']; ?>" required="" onchange="zbroji()"/>
        </td>
        <td class="right_t_lista">
            <input type="text" class="text_width_5em" name="naravaIzdatak" id="naravaIzdatak" pattern="<?php echo $pBroj2Decimale ?>" title="Unesite broj zaokružen na dvije decimale"                              
                   value="<?php echo $slogZaUnos['naravaIzdatak']; ?>" required="" onchange="zbroji()"/>
        </td>
        <td class="right_t_lista">
            <input type="text" class="text_width_5em" name="PDVIzdatak" id="PDVIzdatak" pattern="<?php echo $pBroj2Decimale ?>" title="Unesite broj zaokružen na dvije decimale"                              
                   value="<?php echo $slogZaUnos['PDVIzdatak']; ?>" required="" onchange="zbroji()"/>
        </td>
        <td class="right_t_lista">
            <input type="text" class="text_width_5em" name="cl33Izdatak" id="cl33Izdatak" pattern="<?php echo $pBroj2Decimale ?>" title="Unesite broj zaokružen na dvije decimale"                              
                   value="<?php echo $slogZaUnos['cl33Izdatak']; ?>" required=""  onchange="zbroji()"/>
        </td>
        <td class="right_t_lista">
            <input type="text" class="text_width_5em" name="ukupnoIzdatak" id="ukupnoIzdatak" value="" readonly="" />
        </td>
    </tr>   
    </table>
    <p></p> <p></p>    
<input type="submit" name="prihvati" id="prihvati" value="Prihvati" autofocus="autofocus" />
<input type="submit" name="odustani" value="Odustani" formnovalidate />
</div>
<?php    
    if (trim($greska)!='') {
        $imaUsklicnik = strpos($greska, '!');
        if ($imaUsklicnik === FALSE) {
            $greska_prihvat = 'greska_prihvat_nije_greska';
        } else {
            $greska_prihvat = 'greska_prihvat';
        }
        ?>
        <p></p> <p></p>
        <p id="<?php echo $greska_prihvat; ?>"> <?php echo $greska; ?> </p>

        <?php
    }
include 'dokumenti/view_pregled_KPI.php';    ?>
    
</form>

<?php
        
?>

<script>
function zbroji() {
    ukupnoPrimici = parseFloat(gotovinaPrimitak.value) + parseFloat(ziroPrimitak.value) + parseFloat(naravaPrimitak.value) + parseFloat(PDVPrimitak.value);
    ukupnoPrimitak.value = (ukupnoPrimici.toFixed(2)).replace(".",",")
    ukupnoIzdaci = parseFloat(gotovinaIzdatak.value) + parseFloat(ziroIzdatak.value) + parseFloat(naravaIzdatak.value) + parseFloat(PDVIzdatak.value) +  parseFloat(cl33Izdatak.value);
    ukupnoIzdatak.value = (ukupnoIzdaci.toFixed(2)).replace(".",",")
}

zbroji();

</script>