<?php
include_once 'model/tablica_db.php';
$tablica='minimalne_zalihe';
$slogZaUnos= array();
$slogZaUnos['kodRobe']='';
$slogZaUnos['kodPoslovnice']='';
$slogZaUnos['minZaliha']=0;
$nazivRobe='';

$poljaKljuca=array('kodRobe','kodPoslovnice');
$oznakeGreske['kodRobe']='&nbsp';
$oznakeGreske['minZaliha']='&nbsp';

$skriptaPregleda='dokumenti/view_pregled_minimalne_zalihe.php';
$povratakIzPregleda='izabrane_minimalne_zalihe';
$dokument='Minimalne zalihe';
$slogIzBaze=null;


if(isset($_REQUEST['opSaDok']) || $action==$povratakIzPregleda) {
    // puni polja kljuca s poljima u $_POST ili $_GET i uzme slog iz baze ako postoji
    $slogZaUnos['kodRobe']=$_REQUEST['kodRobe'];
    $slogZaUnos['kodPoslovnice'] = $_REQUEST['kodPoslovnice'];
    $slogIzBaze = get_slog_tablice($tablica, $slogZaUnos, $poljaKljuca);
}    

include 'dokumenti/view_unos_zajednicki.php';

$slogRobe = get_product_maticna_robe($slogZaUnos['kodRobe']);
if(is_array($slogRobe))
    $nazivRobe=$slogRobe['nazivRobe'];

if($potvrdaUnosa) {
    // Kontrola ispravnosti polja za unos i izmjenu
    if(trim($greska)=='' && $opSaDok!='Brisanje') {
        if(trim($slogZaUnos['kodRobe'])=='') {
            $greska='Polje kod robe ne smije  biti prazno!';
            $oznakeGreske['kodRobe']='*';
        }
        else {
            // $slogRobe = get_product_maticna_robe($slogZaUnos['kodRobe']);
            if(is_array($slogRobe))
                $nazivRobe=$slogRobe['nazivRobe'];
            else {
                $greska='Upisama roba ne postoji!';
                $oznakeGreske['kodRobe']='*';         
            }
       }
       if($slogZaUnos['minZaliha']<=0) {
            $greska.='Minimalna zaliha mora biti veća od 0!';
            $oznakeGreske['minZaliha']='*';
           
       }
            
    }

    if(trim($greska)=='') {
        // brisanje ili upis u bazu
        switch ($_REQUEST['opSaDok']) {
            case 'Unos':
                add_slog_tablice($tablica, $slogZaUnos);
                $greska='Minimalna zaliha je uspješno upisana';
                break;
            case 'Izmjena':
                update_slog_tablice($tablica, $slogZaUnos, $poljaKljuca);
                $greska='Minimalna zaliha je uspješno izmjenjena.';
                break;
            case 'Brisanje':
                delete_slog_tablice($tablica, $slogZaUnos, $poljaKljuca);
                $greska='Minimalna zaliha je uspješno obrisana';
                break;
        } 
    }
    
    
}

?>

<form action="." method="post" id="view_zag">
<input type="hidden" name="action" value="view_minimalne_zalihe" />
<table>
    <tr>
       <td><h1><?php echo $dokument; ?> </h1> &nbsp;</td>
       <td> 
          &nbsp; &nbsp; &nbsp; <span class="veca_slova_110">  
          <b>Operacije: &nbsp; </b> </span>
          <?php include 'dokumenti/operacije.php'; ?> 
       </td>
       <td> </td>
     </tr>
</table>
Kod robe: &nbsp; &nbsp; &nbsp;&nbsp; &nbsp; &nbsp; &nbsp;&nbsp;
<input type="text" class="text_width_8em" name="kodRobe" value="<?php echo $slogZaUnos['kodRobe']; ?>" 
        x-moz-errormessage=" Unos robe je obavezan. "  /> 
<button id="tipkaRoba" type="button" >..</button> 
<span class="greska"><?php echo $oznakeGreske['kodRobe']; ?> </span>   &nbsp; &nbsp;
 <?php echo $nazivRobe ?>
 <br>
 Poslovnica: &nbsp; &nbsp; &nbsp;&nbsp; &nbsp; &nbsp;
 
<?php listaPoslovnica('kodPoslovnice', false, $slogZaUnos['kodPoslovnice']) ?>
 <br>
   Minimalna zaliha:&nbsp 
 <input type="text" class="text_width_5em" name="minZaliha" value="<?php echo $slogZaUnos['minZaliha']; ?>" pattern="<?php echo $pCijena3Decimale ?>" title="Unesite iznos "  /> 
<span class="greska"><?php echo $oznakeGreske['minZaliha']; ?> </span> 
<p></p>

<?php postaviTipkeUnosa($opSaDok, $greska) ; ?>

</form>   

<?php
include 'dokumenti/dialog_robe.php';
//include 'dokumenti/view_pregled_minimalne_zalihe.php';

?>
<?php
// $poljaKljuca[] = 'brand';
poljaKjucaUjs($poljaKljuca);
?>