<?php
include_once 'model/tablica_db.php';

$tipka='Prihvat';
$tablica='pocetna_stranica_prodaje';

$slogZaUnos=kreiraj_slog_tablice($tablica);

$poljaKljuca=get_primarni_kljuc($tablica);


$oznakeGreske['godinaZaKopiranje'] = '&nbsp;';   

$skriptaPregleda='dokumenti/pregled_postavki_pocetne_stranice_prodaje.php';
$povratakIzPregleda='izabrana_je_pocetna_stranica_prodaje';
  
$dokument = 'Postavke početne stranice prodaje';
$slogIzBaze=null;
$nazivRobe = '';
$opisRobe = '';
$greska='';

if(isset($_REQUEST['opSaDok']) || $action==$povratakIzPregleda) {
    // puni polja kljuca s poljima u $_POST ili $_GET i uzme slog iz baze ako postoji
    $slogZaUnos['pocetnaStranicaProdaje']=$_REQUEST['pocetnaStranicaProdaje'];
    if($greska == '')
        $slogIzBaze = get_slog_tablice($tablica, $slogZaUnos, $poljaKljuca);
}    

include 'dokumenti/view_unos_zajednicki.php';

if(isset($greskaKopiranje)) {
    $greska=$greskaKopiranje;
    $potvrdaUnosa=FALSE;
}

if($potvrdaUnosa) {
    if(trim($greska)=='') {
        // brisanje ili upis u bazu
        switch ($_REQUEST['opSaDok']) {
            case 'Unos':
                add_slog_tablice($tablica, $slogZaUnos);
                $greska='Vrsta primitka "'.$slogZaUnos['pocetnaStranicaProdaje'].'" je uspješno upisana';
                break;
            case 'Izmjena':
                update_slog_tablice($tablica, $slogZaUnos, $poljaKljuca);
                $greska='Vrsta primitka "'.$slogZaUnos['pocetnaStranicaProdaje'].'" je uspješno izmjenjena.';
                break;
            case 'Brisanje':
                delete_slog_tablice($tablica, $slogZaUnos, $poljaKljuca);
                $greska='Vrsta primitka "'.$slogZaUnos['pocetnaStranicaProdaje'].'" je uspješno obrisana';
                break;
        } 
    }
}

include 'view/header.php'; 
?>
<style>
    #page {
        margin: 0; 
        width: auto;
    }
</style>

<form action="." method="post" id="view_zag">
<input type="hidden" name="action" value="view_pocetna_stranica_prodaje" />
<table>
    <tr>
       <td><h1><?php echo $dokument; ?> </h1> &nbsp;</td>
       <td> 
          &nbsp; &nbsp; &nbsp; <span class="veca_slova_110">  
          <b>Operacije: &nbsp; </b> </span>
          <?php include 'dokumenti/operacije.php'; ?> 
       </td>
       <td> </td>
     </tr>
</table>
Stavka izbornika:
 <select name="stavkaIzbornika">
         <option value="Posebna ponuda" <?php if($slogZaUnos['stavkaIzbornika'] == 'Posebna ponuda') echo 'selected="selected"'; ?> >Posebna ponuda</option>
         <option value="Novo u ponudi" <?php if($slogZaUnos['stavkaIzbornika'] == 'Novo u ponudi') echo 'selected="selected"'; ?> >Novo u ponudi</option>
         <option value="Akcija" <?php if($slogZaUnos['stavkaIzbornika'] == 'Akcija') echo 'selected="selected"'; ?> >Akcija</option>
         <option value="Posebni popusti" <?php if($slogZaUnos['stavkaIzbornika'] == 'Posebni popusti') echo 'selected="selected"'; ?> >Posebni popusti</option>
         <option value="Izvan izbornika na vrhu" <?php if($slogZaUnos['stavkaIzbornika'] == 'Izvan izbornika na vrhu') echo 'selected="selected"'; ?> >Izvan izbornika na vrhu</option>
         <option value="Izvan izbornika na dnu" <?php if($slogZaUnos['stavkaIzbornika'] == 'Izvan izbornika na dnu') echo 'selected="selected"'; ?> >Izvan izbornika na dnu</option>
       </select>  &nbsp; &nbsp;
Kod robe:
<input type="text" class="text_width_12em" name="kodRobe" value="<?php echo $slogZaUnos['kodRobe']; ?>" required /> 
Naziv robe:
<input type="text" class="text_width_25em" name="nazivRobe" value="<?php echo $nazivRobe; ?>" readonly /> 
Opis robe:
<input type="text" class="text_width_40em" name="opisRobe" value="<?php echo $opisRobe; ?>" readonly /> 
<p></p>
<b>Vidljivo: </b> &nbsp; &nbsp;
Naziv robe: &nbsp; &nbsp;&nbsp;
      <select name="vidljivNazivRobe">
         <option value="D" <?php if($slogZaUnos['vidljivNazivRobe'] == 'D') echo 'selected="selected"'; ?> >Da</option>
         <option value="N" <?php if($slogZaUnos['vidljivNazivRobe'] == 'N') echo 'selected="selected"'; ?> >Ne</option>
       </select>  &nbsp; &nbsp; &nbsp;
Opis robe:
      <select name="vidljivOpisRobe">
         <option value="D" <?php if($slogZaUnos['vidljivOpisRobe'] == 'D') echo 'selected="selected"'; ?> >Da</option>
         <option value="N" <?php if($slogZaUnos['vidljivOpisRobe'] == 'N') echo 'selected="selected"'; ?> >Ne</option>
       </select>  &nbsp; &nbsp;
Slika robe:
      <select name="vidljivaSlikaRobe">
         <option value="D" <?php if($slogZaUnos['vidljivaSlikaRobe'] == 'D') echo 'selected="selected"'; ?> >Da</option>
         <option value="N" <?php if($slogZaUnos['vidljivaSlikaRobe'] == 'N') echo 'selected="selected"'; ?> >Ne</option>
       </select>  &nbsp; &nbsp;       
VPC:
      <select name="vidljivaVPC">
         <option value="D" <?php if($slogZaUnos['vidljivaVPC'] == 'D') echo 'selected="selected"'; ?> >Da</option>
         <option value="N" <?php if($slogZaUnos['vidljivaVPC'] == 'N') echo 'selected="selected"'; ?> >Ne</option>
       </select>  &nbsp; &nbsp;       
MPC:
      <select name="vidljivaMPC">
         <option value="D" <?php if($slogZaUnos['vidljivaMPC'] == 'D') echo 'selected="selected"'; ?> >Da</option>
         <option value="N" <?php if($slogZaUnos['vidljivaMPC'] == 'N') echo 'selected="selected"'; ?> >Ne</option>
       </select>  &nbsp; &nbsp;       
Rabat-popust:
      <select name="vidljivRabatPopust">
         <option value="D" <?php if($slogZaUnos['vidljivRabatPopust'] == 'D') echo 'selected="selected"'; ?> >Da</option>
         <option value="N" <?php if($slogZaUnos['vidljivRabatPopust'] == 'N') echo 'selected="selected"'; ?> >Ne</option>
       </select>  &nbsp; &nbsp;       
Preporučena MPC:
      <select name="vidljivaPreporucenaMPC">
         <option value="D" <?php if($slogZaUnos['vidljivaPreporucenaMPC'] == 'D') echo 'selected="selected"'; ?> >Da</option>
         <option value="N" <?php if($slogZaUnos['vidljivaPreporucenaMPC'] == 'N') echo 'selected="selected"'; ?> >Ne</option>
       </select>  &nbsp; &nbsp;     &nbsp; &nbsp;     
   
Tip stavke izbornika:
      <select name="tipStavkeIzbornika">
         <option value="Tabela" <?php if($slogZaUnos['tipStavkeIzbornika'] == 'Tabela') echo 'selected="selected"'; ?> >Tabela</option>
         <option value="Slide show vremenski" <?php if($slogZaUnos['tipStavkeIzbornika'] == 'Slide show vremenski') echo 'selected="selected"'; ?> >Slide show vremenski</option>
         <option value="Slide show ručni" <?php if($slogZaUnos['tipStavkeIzbornika'] == 'Slide show ručni') echo 'selected="selected"'; ?> >Slide show ručni</option>    
         <option value="Putujuće slike" <?php if($slogZaUnos['tipStavkeIzbornika'] == 'Putujuće slike') echo 'selected="selected"'; ?> >Putujuće slike</option>
       </select>  &nbsp; &nbsp;
     <p></p>
Redni broj tabele:
    <input type="text" class="text_width_1em" name="redniBrojTabele" value="<?php echo $slogZaUnos['redniBrojTabele']; ?>" required /> 
    <img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=
"
" /> &nbsp; &nbsp;  
    
Naziv tabele:
<input type="text" class="text_width_25em" name="nazivTabele" value="<?php echo $slogZaUnos['nazivTabele']; ?>" />       
<img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=
"
" /> &nbsp; &nbsp;  
Debljina okvira tabele px:
<input type="text" class="text_width_2em" name="debljinaOkviraTabele" value="<?php echo $slogZaUnos['debljinaOkviraTabele']; ?>" />       
<img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=
"
" /> &nbsp; &nbsp;  
Skupina slika:
<input type="text" class="text_width_20em" name="skupinaSlika" value="<?php echo $slogZaUnos['skupinaSlika']; ?>" placeholder="Naziv skupine slike unutar iste tabele"/>  &nbsp;   
<p></p>

<b>Redni broj za kod robe</b>(redosljed prikazivanja):
<input type="text" class="text_width_2em" name="redniBrojZaKodRobe" value="<?php echo $slogZaUnos['redniBrojZaKodRobe']; ?>" />     
&nbsp; &nbsp; 
Broj slika u jednom redu:
<input type="text" class="text_width_2em" name="brojSlikaUredu" value="<?php echo $slogZaUnos['brojSlikaUredu']; ?>" /> 
<img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=
"" /> &nbsp; &nbsp;       


<?php postaviTipkeUnosa($opSaDok, $greska) ; ?>

</form>

<?php
 include './dokumenti/view_pregled_pocetna_stranica_prodaje.php';
?>