<?php
include_once 'model/predlosci_db.php';
function listaPredloska($naziv, $textArea, $vrsta, $tekst, $redniBroj, $daliNovi=false, $nudiPrvog=true) {
    global $opSaDok, $action, $app_path;
    $predlozak='';
    $predlosci=get_predlosci($vrsta);
    $pPredlosci['0']='';
    $pNaziviPredloska['0']='';
    ?>
    <select name="<?php echo  $naziv ?>" id="<?php echo $naziv ?>" 
            onchange="odabirPredloska(this.value, '<?php echo $textArea ?>','<?php echo 'predlosci'.$vrsta ?>')">
    <?php if($daliNovi) : ?>
        <option value="0" >Novi </option>
    <?php else : 
        ?>    
        <option value="0" > </option>
    <?php endif; 
    foreach ($predlosci as $slog) :
        $pPredlosci[$slog['redniBroj']]=$slog['predlozak'];
        $pNaziviPredloska[$slog['redniBroj']]=$slog['nazivPredloska'];
        if((int)$redniBroj==0 && $nudiPrvog) 
            $redniBroj=$slog['redniBroj'];
        if($redniBroj==$slog['redniBroj']) {
            $predlozak=$slog['predlozak'];
            $selektirano='selected=selected';
        }
        else 
            $selektirano='';
        
        $nazivPedloska = $slog['redniBroj'] . ' ' . (trim($slog['nazivPredloska']==$slog['redniBroj'] ? '' : $slog['nazivPredloska']))
        ?>
        <option value="<?php echo $slog['redniBroj']?>" <?php echo $selektirano ?> ><?php echo $nazivPedloska ?></option>
        <?php
    endforeach;
    ?>
    </select> &nbsp; &nbsp; 
    <?php if($daliNovi) : ?>
    <span id="pUnosPredloska" name="pUnosPredloska" >
        Redni broj: 
        <input type="text" class="text_width_5em" name="redniBroj"  id="vRedniBroj" value="<?php if($redniBroj>0) echo $redniBroj; ?>" pattern="\d{1,10}" /> &nbsp; 
        Naziv predloška:
        <input type="text" class="text_width_20em" name="nazivPredloska" id="nazivPredloska" value="<?php if(isset($pNaziviPredloska[$redniBroj])) echo $pNaziviPredloska[$redniBroj]; ?>"  /> 
    </span>
    <?php endif; ?>
    <?php
    if(isset($opSaDok)) if($opSaDok=='Izmjena' && $action=='view_vrste_dokumenata') : ?>
        <input type="checkbox" name="brisiPredlozak" >Brisanje predloška 
    <?php endif;
    if($daliNovi) : ?>
        <img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=
"Kada želimo dodati novi predložak, mijenjati ili brisati postojeći, odaberemo operaciju Izmjena.  
Dodavanje novog predloška:
  U polju 'Predložak' odaberemo opciju Novi i unosimo redni broj, naziv predloška 
  i sadržaj predloška
  Ako polje redni broj ostavimo prazno, program će uzeti največi redni broj + 1.
  Ako redni broj popunimo, program će napraviti novi predložak s tim rednoim brojem 
  (tako možemo pouniti rupe).
  NAPOMENA: ukoliko u novi predložak unesemo redni broj koji postoji, 
  program će izmjeniti postojeći predložak.
Izmjena predloška:
  U polju 'Predložak' odaberemo predložak koji želimo mijenjati 
  i napravimo potrebne izmjene.
  Mijenjati možemo naziv predloška i sam predložak.
Brisanje predloška:
  U polju 'Predložak' odaberemo predložak koji želimo brisati 
  i stavimo kvačicu na 'Brisanje predloška'.
Na kraju potvrdimo izmjene pritiskom na tipku 'Prihvatiti izmjene' 
" />        
    <?php endif; 
        
    // šalje popis predložaka u javascript kako bi se mogli brzo mijenjati bez potrebe post forme
    if((int)$redniBroj==0 && trim($tekst)!='' && !$daliNovi) {
        $pPredlosci['0']=$tekst;
    }    
    if(isset($pPredlosci)) {
        //json_encode php array pretvori u JS array
        $jspr='<script> var predlosci'.$vrsta.'='.json_encode($pPredlosci).' </script>' ;
        echo $jspr;
        ?>
        <script>
        var naziviPredlozaka = <?php echo json_encode($pNaziviPredloska) ?>;
        </script>
        <?php
    }    
?>
    <script>
        var daliNovi = <?php echo (($daliNovi) ? 'true' : 'false'); ?>;
        function odabirPredloska(redniBroj, textArea, nazivVar) {
            //if(redniBroj=='0')
            //    return;
            predlosci=window[nazivVar.trim()];
            //document.getElementById(textArea).value=predlosci[redniBroj];
            tinyMCE.activeEditor.setContent(predlosci[redniBroj]);

            if(daliNovi) {
                vRedniBroj.value = parseInt(redniBroj)>0 ? redniBroj : "";
                nazivPredloska.value = naziviPredlozaka[redniBroj];
            }
        }

    </script>
    <?php
    return $predlozak;
}

function prikazPredloska($naslov, $naziv, $vrsta, $tekst, $daliNovi=false, $nudiPrvog=true, $brojLinija=0) {
    if(isset($_REQUEST['rbPredloska_'.$naziv]))
        $redniBroj=$_REQUEST['rbPredloska_'.$naziv];
    else 
        $redniBroj=0;    
    ?>
    <div>
        <?php 
        echo $naslov.':'; 
        $predlozak=listaPredloska('rbPredloska_'.$naziv, $naziv, $vrsta, $tekst, $redniBroj, $daliNovi, $nudiPrvog); 
        if(trim($tekst)=='' && $nudiPrvog || $redniBroj!='0')
            $tekst=$predlozak;
        
        if($brojLinija==0) {
            if(trim($tekst)=='') 
                $brojLinija=3;
            else
                $brojLinija=10;
        }
        ?> 
        <textarea name="<?php echo $naziv ?>" id="<?php echo $naziv ?>" rows="<?php echo $brojLinija ?>" style="width: 98%;" ><?php echo $tekst; ?></textarea>
    </div>        
    <?php
}
?>
