<?php
require_once('./util/main.php');
if(!isset($_SESSION['admin']))
    redirect('/apl/mg/admin/account/');
else if(isset($_REQUEST['action'])) {
    $d = new DateTime();
    setcookie(str_replace('.', '_', $_SERVER['REMOTE_ADDR']), $d->format("d.m.Y H:i:s").',  '.$_SESSION['admin']['email']. 
              isset($_REQUEST['action'])?' akcija='.$_REQUEST['action']:'', time()+(60*60*24));
}
require_once('./util/secure_conn.php');
require_once('./util/validation.php');
require_once('./util/valid_admin.php');
require_once('./model/poslovnice_db.php');
require_once './model/cart.php';  
require_once('./model/product_db.php');
require_once('./model/razne_db.php');
require_once('./model/porezi_db.php');
require_once('./model/dokumenti_db.php');
require_once('./model/vrste_dokumenata_db.php');
require_once('./model/stanja_db.php');
//require_once('./model/admin_db.php');
include $_SERVER['DOCUMENT_ROOT']. '/apl/mg/model/admin_db.php'; 
require_once('./model/parametri_db.php');
require_once('./model/partner_db.php');
require_once './model/category_db.php';  
require_once('./model/v_k_c_db.php');
require_once('./model/jedinice_mjere_db.php');
require_once('./model/prometi_db.php');
require_once('./model/kalkulacije_db.php');
require_once('./dokumenti/unosiIKontrole.php');
require_once('./model/kons_stanja_db.php');
require_once('./model/rate_kartice_db.php');

//require_once('./model/inventura_db.php');
$noviB2BMenu=true;
// $noviB2BMenu=false;

if (isset($_POST['action'])) {
    $action = $_POST['action'];
} elseif (isset($_GET['action'])) {
    $action = $_GET['action'];
} 

if (isset($_SESSION['dok_zag']['izmjena_dok_zag_izbor_partner'])) {
   $action = 'izmjena_dok_zag';
  //izmjena_dok_zag po izboru partnera    
}
else if(isset($_POST['opSaDok']))
    if($action=='izmjena_dok_zag' && $_POST['opSaDok']!="Izmjena") {
        $vrsDo = $_SESSION['dok_zag']['vrsDo'];		
        $action = 'uzmi_zag_dok';
    }

//echo 'action iz index robno=' . $action;
if (!isset($_SESSION['odabranaBaza']) || !isset($_SESSION['admin']) ) 
   $action = 'odabir_baze';
      
//  if (isset($_SESSION['pregledi_dokumenata']))
//
//  $action = 'view_zag_pregledi_dokumenata';   
//  echo 'action=' . $action;  

if(isset($_SESSION['admin']) && !isset($action)) 
    // u category/ je zalutao 
    $action='na_izbornik_robno';


include 'index_zajednicki.php';

switch ($action) {
case 'na_izbornik_robno':
     include('robno.php');
     break;
case 'knjigovodstvo':
     include('knjigovodstvo.php');
     break; 
case 'na_polaznu_web':
     $_SESSION = array();
     redirect('../..');
     break;

case 'odabir_baze':
    // Get username/lozinka
    if (!isset($_POST['odabranaBaza']) || !isset($_POST['odabranaAplikacija']) || !isset($_SESSION['admin'])) {
        //echo  'Nije odabrana baza ili aplikacija !!!!';
        redirect('/apl/mg/admin/account/');	
        break;		
    }

    $http_host = $_SERVER['HTTP_HOST'];
    //if ($http_host == 'www.murski-gaji.hr' || $http_host == 'localhost') {
    if ($http_host === 'www.panex-agm.com' || $http_host === 'panex-agm.com' ) {
        $username = 'panex_mguser';
    } else {    
        $username = 'murskiga_mguser';
    }
    $password = 'a83bmi';

    $options = array(PDO::ATTR_ERRMODE => PDO::ERRMODE_EXCEPTION);
    $odabranaBaza = $_POST['odabranaBaza'];
    $dbname = $odabranaBaza;
    //echo 'Odabrana baza u robno/index=' . $dbname . '<br/>';
    $dsn = "mysql:host=localhost;dbname=$dbname";
    try {
        //$db = new PDO($dsn, $username, $password, $options);
        $db =  konekcijaNaBazu($username, $password, $dbname);        
        $_SESSION['username'] = $username;

        //$_SESSION['odabranaBaza'] = $_POST['odabranaBaza'];
        $_SESSION['odabranaBaza'] = $odabranaBaza;
        $_SESSION['odabranaBaza_'] = $odabranaBaza;
        //	murskiga_robno_din,    panex_robno
        $dijeloviBaze = explode('_', $_SESSION['odabranaBaza']);

        if(isset($_POST['godina_b']))
            $_SESSION['godina_b']=(trim($_POST['godina_b'])!=''?'20':'').$_POST['godina_b'];
        else
            $_SESSION['godina_b']='';

        if ($dijeloviBaze[0]=='panex' && $dijeloviBaze[1]=='robno') {
            $_SESSION['skracenicaFirme'] = 'agm';
            if (isset($dijeloviBaze[2])) {
                if ($dijeloviBaze[2] == 'akc' || $dijeloviBaze[2] == 'din' || $dijeloviBaze[2] == 'cha'|| $dijeloviBaze[2] == 'kem') {
                    $_SESSION['skracenicaFirme'] = $dijeloviBaze[2];
                }
            // 08.02.2023  ako gornje baze rade pod panex agm serverom
            }
        } else {
            $_SESSION['skracenicaFirme'] = $dijeloviBaze[2];
        }
        $_SESSION['odabranaAplikacija'] = $_POST['odabranaAplikacija'];             
        $poslovnica = get_poslovnica(0);
        $_SESSION['nazivFirme'] = $poslovnica['nazivPoslovnice'];
        //  echo 'odabranaAplikacija=' . $_SESSION['odabranaAplikacija'];
        include('dokumenti/kontrola_poslovnice_init.php');
        
        $parametar=get_parametar('knjizenjeStavkeOdmah_'.$_SESSION['skracenicaFirme']);
        if(!is_array($parametar))
          $_SESSION['knjizenjeStavkeOdmah']='Ne';
        else
          $_SESSION['knjizenjeStavkeOdmah']=trim($parametar['vrijednostParametra']);
       $_SESSION['knjizenjeStavkeOdmah']='Da';   // 08.02.2023
        // if($_SESSION['admin']['prioritet']==9)
        //    redirect($app_path . 'cart');
        //else
        if($_SESSION['admin']['prioritet']!=9 || !$noviB2BMenu) {
            include('robno.php');
            break;
        }
        else {
            $_GET['vrsDo']='N';
            $_GET['izMenija']='Da';
        }
        //	include('home_view.php');
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        include('errors/db_error_connect.php');
        exit();
    }
    //break;

case 'vrati_dok_u_nezavrsene':
    if($action=='vrati_dok_u_nezavrsene') {
        $proda = $_SESSION['odabranaPoslovnica'];
        $vrsDo = $_SESSION['dok_zag']['vrsDo'];
        $proIn = $_SESSION['dok_zag']['proIn'];
        $zapis = $_SESSION['dok_zag']['zapis'];
        $broDo = $_SESSION['dok_zag']['broDo'];
        $verzi = $_SESSION['dok_zag']['verzi'];
        $opSaDok = 'Prikaz';
        vrati_dok_u_nezavrsene($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi);
    }

    //break;
// ---procedure za prihvat kontrolu zaglavlja dokumenata -----      
case 'view_zag_svih_dok':
     //parametarski se inicijalno iz robnog menija prenosi $vrsDo sa GET
       
    if (isset($_GET['vrsDo'])) {
       $vrsDo = $_GET['vrsDo'];
       $vrsDo = str_pad($vrsDo,2);
    }

/*  8.4.2020    umjesto ovoga donji set linija
    if (isset($_SESSION['dok_zag']['vrsDo'])) {
        if (isset($_GET['vrsDo']) && $vrsDo !=  $_SESSION['dok_zag']['vrsDo']) {
            //oba postoje iz robnog menija i SESIONA onda se uzima iz menija(GET)
            //iz menija robno(GET nije inicijalno) je promjenjen vrsDo što
            // može poslužiti za kopiranje
            //iz jedne vrste dokumenta u drugu ako nije knjiženje stavke odmah
            $_SESSION['dok_zag']['vrsDo'] = $vrsDo; //vrsDo iz robnog menija
            if ($_SESSION['knjizenjeStavkeOdmah']=='Da' && $_SESSION['admin']['prioritet'] != '9' ) {
                clear_cart();
            }          
         } else {
            $vrsDo = $_SESSION['dok_zag']['vrsDo'];
         }		
    }
  */
    if (isset($_SESSION['dok_zag']['vrsDo']) && isset($_GET['vrsDo']) ) {      
        if ( $_SESSION['admin']['prioritet'] != '9' ) {
              clear_cart();
        }     
    }
    if (!isset($vrsDo)) $vrsDo = $_SESSION['dok_zag']['vrsDo'];
    // dalje se vrsDo parametarski prenosi sa view_zag_svih_dok  sa POST
   
    include('dokumenti/kontrola_poslovnice_init.php');  
     
 /* za partnere b2b (prioritet 9) ovdje se kod npr. početnog ulaska u naruđbu NS kreira ili puni $_SESSION['dok_zag']
   (puni se kod partnera sa šifrom iz punkt a ostalo po defaultu ili prazno 
  treba se napraviti sve što radi uzmi_dok_zag za Unos, i program zatim usmjeriti na pocetna_stranica odakle kreće
  početni izbor artikala u cart
  DAKLE NE ULAZI SE U ZAGLAVLJE DOKUMENTA
*/    
    $vrstaDokSlog=get_vrsta_dokumenta($vrsDo);
    if(is_array($vrstaDokSlog))
        $naslovStranice=$vrstaDokSlog['nazivDokumenta'];
    if ( $_SESSION['admin']['prioritet'] == '9' &&(!isset($_SESSION['dok_zag']) || isset($_GET['izMenija'])) ) {       
        include('./dokumenti/puniSesZag9Init.php');  
        if (isset($greska)) {
           include 'view/header.php'; 
           include('dokumenti/view_zag_svih_dok.php');
           include ('view/footer.php');
            break;		
        }
        if($_SESSION['dok_zag']['brojDokumenta']=='')
            include('./dokumenti/na_home_view.php');
        else
            //include('cart/index.php');        
            redirect('cart');        
        break;
    }

// 22.03.2020  if ($_SESSION['knjizenjeStavkeOdmah']=='Da' && !isset($_REQUEST['izHeadera']) && $_SESSION['admin']['prioritet']=='9' && isset($_REQUEST['vrsDo'])) {
    if ( !isset($_REQUEST['izHeadera']) && isset($_REQUEST['vrsDo'])) {
        $nezavrsen=imaNezavrsenDokument('',$_REQUEST['vrsDo']);
        if ( isset($_SESSION['ignorirajNezavrsen']) ) {
             unset($_SESSION['ignorirajNezavrsen']);
             $nezavrsen = array();
        }
        if(count($nezavrsen)>0) {
            $_POST['opSaDok']='Izmjena';
            $_POST['kodPoslovnice']=$nezavrsen[0]['proda'];
            $_POST['vrsDo']=$nezavrsen[0]['vrsDo'];
            $_POST['proIn']=$nezavrsen[0]['proIn'];
            $_POST['zapis']=$nezavrsen[0]['zapis']; 
            $_POST['brojDokumenta']=$nezavrsen[0]['broDo'];
            $_POST['verzi']=$nezavrsen[0]['verzi'];
            $_POST['DVO']='';
                $_POST['zavrsen'] = 'Ne';
            if(isset($_SESSION['cart']))
                unset($_SESSION['cart']);
            include('dokumenti/prihvat_kontrola_dok_zag.php');    
            if ($greska == NULL) {
                $greska = 'Imate GORE NAVEDEN NEZAVRŠEN DOKUMENT. Preporuka je  ZAVRŠITI (klik na Prihvat, a nakon toga na Stavke dokumenta) ili OBRISATI navedeni dokument, a onda knjižiti sljedeći ! '
                        . '<br> ili ako baš želite knjižiti novi dokument, obaberite operaciju Unos, a nezavršeni dokument završit ćete kasnije! '
                        . '<br> ili ako želite prikazati neki drugi postojeći dokument odaberite operaciju Prikaz, slično za Ispis odabrati Ispis i.t.d.  ';
            }
        }            
    }   
    $pozvan_iz_index_view_zag_svih_dok = true;
    include 'view/header.php'; 
    include('dokumenti/view_zag_svih_dok.php');
    include ('view/footer.php');
    break;	
case 'uzmi_zag_dok':
    //prihvat eventualno izmjenjene poslovnice i podataka zaglavlja
    //ako se promjeni poslovnica poništi se i cart
    //prihvat i punjenje specifičnih podataka za zaglavlje dokumenta
    
    // ako je stara operacija = Izmjena (u sesiji) a nova Unos ne želi se mjenjati dokument (završen ili nezavršen)    
    if ( isset($_SESSION['dok_zag']['opSaDok']) && $_SESSION['dok_zag']['opSaDok'] == 'Izmjena' && $_SESSION['admin']['prioritet'] != 9 ) {
         if ( isset($_POST['opSaDok']) && $_POST['opSaDok'] == 'Unos' ) {       
             clear_cart(); 
             $url = $app_path.'/?action=view_zag_svih_dok&vrsDo=' . $_SESSION['dok_zag']['vrsDo'];
             $_SESSION['ignorirajNezavrsen'] = 'Da';
             redirect($url);
         }
    }
    
    if(!isset($_POST['opSaDok']))
        $_POST['opSaDok']='Prikaz';
    
    if($_POST['opSaDok']=='Pregled') {
        $vrsDo=$_POST['vrsDo'];
        $kodPoslovnice=$_POST['kodPoslovnice'];
        $naslovStranice='Pregled dokumenata';
        include 'view/header.php'; 
        include('dokumenti/view_zag_pregledi_dokumenata.php');
        include ('view/footer.php');
        break;
    }
    
    include('dokumenti/prihvat_kontrola_dok_zag.php');
    $vrstaDokSlog=get_vrsta_dokumenta($vrsDo);
    if(is_array($vrstaDokSlog))
        $naslovStranice=$vrstaDokSlog['nazivDokumenta'];
   
    if (isset($greska)) {
        include 'view/header.php'; 
        include('dokumenti/view_zag_svih_dok.php');
        include ('view/footer.php');
    break;		
    }
//nema greške, prihvaćen je i poslovni partner kodPartnera ako treba
    if (isset($_SESSION['potvrditiBrisanje'])) {
     //  $headerNavigacijaNe = true; 
        include 'view/header.php'; 
        include('dokumenti/view_zag_svih_dok.php');
        include ('view/footer.php');
        break;		
    }
    if ($opSaDok == 'Prikaz') {
        include 'view/header.php'; 
        $greska = 'Dokument postoji, zaglavlje dokumenta je prikazano.';     
        include('dokumenti/view_zag_svih_dok.php');
        include ('view/footer.php');
        break;		
    }
    if ($opSaDok == 'Izmjena') {
        include 'view/header.php'; 
        $greska = 'Dokument postoji. Izvršiti eventualno potrebne izmjene zaglavlja i stavaka.' ;
        if(isset($greskaZakljucan))
            $greska.=$greskaZakljucan;
                  //. '</br>' . ' Ukoliko ne želite provesti izmjene, kliknite npr. na link Zaglavlje dokumenta ili Stavke dokumenta.' ;  
        //$_SESSION['dok_zag_stari'] = $dok_zag;
        $gumbIzmjene= true; 
        include('dokumenti/view_zag_svih_dok.php');
        include ('view/footer.php');
        break;		
    }
    if ($opSaDok == 'Kopiranje') {
        include 'view/header.php'; 
        include('dokumenti/view_zag_svih_dok.php');
        include ('view/footer.php');
        break;		
    }
  
    if ($opSaDok == 'Ispis') {
        if (isset($_GET['vrsDo'])) {
            $vrsDo = $_GET['vrsDo'];
            $vrsDo = str_pad($vrsDo,2);
        }              
        if (trim($vrsDo)=='8')
        {
            $posl = $_POST['kodPoslovnice'];         
            include'cart/ispis.php';
            $ispisi = new Ispisi();
            $daliHTML = true;
            $ispisi->ispis_paragonca($posl, $vrsDo, '     ', 
            $_SESSION['dok_zag']['zapis'], 
            $_SESSION['dok_zag']['brojDokumenta'], 
            $_SESSION['dok_zag']['verzi'], false, $daliHTML);
            if ($daliHTML)
                 break;
            include 'view/header.php'; 
            $greska = 'Dokument postoji, Dokument je ispisan.';     
            include('dokumenti/view_zag_svih_dok.php');
            include ('view/footer.php');
        } else {
            //nisu paragonci    
            $proda = $_POST['kodPoslovnice'];
            $firma = get_poslovnica(0);
            $poslovnica = get_poslovnica($proda);
            $partner = get_partner($_SESSION['dok_zag']['kodPartnera']);
            if (empty($partner)) {
                $partner['nazivPartnera'] = '';
            }
            $partner['nazivPartnera'] = str_replace('!', ' ', $partner['nazivPartnera']);
            if (trim($vrsDo) == '6')
                $poslovnicaKupac = get_poslovnica($_SESSION['dok_zag']['kodPartnera']);
            $broDo = $_SESSION['dok_zag']['brojDokumenta'];
            $zaglavlje = get_dok_zag($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi);
            $stavke =  get_dok_stavke($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi);
            $zbroj =  zbroj_po_dok($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi);
            $poStopama =  razrada_po_stopi($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi);
            $prodavac = get_admin_by_email($zaglavlje['tkoJeIzmjenio']);
            include ('./dokumenti/pisi_dok.php');  
        }   
        break;
    }  

    //ide se na UNOS stavki nakon prihvata zaglavlja
    if (!isset($_SESSION['dok_zag']['komentar'])) {
        $_SESSION['dok_zag']['komentar'] = '';
    }
    if (!empty($_SESSION['cart'])) {
        // redirect('./cart/');
      //  var_dump($_SESSION['cart']);
       //ovo gore na stvarnom webu baca van ? pa je donja linija ubačena
      include('./dokumenti/na_home_view.php');
    } else {
       
      include('./dokumenti/na_home_view.php');
            //na početnu stranicu home_view   
    }
    break;


case 'view_zag_stanja_cjenik':
     //inicijalna punjenja poziv iz robnog menija  
    include('dokumenti/kontrola_poslovnice_init.php'); 	 
    $poslovnice = get_poslovnice();
    $_REQUEST['odabranaPoslovnicaCjenik']='';
    $_REQUEST['rijec']='';
    $_REQUEST['kojaStanja']='';
    $_REQUEST['vrstaProdaje']='';
    unset($pretragaHeaderNe);
    //include 'view/header.php'; 
    //include 'view/sidebar.php'; 
    include('dokumenti/view_zag_stanja_cjenik.php');
    //include ('view/footer.php');
    break;	

case 'pocetna_stranica':
  //  echo 'Dolazim na početnu stranicu u index.php';
 /*  require_once('./model/product_db.php');
    require_once('./model/posebna_ponuda_db.php');
    require_once('./model/razne_db.php');
    if (isset($_POST['gumbPosebnaNovosti'])) {
        if($_SESSION['posebnaNovosti'] == 'P') $_SESSION['posebnaNovosti'] = 'N'; else $_SESSION['posebnaNovosti'] = 'P';
    }
    $pozvanIz = 'home_view';
    $product_ids = get_posebne_ponude($pozvanIz);   
    if (!isset($_SESSION['odabranaPoslovnica']) ) {
            include('dokumenti/kontrola_poslovnice_init.php');     
            $_REQUEST['odabranaPoslovnicaCjenik'] =  $poslovnica[0];
            $poslovnica_ =  $poslovnica[0];
    } else {
            $poslovnica_ = $_SESSION['odabranaPoslovnica'];
    } 
    $robe = array();
    foreach ($product_ids as $pos_stavka) {
        $kodRobe = $pos_stavka['kodRobe'];         
        $roba = get_product($poslovnica_,$kodRobe);        
       //ako je odabrana prodavaonica razlićita od 0 onda prikazuje samo robu koja je na tom skladištu
//(ako postoji bilo kakav slog te robe u stanja(0,- ili >0)
//ako je 0 poslovnica onda svu robu iz maticna_robe koja je u posebnoj ponudi        
	if ($roba['cijena'] > 0) {
            $robe[] = $roba;   // add product to array
	}
    } 
    include('home_view.php'); */
    
    include('./dokumenti/na_home_view.php');
    break;		
case 'pretraga':
 //po rijeci
//      $poziv_iz_home_view = "D" 
    $poziv_iz_robno_home = "D"; 
    include('./razno/pretraga.php'); 
    include('./catalog/category_view.php'); 
    break;	
case 'moze_brisati':
    $proda = $_SESSION['odabranaPoslovnica'];
    $vrsDo = $_SESSION['dok_zag']['vrsDo'];
    $proIn = $_SESSION['dok_zag']['proIn'];
    $zapis = $_SESSION['dok_zag']['zapis'];
    $broDo = $_SESSION['dok_zag']['brojDokumenta'];
    $verzi = $_SESSION['dok_zag']['verzi'];

// provjera da li se dokument može stvarno brisati.
        $mozeBrisat = 'Da';
        $dok_zag = get_dok_zag($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi);
        
        if (empty($dok_zag)) {
           $mozeBrisat = 'Ne';
           $greska = 'Dokument ' . str_pad($proda,6) . $vrsDo . $proIn . $zapis . $broDo . $verzi . ' za brisanje NE POSTOJI ! '; 
        }
        if ($dok_zag['datumZakljucavanja'] != NULL) {
           $mozeBrisat = 'Ne';
           $greska = 'Dokument ' . str_pad($proda,6) . $vrsDo . $proIn . $zapis . $broDo . $verzi . ' je ZAKLJUČAN i ne može se brisati ! ';
        }
       if ($dok_zag['zastitniKod'] != NULL) {
          $mozeBrisat = 'Ne';
          $greska = 'Dokument ' . str_pad($proda,6) . $vrsDo . $proIn . $zapis . $broDo . $verzi . ' je FISKALIZIRAN i ne može se brisati ! ';
       }
    
       if ($mozeBrisat == 'Da') {
        delete_rate_kartice($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi); 
        delete_dok_stavke($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi); 
        delete_dok_zag($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi);
        //treba ugraditi azuriranje stanja za brisanje u okviru delete_dok_stavke        
        //ako ovi delete ne izbace grešku, znači da je brisanje u redu
        //treba ažuriranje stanja pozvat
        $greska = 'Dokument ' . str_pad($proda,6) . $vrsDo . $proIn . $zapis . $broDo . $verzi . ' je UREDNO OBRISAN. '; 
        // if(trim($vrsDo)=='8') {
            $opSaDok = 'Unos';
            $broDo = 0;
            clear_cart();
        // }
       }   
        
        $vrstaDokSlog=get_vrsta_dokumenta($vrsDo);
        
    if($_SESSION['admin']['prioritet'] == '9') {       
        include('dokumenti/kontrola_poslovnice_init.php');  
        include('./dokumenti/puniSesZag9Init.php');  
        if (isset($greska)) {
           include 'view/header.php'; 
           include('dokumenti/view_zag_svih_dok.php');
           include ('view/footer.php');
            break;		
        }
        include('./dokumenti/na_home_view.php');
        //redirect('cart');        
        break;
    }
        
        if(is_array($vrstaDokSlog))
            $naslovStranice=$vrstaDokSlog['nazivDokumenta'];
        include('dokumenti/kontrola_poslovnice_init.php');
        include 'view/header.php'; 
        include('dokumenti/view_zag_svih_dok.php');
        include ('view/footer.php');
        break;
case 'otkazati_brisanje':
    $vrsDo = $_SESSION['dok_zag']['vrsDo'];
    $vrstaDokSlog=get_vrsta_dokumenta($vrsDo);
    if(is_array($vrstaDokSlog))
        $naslovStranice=$vrstaDokSlog['nazivDokumenta'];
    include('dokumenti/kontrola_poslovnice_init.php');
    include 'view/header.php'; 
    include('dokumenti/view_zag_svih_dok.php');
    include ('view/footer.php');
    break;
case 'izmjena_dok_zag':
	//KONTROLE TREBA
	//brisanje zaglavlja dok_zag
	//dodavanje novog sloga u dok_zag
	//i ako se promjenio DVO update dok_stavke sa novim DVO
    if (!isset($_SESSION['dok_zag']['izmjena_dok_zag_izbor_partner'])) {
        $izmjenaPrihvat = true;
        $vrsDo = $_SESSION['dok_zag']['vrsDo'];		
        include('dokumenti/prihvat_kontrola_dok_zag.php');
        $vrstaDokSlog=get_vrsta_dokumenta($vrsDo);
        if(is_array($vrstaDokSlog))
            $naslovStranice=$vrstaDokSlog['nazivDokumenta'];
	if (isset($greska)) {
            $gumbIzmjene= true; 
	    include 'view/header.php'; 
	    include('dokumenti/view_zag_svih_dok.php');
	    include ('view/footer.php');
            break;		
	}
    } else {
      unset($_SESSION['dok_zag']['izmjena_dok_zag_izbor_partner']);
      
    }  
    $proda = $_SESSION['odabranaPoslovnica'];
    $vrsDo = $_SESSION['dok_zag']['vrsDo'];
    $proIn = $_SESSION['dok_zag']['proIn'];
    $zapis = $_SESSION['dok_zag']['zapis'];
    $broDo = $_SESSION['dok_zag']['brojDokumenta'];
    $verzi = $_SESSION['dok_zag']['verzi'];
    /*
    delete_dok_zag($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi);
    echo 'U index robno dolazim na add-dok-zag'; 	
    $rowCount = add_dok_zag();
    if ($rowCount != 1) {
        echo "<p>Neuspio upis u dok_zag, rowCount = $rowCount </p>";
        echo "<p>Greška dokument nije proknjižen u dok_zag, a obrisan je
        home index !!!</p>";  
        break;  		 
    }
    if ($_SESSION['dok_zag']['DVO'] != $_SESSION['dok_zag']['DVOstari']) {
       $brojAzuriranih = update_dok_stavke_DVO();
       //ako nije uspio update ?
       //  echo 'Broj azuriranih=' . $brojAzuriranih;
    }
     * 
     */

    update_dok_zag();
    $greska = 'Zaglavlje dokumenta ' . str_pad($proda,6) . $vrsDo . $proIn
            . $zapis . $broDo . $verzi . ' je uredno izmjenjeno. ';   
    include('dokumenti/kontrola_poslovnice_init.php');
    $vrstaDokSlog=get_vrsta_dokumenta($vrsDo);
    if(is_array($vrstaDokSlog))
        $naslovStranice=$vrstaDokSlog['nazivDokumenta'];
    include 'view/header.php'; 
    include('dokumenti/view_zag_svih_dok.php');
    include ('view/footer.php');
    break;
case 'view_zag_pregledi_dokumenata':	
    include('dokumenti/kontrola_poslovnice_init.php');
    $naslovStranice='Pregled dokumenata';
    include 'view/header.php'; 
    $poslovnice = get_poslovnice();
    $vrsteDokumenata = get_vrste_dokumenata();
    include('dokumenti/view_zag_pregledi_dokumenata.php');
    include ('view/footer.php');
    break; 
case 'uzmi_zag_pregledi_dokumenata':	
     include('dokumenti/prihvat_kontrola_pregledi_dokumenata.php');
    $vrstaDokSlog=get_vrsta_dokumenta($vrsDo);
    if(is_array($vrstaDokSlog))
        $naslovStranice=$vrstaDokSlog['nazivDokumenta'];
     if (isset($greska)) {
	include 'view/header.php'; 
	$poslovnice = get_poslovnice();
        $vrsteDokumenata = get_vrste_dokumenata();
	include('dokumenti/view_zag_pregledi_dokumenata.php');
	include ('view/footer.php');
	break;		
     }
    
 //  echo 'nema greške';
    
     $dok_zags = get_pregledi_dokumenata($kodPoslovnice,$vrsDo,$zapis,$verzi,$DVOod,
                $DVOdo,$valutaOd,$valutaDo,$partner,$nacinPlacanja,$PDVstatus,
                $brojNarudzbe,$vrstaOperatera,$refProd,$samoKartice,$cijeliDokIliRU,$kreiraRaster,
                $knjigovodstvenoKnjizenje,$zakljucavanje,$poFiskalizaciji,$zemljaPartnera,
                $zavrseniDokumenti, $pokrajina);
    
    if (!empty($dok_zags)) {
        $imaNemaDok = 'Ima';
     } else {
        $imaNemaDok = 'Nema'; 
     }    
    //vraća sve relevantne dokumente sa svim zbrojnim iznosima po pojedinom 
    //dokumentu
     include 'view/header.php'; 
     $poslovnice = get_poslovnice();
     $vrsteDokumenata = get_vrste_dokumenata();
     include('dokumenti/view_zag_pregledi_dokumenata.php');
     include ('view/footer.php');
    break;

//  
// ---------- robne grupe  
case 'view_robne_grupe':
    $naslovStranice='Robne grupe';
    $pretraga_partner_header = false; 
    include 'view/header.php'; 
    include('dokumenti/view_robne_grupe.php');
    include ('view/footer.php');
    break;  
case 'izabran_je_kodGrupe':
    $opSaDok='Prikaz';
    $kodGrupe=$_GET['kodGrupe'];
    $grupa = get_category($kodGrupe);
    include './dokumenti/grupeIzBazeNaEkran.php';
    $greska = 'Robna grupa postoji i prikazana je.';     

    $naslovStranice='Robne grupe';
    include 'view/header.php'; 
    include('dokumenti/view_robne_grupe.php');
    include ('view/footer.php');
    break;		
case 'uzmi_robne_grupe':	
     $opSaDok = $_POST['opSaDok'];
     $naslovStranice='Robne grupe';
     if ($opSaDok == 'Pregled') {
        $grupe=  get_categories();
        include 'view/header.php'; 
        include ('dokumenti/view_pregled_grupa.php');
        include ('view/footer.php');
        break;
     }
     include('dokumenti/prihvat_kontrola_grupe.php');

     if (isset($greska)) {
	include 'view/header.php'; 
	include('dokumenti/view_robne_grupe.php');
	include ('view/footer.php');
	break;		
     }    
    if ($opSaDok == 'Prikaz') {
        $grupa = get_category($kodGrupe);
        include './dokumenti/grupeIzBazeNaEkran.php';
	$greska = 'Robna grupa postoji i prikazana je.';     

        include 'view/header.php'; 
	include('dokumenti/view_robne_grupe.php');
	include ('view/footer.php');
	break;		
    }
    if ($opSaDok == 'Unos') {
        add_category($kodGrupe, $nazivGrupe,$vidljivaZaTrgovineP678,$prikazRobeSaCijenama,$kojaStanja,$prikazKoloneStanja);
         
        $greska = 'Robna grupa je upisana.'; 

	include 'view/header.php'; 
        include('dokumenti/view_robne_grupe.php');
	include ('view/footer.php');
	break;		
    }
    if (isset($trebaPotvrditiBrisanjeGrupe)) {
	//  $headerNavigacijaNe = true; 
	include 'view/header.php'; 
        $grupa = get_category($kodGrupe);
        include './dokumenti/grupeIzBazeNaEkran.php';
	include('dokumenti/view_robne_grupe.php');
	include ('view/footer.php');
	break;		
    }
    if ($opSaDok == 'Izmjena') {
	include 'view/header.php'; 
        $grupa = get_category($kodGrupe);
        include './dokumenti/grupeIzBazeNaEkran.php';
	$greska = 'Robna grupa postoji i prikazana je.
	 Izvršiti eventualno potrebne izmjene.' ;  
         
	 $trebaPotvrditiIzmjenaGrupe = true; 
         include('dokumenti/view_robne_grupe.php');
	 include ('view/footer.php');
         break;		
    }

    redirect('.');
    break;   
case 'prihvat_izmjena_grupe':
    $naslovStranice='Robne grupe';
    $trebaPotvrditiIzmjenaGrupe = true;
    include('dokumenti/prihvat_kontrola_grupe.php');
    //$pretraga_partner_header = false; //da se u header.php prikaže pretraga  
     if (isset($greska)) {
	include 'view/header.php'; 
	include('dokumenti/view_robne_grupe.php');
	include ('view/footer.php');
	break;		
    }
     //   nema greške
    $trebaPotvrditiIzmjenaGrupe = NULL;
    //--------------------Izmjena poslovnog partnera-----------------------------       
   $valid = update_category($kodGrupe, $nazivGrupe,$vidljivaZaTrgovineP678,$prikazRobeSaCijenama,$kojaStanja,$prikazKoloneStanja);
 //-----------------------------------------------------------------------------  
    $greska = 'Robna grupa ' . $kodGrupe . ' je uredno izmjenjena.';   
    include 'view/header.php'; 
    include('dokumenti/view_robne_grupe.php');
    include ('view/footer.php');
    break;
case 'otkazati_izmjena_grupe':
    $naslovStranice='Robne grupe';
    include 'view/header.php'; 

    $kodGrupe= $_POST['kodGrupe'];
    $grupa = get_category($kodGrupe);
    include './dokumenti/grupeIzBazeNaEkran.php'; 
    include('dokumenti/view_robne_grupe.php');
    include ('view/footer.php');
    break;  
case 'prihvat_brisanje_grupe':
    $naslovStranice='Robne grupe';
    $kodGrupe = $_POST['kodGrupe'];
    delete_category($kodGrupe);
    $greska = 'Robna grupa ' . $kodGrupe. ' je uredno obrisana.'; 
    include 'view/header.php'; 
    include('dokumenti/view_robne_grupe.php');
    include ('view/footer.php');
    break;
case 'otkazati_brisanje_grupe':
    $naslovStranice='Robne grupe';
    include 'view/header.php'; 
    $kodGrupe= $_POST['kodGrupe'];
    $grupa = get_category($kodGrupe);
    include './dokumenti/grupeIzBazeNaEkran.php'; 
    include('dokumenti/view_robne_grupe.php');
    include ('view/footer.php');
    break;       
// ----------- robne grupe kraj
//  
// ---------- v_k_c  
case 'view_v_k_c':
    $naslovStranice='Kreditne kartice';
    include 'view/header.php'; 
    include('dokumenti/view_v_k_c.php');
    include ('view/footer.php');
    break;  
case 'izabran_je_kod_v_k_c':
    $naslovStranice='Kreditne kartice';
    $opSaDok='Prikaz';
    $vrsKart=$_GET['vrsKart'];
    $vkc = get_v_k_c_jedan($vrsKart);
    include './dokumenti/v_k_cIzBazeNaEkran.php';
    $greska = 'Kartica postoji i prikazana je.';     

    include 'view/header.php'; 
    include('dokumenti/view_v_k_c.php');
    include ('view/footer.php');
    break;		
case 'uzmi_vkc':	
    $naslovStranice='Kreditne kartice';
    $opSaDok = $_POST['opSaDok'];
    if ($opSaDok == 'Pregled') {
        $vkcji= get_v_k_c();
        include 'view/header.php'; 
        include ('dokumenti/view_pregled_v_k_c.php');
        include ('view/footer.php');
        break;
     }
     
     include('dokumenti/prihvat_kontrola_v_k_c.php');

     if (isset($greska)) {
	include 'view/header.php'; 
	include('dokumenti/view_v_k_c.php');
	include ('view/footer.php');
	break;		
     }    
    if ($opSaDok == 'Prikaz') {
        $vkc = get_v_k_c_jedan($vrsKart);
        include './dokumenti/v_k_cIzBazeNaEkran.php';
	$greska = 'Kartica postoji i prikazana je.';     

        include 'view/header.php'; 
	include('dokumenti/view_v_k_c.php');
	include ('view/footer.php');
	break;		
    }
    if ($opSaDok == 'Unos') {
        add_v_k_c($vrsKart, $nazivKarticeCeka);
         
        $greska = 'Kartica je upisana.'; 

	include 'view/header.php'; 
        include('dokumenti/view_v_k_c.php');
	include ('view/footer.php');
	break;		
    }
    if (isset($trebaPotvrditiBrisanjeVKC)) {
	//  $headerNavigacijaNe = true; 
        $vkc = get_v_k_c_jedan($vrsKart);
        include './dokumenti/v_k_cIzBazeNaEkran.php';

        include 'view/header.php'; 
	include('dokumenti/view_v_k_c.php');
	include ('view/footer.php');
	break;		
    }
    if ($opSaDok == 'Izmjena') {
        $vkc = get_v_k_c_jedan($vrsKart);
        include './dokumenti/v_k_cIzBazeNaEkran.php';
	$greska = 'Kartica postoji i prikazana je.
	 Izvršiti eventualno potrebne izmjene.' ;           
	 $trebaPotvrditiIzmjenaVKC= true; 

         include 'view/header.php'; 
         include('dokumenti/view_v_k_c.php');
	 include ('view/footer.php');
    break;		
    }

    redirect('.');
    break;   
case 'prihvat_izmjena_vkc':
    $naslovStranice='Kreditne kartice';
    $trebaPotvrditiIzmjenaVKC = true;
    include('dokumenti/prihvat_kontrola_v_k_c.php');
    //$pretraga_partner_header = false; //da se u header.php prikaže pretraga  
     if (isset($greska)) {
	include 'view/header.php'; 
	include('dokumenti/view_v_k_c.php');
	include ('view/footer.php');
	break;		
    }
     //   nema greške
    $trebaPotvrditiIzmjenaVKC = NULL;
    $valid = update_v_k_c($vrsKart, $nazivKarticeCeka);
 //-----------------------------------------------------------------------------  
    $greska = 'Kartica ' . $vrsKart . ' je uredno izmjenjena.';   

    include 'view/header.php'; 
    include('dokumenti/view_v_k_c.php');
    include ('view/footer.php');
    break;
case 'otkazati_izmjena_vkc':
case 'otkazati_brisanje_vkc':
    $naslovStranice='Kreditne kartice';

    $vrsKart= $_POST['vrsKart'];
    $vkc = get_v_k_c_jedan($vrsKart);
    include './dokumenti/v_k_cIzBazeNaEkran.php'; 

    include 'view/header.php'; 
    include('dokumenti/view_v_k_c.php');
    include ('view/footer.php');
    break;  
case 'prihvat_brisanje_vkc':
    $naslovStranice='Kreditne kartice';
    $vrsKart = $_POST['vrsKart'];
    delete_v_k_c($vrsKart);
    $greska = 'Kartica ' . $vrsKart. ' je uredno obrisana.'; 

    include 'view/header.php'; 
    include('dokumenti/view_v_k_c.php');
    include ('view/footer.php');
    break;
//-------------------------------------

// ---------- Matična robe   
case 'view_maticna_robe':
    include('dokumenti/view_maticna_robe.php');
    break;  

case 'izabran_je_kod_robe':
    $opSaDok='Prikaz';
    $kodRobe=$_GET['kodRobe'];
    $artikl = get_product_maticna_robe($kodRobe);
    include './dokumenti/robaIzBazeNaEkran.php';
    $greska = 'Roba postoji i prikazana je.'; 
    include('dokumenti/view_maticna_robe.php');
    break;	
case 'izmjena_cijena_robe':
    if($_POST['mijenjaSe']=='c')
        $izmjenjeno=izmjenaCijenaRobe((int)$_POST['brojSlogova']);
    if ($_POST['mijenjaSe']=='p')
        $izmjenjeno=izmjenaPopusta((int)$_POST['brojSlogova']);
    if ($_POST['mijenjaSe']=='t') {
        $greske=array();
        $izmjenjeno=izmjenaTarifnogBroja((int)$_POST['brojSlogova'], $greske);
    }
    if ($_POST['mijenjaSe']=='v')
        $izmjenjeno=izmjenaVrsteArtikla((int)$_POST['brojSlogova']);
    if ($_POST['mijenjaSe']=='a')
        $izmjenjeno=izmjenaAktivnosti((int)$_POST['brojSlogova']);
    if ($_POST['mijenjaSe']=='zp') {
        $greske=array(); 
       $izmjenjeno=izmjenaZemljePorijekla((int)$_POST['brojSlogova'], $greske);
    }   
    if ($_POST['mijenjaSe']=='g') {
       $greske=array(); 
       $izmjenjeno=izmjenaRobneGrupe((int)$_POST['brojSlogova'], $greske);
    }   
    if ($_POST['mijenjaSe']=='vr') {
       $greske=array(); 
       $izmjenjeno=izmjenaVelicineRame((int)$_POST['brojSlogova'], $greske);
    }   
    if ($_POST['mijenjaSe']=='g2') {
       $greske=array(); 
       $izmjenjeno=izmjenaRobneGrupe2((int)$_POST['brojSlogova'], $greske);
    }   
    if ($_POST['mijenjaSe']=='vk') {
       $greske=array(); 
       $izmjenjeno=  izmjenaVelicineKotaca((int)$_POST['brojSlogova'], $greske);
    }   
    if ($_POST['mijenjaSe']=='sb') {
       $greske=array(); 
       $izmjenjeno=izmjenaSpolaBicikla((int)$_POST['brojSlogova'], $greske);
    }   
    if ($_POST['mijenjaSe']=='b') {
       $greske=array(); 
       $izmjenjeno=izmjenaBranda((int)$_POST['brojSlogova'], $greske);
    }   
    if ($_POST['mijenjaSe']=='oz') {
       $greske=array(); 
       $izmjenjeno=izmjenaPrOznaka((int)$_POST['brojSlogova'], $greske);
    }   
    if ($_POST['mijenjaSe']=='bt') {
       $greske=array(); 
       $izmjenjeno= izmjenaBrutoTezine((int)$_POST['brojSlogova'], $greske);
    }   
    if ($_POST['mijenjaSe']=='br')
        $izmjenjeno= izmjenaBrojaBrzina((int)$_POST['brojSlogova']);
    if ($izmjenjeno>0)
        $greska='Izmjenjeno slogova:'.$izmjenjeno;
case 'uzmi_robu':	
    $opSaDok = $_REQUEST['opSaDok'];
    if ($opSaDok == 'Pregled') {
        //$roba= get_maticna_robe();
        if (isset($_POST['kodGrupe']) && isset($_POST['prDioNaziva'])) {
             $prKodGrupe  = $_POST['kodGrupe'];
             $prDioNaziva = $_POST['prDioNaziva'];
//                if (trim($prKodGrupe)=='' && strlen($prDioNaziva)<2)
//                    $greska = 'Potrebno je unijeti grupu ili dio naziva od najmanje dva slova !';
//                else {
//                    //unset($greska);
//                    $robaZaprikaz =  get_products_pregled($prDioNaziva, $prKodGrupe);
//                }
        }
        elseif (isset($_POST['kodGrupe'])) {
            $prKodGrupe  = $_POST['kodGrupe'];
        }
        include 'view/header.php'; 
        include_once 'dokumenti/view_pregled_robe.php';
        include ('view/footer.php');
        exit;
        //break;
     }
     include('dokumenti/prihvat_kontrola_robe.php');
     if (isset($greska)) {
	include('dokumenti/view_maticna_robe.php');
	break;		
     }
     
    //   nema greške
    if ($opSaDok == 'Unos') {
        add_maticna_robe($kodRobe, $nazivRobe,  $kodGrupe, $jedinicaMjere, $poreznaGrupa, $cijena, $popust, $EANkod,
                        $minZaliha, $brutoTezina, $netoTezina, $povratnaNaknada, $zemljaPorijeklaPr, $kodUvoznika, $kodDistributera,
                        $sklopPoKatalogu, $stavkaSklopa, $kodProizvodjaca, $robaUsluga, $prikazStanja, $opis, $proOzRobe,
                        $tarifniBroj, $vrstaArtikla,$kraciNaziv,$preporucenaMPC,$kodGrupe2,$velicinaRame,$velicinaKotaca,
                        $spol,$brand,$aktivan,$sadrzajPakiranja,$jedinicaMjerePakiranja, $brojBrzina);
 //-----------------------------------------------------------------------------       
	$greska = 'Roba je upisana pod kodom ' . $kodRobe; 

        include('dokumenti/view_maticna_robe.php');
	break;		
    }
    if (isset($trebaPotvrditiBrisanjeRobe)) {
        $artikl = get_product_maticna_robe($kodRobe);
        include './dokumenti/robaIzBazeNaEkran.php';

	include('dokumenti/view_maticna_robe.php');
	break;		
    }

    if ($opSaDok == 'Prikaz' || $opSaDok == 'Izmjena') {
        $artikl = get_product_maticna_robe($kodRobe);
        include './dokumenti/robaIzBazeNaEkran.php';
        if ($opSaDok == 'Izmjena') {
            $greska = 'Roba postoji i prikazana je. Izvršiti eventualno potrebne izmjene.' ;  
            $trebaPotvrditiIzmjenaRobe = true; 
        }
        else    
        $greska = 'Roba postoji i prikazana je.'; 
        $kodGrupe =  $artikl['kodGrupe']; 
        $grupa = get_category($kodGrupe);
        if (empty($grupa)) {
            //bez iner i outer joina jer iner join upoće ne nalazi
            //robu koja nema robnu grupu a outer za grupu stavlja prazno
            //iako je u maticna_robe popunjena grupa(nepostojeća)
            $artikl = get_product_maticna_robe2($kodRobe);
            $kodGrupe =  $artikl['kodGrupe'];
            $greska = 'Nepostojeća robna grupa ! ' . $kodGrupe . ' za kod robe ' . $kodRobe
            . ' Izmjeniti robnu grupu na kodu robe ili prijaviti novu grupu!' ;
        }    
	include('dokumenti/view_maticna_robe.php');
	break;		
    }
 
    redirect('.');
    break;   
case 'prihvat_izmjena_robe':
    $trebaPotvrditiIzmjenaRobe = true;
    include('dokumenti/prihvat_kontrola_robe.php');
    
     if (isset($greska)) {
	include('dokumenti/view_maticna_robe.php');
	break;		
    }
    $trebaPotvrditiIzmjenaRobe= NULL;
    $valid = update_maticna_robe($kodRobe, $nazivRobe, $kodGrupe, $jedinicaMjere, $poreznaGrupa, $cijena, 
            $popust, $EANkod, $minZaliha, $brutoTezina, $netoTezina, $povratnaNaknada, $zemljaPorijeklaPr, $kodUvoznika, $kodDistributera, 
            $sklopPoKatalogu, $stavkaSklopa, $kodProizvodjaca, $robaUsluga, $prikazStanja, $opis, $proOzRobe,
            $tarifniBroj, $vrstaArtikla,$kraciNaziv,$preporucenaMPC,$kodGrupe2,$velicinaRame,$velicinaKotaca,$spol,$brand,$aktivan,
            $sadrzajPakiranja,$jedinicaMjerePakiranja,$brojBrzina);
 //-----------------------------------------------------------------------------  
    $greska = 'Roba ' . $kodRobe . ' je uredno izmjenjena.';   

    include('dokumenti/view_maticna_robe.php');
    break;
case 'otkazati_izmjena_robe':
case 'otkazati_brisanje_robe':
    $kodRobe= $_POST['kodRobe'];
    $artikl = get_product_maticna_robe($kodRobe);
    include './dokumenti/robaIzBazeNaEkran.php'; 

    include('dokumenti/view_maticna_robe.php');
    break;  
case 'prihvat_brisanje_robe':
   $kodRobe= $_POST['kodRobe'];
   $robePoDok = roba_po_dokumentima($kodRobe);
   if (!empty($robePoDok)) {
       $greska = 'Navedeni kod robe se ne može obrisati jer se roba nalazi na sljedećim dokumentima !' . '</br>';
       foreach ($robePoDok as $roba) {
         $greska .= $roba['proda'] . ' ' . $roba['vrsDo'] . ' '  . $roba['proIn'] . ' '  . $roba['zapis'] . ' '  . $roba['broDo'] . ' '  . $roba['verzi'] . ', ';  
       }     
   } else {              
     delete_product($kodRobe);
     $greska = 'Roba ' . $kodRobe. ' je uredno obrisana.'; 
   }
    include('dokumenti/view_maticna_robe.php');
    break;
case 'upload_image':
    if(!isset($_SESSION['direktorijSlika']))
        postavi_direktiorijSlika();    
    $kodRobe_file = $_POST['kodRobe_file'];
//   u $kodRobe_file sleš / je zamjenjen sa _
    $image_filename = $kodRobe_file . '.png';   
    $image_dir = $doc_root . $app_path . '../product_images/' . $_SESSION['direktorijSlika'] . '/';
//     echo '$doc_root=' . $doc_root . '$app_path=' . $app_path . '$imaqe_dir=' . $image_dir;
    if (isset($_FILES['file1'])) {
        $source = $_FILES['file1']['tmp_name'];
        $target = $image_dir . DIRECTORY_SEPARATOR . $image_filename;

        // save uploaded file with correct filename
        move_uploaded_file($source, $target);
        // add code that creates the medium and small versions of the image
        require_once('./util/images.php');
        process_image($image_dir, $image_filename);
        unlink($target);
        // display product with new image
        include('dokumenti/view_maticna_robe.php');
    }
    break;
//----------- Matična robe kraj 
    
//--------- rekapitulacija   
 case 'view_rekapitular':	
    $naslovStranice='Rekapitulari';
    include('dokumenti/kontrola_poslovnice_init.php');
    include 'view/header.php'; 
    $poslovnice = get_poslovnice();
//       $vrsteDokumenata = get_vrste_dokumenata();
    include('dokumenti/view_rekapitular.php');
    include ('view/footer.php');
    break; 
case 'uzmi_rekapitular':	
     $naslovStranice='Rekapitulari';
     include('dokumenti/prihvat_kontrola_rekapitular.php');
     if (isset($greska)) {
	include 'view/header.php'; 
	$poslovnice = get_poslovnice();
//        $vrsteDokumenata = get_vrste_dokumenata();
	include('dokumenti/view_rekapitular.php');
	include ('view/footer.php');
	break;		
     }
    
     $poslovnice = get_poslovnice();
 //    $vrsteDokumenata = get_vrste_dokumenata();
     include('dokumenti/obrada_rekapitulara.php');
    break;
//------- kraj rekapitulacije
  
case 'view_knjiga_popisa':	
    $naslovStranice='Knjiga popisa';
    if(isset($_REQUEST['vrsDo']))
        include('dokumenti/prihvat_kontrola_knjiga_popisa.php');
    include('dokumenti/kontrola_poslovnice_init.php');
    include 'view/header.php'; 
    $poslovnice = get_poslovnice();
//       $vrsteDokumenata = get_vrste_dokumenata();
    include('dokumenti/view_knjiga_popisa.php');
    include ('view/footer.php');
    break; 
case 'uzmi_knjiga_popisa':	
    $naslovStranice='Knjiga popisa';
  
     include('dokumenti/knjiga_popisa.php');

    break;

case 'uzmi_rekonstrukcija_stanja':	
     include('dokumenti/prihvat_kontrola_rekonstrukcija_stanja.php');
case 'view_rekonstrukcija_stanja':	
    $naslovStranice='Rekonstrukcja stanja';    
   // include('dokumenti/kontrola_poslovnice_init.php');
    include 'view/header.php'; 
    include('dokumenti/view_rekonstrukcija_stanja.php');
    include ('view/footer.php');
    break; 


//--------- kartica   
case 'uzmi_karticu':
    $greskaKodRobe = '&nbsp';
    $greskaDVOod = '&nbsp';
    $greskaDVOdo = '&nbsp';
case 'view_kartica':
    $naslovStranice='Kartica robe';
    include('dokumenti/kontrola_poslovnice_init.php');
    if(!isset($_REQUEST['dialog'])) {
        include 'view/header.php'; 
    }
    include('dokumenti/view_kartica.php');
    if(!isset($_REQUEST['dialog'])) {
        include ('view/footer.php');
    }    
    break;  
    
case 'uzmi_prometi_po_primkama':
    $greskaKodRobe = '&nbsp';
    $greskaDVOod = '&nbsp';
    $greskaDVOdo = '&nbsp';
case 'view_prometi_po_primkama':
    $naslovStranice='Prometi po primkama';
    include('dokumenti/kontrola_poslovnice_init.php');
    if(!isset($_REQUEST['dialog'])) {
        include 'view/header.php'; 
    }
    include('dokumenti/view_prometi_po_primkama.php');
    if(!isset($_REQUEST['dialog'])) {
        include ('view/footer.php');
    }    
    break;      
    
case 'uzmi_razlikeCijenaStanjaMaticna':
   
case 'view_razlikeCijenaStanjaMaticna':	
    $naslovStranice='Razlike u cijenama';
    include('dokumenti/kontrola_poslovnice_init.php');
    include 'view/header.php'; 
    $poslovnice = get_poslovnice();
    include('dokumenti/view_razlikeCijenaStanjaMaticna.php');
    include ('view/footer.php');
    break;     
//--------- promet po robi   
case 'uzmi_promet_po_robi':
    $greskaKodRobe = '&nbsp';
    $greskaDVOod = '&nbsp';
    $greskaDVOdo = '&nbsp';
case 'view_promet_po_robi':	
case 'view_promet_po_robi':	
    $naslovStranice='Promet po robi';
    include('dokumenti/kontrola_poslovnice_init.php');
    include 'view/header.php'; 
    $poslovnice = get_poslovnice();
//       $vrsteDokumenata = get_vrste_dokumenata();
    include('dokumenti/view_promet_po_robi.php');
    include ('view/footer.php');
    break; 
case 'uzmi_promet_po_robi_K2':
    $greskaKodRobe = '&nbsp';
    $greskaDVOod = '&nbsp';
    $greskaDVOdo = '&nbsp';
case 'view_promet_po_robi_K2':	
    $naslovStranice='Promet po robi';
    include('dokumenti/kontrola_poslovnice_init.php');
    include 'view/header.php'; 
    $poslovnice = get_poslovnice();
//       $vrsteDokumenata = get_vrste_dokumenata();
    include('dokumenti/view_promet_po_robi_K2.php');
    include ('view/footer.php');
    break; 
case 'view_promet_po_partneru':	
case 'uzmi_promet_po_partneru':
    $naslovStranice='Promet po partnerima';
    include('dokumenti/kontrola_poslovnice_init.php');
    include 'view/header.php'; 
    $poslovnice = get_poslovnice();
    include('dokumenti/view_promet_po_partneru.php');
    include ('view/footer.php');
    break; 
case 'view_promet_din_vozaci':	
case 'uzmi_promet_din_vozaci':
    $naslovStranice='Promet vozaci dinamic';
    include('dokumenti/kontrola_poslovnice_init.php');
    include 'view/header.php'; 
    $poslovnice = get_poslovnice();
//    echo 'index dolazim';
    include('dokumenti/view_promet_din_vozaci.php');
    include ('view/footer.php');
    break;     

//-- fiskalizacija poslovnice    
case 'fiskalizacija_poslovnice':
    $naslovStranice='Poslovnice';
    $kodPoslovnice=$_GET['kodPoslovnice'];
    $akcija=$_GET['akcija'];
    include('cart/fiskalizacija_poslovnice.php');
    $opSaDok='Prikaz';
    $poslovnica = get_poslovnica($kodPoslovnice);
    include './dokumenti/poslovniceIzBazeNaEkran.php';
    $greska = 'Uspješno izvedena '.$akcija.' pooslovnice za fiskalizaciju.';     
    include('dokumenti/view_poslovnice.php');
    break;
//----- kraj fiskalizacije poslovnice    
case 'uzmi_naljepnice':
    $greskaBrojDokumenta_ = '&nbsp'; 
case 'view_naljepnice':	
    $naslovStranice='Naljepnice';
    //include('dokumenti/kontrola_poslovnice_init.php');
    include 'view/header.php'; 
    $poslovnice = get_poslovnice();
//    $vrsteDokumenata = get_vrste_dokumenata();
    include('dokumenti/view_naljepnice.php');
    include ('view/footer.php');
    break; 
case 'ispis_naljepnica':
    $naslovStranice='Naljepnice';
 //   echo 'vrsta naljepnica=' . $_POST['vrstaNaljepnica']; exit;
    switch ($_POST['vrstaNaljepnica']) {
    case '':
        include('dokumenti/ispis_naljepnica.php');
        break;
    case 'D':
        include('dokumenti/ispis_deklaracija.php');
        break;
    case 'P':
        echo 'dolazim na case P u index';
        if($_POST['naljepniceSPopustom']=='')
            include('dokumenti/ispis_naljepnica_s_popustom.php');
        else if($_POST['naljepniceSPopustom']=='3')
            include('dokumenti/ispis_naljepnica_s_popustom_male.php');
        else
            include('dokumenti/ispis_naljepnica_s_popustom_velike.php');
        break;

    default:             
        //include('dokumenti/ispis_predef_deklaracija.php');
        include('dokumenti/ispis_predef_naljepnica.php');
        break;
    }

    /*
    if($_POST['vrstaNaljepnica']=='')
        include('dokumenti/ispis_naljepnica.php');
    else if($_POST['vrstaNaljepnica']=='D')
        include('dokumenti/ispis_deklaracija.php');
    else
        if($_POST['naljepniceSPopustom']=='')
            include('dokumenti/ispis_naljepnica_s_popustom.php');
        else if($_POST['naljepniceSPopustom']=='3')
            include('dokumenti/ispis_naljepnica_s_popustom_male.php');
        else
            include('dokumenti/ispis_naljepnica_s_popustom_velike.php');
     */
    break;

/*
case 'uzmi_rekonstrukcija_s_01042013':    
case 'view_rekonstrukcija_s_01042013':	
    include 'view/header.php'; 
    include('model/rekonstrukcija_s_01042013.php');
    include ('view/footer.php');
    break; 
 */
 //--------- zalihe   
case 'uzmi_zalihe':
    $greskaKodRobe = '&nbsp';
 //   $greskaDVOod = '&nbsp';
    $greskaDVOdo = '&nbsp';
case 'view_zalihe':	
    $naslovStranice='Zalihe';
    include('dokumenti/kontrola_poslovnice_init.php');
    include 'view/header.php'; 
    $poslovnice = get_poslovnice();
    include('dokumenti/view_zalihe.php');
    include ('view/footer.php');
    break; 
       
       
// ---------- kalkulacije
case 'kalkulacije_uzmi_iz_prometa':
    $opSaDok='Unos';
    $proda=$_GET['proda'];
    $broDo=$_GET['broDo'];
    $zapis=$_GET['zapis'];
    $verzi=$_GET['verzi'];
case 'view_kalkulacije':
    $naslovStranice='Kalkulacije';
    include 'view/header.php'; 
    include('dokumenti/view_kalkulacije.php');
    include ('view/footer.php');
    break;  
 
case 'izabrana_je_kalkulacija':
    $naslovStranice='Kalkulacije';
    $opSaDok='Prikaz';
    $vrsDo=$_GET['vrsDo'];
    $proda=$_GET['proda'];
    $broDo=$_GET['broDo'];
    $zapis=$_GET['zapis'];
    $verzi=$_GET['verzi'];

    $kalkulacija = get_kalkulaciju($proda, $vrsDo, '', $zapis, $broDo, $verzi);
    include './dokumenti/kalkulacijaIzBazeNaEkran.php';
    $greska = 'Kalkulacija postoji i prikazana je.';     

    include 'view/header.php'; 
    include('dokumenti/view_kalkulacije.php');
    include ('view/footer.php');
    break;		

case 'uzmi_sve_kalkulacije':
    $naslovStranice='Kalkulacije';
    $proda = $_POST['proda'];
    $DVOod = $_POST['DVOod'];
    $DVOdo = $_POST['DVOdo'];
    $vrstaKalkulacije = $_POST['vrstaKalkulacije'];
    $knjigovodstvenoKnjizenje = $_POST['knjigovodstvenoKnjizenje'];
    $brojTemeljnice = $_POST['brojTemeljnice'];
    if(isset($_POST['zakljucavanje']))
        $zakljucavanje = $_POST['zakljucavanje'];
    else 
        $zakljucavanje='';
    // $kalkulacije= get_kalkulacije($proda, $DVOod, $DVOdo, $vrstaKalkulacije);
    include 'view/header.php'; 
    include ('dokumenti/view_pregled_kalkulacija.php');
    include ('view/footer.php');
    break;
case 'uzmi_kalkulacije':	
    $naslovStranice='Kalkulacije';
    $opSaDok = $_POST['opSaDok'];
    if ($opSaDok == 'Pregled') {
        //$kalkulacije= get_kalkulacije();
        include 'view/header.php'; 
        include ('dokumenti/view_pregled_kalkulacija.php');
        include ('view/footer.php');
        break;
    }
     
     include('dokumenti/prihvat_kontrola_kalkulacije.php');

     if (isset($greska)) {
	include 'view/header.php'; 
	include('dokumenti/view_kalkulacije.php');
	include ('view/footer.php');
	break;		
     }    
    if ($opSaDok == 'Prikaz') {
        $kalkulacija= get_kalkulaciju($proda,  'K ', '' , $zapis, $broDo, $verzi);
        include './dokumenti/kalkulacijaIzBazeNaEkran.php';
	$greska = 'Kalkulacija postoji i prikazana je.';     

        include 'view/header.php'; 
	include('dokumenti/view_kalkulacije.php');
	include ('view/footer.php');
	break;		
    }
    if ($opSaDok == 'Ispis') {
            $firma = get_poslovnica(0);
            $poslovnica = get_poslovnica($proda);
     //       $partner = get_partner($_SESSION['dok_zag']['kodPartnera']);
    //        $broDo = $_SESSION['dok_zag']['brojDokumenta'];
            $vrsDo = '1 ';
            $proIn = '   ';
            $zaglavlje = get_dok_zag($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi);
            $_SESSION['dok_zag'] = array();
            $_SESSION['dok_zag']['vrsDo'] = '1 ';
            $partner = get_partner($zaglavlje['kodPartnera']);
            $stavke =  get_dok_stavke($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi);
            $zbroj =  zbroj_po_dok($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi);
            $poStopama =  razrada_po_stopi($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi);
            $prodavac = get_admin_by_email($zaglavlje['tkoJeIzmjenio']);
        $kalkulacija= get_kalkulaciju($proda,  'K ', '' , $zapis, $broDo, $verzi);
        
        $ostalePrimke = get_ostale_primke_po_kalkulaciji($proda,  'K ', '' , $zapis, $broDo, $verzi);
        $popisVisePrimki = '';
        if (!empty($ostalePrimke)) {
            $verzijaPrimke = '';
            if (trim($verzi) != '') $verzijaPrimke =  '/' . $verzi;
            $popisVisePrimki = 'Uključene primke: ' . $broDo . $verzijaPrimke . ', ';
            $verzijaPrimke = '';
            foreach ($ostalePrimke as $jednaPrimka) {
                $verzijaPrimke = '';
                if (trim($jednaPrimka['os_verzi']) != '') $verzijaPrimke =  '/' . $jednaPrimka['os_verzi'];
                $popisVisePrimki .= $jednaPrimka['os_broDo'] . $verzijaPrimke . ' &nbsp;';
            }       
        }
        
        $zaglavlje['komentar'] = $kalkulacija['komentar'];
        $_SESSION['dok_zag']['opSaDok'] = 'Ispis';
        include('./dokumenti/pisi_dok.php');
        $_SESSION['dok_zag'] = array();
	break;		
    }
    if ($opSaDok == 'Unos') {
        add_kalkulaciju($proda, 'K', '', $zapis, $broDo, $verzi, $datumKalkulacije, $brojDobavljacevogRacuna, $datumDobavljacevogRacuna,
                $casasSconto, $iznosZaNaplatuDobavljacu, $PDVdobavljaca, $nabavniIznos, $marza, $rabatPopust, 
                $rabatPopustNaKol, $zavisniTroskovi, $razlikaUCijeni, $prodajniIznosBezPDV, $ukalkuliraniPDV,
                $prodajniIznosSpdv, $povratnaNaknada, $komentar, $kalkulacijuIzradio, $iznosUstranojValuti, 
                $stranaValuta, $carineITakse, $deklaracija, $valuta, $EVporez, $potrosniMaterijal,$trosakPakIkamata);
        $greska = ' Kalkulacija je upisana.'; 

        $kalkulacija= get_kalkulaciju($proda,  'K ', '' , $zapis, $broDo, $verzi);
        include './dokumenti/kalkulacijaIzBazeNaEkran.php';
        
	include 'view/header.php'; 
        include('dokumenti/view_kalkulacije.php');
	include ('view/footer.php');
	break;		
    }
    if (isset($trebaPotvrditiBrisanjeKalkulacije)) {
	//  $headerNavigacijaNe = true; ž

        $kalkulacija = get_kalkulaciju($proda, 'K ', '', $zapis, $broDo, $verzi);
        include './dokumenti/kalkulacijaIzBazeNaEkran.php';
        include 'view/header.php'; 
	include('dokumenti/view_kalkulacije.php');
	include ('view/footer.php');
	break;		
    }
    if ($opSaDok == 'Izmjena') {
        $kalkulacija = get_kalkulaciju($proda, 'K ', '', $zapis, $broDo, $verzi);
        include './dokumenti/kalkulacijaIzBazeNaEkran.php';
	$greska = 'Kalkulacija postoji i prikazana je.
	 Izvršiti eventualno potrebne izmjene.' ;           
	 $trebaPotvrditiIzmjenaKalkulacije= true; 

         include 'view/header.php'; 
         include('dokumenti/view_kalkulacije.php');
	 include ('view/footer.php');
    break;		
    }

    redirect('.');
    break;   
case 'prihvat_izmjena_kalkulacije':
    $naslovStranice='Kalkulacije';
    $trebaPotvrditiIzmjenaKalkulacije = true;
    include('dokumenti/prihvat_kontrola_kalkulacije.php');
    //$pretraga_partner_header = false; //da se u header.php prikaže pretraga  
     if (isset($greska)) {
	include 'view/header.php'; 
	include('dokumenti/view_kalkulacije.php');
	include ('view/footer.php');
	break;		
    }
     //   nema greške
    $trebaPotvrditiIzmjenaKalkulacije = NULL;
    update_kalkulaciju($proda, 'K', '', $zapis, $broDo, $verzi, $datumKalkulacije, $brojDobavljacevogRacuna, $datumDobavljacevogRacuna,
            $casasSconto, $iznosZaNaplatuDobavljacu, $PDVdobavljaca, $nabavniIznos, $marza, $rabatPopust, 
            $rabatPopustNaKol, $zavisniTroskovi, $razlikaUCijeni, $prodajniIznosBezPDV, $ukalkuliraniPDV, 
            $prodajniIznosSpdv, $povratnaNaknada, $komentar, $kalkulacijuIzradio, $iznosUstranojValuti, 
            $stranaValuta, $carineITakse, $deklaracija, $valuta, $EVporez, $potrosniMaterijal,$trosakPakIkamata);
 //-----------------------------------------------------------------------------  
    $greska = 'Kalkulacija ' . ' je uredno izmjenjena.';   

    $kalkulacija = get_kalkulaciju($proda, 'K ', '', $zapis, $broDo, $verzi);
    include './dokumenti/kalkulacijaIzBazeNaEkran.php'; 

    include 'view/header.php'; 
    include('dokumenti/view_kalkulacije.php');
    include ('view/footer.php');
    break;
case 'otkazati_izmjena_kalkulacije':
case 'otkazati_brisanje_kalkulacije':
    $naslovStranice='Kalkulacije';
    $opSaDok='Prikaz';
    $proda=$_POST['proda'];
    $broDo=$_POST['broDo'];
    $zapis=$_POST['zapis'];
    $verzi=$_POST['verzi'];

    $kalkulacija = get_kalkulaciju($proda, 'K ', '', $zapis, $broDo, $verzi);
    include './dokumenti/kalkulacijaIzBazeNaEkran.php'; 

    include 'view/header.php'; 
    include('dokumenti/view_kalkulacije.php');
    include ('view/footer.php');
    break;  
case 'prihvat_brisanje_kalkulacije':
    $naslovStranice='Kalkulacije';
    $proda=$_POST['proda'];
    $broDo=$_POST['broDo'];
    $zapis=$_POST['zapis'];
    $verzi=$_POST['verzi'];

    delete_kalkulaciju($proda, 'K ', '', $zapis, $broDo, $verzi);
    $greska = 'Kalkulacija ' .' je uredno obrisana.'; 
    $broDo='';
    include 'view/header.php'; 
    include('dokumenti/view_kalkulacije.php');
    include ('view/footer.php');
    break;
//-------------------------------------
 case 'clear_cart':	
     clear_cart();
     if(isset($_SESSION['dok_zag']['vrsDo']))
        $vrsDo = $_SESSION['dok_zag']['vrsDo'];
     else 
         $vrsDo='';
    $vrstaDokSlog=get_vrsta_dokumenta($vrsDo);
    if(is_array($vrstaDokSlog))
        $naslovStranice=$vrstaDokSlog['nazivDokumenta'];
    include('dokumenti/kontrola_poslovnice_init.php');
    include 'view/header.php'; 
    include('dokumenti/view_zag_svih_dok.php');
    include ('view/footer.php');
     break;
case 'automatska_nivelacija_cijena':
    $naslovStranice='Nivelacija cijena';
    include('dokumenti/kontrola_poslovnice_init.php');
    include 'view/header.php';
    $poslovnice = get_poslovnice();
    include('dokumenti/view_automatska_nivelacija_cijena.php');
    include ('view/footer.php');
break;
/*
case 'nivelacija_cijena_NC':	
    include('dokumenti/kontrola_poslovnice_init.php');
    include 'view/header.php'; 
    $poslovnice = get_poslovnice();
    include('dokumenti/view_nivelacija_cijena_NC.php');
    include ('view/footer.php');
    break;
 */ 
case 'backUp':	
    $naslovStranice='Backup baze';
    include 'view/header.php'; 
    include('util/backUpDB.php');
    include ('view/footer.php');
    break; 
 //--------- priprema_inventure   
case 'uzmi_priprema_inventure': 
    $greskaDVOdo = '&nbsp';
case 'priprema_inventure':	
    $naslovStranice='Priprema inventure';
    include('dokumenti/kontrola_poslovnice_init.php');
    include 'view/header.php'; 
    $poslovnice = get_poslovnice();
    include('inventura/priprema_inventure.php');
    include ('view/footer.php');
    break; 
//--------- viskovi-manjkovi  
case 'uzmi_viskovi_manjkovi':   
    $greskaDVOod = '&nbsp';
    $greskaDVOdo = '&nbsp';
case 'viskovi_manjkovi':	
    $naslovStranice='Viškovi-manjkovi';
    include('dokumenti/kontrola_poslovnice_init.php');
    include 'view/header.php'; 
    $poslovnice = get_poslovnice();
    include('inventura/viskovi_manjkovi.php');
    include ('view/footer.php');
    break; 
 //--------- završnica inventure   
case 'uzmi_zavrsetak_inventure': 
    $greskaDVOdo = '&nbsp';
case 'zavrsetak_inventure':	
    $naslovStranice='Završetak inventure';
    include('dokumenti/kontrola_poslovnice_init.php');
    include 'view/header.php'; 
    $poslovnice = get_poslovnice();
    include('inventura/zavrsetak_inventure.php');
    include ('view/footer.php');
    break;     
case 'view_datumiIiznosiInventureNaPoslovnice':
case 'uzmi_datumiIiznosiInventureNaPoslovnice':
    $naslovStranice='datumiIiznosiInventureNaPoslovnice';
    include 'view/header.php'; 
    include('dokumenti/view_datumiIiznosiInventureNaPoslovnice.php');
    include ('view/footer.php');
    break; 
case 'view_IRA':	
    $naslovStranice='IRA';
    include 'view/header.php'; 
    include('dokumenti/view_IRA.php');
    include ('view/footer.php');
    break; 
case 'uzmi_IRA':	
    $naslovStranice = 'IRA';
    //include 'view/header.php'; 
    include('dokumenti/obrazac_IRA.php');
    //include ('view/footer.php');
    break; 
case 'view_URA':	
    $naslovStranice='URA';
    include 'view/header.php'; 
    include('dokumenti/view_URA.php');
    include ('view/footer.php');
    break; 
case 'uzmi_URA':	
    $naslovStranice='URA';
    //include 'view/header.php'; 
    include('dokumenti/obrazac_URA.php');
    //include ('view/footer.php');
    break; 
    
// inventura    
case 'unos_inv_razlika':	
    $naslovStranice='Inventura';
    include 'view/header.php'; 
    //include('inventura/view_unos_inv_razlika.php');
    include('inventura/view_inventura.php');
    include ('view/footer.php');
    break;     
case 'uzmi_inventura':
    $naslovStranice='Inventura';
    $opSaDok = $_POST['opSaDok'];
    if ($opSaDok == 'Ispis') {
        include 'view/header.php'; 
        include('inventura/ispis_inventure.php');
        include ('view/footer.php');
        break;
    }
    if ($opSaDok == 'Pregled' || $opSaDok == 'Knjiženje') {
        include 'view/header.php'; 
        include('inventura/view_unos_inv_razlika.php');
        include ('view/footer.php');
        break;
    }
     
    include('./inventura/prihvat_kontrola_inventura.php');

     if (isset($greska)) {
	include 'view/header.php'; 
 	include('inventura/view_inventura.php');
	include ('view/footer.php');
	break;		
     }    
    if ($opSaDok == 'Prikaz') {
        if ($vrstaInventure == 'obicna') {
            $inv = get_inv_stanje($proda, $kodRobe, $vrstaProdaje, $cijena);
        } else {
            $inv = get_kons_stanje($kodPartnera, $kodRobe, $vrstaProdaje, $cijena);
        }
        include './inventura/inventuraIzBazeNaEkran.php';
	$greska = 'Inventurna stavka postoji i prikazana je.';     

        include 'view/header.php'; 
 	include('inventura/view_inventura.php');
	include ('view/footer.php');
	break;		
    }
    if ($opSaDok == 'Unos') {
        require_once('./model/inventura_db.php');
        $inv = get_inv_stanje($proda, $kodRobe, $vrstaProdaje, $cijena);
        if ($vrstaInventure == 'obicna') {
            add_inv_stanja($proda, $kodRobe, $vrstaProdaje, $cijena, $stanje, $brojInvStavke, $datumInventure);
            $inv = get_inv_stanje($proda, $kodRobe, $vrstaProdaje, $cijena);
        } else {
            add_kons_stanja($kodPartnera, $kodRobe, $vrstaProdaje, $cijena, $stanje, $brojInvStavke, $datumInventure);
            $inv = get_kons_stanje($kodPartnera, $kodRobe, $vrstaProdaje, $cijena);
        }
        include './inventura/inventuraIzBazeNaEkran.php';
         
        $greska = 'Inventurno stanje je upisano.'; 

	include 'view/header.php'; 
 	include('inventura/view_inventura.php');
	include ('view/footer.php');
	break;		
    }
    if (isset($trebaPotvrditiBrisanjeInventura)) {
	//  $headerNavigacijaNe = true; 
        if ($vrstaInventure == 'obicna') {
            $inv = get_inv_stanje($proda, $kodRobe, $vrstaProdaje, $cijena);
        } else {
            $inv = get_kons_stanje($kodPartnera, $kodRobe, $vrstaProdaje, $cijena);
        }
        include './inventura/inventuraIzBazeNaEkran.php';

        include 'view/header.php'; 
 	include('inventura/view_inventura.php');
	include ('view/footer.php');
	break;		
    }
    if ($opSaDok == 'Izmjena') {
        if ($vrstaInventure == 'obicna') {
            $inv = get_inv_stanje($proda, $kodRobe, $vrstaProdaje, $cijena);
        } else {
            $inv = get_kons_stanje($kodPartnera, $kodRobe, $vrstaProdaje, $cijena);
        }
        include './inventura/inventuraIzBazeNaEkran.php';
	$greska = 'Inventurna stavka postoji i prikazana je.
	 Izvršiti eventualno potrebne izmjene.' ;           
	 $trebaPotvrditiIzmjenaInventura= true; 

         include 'view/header.php'; 
         include('inventura/view_inventura.php');
	 include ('view/footer.php');
    break;		
    }

    redirect('.');
    break;   
case 'prihvat_izmjena_inventura':
    $naslovStranice='Inventura';
    $trebaPotvrditiIzmjenaInventura = true;
     include('./inventura/prihvat_kontrola_inventura.php');
    //$pretraga_partner_header = false; //da se u header.php prikaže pretraga  
     if (isset($greska)) {
	include 'view/header.php'; 
        include('inventura/view_inventura.php');
	include ('view/footer.php');
	break;		
    }
     //   nema greške
    $trebaPotvrditiIzmjenaInventura= NULL;
    if ($vrstaInventure == 'obicna') {
        $valid = update_inv_stanja($proda, $kodRobe, $vrstaProdaje, $cijena, $stanje);
    } else {
        $valid = update_kons_stanja($kodPartnera, $kodRobe, $vrstaProdaje, $cijena, $stanje);
    }
 //-----------------------------------------------------------------------------  
    $greska = 'Inventurno stanje je uredno izmjenjeno.';   

    include 'view/header.php'; 
    include('inventura/view_inventura.php');
    include ('view/footer.php');
    break;
case 'otkazati_izmjena_inventura':
case 'otkazati_brisanje_inventura':

    include('./inventura/prihvat_kontrola_inventura.php');
    $trebaPotvrditiBrisanjeInventura= NULL;
    if ($vrstaInventure == 'obicna') {
        $inv = get_inv_stanje($proda, $kodRobe, $vrstaProdaje, $cijena);
    } else {
        $inv = get_kons_stanje($kodPartnera, $kodRobe, $vrstaProdaje, $cijena);
    }
    include './inventura/inventuraIzBazeNaEkran.php';

    include 'view/header.php'; 
    include('inventura/view_inventura.php');
    include ('view/footer.php');
    break;  
case 'prihvat_brisanje_inventura':
    $naslovStranice='Inventura';
    include('./inventura/prihvat_kontrola_inventura.php');
    $trebaPotvrditiBrisanjeInventura= NULL;
    if ($vrstaInventure == 'obicna') {
        $inv = delete_inv_stanja($proda, $kodRobe, $vrstaProdaje, $cijena);
    } else {
        $inv = delete_kons_stanje($kodPartnera, $kodRobe, $vrstaProdaje, $cijena);
    }
    $greska = 'Inventurno stanje je uredno obrisano.'; 

    include 'view/header.php'; 
    include('inventura/view_inventura.php');
    include ('view/footer.php');
    break;
//-------------------------------------
case 'view_posebni_cjenik':
case 'obrada_posebni_cjenik':
    $naslovStranice='Posebni cjenici';
    include 'view/header.php'; 
    include('dokumenti/view_posebni_cjenik.php');
    include ('view/footer.php');
    break;

case 'view_kontrola_ispravnosti_dok':
case 'kontrola_ispravnosti_dok':
    $naslovStranice='Kontrola ispravnosti';
    include 'view/header.php'; 
    include('dokumenti/view_kontrola_ispravnosti_dok.php');
    include ('view/footer.php');
    break;


case 'view_pregled_konsignacija':
case 'uzmi_pregled_konsignacija':
    $naslovStranice='Konsignacije';
    if(!isset($_REQUEST['dialog']))
        include 'view/header.php'; 
    include('dokumenti/view_pregled_konsignacija.php');
    if(!isset($_REQUEST['dialog']))
        include ('view/footer.php');
    break;  

case 'view_jedinice_mjere':
case 'izabrana_je_jedinica_mjere':
    $naslovStranice='Jedinice mjere';
    include 'view/header.php'; 
    include('dokumenti/view_jedinice_mjere.php');
    include ('view/footer.php');
    break;  

case 'view_zemlje':
case 'izabrana_je_zemlja':
    $naslovStranice='Zemlje - države';
    include 'view/header.php'; 
    include('dokumenti/view_zemlje.php');
    include ('view/footer.php');
    break; 
case 'view_tarifni_brojevi':
case 'izabran_je_tarifni_broj':
    $naslovStranice='Tarifni brojevi';
    include 'view/header.php'; 
    include('dokumenti/view_tarifni_brojevi.php');
    include ('view/footer.php');
    break; 
case 'izbor_posebnaNova_ponuda':    
    $_SESSION['posebnaNova'] = $_POST['posebnaNova'];
case 'list_posebne_ponude':       
    $naslovStranice='Posebna ponuda';
    require_once('model/posebna_ponuda_db.php');   
    if (!isset($_SESSION['posebnaNova'])) {$_SESSION['posebnaNova'] = 'P';}
    $posebne_ponude = get_posebne_ponude();
    include('dokumenti/posebna_ponuda_list.php');
    break;
case 'delete_posebna_ponuda':
    $naslovStranice='Posebna ponuda';
    require_once('model/posebna_ponuda_db.php'); 
    $kodRobe = $_POST['kodRobe'];
    delete_posebna_ponuda($kodRobe);        
    $posebne_ponude = get_posebne_ponude();
    include('dokumenti/posebna_ponuda_list.php');
    include ('view/footer.php');
    break;  
case 'add_posebna_ponuda':
    $naslovStranice='Posebna ponuda';
    require_once('model/posebna_ponuda_db.php'); 
    $redniBroj_add = $_POST['redniBroj_add'];
    $kodRobe_add  = $_POST['kodRobe_add']; 
    // Validate inputs
            //Kontrola da li kod robe postoji u maticna_robe i uzimanje naziva robe
            $roba = get_product_maticna_robe($kodRobe_add);
            $roba_p = get_posebna_ponuda($kodRobe_add); 
            //echo 'roba_p' . $roba_p['kodRobe'];
    if (!is_numeric($redniBroj_add)) {
        display_error('Mora se pupuniti redni broj robe brojkom,
                       probajte ponovno!');
    }		   
    elseif (empty($kodRobe_add)) {
        display_error('Mora se pupuniti kod robe,
                       probajte ponovno!'); 
    } 						   
    elseif ($roba == 0)  {
        display_error('Neprijavljen(nepostojeći) kod robe, ' . $kodRobe_add . ' ili ako je nova roba
        mora se prvo prijaviti pod (Administracija -> Roba)!');
    } 			
    elseif ($roba_p['kodRobe'] == $kodRobe_add)  {
        display_error('Roba sa kodom ' . $roba_p['kodRobe'] . ' već postoji u posebnoj ponudi!'); 			
    } else {
               $kodRobe = add_posebna_ponuda($kodRobe_add, $redniBroj_add);
    }
    $posebne_ponude = get_posebne_ponude();
    include('dokumenti/posebna_ponuda_list.php');
    include ('view/footer.php');
    break;
case 'update_posebna_ponuda':
    $naslovStranice='Posebna ponuda';
    require_once('model/posebna_ponuda_db.php'); 
    $kodRobe = $_POST['kodRobe'];
    $redniBroj = $_POST['redniBroj'];
            // Validate inputs
            if (!is_numeric($redniBroj)) {
        display_error('Redni broj je neispravan!');
            }	
            elseif (empty($kodRobe)) {
        display_error('Kod robe u stavki tabele mora biti popunjen,
                       probajte ponovno!'); 
    } 
    //Kontrola da li kod robe postoji u maticna_robe i uzimanje naziva robe
            $roba = get_product_maticna_robe($kodRobe); 
            if ($roba == 0)  {
        display_error('Neprijavljen(pogrešan) kod robe, ' . $kodRobe . ' ili ako je nova roba,
        mora se prvo prijaviti pod (Administracija -> Roba)!'); 						   
    } 		
    //kontrola ako kod robe postoji u posebna_ponuda, ako ne postoji znači da se
            //mjenja kod robe na nekoj stavki. npr. redni broj 1  K1 promjeni se 
    //šifra robe na 2525.  Prvo treba spremiti broj stavke 1 pod tim brojem stavke obrisati
    //slog  a zatim dodati novi slog  sa šifrom 2525 i rednim brojem 1. 
            $roba_p = get_posebna_ponuda($kodRobe);

            if ($roba_p == 0)  {
                delete_posebna_ponuda_rb($redniBroj);
                    $kodRobe_ = add_posebna_ponuda($kodRobe, $redniBroj);
    }
            else {
        update_posebna_ponuda($kodRobe, $redniBroj);
    }
    $posebne_ponude = get_posebne_ponude();
    include('dokumenti/posebna_ponuda_list.php');
    include ('view/footer.php');  
    break;

case 'view_orders':
    $naslovStranice='Internet naruđne';
    require_once('model/customer_db.php');
    require_once('model/address_db.php');
    require_once('model/order_db.php');
    $new_orders = get_unfilled_orders();
    $old_orders = get_filled_orders();
    include 'dokumenti/orders.php';
    break;
case 'view_order':
    $naslovStranice='Internet naruđne';
    require_once('model/customer_db.php');
    require_once('model/address_db.php');
    require_once('model/order_db.php');
    $brojNarudzbe = $_GET['brojNarudzbe'];

    // Get order data
    $narudzba = get_order($brojNarudzbe);
            $naziv_prijevoza = prijevoz($narudzba['nacinIsporuke']);
            if ($narudzba['datumPotvrdeOdNas'] === NULL ) {
                $PDVisporuke_pocetni = 25;
            } else {
                $PDVisporuke_pocetni = $narudzba['PDVisporuke'];  
            }


 //   $datum = date('M j, Y', strtotime($narudzba['datum']));
        $datum_o = new DateTime($narudzba['datum']);
            $datum = $datum_o->format('d.m.Y H:i:s');

             $datumIsporuke_o = new DateTime($narudzba['datumIsporuke']);
         $datumIsporuke = $datumIsporuke_o->format('d.m.Y H:i:s');

    $order_items = get_order_items($brojNarudzbe);

    // Get customer data 
            $partner = get_partneri($narudzba['kodPartnera']);
            //adresa računa
            $nazivPartnera = $partner['nazivPartnera'];
            $mjesto_sjedista = $partner['mjestoSjedista'];
            $ulica_broj = $partner['ulicaBroj']; 
            $mjesto_poste = $partner['mjestoPoste'];
            $broj_poste = $partner['brojPoste'];
            $zemlja = $partner['zemlja'];
            $naziv_zemlje = drzave($zemlja); 
            $telefoni = $partner['telefoni']; 
    $email = $partner['email'];

    $brojKartice = $narudzba['brojKartice'];
    $vrijediDo = $narudzba['vrijediDo'];
    $card_name = card_name($narudzba['vrstaKartice']);

    $shipping_address = get_address($narudzba['kodPartnera']);
    $mjesto_sjedista_i = $shipping_address['mjestoSjedista'];
    $ulica_broj_i = $shipping_address['ulicaBroj'];
    $mjesto_poste_i = $shipping_address['mjestoPoste'];
    $broj_poste_i = $shipping_address['brojPoste'];
    $zemlja_i = $shipping_address['zemlja'];
    $telefoni_i = $shipping_address['telefoni']; 	

            if ($narudzba['datumPotvrdeOdNas'] === NULL) {
        $tekst1 = 'Još nije potvrđeno kupcu.';
       } else {
            $datumPotvrdeOdNas_o = new DateTime($narudzba['datumPotvrdeOdNas']);
        $datumPotvrdeOdNas = $datumPotvrdeOdNas_o->format('d.m.Y H:i:s');   
            $tekst1 = 'Od nas je potvrđeno: ' . $datumPotvrdeOdNas;
    }		
    if ($narudzba['datumPotvrdeOdKupca'] != NULL) {
            $datumPotvrdeOdKupca_o = new DateTime($narudzba['datumPotvrdeOdKupca']);
        $datumPotvrdeOdKupca = $datumPotvrdeOdKupca_o->format('d.m.Y  H:i:s');   
    }		
    include 'dokumenti/order.php';
    break;
case 'set_datumIsporuke':
    require_once('model/customer_db.php');
    require_once('model/address_db.php');
    require_once('model/order_db.php');
    $brojNarudzbe = intval($_POST['brojNarudzbe']);
    set_datumIsporuke($brojNarudzbe);
    $url = '?action=view_order&brojNarudzbe=' . $brojNarudzbe;
    redirect($url);
case 'set_potvrda':
    require_once('model/customer_db.php');
    require_once('model/address_db.php');
    require_once('model/order_db.php');
    $brojNarudzbe = intval($_POST['brojNarudzbe']);
            $nacinIsporuke = intval($_POST['nacinIsporuke']);
            $trosakIsporuke = $_POST['trosakIsporuke'];
            $PDVisporuke = $_POST['PDVisporuke'];
            $komentarNarudzbeNas = $_POST['komentarNarudzbeNas']; 
    set_potvrda($brojNarudzbe, $nacinIsporuke, $trosakIsporuke, $PDVisporuke, $komentarNarudzbeNas);
    $url = '?action=view_order&brojNarudzbe=' . $brojNarudzbe;
    redirect($url);	
case 'confirm_delete_order':
    require_once('model/customer_db.php');
    require_once('model/address_db.php');
    require_once('model/order_db.php');
    // Get order data
    $brojNarudzbe = intval($_POST['brojNarudzbe']);
    $narudzba = get_order($brojNarudzbe);
    $datum = date('M j, Y', strtotime($narudzba['datum']));

    // Get customer data
    $customer = get_partneri($narudzba['customerID']);
    $name = $customer['lastName'] . ', ' . $customer['firstName'];
    $email = $customer['emailAddress'];

    include 'confirm_delete.php';
    break;
case 'delete_order':
    require_once('model/customer_db.php');
    require_once('model/address_db.php');
    require_once('model/order_db.php');
    $brojNarudzbe = intval($_POST['brojNarudzbe']);
    delete_order($brojNarudzbe);
    redirect('.');
    break;    
case 'view_statistika_prometa':
case 'statistika_prometa':
    $naslovStranice='Statistika prometa';
    include 'view/header.php'; 
    include('dokumenti/view_statistika_prometa.php');
    include ('view/footer.php');
    break;
case 'dialog_ispis_dok':
    include('dokumenti/ispis_dok_iz_get.php');
    break;

case 'izabran_je_kod_radnika':	
case 'view_maticna_radnika':
    $naslovStranice='Zaposlenici';
    include('dokumenti/view_maticna_radnika.php');
    break;  

case 'upload_image_radnik':
    $kodRadnika_file = $_POST['kodRadnika_file'];
//   u $kodRadnika_file sleš / je zamjenjen sa _
    $image_filename = $kodRadnika_file . '.png';   
    $image_dir = $doc_root . $app_path . '../product_images/' . $_SESSION['skracenicaFirme'] . '/';
//    echo '$doc_root=' . $doc_root . '$app_path=' . $app_path . '$imaqe_dir=' . $image_dir;
    if (isset($_FILES['file1'])) {
        $source = $_FILES['file1']['tmp_name'];
        $target = $image_dir . DIRECTORY_SEPARATOR . $image_filename;

        // save uploaded file with correct filename
        move_uploaded_file($source, $target);

        // add code that creates the medium and small versions of the image
        require_once('./util/images.php');
        process_image($image_dir, $image_filename);
        unlink($target);
        // display product with new image
        include('dokumenti/view_maticna_radnika.php');
    }
    break;
//----------- Matična radnika kraj 
        
case 'izabran_je_kod_radnikaRV':	
case 'view_radno_vrijeme':
	include('dokumenti/view_radno_vrijeme.php');
	break;  
case 'izabran_je_blagdan':	
case 'view_blagdani_praznici':
    $naslovStranice='Blagdani i praznici';
    include('dokumenti/view_blagdani_praznici.php');
    include ('view/footer.php');
    break;  
            
case 'view_formiranjeFakIzEV':
case 'formiranjeFakIzEV':
    $naslovStranice='Formiranje faktura iz ev.dostavnica';
    include 'view/header.php'; 
    include('dokumenti/view_formiranjeFakIzEV.php');
    include ('view/footer.php');
    break;
      
case 'view_tpt_prodaje':
case 'obrada_tpt_prodaje':
    include('dokumenti/view_tpt_prodaje.php');
    break;
case 'view_tpt_kupnje':
case 'obrada_tpt_kupnje':
    include('dokumenti/view_tpt_kupnje.php');
    break;
case 'view_tabela2':
case 'obrada_tabela2':
    include('dokumenti/view_tabela2.php');
    break;     
case 'view_srednjeCijeneIzdatnica':
case 'obrada_srednjeCijeneIzdatnica':
    include('dokumenti/view_srednjeCijeneIzdatnica.php');
    break; 
case 'view_tabela6':
case 'obrada_tabela6':
    include('dokumenti/view_tabela6.php');
    break; 
case 'view_tablica_10_maloprodaja':
case 'obrada_tablica_10_maloprodaja':
    include('dokumenti/view_tablica_10_maloprodaja.php');
    break; 
case 'view_tablice_za_203':
case 'obrada_tablice_za_203':
    include('dokumenti/view_tablice_za_203.php');
    break; 
case 'view_stanje_robe_za_excel':
case 'obrada_stanje_robe_za_excel':
    include('dokumenti/view_stanje_robe_za_excel.php');
    break; 
case 'view_stanje_robe_chaky_din':
case 'obrada_stanje_robe_chaky_din':
    include('dokumenti/view_stanje_robe_chaky_din.php');
    break; 
case 'view_ispadi_stanja':
case 'uzmi_ispadi_stanja':
    $naslovStranice='Ispadi stanja';
    include 'view/header.php'; 
    include('dokumenti/view_ispadi_stanja.php');
    include ('view/footer.php');
    break; 
case 'view_kontrolaFiskalizacije':
case 'uzmi_kontrolaFiskalizacije':    
    $naslovStranice='Kontrola fiskalizacije';
    include 'view/header.php'; 
    include('dokumenti/view_kontrolaFiskalizacije.php');
    include ('view/footer.php');
    break; 
case 'view_prijenos_kons_u_ng':
case 'uzmi_prijenos_kons_u_ng':    
    $naslovStranice='Prijenos konsignacija u novu godinu';
    include 'view/header.php'; 
    include('dokumenti/view_prijenos_kons_u_ng.php');
    include ('view/footer.php');
    break; 
case 'maticna_stanja_za_excel':
case 'uzmi_maticna_stanja_za_excel':    
    $naslovStranice='Matična - stanja za excel';
    //include 'view/header.php'; 
    include('dokumenti/view_maticna_stanja_za_excel.php');
    ///include ('view/footer.php');
    break; 
case 'view_dodatni_upiti':
case 'uzmi_dodatni_upiti':    
    $naslovStranice='Dodatni upiti za promet robe';
    include 'view/header.php'; 
    include('dokumenti/view_dodatni_upiti.php');
    include ('view/footer.php');
    break; 
case 'korekcija_utf8':    
    $naslovStranice='Korekcija utf8 upisa u bazi';
    include 'view/header.php'; 
    include('util/korekcija_utf8.php');
    include ('view/footer.php');
    break; 
case 'view_sql_upiti':    
    $naslovStranice='Izvršavanje sql upita na bazi';
    $bezMCE=true;
    include 'view/header.php'; 
    include('util/view_sql_upiti.php');
    include ('view/footer.php');
    break; 
case 'view_php_run':    
    $naslovStranice='Izvršavanje php programa';
    include 'view/header.php'; 
//  include('util/view_php_run.php');
    include('razniphp/php_test.php');
    include ('view/footer.php');
    break; 
case 'view_prebacivanje_slika_din_cha':    
    $naslovStranice='Prebacivanje slika din-cha';
    include 'view/header.php'; 
    include('util/view_prebacivanje_slika_din_cha.php');
    include ('view/footer.php');
    break; 
case 'view_velicina_rame':    
case 'izabrana_je_velicina_rame':    
    $naslovStranice='Veličine rame';
    include 'view/header.php'; 
    include('dokumenti/view_velicina_rame.php');
    include ('view/footer.php');
    break; 
case 'view_velicina_kotaca':    
case 'izabrana_je_velicina_kotaca':    
    $naslovStranice='Veličine kotača';
    include 'view/header.php'; 
    include('dokumenti/view_velicina_kotaca.php');
    include ('view/footer.php');
    break; 
case 'view_korekcija_vrsDoPu_vrsDoPi':    
case 'uzmi_korekcija_vrsDoPu_vrsDoPi':    
    $naslovStranice='Rekonstrukcija ulaznih i izlaznih dokumenata u stanjima';
    include 'view/header.php'; 
    include('dokumenti/view_korekcija_vrsDoPu_vrsDoPi.php');
    include ('view/footer.php');
    break; 
case 'view_prebacivanje_slika_din_cha':    
case 'uzmi_prebacivanje_slika_din_cha':     
    $naslovStranice='Prebacivanje slika din-cha';
    include 'view/header.php'; 
    include('util/view_prebacivanje_slika_din_cha.php');
    include ('view/footer.php');
    break; 
case 'view_neisporucene_kolicine':    
case 'uzmi_neisporucene_kolicine':    
    $naslovStranice='Neisporučene količine';
    include 'view/header.php'; 
    include('dokumenti/view_neisporucene_kolicine.php');
    include ('view/footer.php');
    break; 
case 'view_narudbe_po_b2bPoslovnici':    
case 'uzmi_narudbe_po_b2bPoslovnici':    
    $naslovStranice='Pregled naruđbi po poslovnicama B2B partnera';
    include 'view/header.php'; 
    include('dokumenti/view_narudbe_po_b2bPoslovnici.php');
    include ('view/footer.php');
    break; 
case 'ostvarena RC':    
case 'uzmi_ostvarena_rc':    
    $naslovStranice='Ostvarena razlika u cijeni';
    include 'view/header.php'; 
    include('dokumenti/view_ostvarena_rc.php');
    include ('view/footer.php');
    break; 
case 'view_azur_Pu_stanja0101':    
case 'uzmi_azur_Pu_stanja0101':    
    $naslovStranice='';
    include 'view/header.php'; 
    include('dokumenti/view_azur_Pu_stanja0101.php');
    include ('view/footer.php');
    break; 
case 'view_brand':    
case 'izabran_je_brand':    
    $naslovStranice='';
    include 'view/header.php'; 
    include('dokumenti/view_brand.php');
    include ('view/footer.php');
    break; 
case 'view_minimalne_zalihe':    
case 'izabrane_minimalne_zalihe':    
    $naslovStranice='Minimalne zalihe';
    include 'view/header.php'; 
    include('dokumenti/view_minimalne_zalihe.php');
    include ('view/footer.php');
    break; 
case 'view_pregled_minimalne_zalihe':    
    $naslovStranice='Minimalne zalihe';
    include 'view/header.php'; 
    include('dokumenti/view_pregled_minimalne_zalihe.php');
    include ('view/footer.php');
    break; 
case 'view_dodavanje_robe_iz_excela':    
    $naslovStranice='Dodavanje robe iz excel datoteke (csv)';
    include 'view/header.php'; 
    include('dokumenti/view_dodavanje_robe_iz_excela.php');
    include ('view/footer.php');
    break; 
case 'uzmi_EANkodove':
    $greskaKodRobe = '&nbsp';
 //   $greskaDVOod = '&nbsp';
    $greskaDVOdo = '&nbsp';
case 'view_EANkodovi':	
    $naslovStranice='Pregled EAN kodova';
    include('dokumenti/kontrola_poslovnice_init.php');
    include 'view/header.php'; 
    $poslovnice = get_poslovnice();
    include('dokumenti/view_EANkodovi.php');
    include ('view/footer.php');
    break; 
case 'upis_rabata_marze_donosa_IF_u_stanja0101':    
    $naslovStranice='Korekcija stanja0101';
    include 'view/header.php'; 
    include('dokumenti/upis_rabata_marze_donosa_IF_u_stanja0101.php');
    include ('view/footer.php');
    break;
case 'view_RT_zapisnik_vp_s':    
case 'obrada_RT_zapisnik_vp_s':    
    $naslovStranice='Promjena VP=S';
    include 'view/header.php'; 
    include('dokumenti/view_RT_zapisnik_vp_s.php');
    include ('view/footer.php');
    break;
case 'postavke_pocetne_stranice_prodaje':
case 'izabrano_je_postavke_pocetne_stranice_prodaje':
    $naslovStranice='Postavke početne stranice prodaje';
    include('./dokumenti/postavke_pocetne_stranice_prodaje.php');
    include ('view/footer.php');
    break;   
case 'view_html_test':    
    $naslovStranice='Testiranje html skripti';
    include 'view/header.php'; 
    include('util/view_html_test.php');
    include ('view/footer.php');
    break;
case 'view_ciscenje_direktorija':    
    $naslovStranice='Čišćenje robnog direktorija';
    include 'view/header.php'; 
    include('util/view_ciscenje_direktorija.php');
    include ('view/footer.php');
    break;
case 'view_razlikeKonsKolicinaStanjaPoPart':	
case 'uzmi_razlikeKonsKolicinaStanjaPoPart':	
    $naslovStranice='Razlike';
    include 'view/header.php'; 
    include('inventura/view_razlikeKonsKolicinaStanjaPoPart.php');
    include ('view/footer.php');
    break;     
case 'view_zamjena_sifri_po_dok':	
case 'uzmi_zamjena_sifri_po_dok':	
    $naslovStranice='Zamjena šifri';
    include 'view/header.php'; 
    include('dokumenti/view_zamjena_sifri_po_dok.php');
    include ('view/footer.php');
    break;     
case 'view_pregled_kupona':	
case 'uzmi_pregled_kupona':	
    $naslovStranice='Pregled kupona';
    include 'view/header.php'; 
    include('dokumenti/view_pregled_kupona.php');
    include ('view/footer.php');
    break;     
case 'view_knjiga_prometa':	
    $naslovStranice='Knjiga prometa';
    include 'view/header.php'; 
    include('dokumenti/view_knjiga_prometa.php');
    include ('view/footer.php');
    break; 
case 'uzmi_knjiga_prometa':	
    $naslovStranice = 'Knjiga_prometa';
    include('dokumenti/obrazac_KPR.php');
    break; 
case 'view_KPI':	
    $naslovStranice='Knjiga primitaka i izdataka';
    include 'view/header.php'; 
    include('dokumenti/view_KPI.php');
    include ('view/footer.php');
    break; 
case 'view_KPI':	
    $naslovStranice='Knjiga primitaka i izdataka';
    include 'view/header.php'; 
    include('dokumenti/view_KPI.php');
    include ('view/footer.php');
    break; 
case 'view_prijave':
    $naslovStranice = 'Prijave';
    include 'view/header.php';
    include('dokumenti/view_prijave.php');
    include ('view/footer.php');
    break;
case 'view_kopi_dok':
    $naslovStranice = 'Kopiranje dokumenta';
    include 'view/header.php';
    include('dokumenti/view_kopi_dok.php');
    include ('view/footer.php');
    break;
case 'view_test_konverzije':
    $naslovStranice = 'Konverzija';
    include 'view/header.php';
    include('util/prijelaz_na_euro.php');
    test_konverzije();
    include ('view/footer.php');
    break;
case 'view_pokrajine':    
case 'izabrana_je_pokrajina':    
    $naslovStranice='Pokrajine';
    include 'view/header.php'; 
    include('dokumenti/view_pokrajine.php');
    include ('view/footer.php');
    break; 
case 'view_export_za_dinamic_web':    
case 'obrada_export_za_dinamic_web':    
    $naslovStranice='Eksport cijena';
    include 'view/header.php'; 
    include('dokumenti/view_export_za_dinamic_web.php');
    include ('view/footer.php');
    break; 
default:
    if ($action !='izabran_je_kodPartnera')
    display_error('Nepoznata  robno index akcija: ' . $action);
    break;
}	
 
function izmjenaCijenaRobe($brojSlogova) {
    $ukupnoPromjena=0;
    for ($i=1; $i<=$brojSlogova; $i++ ) {
        $novaCijena=(float)str_replace(',', '.',$_POST['cijena'.$i]);
        if ($novaCijena>0) {
            $kodRobe = $_POST[$i];
            update_cijena_robe($kodRobe,$novaCijena);
            $ukupnoPromjena++;
        }           
    }
    return $ukupnoPromjena;
}

function izmjenaPopusta($brojSlogova) {
    $ukupnoPromjena=0;
    for ($i=1; $i<=$brojSlogova; $i++ ) {
        $noviPopust=(float)str_replace(',', '.',$_POST['popust'.$i]);
        if (trim($_POST['popust'.$i])!='') {
            $kodRobe = $_POST[$i];
            update_popust($kodRobe,$noviPopust);
            $ukupnoPromjena++;
        }           
    }
    return $ukupnoPromjena;
}

function izmjenaZemljePorijekla($brojSlogova, &$greske ) {
    require_once "model/zemlje_db.php";
    $ukupnoPromjena=0;
    for ($i=1; $i<=$brojSlogova; $i++ ) {
        $novaZemljaPorijekla=trim($_POST['zemljaPorijekla'.$i]);
        if ($novaZemljaPorijekla !='') {
            $kodRobe = $_POST[$i];
            $imaNema =  get_zemlja($novaZemljaPorijekla);
            if (!is_array($imaNema)) $greske[$kodRobe]=$novaZemljaPorijekla;
            else {
                update_zemlja_porijekla($kodRobe,$novaZemljaPorijekla);
                $ukupnoPromjena++;
            }
        }           
    }
    return $ukupnoPromjena;
}
function izmjenaTarifnogBroja($brojSlogova, &$greske) {
    include_once "model/tarifni_brojevi_db.php";
    $ukupnoPromjena=0;
    for ($i=1; $i<=$brojSlogova; $i++ ) {
        $noviTarifniBroj=trim($_POST['tarifniBroj'.$i]);
//kontrola da li ga ima ?      
        if ($noviTarifniBroj !='') {
            $kodRobe = $_POST[$i];
            $imaNema =  get_tarifni_broj($noviTarifniBroj);
            if (!is_array($imaNema)) $greske[$kodRobe]=$noviTarifniBroj;
            else {
                //$greske[$i]='';
                update_tarifni_broj_maticna($kodRobe,$noviTarifniBroj);
                $ukupnoPromjena++;
            }
        }           
    }
    return $ukupnoPromjena;
}
function izmjenaVrsteArtikla($brojSlogova) {
    $ukupnoPromjena=0;
    for ($i=1; $i<=$brojSlogova; $i++ ) {
        $novaVrstaArtikla=trim($_POST['vrstaArtikla'.$i]);
        if ($novaVrstaArtikla !='') {
            $kodRobe = $_POST[$i];
            update_vrsta_artikla($kodRobe,$novaVrstaArtikla);
            $ukupnoPromjena++;
        }           
    }
    return $ukupnoPromjena;
}
function izmjenaBrojaBrzina($brojSlogova) {
    $ukupnoPromjena=0;
    for ($i=1; $i<=$brojSlogova; $i++ ) {
        $noviBrojBrzina=trim($_POST['brojBrzina'.$i]);
        if ($noviBrojBrzina !='') {
            $kodRobe = $_POST[$i];
            update_broj_brzina($kodRobe,$noviBrojBrzina);
            $ukupnoPromjena++;
        }           
    }
    return $ukupnoPromjena;
}
function izmjenaAktivnosti($brojSlogova) {
    $ukupnoPromjena=0;
    for ($i=1; $i<=$brojSlogova; $i++ ) {
        $novaAktivnost=trim($_POST['aktivan'.$i]);
        if ($novaAktivnost !='') {
            $kodRobe = $_POST[$i];
            update_aktivnost($kodRobe,$novaAktivnost);
            $ukupnoPromjena++;
        }           
    }
    return $ukupnoPromjena;
}
function izmjenaRobneGrupe($brojSlogova, &$greske ) {
    $ukupnoPromjena=0;
    for ($i=1; $i<=$brojSlogova; $i++ ) {
        $novaRobnaGrupa=trim($_POST['robnaGrupa'.$i]);
        if ($novaRobnaGrupa !='') {
            $kodRobe = $_POST[$i];
            $imaNema = get_category($novaRobnaGrupa);
            if (!is_array($imaNema)) $greske[$kodRobe]=$novaRobnaGrupa;
            else {
                update_grupu_robe($kodRobe,$novaRobnaGrupa);
                $ukupnoPromjena++;
            }
        }           
    }
    return $ukupnoPromjena;
}
function izmjenaRobneGrupe2($brojSlogova, &$greske ) {
    $ukupnoPromjena=0;
    for ($i=1; $i<=$brojSlogova; $i++ ) {
        $novaRobnaGrupa=trim($_POST['robnaGrupa2'.$i]);
        if ($novaRobnaGrupa !='') {
            $kodRobe = $_POST[$i];
            $imaNema = get_category($novaRobnaGrupa);
            if (!is_array($imaNema)) $greske[$kodRobe]=$novaRobnaGrupa;
            else {
                update_grupu_robe2($kodRobe,$novaRobnaGrupa);
                $ukupnoPromjena++;
            }
        }           
    }
    return $ukupnoPromjena;
}

function izmjenaVelicineRame($brojSlogova, &$greske ) {
    $ukupnoPromjena=0;
    include_once "model/tablica_db.php"; 
    for ($i=1; $i<=$brojSlogova; $i++ ) {
        $slog['velicinaRame']=$novaVelicinaRame=trim($_POST['velicinaRame'.$i]);
        if ($novaVelicinaRame !='') {
            $kodRobe = $_POST[$i];
            $imaNema = get_slog_tablice('velicina_rame', $slog);
            if (!is_array($imaNema)) $greske[$kodRobe]=$novaVelicinaRame;
            else {
                update_polje_robe($kodRobe,$novaVelicinaRame, 'velicinaRame');
                $ukupnoPromjena++;
            }
        }           
    }
    return $ukupnoPromjena;
}

function izmjenaVelicineKotaca($brojSlogova, &$greske ) {
    $ukupnoPromjena=0;
    include_once "model/tablica_db.php"; 
    for ($i=1; $i<=$brojSlogova; $i++ ) {
        $slog['velicinaKotaca']=$novaVelicinaKotaca=trim($_POST['velicinaKotaca'.$i]);
        if ($novaVelicinaKotaca !='') {
            $kodRobe = $_POST[$i];
            $imaNema = get_slog_tablice('velicina_kotaca', $slog);
            if (!is_array($imaNema)) $greske[$kodRobe]=$novaVelicinaKotaca;
            else {
                update_polje_robe($kodRobe,$novaVelicinaKotaca, 'velicinaKotaca');
                $ukupnoPromjena++;
            }
        }           
    }
    return $ukupnoPromjena;
}
function izmjenaBranda($brojSlogova, &$greske ) {
    $ukupnoPromjena=0;
    include_once "model/tablica_db.php"; 
    for ($i=1; $i<=$brojSlogova; $i++ ) {
        $slog['brand']=$noviBrand=trim($_POST['brand'.$i]);
        if ($noviBrand !='') {
            $kodRobe = $_POST[$i];
            $imaNema = get_slog_tablice('brand', $slog);
            if (!is_array($imaNema)) $greske[$kodRobe]=$noviBrand;
            else {
                update_polje_robe($kodRobe,$noviBrand, 'brand');
                $ukupnoPromjena++;
            }
        }           
    }
    return $ukupnoPromjena;
}
function izmjenaSpolaBicikla($brojSlogova, &$greske ) {
    $ukupnoPromjena=0;
    for ($i=1; $i<=$brojSlogova; $i++ ) {
        $noviSpol=trim($_POST['spol'.$i]);
        if ($noviSpol !='') {
            $kodRobe = $_POST[$i];
            $greska = !($noviSpol=='muški' || $noviSpol=='ženski' || $noviSpol=='unisex');
            if ($greska) $greske[$kodRobe]=$noviSpol;
            else {
                update_polje_robe($kodRobe,$noviSpol, 'spol');
                $ukupnoPromjena++;
            }
        }           
    }
    return $ukupnoPromjena;
}
function izmjenaPrOznaka($brojSlogova) {
    $ukupnoPromjena=0;
    for ($i=1; $i<=$brojSlogova; $i++ ) {
        $novaOznaka=trim($_POST['proOzRobe'.$i]);
        if ($novaOznaka !='') {
            $kodRobe = $_POST[$i];
            update_proOzRobe($kodRobe,$novaOznaka);
            $ukupnoPromjena++;
        }           
    }
    return $ukupnoPromjena;
}
function izmjenaBrutoTezine($brojSlogova) {
    $ukupnoPromjena=0;
    for ($i=1; $i<=$brojSlogova; $i++ ) {
        if (is_numeric(str_replace(',', '.',$_POST['brutoTezina'.$i]))) {
            $novaBrutoTezina=(float)str_replace(',', '.',$_POST['brutoTezina'.$i]);
            $kodRobe = $_POST[$i];
            update_polje_robe($kodRobe,$novaBrutoTezina, 'brutoTezina');
            $ukupnoPromjena++;
        }           
    }
    return $ukupnoPromjena;
}
?>