<?php
    $saldaKonto=is_salda_konto($slogGk['konto']);
    // kontrole ispravnosti unosa
    if(trim($slogGk['broDo'])=='' && $saldaKonto) {
        $greskaStavke.=' Unesite broj dokumenta!';
        $greskaBroDo='*';
    }
    if(trim($slogGk['konto'])=='') {
        $greskaStavke.=' Unesite konto!';
        $greskaKonto='*';
    }
    else {
        $slogKonto=get_konto($slogGk['konto']);
        if(!is_array($slogKonto)) {
            $greskaStavke.=' Konto:'.$slogGk['konto'].' ne postoji!';
            $greskaKonto='*';
        }
        else {
            $slogGk['nazivKonta']=$slogKonto['nazivKonta'];
            if(trim($slogGk['kodPartnera']=='') && $slogKonto['vrstaKonta']=='S') {
                $greskaStavke.=' Unesite partnera!';
                $greskaKodPartnera='*';            
            } 
        }
    }
    if($slogGk['vrsDo']!='40') {
        if(trim($slogGk['DVO'])=='' && $saldaKonto) {
           $greskaStavke .= 'Obavezan je unos datuma DVO! '; 
           $greskaDVO = '*';          
        } 
        else {
            $greskaDatum = is_valid_datum($slogGk['DVO'], true);
            if (isset($greskaDatum)) {
               $greskaStavke .= ' DVO greška ! ' . $greskaDatum.' '; 
               $greskaDVO = '*';
            }
        }
        if(isset($slogKonto))
        if($slogKonto['vrstaKonta']=='S')
            if($slogGk['vrsDo']=='10' || $slogGk['vrsDo']=='11' || $slogGk['vrsDo']=='20' || $slogGk['vrsDo']=='22') {       
                if(trim($slogGk['valuta'])=='' && $saldaKonto) {
                    $greskaStavke .= 'Obavezan je unos datuma dospijeća! '; 
                    $greskaValuta = '*';          
                } else {
                    unset($greskaDatum);
                    $greskaDatum = is_valid_datum($slogGk['valuta'], false);
                    //if (isset($greskaDatum) && $greskaDatum!=' Budući datum ! '.$slogGk['valuta']) {
                    if (isset($greskaDatum) && strpos($greskaDatum,' Budući datum ! ')===false) {
                        $greskaStavke .= ' Dospijeće greška ! ' . $greskaDatum.' '; 
                        $greskaValuta = '*';
                    }
                }
            }
            else if(trim($slogGk['valuta'])=='' && $greskaDVO!='*') {
                $slogGk['valuta']=$slogGk['DVO'];
            }
    }
    if($slogGk['iznosDug']==0 && $slogGk['iznosPot']==0) {
        $greskaStavke.=' Unesite dugovni ili potražni iznos. Oba su 0!';
        $greskaIznos='*';

    }
    if($slogGk['iznosDug']!=0 && $slogGk['iznosPot']!=0 && $saldaKonto) {
        $greskaStavke.=' Za saldakonto konta se unosi samo dugovni ili samo potražni iznos!';
        $greskaIznos='*';

    }
    if(trim($slogGk['brojDobRacuna'])=='' && ($ulazniRacun) && $saldaKonto) {
        $greskaStavke.='Unesite dobavljačev broj!';
        $greskaBrojDobRacuna='*';
        
    }
    if($ulazniRacun ||  $slogGk['vrsDo']=='20' || $slogGk['vrsDo']=='22' || $slogGk['vrsDo']=='21') {
        if(trim($slogGk['valuta'])=='' && $saldaKonto) {
           $greskaStavke .= 'Obavezan je unos dospijeća! '; 
           $greskaValuta = '*';          
        } else {
            ;
        }
    }
    if(isset($slogKonto))
    if($slogKonto['vrstaKonta']=='S') {
        $pom=kontrolaBroDo($slogGk);
        if(trim($pom)!='') {
            $greskaStavke.=$pom;
            $greskaBroDo = '*';
        }    
    }
    if($ulazniRacun) {
        $ukunoPoTarifama=0;
        for ($i = 0; $i < count($_REQUEST['osnovica']); $i++) {
            $ukunoPoTarifama+=(float)str_replace(',', '.',$_REQUEST['osnovica'][$i]);
            $ukunoPoTarifama+=(float)str_replace(',', '.',$_REQUEST['iznosPDV'][$i]);
        }
        $iznosUkupno=(float)str_replace(',', '.',$_REQUEST['iznosDug']);
        if($iznosUkupno==0)
            $iznosUkupno=(float)str_replace(',', '.',$_REQUEST['iznosPot']);
        $razlika=round($ukunoPoTarifama-$iznosUkupno,2);
        if($razlika!=0 && $saldaKonto) {
            $greskaStavke.=' Ukupno po porezima je:'.$ukunoPoTarifama.', što nije jednako iznosu unesenom u duguje/potražuje!';
            $greskaIznosPdv = '*';
        }
    }
    // završetak kontrola 
    
function is_salda_konto($konto) {
    $slogKonto=get_konto($konto);
    if(empty($slogKonto))
        return false;
    return $slogKonto['vrstaKonta']=='S';
   
}    

?>