<?php
require_once('./model/konta_db.php');
require_once('model/partner_db.php');

function finacijski_paramemetri($akcija, $naslov='') {
//$naslov='Kartica';
global $app_path, $action;
$greska= '';
$nazivKonta='';
$nazivPartnera='';
$greskaKonto = '&nbsp'; 
$greskaPartner = '&nbsp'; 
$greskaDVOod = '&nbsp'; 
$greskaDVOdo = '&nbsp'; 
$parametri=array();
if(isset($_REQUEST['kodPartnera'])) {
    $parametri['kodPartnera']=$_REQUEST['kodPartnera'];
    if($action=='izabran_je_kodPartnera') {
        $action=$akcija;
        $parametri['kodPartnera']=$_GET['kodPartnera'];
    }    
    else if(trim($_REQUEST['kodPartnera'])!='') {
        if($akcija=='view_pregled_temeljnica')
            $pom=pretraga_partnera($parametri['kodPartnera'],'./cart/'.$akcija. '.php');
        else
            $pom=pretraga_partnera($parametri['kodPartnera'],'./dokumenti/view_fin_kartica.php');
        if(is_array($pom)) {
             $partneri=$pom;
             $pretraga_partner_header = true;
             $imaNemaPartner = 'Ima';
             include 'view/header.php';
             include 'dokumenti/view_pretraga_partnera.php';
             include 'view/footer.php';
             exit;            
        }
        $imaUsklicnik = strpos($pom, '!');
        if ($imaUsklicnik === FALSE) {
            $parametri['kodPartnera']=$pom;
            $slogPartnera=  get_partner($parametri['kodPartnera']);
            $nazivPartnera=$slogPartnera['nazivPartnera'];                                                                                   
        } else {
            $greska = $pom;
            $greskaPartner='*';
        }
    }
}
else 
    $parametri['kodPartnera']='';

if(isset($_REQUEST['konto'])) {
    $parametri['konto']=$_REQUEST['konto'];
    if(trim($parametri['konto'])!='') {
        $slogKonto=get_konto($parametri['konto']);
        if($slogKonto===FALSE) {
            //$greska.='Konto:'.$parametri['konto'].' ne posoji!';
            //$greskaKonto='*';
        }
        else {
            $nazivKonta=$slogKonto['nazivKonta'];
        }
    }
}    
else 
    $parametri['konto']='';
if(isset($_REQUEST['DVOod']))
    $parametri['DVOod']=$_REQUEST['DVOod'];
else 
    $parametri['DVOod']='';
if(isset($_REQUEST['DVOdo']))
    $parametri['DVOdo']=$_REQUEST['DVOdo'];
else 
    $parametri['DVOdo']='';
if(isset($_REQUEST['prikazuje']))
    $parametri['prikazuje']=$_REQUEST['prikazuje'];
else 
    $parametri['prikazuje']='';

if(isset($_REQUEST['iznosOd']))
    $parametri['iznosOd']=$_REQUEST['iznosOd'];
else 
    $parametri['iznosOd']='';
if(isset($_REQUEST['iznosDo']))
    $parametri['iznosDo']=$_REQUEST['iznosDo'];
else 
    $parametri['iznosDo']='';
if(isset($_REQUEST['vrsDo']))
    $parametri['vrsDo']=$_REQUEST['vrsDo'];
else 
    $parametri['vrsDo']='';
if(isset($_REQUEST['nacinPrikaza']))
    $parametri['nacinPrikaza']=$_REQUEST['nacinPrikaza'];
else 
    $parametri['nacinPrikaza']='';
if(isset($_REQUEST['nacinPrikaza']))
    $parametri['kojiIznos']=$_REQUEST['kojiIznos'];
else 
    $parametri['kojiIznos']='';

    $greskaDatum = is_valid_datum($parametri['DVOod']);
    if (isset($greskaDatum)) {
       $greska .= ' Greška datum od ! ' . $greskaDatum; 
       $greskaDVOod = '*';
    }    

    $greskaDatum = is_valid_datum($parametri['DVOdo']);
    if (isset($greskaDatum)) {
        $buduciDatum = stripos($greskaDatum, ' Budući datum ! ');
        if ($buduciDatum === 0) 
            $greskaDatum = ''; 
        else  {
           $greska .= ' Greška datum do ! ' . $greskaDatum; 
           $greskaDVOdo = '*';
         }   
    }    

if(trim($naslov)!='')
    echo '<h2>'.$naslov.'</h2>';
?>
<form action="." method="post" id="view_promet_po_robi" name="view_fin_parametri">
<input type="hidden" name="action" value="<?php echo $akcija ?>" />
<table>
<tr>
    <td>
    Konto:  &nbsp; &nbsp; &nbsp; 
    <input type="text" class="text_width_8em" name="konto" value = "<?php echo $parametri['konto']; ?>" /> 
    <span class="greska"><?php echo $greskaKonto; ?> </span>
    <?php echo $nazivKonta ?>
    </td>
    <td>
    Vrsta dokumenta:
    <?php listaVrsteDokumenataKnj('vrsDo', $parametri['vrsDo'], true); ?>
    </td>
</tr>
<tr>
<td colspan="2">
Partner:  &nbsp; &nbsp; 
    <input type="text" class="text_width_15em" name="kodPartnera" value = "<?php echo $parametri['kodPartnera']; ?>"
	placeholder="Dio naziva ili šifra " /> 
    <span class="greska"><?php echo $greskaPartner; ?> </span>
    <?php echo $nazivPartnera ?>
</td>
</tr>
<tr>
    <td>
Datum od: 
<input type="text" name="DVOod"  pattern="[0-9]{2}.[0-9]{2}.[0-9]{4}" title="datum:dd.mm.gggg" 
       value="<?php echo $parametri['DVOod']; ?>" /> 
<span class="greska"><?php echo $greskaDVOod; ?> </span> 

Datum do:
<input type="text" name="DVOdo"  pattern="[0-9]{2}.[0-9]{2}.[0-9]{4}" title="datum:dd.mm.gggg" 
       value="<?php echo $parametri['DVOdo']; ?>" />
<span class="greska"><?php echo $greskaDVOdo; ?> </span>  &nbsp;&nbsp;
    </td>
    <td>
Iznos od:
<input type="text" class="text_width_5em" name="iznosOd" pattern="\d+([\,\.]\d{1,2})?" value="<?php echo $parametri['iznosOd']; ?>"  />
do:
<input type="text" class="text_width_5em" name="iznosDo" pattern="\d+([\,\.]\d{1,2})?" value="<?php echo $parametri['iznosDo']; ?>"  />
<select name="kojiIznos" > 
  <option value=""  <?php if($parametri['kojiIznos'] == '')  echo 'selected="selected"';  ?>>dug. i pot.</option>
  <option value="D"  <?php if($parametri['kojiIznos'] == 'D')  echo 'selected="selected"';  ?>>duguje</option>
  <option value="P"  <?php if($parametri['kojiIznos'] == 'P')  echo 'selected="selected"';  ?>>potražuje</option>
  <option value="O"  <?php if($parametri['kojiIznos'] == 'O')  echo 'selected="selected"';  ?>>otvoreno</option>
</select>
&nbsp; &nbsp; &nbsp; &nbsp;
Prikazuje:
<select name="prikazuje" > 
  <option value=""  <?php if($parametri['prikazuje'] == '')  echo 'selected="selected"';  ?>>sve stavke</option>
  <option value="F"  <?php if($parametri['prikazuje'] == 'F')  echo 'selected="selected"';  ?>>financijske stavke</option>
  <option value="S"  <?php if($parametri['prikazuje'] == 'S')  echo 'selected="selected"';  ?>>salda-konto sravke</option>
</select>
<select name="nacinPrikaza" > 
  <option value=""  <?php if($parametri['nacinPrikaza'] == '')  echo 'selected="selected"';  ?>>pojedinačno</option>
  <option value="lista"  <?php if($parametri['nacinPrikaza'] == 'lista')  echo 'selected="selected"';  ?>>u listi</option>
  <option value="kumulativno"  <?php if($parametri['nacinPrikaza'] == 'kumulativno')  echo 'selected="selected"';  ?>>kumulativno</option>
</select>
    </td>
</tr>
</table> 
<p></p> 
 
 <p id="prihvat">
    <input type="submit" value="Prihvat " name="prihvatParametara" />	  
</p>
	<?php if (trim($greska)!='') : ?>
            <br>
	    <?php
	    //ako je greska onda u tekstu greske ima barem jedan !
	    $imaUsklicnik = strpos($greska, '!');
	    if ($imaUsklicnik === FALSE) {
		$greska_prihvat = 'greska_prihvat_nije_greska';
	    } else {
		$greska_prihvat = 'greska_prihvat';
	    }
	    ?>
	    <p id="<?php echo $greska_prihvat; ?>"> <?php echo $greska; ?> </p>
            <?php 
            return false;
        endif; ?> 

</form>   
<?php
return $parametri;
}
?>