<?php
require_once('./model/konta_db.php');
require_once('model/partner_db.php');


function finacijski_paramemetri($akcija, $naslov='') {
//$naslov='Kartica';
global $knjigovodstvo, $pBroj2Decimale;    
global $app_path, $action;
global $karticaOtvSta;
global $noviB2BMenu;

$greska= '';
$nazivKonta='';
$nazivPartnera='';
$greskaKonto = '&nbsp'; 
$greskaPartner = '&nbsp'; 
$greskaDVOod = '&nbsp'; 
$greskaDVOdo = '&nbsp'; 
$parametri=array();
if(isset($_SESSION['pregledPartnera'])) {
    if(isset($_REQUEST['kodPartnera']))
        $parametri['kodPartnera']=$_REQUEST['kodPartnera'];
    else 
        $parametri['kodPartnera']=''; 
    $_POST=$_REQUEST=$_SESSION['pregledPartnera'];
    $_POST['kodPartnera']=$_REQUEST['kodPartnera']=$parametri['kodPartnera'];    
    unset($_SESSION['pregledPartnera']);
}

if(isset($_REQUEST['brojDokPr'])) 
   $parametri['brojDokPr']=$_REQUEST['brojDokPr'];
else
   $parametri['brojDokPr']='';
if(!isset($_REQUEST['action'])) // defaultna vrijednost 
   $parametri['zaDioDokumenta']=true;
else if(isset($_REQUEST['zaDioDokumenta']) || $akcija!=$_REQUEST['action']) // $akcija!=$_REQUEST['action'] - prvi put smo ušli, defaultna vrijednost 
   $parametri['zaDioDokumenta']=true;
else
   $parametri['zaDioDokumenta']=false;
if(isset($_REQUEST['prikazVeza'])) 
   $parametri['prikazVeza']=true;
else
   $parametri['prikazVeza']=false;
if(isset($_REQUEST['prikazKnjigovodje'])) 
   $parametri['prikazKnjigovodje']=true;
else
   $parametri['prikazKnjigovodje']=false;

//if(isset($_REQUEST['kodPartnera']))
if(isset($_REQUEST['kodPartnera'])) {
    $parametri['kodPartnera']=$_REQUEST['kodPartnera'];
    if($action=='izabran_je_kodPartnera') {
        $action=$akcija;
        $parametri['kodPartnera']=$_GET['kodPartnera'];
    }    
    else if(trim($_REQUEST['kodPartnera'])!='') {
        if($akcija=='view_pregled_temeljnica')
            $pom=pretraga_partnera($parametri['kodPartnera'],'./cart/'.$akcija. '.php');
        else
            $pom=pretraga_partnera($parametri['kodPartnera'],'./dokumenti/view_fin_kartica.php');
        if(is_array($pom)) {
             $partneri=$pom;
             $pretraga_partner_header = true;
             $imaNemaPartner = 'Ima';
             include 'view/header.php';
             include 'dokumenti/view_pretraga_partnera.php';
             include 'view/footer.php';
             exit;            
        }
        $imaUsklicnik = strpos($pom, '!');
        if ($imaUsklicnik === FALSE) {
            $parametri['kodPartnera']=$pom;
            $slogPartnera=get_partner($parametri['kodPartnera']);
            $nazivPartnera=trim($slogPartnera['nazivPartnera']).' Broj računa:'.trim($slogPartnera['brojBankRacuna']).' OIB:'.trim($slogPartnera['OIB']);                                                                                   
        } else {
            $greska = $pom;
            $greskaPartner='*';
        }
    }
}
else 
    $parametri['kodPartnera']='';

    if ($_SESSION['admin']['prioritet'] == 9) {           
        $parametri['kodPartnera'] = trim($_SESSION['admin']['kodPartnera']);
    }

if(isset($_REQUEST['konto'])) {
    $parametri['konto']=$_REQUEST['konto'];
}    
else {
    if($akcija=='view_pregled_temeljnica') 
        $parametri['konto']='';
    else
        $parametri['konto']='1200';
}   

if(trim($parametri['konto'])!='') {
    $slogKonto=get_konto($parametri['konto']);
    //Nema kontrole, jer za 120 dohvaća sva konta koja počinju s 120
    if($slogKonto===FALSE) {
        //$greska.='Konto:'.$parametri['konto'].' ne posoji!';
        //$greskaKonto='*';
        ;
    }
    else {
        $nazivKonta=$slogKonto['nazivKonta'];
    }
}

if(isset($_REQUEST['DVOod']))
    $parametri['DVOod']=$_REQUEST['DVOod'];
else 
    if($akcija=='view_pregled_temeljnica') {
         if(trim($_SESSION['godina_b'])!='')  {
               $parametri['DVOdo']='31.12.'.$_SESSION['godina_b'];
               $parametri['DVOod']='01.12.'.$_SESSION['godina_b'];
         }      
         else {
               $d=new DateTime();;
               $parametri['DVOdo']=$d->format('d.m.Y');
               $parametri['DVOod']='01.'.$d->format("m.Y");
         }
    }
    else
        $parametri['DVOod']='';
if(isset($_REQUEST['DVOdo']))
    $parametri['DVOdo']=$_REQUEST['DVOdo'];
else {
    if($akcija!='view_pregled_temeljnica')
        $parametri['DVOdo']='';
}    
if(isset($_REQUEST['prikazuje']))
    $parametri['prikazuje']=$_REQUEST['prikazuje'];
else 
    $parametri['prikazuje']='';

if(isset($_REQUEST['iznosOd']))
    $parametri['iznosOd']=$_REQUEST['iznosOd'];
else 
    $parametri['iznosOd']='';
if(isset($_REQUEST['iznosDo']))
    $parametri['iznosDo']=$_REQUEST['iznosDo'];
else 
    $parametri['iznosDo']='';
if(isset($_REQUEST['vrsDo']))
    $parametri['vrsDo']=$_REQUEST['vrsDo'];
else {
//    if($akcija=='view_pregled_temeljnica')
//        $parametri['vrsDo']='20';
//    else
        $parametri['vrsDo']='';
}    
if(isset($_REQUEST['nacinPrikaza']))
    $parametri['nacinPrikaza']=$_REQUEST['nacinPrikaza'];
else 
    $parametri['nacinPrikaza']='';
if(isset($_REQUEST['nacinPrikaza']))
    $parametri['kojiIznos']=$_REQUEST['kojiIznos'];
else 
    $parametri['kojiIznos']='';
if(isset($_REQUEST['kojiDatum']))
    $parametri['kojiDatum']=$_REQUEST['kojiDatum'];
else {
    if($_SESSION['skracenicaFirme']=='cha')
        $parametri['kojiDatum']='dospijece';
    else
        $parametri['kojiDatum']='DVO';
}    
if(isset($_REQUEST['proknjizio']))
    $parametri['proknjizio']=$_REQUEST['proknjizio'];
else 
    $parametri['proknjizio']='';

    $greskaDatum = is_valid_datum($parametri['DVOod'], false);
 /*   if (isset($greskaDatum)) {
       $greska .= ' Greška datum od ! ' . $greskaDatum; 
       $greskaDVOod = '*';
  * 
  */
     if (isset($greskaDatum)) {
        $buduciDatum = stripos($greskaDatum, ' Budući datum ! ');
        if ($buduciDatum === 0) 
            $greskaDatum = ''; 
        else  {
           $greska .= ' Greška datum od ! ' . $greskaDatum; 
           $greskaDVOod = '*';
         }   
    }    

    $greskaDatum = is_valid_datum($parametri['DVOdo'], true);
    if (isset($greskaDatum)) {
        $buduciDatum = stripos($greskaDatum, ' Budući datum ! ');
        if ($buduciDatum === 0) 
            $greskaDatum = ''; 
        else  {
           $greska .= ' Greška datum do ! ' . $greskaDatum; 
           $greskaDVOdo = '*';
         }   
    }    
if(!isset($_GET['pozvanIz'])) {
    $naslovStranice=$naslov;
    include 'view/header.php'; 
}    
if(trim($naslov)!='' && !isset($karticaOtvSta))
    echo '<h2>'.$naslov.'</h2>';

if(isset($_REQUEST['nacinPrikaza']))
    $parametri['prikazDatumaUnosa']=isset($_REQUEST['prikazDatumaUnosa']);
else
    $parametri['prikazDatumaUnosa']=false;
if($akcija=='view_pregled_temeljnica') {
    if(isset($_REQUEST['temeljnicaOd']))
        $parametri['temeljnicaOd']=$_REQUEST['temeljnicaOd'];
    else
        $parametri['temeljnicaOd']=0;
    
    if(isset($_REQUEST['temeljnicaDo']))
        $parametri['temeljnicaDo']=$_REQUEST['temeljnicaDo'];
    else
        $parametri['temeljnicaDo']=9999999;
}

if ($_SESSION['admin']['prioritet']!='9') $kartica=$otvStavke=true;
?>
<form action="." method="post" id="view_promet_po_robi" name="view_fin_parametri">
<?php if(isset($karticaOtvSta)) : ?>
<select name="karticaOtvSta" > 
  <?php if($kartica) : ?>  
  <option value="K"  <?php if($karticaOtvSta == 'K')  echo 'selected="selected"';  ?>>Knjigovodstvena kartica</option>
  <?php endif; ?>
  <?php if($otvStavke) : ?>  
  <option value="O"  <?php if($karticaOtvSta == 'O')  echo 'selected="selected"';  ?>>Otvorene stavke</option>
  <?php endif; ?>
</select>
    <br><br>    
<?php endif; ?>    
    
<input type="hidden" name="action" value="<?php echo $akcija ?>" />
<table style="font-size: 100%">
<tr>
    <td>
    Konto:  &nbsp; 
    <?php kreirajPoljeKonta('konto', $parametri['konto']); ?> 
    <img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help"
          title="Ukoliko se unese samo početni dio konta dohvaća svu sintetiku za taj konto. Npr. za 12 dohvaća sva konta koja počinju s 12" />
          <span class="greska"><?php echo $greskaKonto; ?> </span>
    <?php echo $nazivKonta ?>&nbsp;
    </td>
    <td>      
    Vrsta dokumenta:
    <?php listaVrsteDokumenataKnj('vrsDo', $parametri['vrsDo'], true); ?>
    &nbsp; 
    Broj dokumenta:
    <input type="text" class="text_width_8em" name="brojDokPr" value="<?php echo $parametri['brojDokPr']; ?>" /> 
    <input type="checkbox" name="zaDioDokumenta"  <?php if($parametri['zaDioDokumenta']) echo 'checked' ?> >Pretražuje za dio dokumenta   
    </td>
</tr>
<tr>
<td colspan="2">
Partner: 
    <input type="text" class="text_width_15em" name="kodPartnera" <?php if ($_SESSION['admin']['prioritet'] == 9) echo 'readonly="readonly"'; ?> 
    value = "<?php echo $parametri['kodPartnera']; ?>" placeholder="Dio naziva ili šifra " /> 
    <span class="greska"><?php echo $greskaPartner; ?> </span>
    <?php echo $nazivPartnera ?>
</td>
</tr>
<tr>
<td>
Datum: &nbsp;  
<select name="kojiDatum" > 
  <option value="DVO"        <?php if($parametri['kojiDatum'] == 'DVO')  echo 'selected="selected"';  ?>>DVO</option>
  <option value="dospijece"  <?php if($parametri['kojiDatum'] == 'dospijece')  echo 'selected="selected"';  ?>>dospijeća</option>
  <option value="unosa"      <?php if($parametri['kojiDatum'] == 'unosa')  echo 'selected="selected"';  ?>>unosa</option>
</select>
od:
<input type="text" name="DVOod"  pattern="[0-9]{1,2}.{0,1}[0-9]{1,2}.{0,1}[0-9]{4}" size="8" title="datum:dd.mm.gggg"  
       value="<?php echo $parametri['DVOod']; ?>" /> 
<span class="greska"><?php echo $greskaDVOod; ?> </span> 
do:
<input type="text" name="DVOdo"  pattern="[0-9]{1,2}.{0,1}[0-9]{1,2}.{0,1}[0-9]{4}" size="8" title="datum:dd.mm.gggg" 
       value="<?php echo $parametri['DVOdo']; ?>" />
<span class="greska"><?php echo $greskaDVOdo; ?> </span>  &nbsp;
</td>
<td>
Iznos od:
<input type="text" class="text_width_5em" name="iznosOd" pattern="<?php echo $pBroj2Decimale ?>" value="<?php echo $parametri['iznosOd']; ?>"  />
do:
<input type="text" class="text_width_5em" name="iznosDo" pattern="<?php echo $pBroj2Decimale ?>" value="<?php echo $parametri['iznosDo']; ?>"  />
<select name="kojiIznos" > 
  <option value=""  <?php if($parametri['kojiIznos'] == '')  echo 'selected="selected"';  ?>>dug. i pot.</option>
  <option value="D"  <?php if($parametri['kojiIznos'] == 'D')  echo 'selected="selected"';  ?>>duguje</option>
  <option value="P"  <?php if($parametri['kojiIznos'] == 'P')  echo 'selected="selected"';  ?>>potražuje</option>
  <option value="O"  <?php if($parametri['kojiIznos'] == 'O')  echo 'selected="selected"';  ?>>otvoreno</option>
</select>
&nbsp;
Prikazuje:
<select name="prikazuje" > 
  <option value=""  <?php if($parametri['prikazuje'] == '')  echo 'selected="selected"';  ?>>sve stavke</option>
  <option value="F"  <?php if($parametri['prikazuje'] == 'F')  echo 'selected="selected"';  ?>>financijske stavke</option>
  <option value="S"  <?php if($parametri['prikazuje'] == 'S')  echo 'selected="selected"';  ?>>salda-konto sravke</option>
</select>
<?php if($akcija=='view_pregled_temeljnica') : ?>
Broj temeljnice od:
<input type="text" class="text_width_5em" name="temeljnicaOd" pattern="[0-9]*" value="<?php echo $parametri['temeljnicaOd']; ?>" required="" />
do:
<input type="text" class="text_width_5em" name="temeljnicaDo" pattern="[0-9]*" value="<?php echo $parametri['temeljnicaDo']; ?>" required="" />
<?php else : ?>
<select name="nacinPrikaza" > 
  <option value=""  <?php if($parametri['nacinPrikaza'] == '')  echo 'selected="selected"';  ?>>pojedinačno</option>
  <option value="lista"  <?php if($parametri['nacinPrikaza'] == 'lista')  echo 'selected="selected"';  ?>>u listi</option>
  <option value="kumulativno"  <?php if($parametri['nacinPrikaza'] == 'kumulativno')  echo 'selected="selected"';  ?>>kumulativno</option>
</select>
<input type="checkbox" name="prikazDatumaUnosa"  <?php if($parametri['prikazDatumaUnosa']) echo 'checked' ?> >Prikaz datuma unosa   
<?php endif; ?>
</td>
</tr>
</table> 
<p><?php if($akcija!='view_pregled_temeljnica') : ?>
    <input type="checkbox" name="prikazVeza"  <?php if($parametri['prikazVeza']) echo 'checked' ?> >Prikaz veza 
    <?php if($_SESSION['admin']['prioritet'] < 9) : ?>
    <input type="checkbox" name="prikazKnjigovodje"  <?php if($parametri['prikazKnjigovodje']) echo 'checked' ?> >Prikaz knjižitelja   
    &nbsp;Proknjižio:
    <?php listaRefProd('proknjizio', $parametri['proknjizio'], false); ?>
    <?php endif; ?>
<?php endif; ?></p> 
 
 <p id="prihvat">
    <input type="submit" value="Prihvat " name="prihvatParametara" />	  
</p>
	<?php if (trim($greska)!='') : ?>
            <br>
	    <?php
	    //ako je greska onda u tekstu greske ima barem jedan !
	    $imaUsklicnik = strpos($greska, '!');
	    if ($imaUsklicnik === FALSE) {
		$greska_prihvat = 'greska_prihvat_nije_greska';
	    } else {
		$greska_prihvat = 'greska_prihvat';
	    }
	    ?>
	    <p id="<?php echo $greska_prihvat; ?>"> <?php echo $greska; ?> </p>
            <?php 
            return false;
        endif; ?> 

</form>   
<?php

return $parametri;
}
?>