DROP FUNCTION IF EXISTS fnIznosOtvoreno;
DELIMITER $$
CREATE FUNCTION fnIznosOtvoreno(p_konto CHAR(12), p_vrsDo CHAR(2), p_broDo CHAR(25), p_DVO CHAR(21), p_kodPartnera CHAR(16), p_DVOdo CHAR(21), pogk DECIMAL(11,2)) RETURNS decimal(11,2)
    SQL SECURITY INVOKER
BEGIN
DECLARE iznosOtv DECIMAL(11,2);
DECLARE poVezama DECIMAL(11,2);

/*
select sum(iznosVeze)  into poVezama 
from veze as v
where ((konto=p_konto and kodPartnera=p_kodPartnera and vrsDo=p_vrsDo and v.broDo=p_broDo and DVO=p_DVO and (vDVO<=p_DVOdo or trim(p_DVOdo)=''))
or (vKonto=p_konto and vKodPartnera=p_kodPartnera and vVrsDo=p_vrsDo and vBroDo=p_broDo and vDVO=p_DVO and (DVO<=p_DVOdo or trim(p_DVOdo)='')))   
;
*/

select 
-- ifnull(sum(sign(v.iznosVeze) * sign(gk.iznosDug+gk.iznosPot)*v.iznosVeze),0) into poVezama
ifnull((gk.iznosDug+gk.iznosPot) - ifnull(sum(sign(v.iznosVeze) * sign(gk.iznosDug+gk.iznosPot)*v.iznosVeze),0),0) into  iznosOtv
-- gk.iznosDug+gk.iznosPot as iznosUgk 
from gk_stavke as gk
left outer join 
(
    select v.*
    from veze as v 
    -- povezujemo se s gk da bismo vidjelistanje na dan 
    left outer join gk_stavke as gk_veze 
    on ((gk_veze.konto=v.konto and gk_veze.kodPartnera=v.kodPartnera and gk_veze.vrsDo=v.vrsDo and gk_veze.broDo=v.broDo and gk_veze.DVO=v.DVO)
    or (gk_veze.konto=v.vKonto and gk_veze.kodPartnera=v.vKodPartnera and gk_veze.vrsDo=v.vVrsDo and gk_veze.broDo=v.vBroDo and gk_veze.DVO=v.vDVO))
    where ((v.konto=p_konto and v.kodPartnera=p_kodPartnera and v.vrsDo=p_vrsDo and v.broDo=p_broDo and v.DVO=p_DVO)
    or (vKonto=p_konto and vKodPartnera=p_kodPartnera and vVrsDo=p_vrsDo and vBroDo=p_broDo and vDVO=p_DVO))
    and not (gk_veze.vrsDo=p_vrsDo and gk_veze.broDo=p_broDo) 
    and (gk_veze.DVO<=p_DVOdo or trim(p_DVOdo)='')
) as v on
((v.konto=gk.konto and v.kodPartnera=gk.kodPartnera and v.vrsDo=gk.vrsDo and v.broDo=gk.broDo)
or (vKonto=gk.konto and vKodPartnera=gk.kodPartnera and vVrsDo=gk.vrsDo and vBroDo=gk.broDo))
where gk.konto=p_konto and gk.kodPartnera=p_kodPartnera and gk.vrsDo=p_vrsDo and gk.broDo=p_broDo and gk.DVO=p_DVO;

-- RETURN pogk - ifnull(poVezama,0);
RETURN ifnull(iznosOtv,0);
END$$
DELIMITER ;