set @konto='', @kodPartnera='', @iznosOd='', @iznosDo='', @kojiIznos='D', @prikazuje='S', @DVOod='', @DVOdo='',  @vrsDo='';
select 
gk.brojTemeljnice, gk.vrsDo, vd.nazivDokumenta, vd.oznakaDokumenta, gk.brojIzvoda, 
sum(iznosDug) as duguje, sum(iznosPot) as potrazuje, count(brojStavke) as stavaka
from gk_stavke as gk
left outer join vrste_dokumenata as vd on vd.vrsDo=gk.vrsDo 
where (gk.konto=@konto or trim(@konto)='')
and (gk.kodPartnera=@kodPartnera or trim(@kodPartnera)='')
and (gk.vrsDo=@vrsDo or trim(@vrsDo)='')
and (gk.DVO>=@DVOod or trim(@DVOod)='')
and (gk.DVO<=@DVOdo or trim(@DVOdo)='')
and (@prikazuje='' or (@prikazuje='F' and trim(gk.kodPartnera)='') or (@prikazuje='S' and trim(gk.kodPartnera)<>''))
and  (
    ((@kojiIznos='D' or @kojiIznos='') and 
     ((trim(@iznosOd)='' or IznosDug>=@iznosOd) and (trim(@iznosDo)='' or iznosDug<=@iznosDo)))
 or ((@kojiIznos='P' or @kojiIznos='') and  
     ((trim(@iznosOd)='' or IznosPot>=@iznosOd) and (trim(@iznosDo)='' or iznosPot<=@iznosDo)))
 or (@kojiIznos='O' and 
     ((trim(@iznosOd)='' or iznosOtv>=@iznosOd) and (trim(@iznosDo)='' or iznosOtv<=@iznosDo)))
)
group by `brojTemeljnice`, vrsDo, `brojIzvoda` 
;
