<?php
// Create an empty cart if it doesn't exist
if (!isset($_SESSION['cart']) ) {
    $_SESSION['cart'] = array();
}

// Add an item to the cart
function cart_add_item($kodRobe,$cijena,$rabatPopust,$absRabatPopust,$kolicina,
   $vrstaProdaje = '0', $vezniDokument='', $cijenaZaIntFak = 0, $rabatPopustNaKol = '0',
   $absRabatPopustNaKol = ' ', $poreznaGrupa = 'A', $PDV = '25', $ukalkuliraniPDV = '25',
   $povratnaNaknada = 0, $nabavnaCijena = 0, $marza = 0, $absMarza = ' ', $zavisniTroskovi = 0,
   $absZavTr = ' ', $tekst = NULL) {
   //  echo 'kodRobe=' . $kodRobe;
   if (trim($kodRobe) != '#') {
      $roba = get_product_maticna_robe($kodRobe);
      $poreznaGrupa = $roba['poreznaGrupa'];
   }
   
	$porez = get_porez($poreznaGrupa);
	$PDV = $porez['PDV'];
	//	 echo 'iz cart_add_item PDV I poreznaGrupa' . $PDV . $poreznaGrupa;
	$ukalkuliraniPDV = $PDV;  
                 
    if ($_SESSION['dok_zag']['PDVstatus'] == '0' || $_SESSION['dok_zag']['PDVstatus'] == '1' || $_SESSION['dok_zag']['PDVstatus'] == '2') {
       //prazno je oporezivo a sve ostalo neoporezivo(0-oslobođeno PDV, 1-izvoz, 2-branitelji)  
        $PDV = 0;
    }
    $stavka = array();
    $stavka['kolicina'] = $kolicina; 
    $stavka['rabatPopust'] = $rabatPopust;
    $stavka['cijena'] = $cijena;
    $stavka['kodRobe'] = $kodRobe;
    $stavka['vrstaProdaje'] = $vrstaProdaje;
    $stavka['cijenaZaIntFak'] = $cijenaZaIntFak;
    $stavka['absRabatPopust'] = $absRabatPopust;
    $stavka['rabatPopustNaKol'] = $rabatPopustNaKol;
    $stavka['absRabatPopustNaKol'] = $absRabatPopustNaKol;
    $stavka['poreznaGrupa'] = $poreznaGrupa;
    $stavka['PDV'] = $PDV;
    $stavka['ukalkuliraniPDV'] = $ukalkuliraniPDV;
    $stavka['povratnaNaknada'] = $povratnaNaknada;
    $stavka['nabavnaCijena'] = $nabavnaCijena;
    $stavka['marza'] = $marza;
    $stavka['absMarza'] = $absMarza;
    $stavka['zavisniTroskovi'] = $zavisniTroskovi;
    $stavka['absZavTr'] = $absZavTr;
    $stavka['tekst'] = $tekst;
    $stavka['vezniDokument'] = $vezniDokument;
    
//dodaje na kraj -----------------------	
    $_SESSION['cart'][] = $stavka;
//--------------------------------------	
       // Set last category added to cart
   // $roba = get_product($_SESSION['odabranaPoslovnica'], $kodRobe);
    if (trim($kodRobe) != '#') {
       $_SESSION['last_category_id'] = $roba['kodGrupe'];
       $_SESSION['last_category_name'] = $roba['nazivGrupe']; 
    }
    //?
}

// Update an item in the cart
/*function cart_update_item($kodRobe, $kolicina) {
    if (isset($_SESSION['cart'][$kodRobe])) {
	//    echo 'Dolazim cart update';
        $_SESSION['cart'][$kodRobe] = round($kolicina, 0);
    }
} */
function cart_update_1_item($kodRobe,$cijena,$rabatPopust,$absRabatPopust,$kolicina,
    $vrstaProdaje = '0', $brojStavke = 1, $cijenaZaIntFak = 0, $rabatPopustNaKol = '0',
    $absRabatPopustNaKol = ' ', $poreznaGrupa = 'A', $PDV = '25', $ukalkuliraniPDV = '25',
    $povratnaNaknada = 0, $nabavnaCijena = 0, $marza = 0, $absMarza = ' ', $zavisniTroskovi = 0,
    $absZavTr = ' ', $tekst = NULL) {
      if (isset($_SESSION['cart'][$brojStavke])) {
          
	if (trim($kodRobe) != '#') {
           $roba = get_product_maticna_robe($kodRobe);
           $poreznaGrupa = $roba['poreznaGrupa'];
        }   
	$porez = get_porez($poreznaGrupa);
	$PDV = $porez['PDV'];	
	$ukalkuliraniPDV = $PDV;
        
        if ($_SESSION['dok_zag']['PDVstatus'] == '0' || $_SESSION['dok_zag']['PDVstatus'] == '1' || $_SESSION['dok_zag']['PDVstatus'] == '2') {
       //prazno je oporezivo a sve ostalo neoporezivo(0-oslobođeno PDV, 1-izvoz, 2-branitelji)  
        $PDV = 0;
        } 
       $_SESSION['cart'][$brojStavke]['cijena'] = $cijena;
	   $_SESSION['cart'][$brojStavke]['rabatPopust'] = $rabatPopust;
	   $_SESSION['cart'][$brojStavke]['kolicina'] = $kolicina;
	   $_SESSION['cart'][$brojStavke]['vrstaProdaje'] = $vrstaProdaje;
	   $_SESSION['cart'][$brojStavke]['cijenaZaIntFak'] = $cijenaZaIntFak;
	   $_SESSION['cart'][$brojStavke]['absRabatPopust'] = $absRabatPopust;
	   $_SESSION['cart'][$brojStavke]['rabatPopustNaKol'] = $rabatPopustNaKol;
	   $_SESSION['cart'][$brojStavke]['absRabatPopustNaKol'] = $absRabatPopustNaKol;
	   $_SESSION['cart'][$brojStavke]['poreznaGrupa'] = $poreznaGrupa;
	   $_SESSION['cart'][$brojStavke]['PDV'] = $PDV;
	   $_SESSION['cart'][$brojStavke]['ukalkuliraniPDV'] = $ukalkuliraniPDV;
	   $_SESSION['cart'][$brojStavke]['povratnaNaknada'] = $povratnaNaknada;
	   $_SESSION['cart'][$brojStavke]['nabavnaCijena'] = $nabavnaCijena;
	   $_SESSION['cart'][$brojStavke]['marza'] = $marza;
	   $_SESSION['cart'][$brojStavke]['absMarza'] = $absMarza;
	   $_SESSION['cart'][$brojStavke]['zavisniTroskovi'] = $zavisniTroskovi;
	   $_SESSION['cart'][$brojStavke]['absZavTr'] = $absZavTr;
	   $_SESSION['cart'][$brojStavke]['tekst'] = $tekst;
    } else {
	   echo 'P. greška, nije pronađen brojStavke u cartu dokumenta brojStavke=' .
       $brojStavke . ' u funkciji cart_update_1_item koja je pozvana ' .    
       'iz cart indexa';
 	   exit;
	}   
}

// Remove an item from the cart
function cart_remove_item($brojStavke) {
    // echo '$kodRobe=' . $kodRobe;
//	echo 'Stavki u cartu=' . cart_product_count();
//	echo 'Broj stavke=' . $brojStavke; 
	/* $kodRobe = str_pad($kodRobe, 16);  */
    if (isset($_SESSION['cart'][$brojStavke])) {
	//    echo 'dolazim remove,';
        unset($_SESSION['cart'][$brojStavke]);
		$_SESSION['cart'] = array_values($_SESSION['cart']);
		//gapove odstrani pa su indexi nakon toga u redu
    }
	
}
// Get an array of items for the cart
function cart_get_items() {
    $items = array();
    foreach ($_SESSION['cart'] as $brojStavke => $stavka) {
 	
      /*  $roba = get_product($_SESSION['odabranaPoslovnica'],$kodRobe); */
        $kodRobe = $stavka['kodRobe']; 
        $cijena = $stavka['cijena'];
        $rabatPopust = $stavka['rabatPopust'];
        $absRabatPopust = $stavka['absRabatPopust'];
        $poreznaGrupa = $stavka['poreznaGrupa'];  //treba za kodRobe #
        $cijene = cijene($kodRobe,$cijena,$rabatPopust,$absRabatPopust,$poreznaGrupa);  
	
    	$kolicina = $stavka['kolicina'];
//veleprodaje-maloprodaje razrada treba		
        $iznosStavkeSpdv = round($cijene['netoCijenaSpdv'] * $kolicina, 2);
       		
	/*	if (empty($roba['nazivRobe'])) {   */
// kod PRIJAVE nove robe kod primki još nije stavka provedena na stanja a prijavljena je u
// maticna_robe	i kod robe koja je postojala u maticna_robe a u stanju je nema
           $robaMaticna = get_product_maticna_robe($kodRobe);
           $items[$brojStavke]['nazivRobe'] = $robaMaticna['nazivRobe'];
           $items[$brojStavke]['jedinicaMjere'] = $robaMaticna['jedinicaMjere'];
           if (trim($kodRobe) == '#') $items[$brojStavke]['nazivRobe'] =  $stavka['tekst'];
           
           $items[$brojStavke]['opis'] = $robaMaticna['opis'];
	/*	}  */
		
        $items[$brojStavke]['cijena'] = $cijena;
		
		
    //    $items[$brojStavke]['cijena'] = $roba['cijena'];
//? gore cijena	fiksna

        $items[$brojStavke]['cijenaSpdv'] = $cijene['cijenaSpdv'];
        $items[$brojStavke]['netoCijenaSpdv'] = $cijene['netoCijenaSpdv'];
        $items[$brojStavke]['netoCijenaBpdv'] = $cijene['netoCijenaBpdv'];
        $items[$brojStavke]['rabatPopust'] = $rabatPopust;
    //    $items[$brojStavke]['iznos_popusta'] = $iznos_popusta;
    //    $items[$brojStavke]['unit_price'] = $unit_price;
        $items[$brojStavke]['kolicina'] = $kolicina;
        $items[$brojStavke]['iznosStavkeSpdv'] = $iznosStavkeSpdv;
        $items[$brojStavke]['kodRobe'] = $stavka['kodRobe'];
        $items[$brojStavke]['vrstaProdaje'] = $stavka['vrstaProdaje'];
        $items[$brojStavke]['cijenaZaIntFak'] = $stavka['cijenaZaIntFak']; 
        $items[$brojStavke]['absRabatPopust'] = $stavka['absRabatPopust'];
        $items[$brojStavke]['rabatPopustNaKol'] = $stavka['rabatPopustNaKol'];
        $items[$brojStavke]['absRabatPopustNaKol'] = $stavka['absRabatPopustNaKol'];
        $items[$brojStavke]['poreznaGrupa'] = $stavka['poreznaGrupa'];
        $items[$brojStavke]['PDV'] = $stavka['PDV'];
        $items[$brojStavke]['ukalkuliraniPDV'] = $stavka['ukalkuliraniPDV'];
        $items[$brojStavke]['povratnaNaknada'] = $stavka['povratnaNaknada'];
        $items[$brojStavke]['nabavnaCijena'] = $stavka['nabavnaCijena'];
        $items[$brojStavke]['marza'] = $stavka['marza'];
        $items[$brojStavke]['absMarza'] = $stavka['absMarza'];
        $items[$brojStavke]['zavisniTroskovi'] = $stavka['zavisniTroskovi'];
        $items[$brojStavke]['absZavTr'] = $stavka['absZavTr'];
        $items[$brojStavke]['tekst'] = $stavka['tekst'];
        $items[$brojStavke]['vezniDokument'] = $stavka['vezniDokument'];
    }
    return $items;
}

// Get the number of products in the cart
function cart_product_count() {
    return count($_SESSION['cart']);
}

// Get the number of items in the cart
function cart_item_count () {
    $count = 0;
    $cart = cart_get_items();
    foreach ($cart as $item) {
        $count += $item['kolicina'];
    }
    return $count;
}

// Get the subtotal for the cart
function cart_subtotal () {
    $iznosi = array(); 
    $iznosi['greska'] = '';
    
    $netoCijenaSpdvIznos = 0;
	$cijenaSpdvIznos = 0;
	$zbrojKolicina = 0;
	$nabavnaCijenaIznos = 0;
	$marzaIznos = 0;
	$rabatPopustIznos = 0;
	$zavisniTroskoviIznos = 0;
	$prodajnaCijenaIznos = 0;
        $iznosBezPDVbruto = 0; //  cijena * kolicina   vpc cijena na 3 decimale(zajedničko za VPC i MPC)
        $iznosRabatPopustVPC = 0;
        $ukIznosPDVvpc = 0;
        $ukPoreznaOsnovicaVPC = 0;
    $cart = cart_get_items();
    foreach ($cart as $item) {       
        $vrsDo = $_SESSION['dok_zag']['vrsDo'];
        $kodRobe_ = $item['kodRobe'];
        if (($vrsDo == '1 ' || $vrsDo == '2 ' || $vrsDo == '3 ' || $vrsDo == '5 '  || $vrsDo == '6 '
                 || $vrsDo == '7 ' || $vrsDo == '8 ') && trim($kodRobe_) == '#')
                 $iznosi['greska'] = '! Kod robe za navedenu vrstu dokumenta ne smije biti #';
        
                $netoCijenaSpdvIznos += $item['netoCijenaSpdv'] * $item['kolicina'];
		$cijenaSpdvIznos += $item['cijenaSpdv'] * $item['kolicina'];
		$zbrojKolicina += $item['kolicina'];
		$nabavnaCijenaIznos += $item['nabavnaCijena'] * $item['kolicina'];
		$marzaIznos += $item['nabavnaCijena'] * $item['kolicina'] * $item['marza'] / 100;
		$rabatPopustIznos += $item['nabavnaCijena'] * $item['kolicina'] * $item['rabatPopust'] / 100;
		$zavisniTroskoviIznos += $item['nabavnaCijena'] * $item['kolicina'] * $item['zavisniTroskovi'] / 100;
		$prodajnaCijenaIznos += $item['cijena'] * $item['kolicina'];
     
 //iz zbroj_po_dok 
                $kolicina = $item['kolicina'];
                $cijena = $item['cijena'];
                $cijenaSpdv = $item['cijenaSpdv'];
                $rabatPopust = $item['rabatPopust'];
                $absRabatPopust = $item['absRabatPopust'];
                $bezPdvStavka = $cijena * $kolicina;	
                $iznosBezPDVbruto += $bezPdvStavka;                
               
                if ($rabatPopust != 0) {
                   if ($absRabatPopust == 'A') { 
                      $rabatPopustNaCijenu = $rabatPopust; 
                      $rabatPopustNaCijenuVPC = $rabatPopust;
             //ako je absolutni onda je to popust S POREZOM!!!  kod maloprodaja  a kod veleprodaja bez PDV
                   } else {
                      $rabatPopustNaCijenu = $cijenaSpdv * $rabatPopust / 100; 
                      $rabatPopustNaCijenuVPC = $cijena * $rabatPopust / 100; 
                  } 
               }
               else {
                   $rabatPopustNaCijenu = 0; 
                   $rabatPopustNaCijenuVPC = 0;
              }
              $netoCijenaVPC = $cijena - $rabatPopustNaCijenuVPC;
              $pdvUstavkiVPC = $netoCijenaVPC * $kolicina * $item['PDV'] / 100;
              $ukIznosPDVvpc += $pdvUstavkiVPC; 
              $poreznaOsnovicaUstavkiVPC = $netoCijenaVPC * $kolicina;
              $ukPoreznaOsnovicaVPC += $poreznaOsnovicaUstavkiVPC;
              $rabatPopustStavkaVPC = ($cijena - $netoCijenaVPC) * $kolicina;
              $iznosRabatPopustVPC += $rabatPopustStavkaVPC;
  //                          
	}        
	$iznosi['zaNaplatu'] = round($netoCijenaSpdvIznos,2);
	$iznosi['iznosPopusta'] = round(($cijenaSpdvIznos - $netoCijenaSpdvIznos), 2);
	$iznosi['zbrojKolicina'] = $zbrojKolicina;
	$iznosi['nabavnaCijenaIznos'] = $nabavnaCijenaIznos;
	$iznosi['marzaIznos']         = $marzaIznos; 
	$iznosi['rabatPopustIznos']   = $rabatPopustIznos;
	$iznosi['zavisniTroskoviIznos'] = $zavisniTroskoviIznos;
	$iznosi['prodajnaCijenaIznos'] = $prodajnaCijenaIznos;
	$iznosi['cijenaSpdvIznos'] = $cijenaSpdvIznos;
        
       $iznosi['iznosRabatPopustVPC'] = round($iznosRabatPopustVPC,2);
       $iznosi['ukPoreznaOsnovicaVPC'] = round($ukPoreznaOsnovicaVPC,2);
       $iznosi['ukIznosPDVvpc'] = round($ukIznosPDVvpc,2);
       $iznosi['zaNaplatuVPC'] = round(($ukPoreznaOsnovicaVPC + $ukIznosPDVvpc),2);
     return $iznosi;
}

// Remove all items from the cart
function clear_cart() {
    $_SESSION['cart'] = array();
	     
	   	$_SESSION['dok_zag']['proIn'] = '';
                $_SESSION['dok_zag']['zapis'] = '';
	    $_SESSION['dok_zag']['brojDokumenta'] = '';
		$_SESSION['dok_zag']['broDo'] = '';
		$_SESSION['dok_zag']['verzi'] = '';
		$_SESSION['dok_zag']['kodPartnera'] = '';
		$_SESSION['dok_zag']['partner'] = '';
            $_SESSION['dok_zag']['nazivPartnera'] = '';
            $_SESSION['dok_zag']['mjestoSjedista'] = '';    
		$_SESSION['dok_zag']['kasa'] = '1';
	    $_SESSION['dok_zag']['DVO'] = '';
		$_SESSION['dok_zag']['kodPoslovniceMp'] = '';
		$_SESSION['dok_zag']['valuta'] = '';
		$_SESSION['dok_zag']['daniOdgodePl'] = '';
		$_SESSION['dok_zag']['nacinPlacanja'] = '';
		$_SESSION['dok_zag']['datumRacuna'] = '';
		$_SESSION['dok_zag']['datumNarudzbe'] = '';
		$_SESSION['dok_zag']['brojNarudzbe'] = '';
		$_SESSION['dok_zag']['PDVstatus'] = '';
		$_SESSION['dok_zag']['casasSconto'] = '';
		$_SESSION['dok_zag']['absCasasSconto'] = '';
		$_SESSION['dok_zag']['daniZaCasasSconto'] = '';
		$_SESSION['dok_zag']['komercijalista'] = '';
		$_SESSION['dok_zag']['kodPoslovniceMp'] = '';
                $_SESSION['dok_zag']['stranaValuta'] = '';
    	$_SESSION['dok_zag']['komentar'] = '';  
        $_SESSION['dok_zag']['novac'] = 0;
        $_SESSION['dok_zag']['iznosKartice'] = 0;
        $_SESSION['dok_zag']['povrat'] = 0;
        $_SESSION['dok_zag']['vrstaKartice'] = '';
}

// Set the category for the last item added to the cart
function set_last_category($kodGrupe, $nazivGrupe) {
    $_SESSION['last_category_id'] = $kodGrupe;
    $_SESSION['last_category_name'] = $nazivGrupe;
}

// Set the product for the last item added to the cart
function set_last_product($kodRobe, $nazivRobe) {
    $_SESSION['last_product_id'] = $kodRobe;
    $_SESSION['last_product_name'] = $nazivRobe;
}

// Get the correct word for the number of items
function cart_get_item_word() {
    if (cart_product_count() == 1) {
        $item_word =  'Stavka';
    } else {
        $item_word =  'Stavki';
    }
    return $item_word;
}

// Get an array of items for the cart
function cart_iste_stavke($istaMarza,$istiRabatPopust,$istiZavTr,$fiksneCijene,$koeficijent) {
 //   echo 'Koeficijent u cartru=' . $koeficijent;
   foreach ($_SESSION['cart'] as $brojStavke => $stavka) { 
    if ($istiRabatPopust != '') $_SESSION['cart'][$brojStavke]['rabatPopust'] = $istiRabatPopust; //vrijedi za sve dokumente      
//fiksne cijene 
     if ($_SESSION['dok_zag']['vrsDo'] == '1 ') {
       if ($koeficijent != '') {
           $nabavnaCijena = round(($stavka['nabavnaCijena'] * $koeficijent),3);
     //      echo 'Nabavna cijena=' . $nabavnaCijena;
           $stavka['nabavnaCijena'] = $nabavnaCijena;
           $_SESSION['cart'][$brojStavke]['nabavnaCijena'] = $nabavnaCijena;
       }  
       if ($fiksneCijene) {
            if ($istiZavTr != '' || $koeficijent !='') {
               if ($istiZavTr != '' ) {
                   $zavTr = $istiZavTr;
                   $_SESSION['cart'][$brojStavke]['zavisniTroskovi'] = $istiZavTr;
               } else {
                   $zavTr = $stavka['zavisniTroskovi'];
               }   
              
//maržu treba preračunati jer je fiksna cijena prodCijena = nabCijena(1+ zavTr/100 + marza/100)= nabCijena + nabCijena*zavTr/100 + nabCijena*marza/100
//prodCijena * 100 =  100*nabCijena + nabCijena*zavTr + nabCijena*marza;
//prodCijena * 100 - 100*nabCijena -nabCijena*zavTr = nabCijena*marza;
//marza = (prodCijena*100 -100*nabCijena -nabCijena*zavTr) / nabCijena               
//marza = (prodCijena/nabCijena)*100 - 100 - zavTr               
               $cijena = $stavka['cijena'];
               $nabavnaCijena = $stavka['nabavnaCijena'];
               $marza = ($cijena / $nabavnaCijena)*100 - 100 - $zavTr;
               $marza = round($marza,3);
               $_SESSION['cart'][$brojStavke]['marza'] = $marza;
            } 
       } else {
 //prodajna cijena NIJE FIKSNA mjenja se cijena ako su promjenjeni zavisni troškovi ili marža
           if ($istiZavTr != '' || $istaMarza != ''  || $koeficijent != '') {
               $nabavnaCijena = $stavka['nabavnaCijena'];
               if ($istiZavTr != '' ) {
                   $zavTr = $istiZavTr;
                   $_SESSION['cart'][$brojStavke]['zavisniTroskovi'] = $istiZavTr;
               } else {
                   $zavTr = $stavka['zavisniTroskovi'];
               }
               if ($istaMarza != '' ) {
                  $marza = $istaMarza;
                  $_SESSION['cart'][$brojStavke]['marza'] = $istaMarza; 
               } else {
                   $marza = $stavka['marza'];
              }    
              $cijena = round($nabavnaCijena * (1 + ($marza + $zavTr)/100),3);
              $_SESSION['cart'][$brojStavke]['cijena'] = $cijena;
          }
      } 
      
   } // vrsdo '1 '
 } //foreach
} 
?>