<?php
function zadnji_broj($proda, $vrsDo, $zapis) {
    global $db;
    $query = 'SELECT MAX(broDo) AS zadnji_broj
		FROM dok_zag
		WHERE  proda = :proda AND vrsDo = :vrsDo AND zapis = :zapis';
    $statement = $db->prepare($query);
    $statement->bindValue(':proda', $proda);
	$statement->bindValue(':vrsDo', $vrsDo);
	$statement->bindValue(':zapis', $zapis);
    $statement->execute();
    $zadnji_broj = $statement->fetch();
    $statement->closeCursor();
    return $zadnji_broj;
 }
function add_dok_zag()  {
    global $db;
	$proda = $_SESSION['odabranaPoslovnica'];
	$vrsDo = $_SESSION['dok_zag']['vrsDo'];
	$proIn = $_SESSION['dok_zag']['proIn'];
	$zapis = $_SESSION['dok_zag']['zapis']; 
	$broDo = $_SESSION['dok_zag']['broDo'];
	$verzi = $_SESSION['dok_zag']['verzi']; 
	$kodPartnera = $_SESSION['dok_zag']['kodPartnera'];
  //      echo 'Kod partnera u add-dok_zag()=' . $kodPartnera; 
 //       die('dolazim u add-zag');
        if ($broDo === 0) {
            echo 'Broj dokumenta === 0 !! add_dok_zag IZBACUJE PROGRAM!!!';
            exit;
        }        
        if ($vrsDo == '8 ') $_SESSION['dok_zag']['DVO'] = '';
 //da kod prikaza paragonca ne ostane stari DVO ili datum računa
 //i predračuna i računa-dostavnica ne ostane stari DVO ili datum računa
 //DVO = datum knjiženja a ne onaj koji piše eventualno kupac isto i datum računa      
        if (isset($_SESSION['dok_zag']['fiskalizacijaDaNe'])) {
           if ($_SESSION['dok_zag']['fiskalizacijaDaNe'] == 'Da') {
               $_SESSION['dok_zag']['DVO'] = '';
               $_SESSION['dok_zag']['datumRacuna'] = '';
           }
         }
         
 	if (!empty($_SESSION['dok_zag']['DVO'])) {
	  $datum_o = new DateTime($_SESSION['dok_zag']['DVO']);
	  $DVO = $datum_o->format("Y-m-d H:i:s");    
	} else {	
	  $datum_o = new DateTime;
	  $DVO = $datum_o->format("Y-m-d H:i:s");
	}
        
        $_SESSION['dok_zag']['DVOY-m-d H:i:s'] = $DVO;
        
	$daniOdgodePl = $_SESSION['dok_zag']['daniOdgodePl'];
	if (!empty($_SESSION['dok_zag']['valuta'])) {
	  $datum_o = new DateTime($_SESSION['dok_zag']['valuta']);
	  $valuta = $datum_o->format("Y-m-d H:i:s");
	} else {         
	  $datum_o = new DateTime($_SESSION['dok_zag']['DVO']);
	  if (!empty($daniOdgodePl)) {
	    $interval = new DateInterval('P'.$daniOdgodePl.'D'); 
	  } else {
	    $interval = new DateInterval('P15D');
	  }
	  $datum_o->add($interval);   
	  $valuta = $datum_o->format("Y-m-d H:i:s");
          if (trim($daniOdgodePl) === '0') $valuta = $DVO;
	}
	
	$nacinPlacanja = $_SESSION['dok_zag']['nacinPlacanja'];
	//$datumRacuna = $_SESSION['dok_zag']['datumRacuna'];
	if (!empty($_SESSION['dok_zag']['datumRacuna'])) {
	  $datum_o = new DateTime($_SESSION['dok_zag']['datumRacuna']);
	  $datumRacuna = $datum_o->format("Y-m-d H:i:s");    
	} else {
          $datum_o = new DateTime;
	  $datumRacuna = $datum_o->format("Y-m-d H:i:s");  
//	  $datumRacuna = NULL;
	}
	
	//$datumNarudzbe = $_SESSION['dok_zag']['datumNarudzbe'];
	if (!empty($_SESSION['dok_zag']['datumNarudzbe'])) {
	  $datum_o = new DateTime($_SESSION['dok_zag']['datumNarudzbe']);
	  $datumNarudzbe = $datum_o->format("Y-m-d H:i:s");    
	} else {	
	  $datumNarudzbe = NULL;
	}
	
	$brojNarudzbe = $_SESSION['dok_zag']['brojNarudzbe'];       
	$PDVstatus = $_SESSION['dok_zag']['PDVstatus'];
	$casasSconto = $_SESSION['dok_zag']['casasSconto'];
	$absCasasSconto = $_SESSION['dok_zag']['absCasasSconto'];
	$daniZaCasasSconto = $_SESSION['dok_zag']['daniZaCasasSconto'];
        $refProd = $_SESSION['admin']['OIB'];
	$komercijalista = $_SESSION['dok_zag']['komercijalista'];
 	$komentar = $_SESSION['dok_zag']['komentar'];
	$kasa = $_SESSION['dok_zag']['kasa'];
	$novac = $_SESSION['dok_zag']['novac'];
        $povrat = $_SESSION['dok_zag']['povrat'];
        $iznosKartice = $_SESSION['dok_zag']['iznosKartice'];
        $vrstaKartice = $_SESSION['dok_zag']['vrstaKartice'];
        $kodPoslovniceMp = $_SESSION['dok_zag']['kodPoslovniceMp'];
        $stranaValuta = $_SESSION['dok_zag']['stranaValuta'];
	$email_user = $_SESSION['admin']['email'];
  $kolikoPuta = 1;
  if ($vrsDo == '6 ' ) $kolikoPuta = 2;  //za interne fakture knjiži se dva puta vrsDo 6 i vrsDo 2
  
  for ($i = 1; $i <= $kolikoPuta; $i++)   {    
    if ($i == 2)  {
    //drugi prolaz knjiži se ulazna interna vrsDo 2
    //proIn se puni sa prodavaonom koja je izdala robu  -> proda
    //proda  se puni sa prodavaonom koja prima robu  -> kodPartnera
    //vrsDo = '2 '  
    //kodPartnera je prodavaona koja je izdala robu
    //  a sve ostalo je isto
       $proIn = $proda;
       $proda = $kodPartnera;
       $vrsDo = '2 ';
       $kodPartnera = str_pad($proIn,13); 
    }    
    $query = 'INSERT INTO dok_zag (proda,vrsDo,proIn,zapis,broDo,verzi,kodPartnera,DVO,valuta,
    daniOdgodePl,nacinPlacanja,datumRacuna,datumNarudzbe,brojNarudzbe,PDVstatus,casasSconto, 
    absCasasSconto,daniZaCasasSconto,refProd,komercijalista,komentar,kasa,novac,povrat,
    iznosKartice,vrstaKartice,kodPoslovniceMp,stranaValuta,datumOtvaranja,tkoJeIzmjenio)
            VALUES (:proda,:vrsDo,:proIn,:zapis,:broDo,:verzi,:kodPartnera,:DVO,:valuta,
   :daniOdgodePl,:nacinPlacanja,:datumRacuna,:datumNarudzbe,:brojNarudzbe,:PDVstatus,:casasSconto, 
   :absCasasSconto,:daniZaCasasSconto,:refProd,:komercijalista,:komentar,:kasa,:novac,:povrat,
   :iznosKartice,:vrstaKartice,:kodPoslovniceMp,:stranaValuta,NOW(),:email_user)';

    try {
        $statement = $db->prepare($query);
	$statement->bindValue(':proda', $proda);
	$statement->bindValue(':vrsDo', $vrsDo);
	$statement->bindValue(':proIn', $proIn);
	$statement->bindValue(':zapis', $zapis);
	$statement->bindValue(':broDo', $broDo);
	$statement->bindValue(':verzi', $verzi);
	$statement->bindValue(':kodPartnera', $kodPartnera);
	$statement->bindValue(':DVO', $DVO);
	$statement->bindValue(':valuta', $valuta);
	$statement->bindValue(':daniOdgodePl', $daniOdgodePl);
	$statement->bindValue(':nacinPlacanja', $nacinPlacanja);
	$statement->bindValue(':datumRacuna', $datumRacuna);
	$statement->bindValue(':datumNarudzbe', $datumNarudzbe);
	$statement->bindValue(':brojNarudzbe', $brojNarudzbe);
	$statement->bindValue(':PDVstatus', $PDVstatus);
	$statement->bindValue(':casasSconto', $casasSconto);
	$statement->bindValue(':absCasasSconto', $absCasasSconto);
	$statement->bindValue(':daniZaCasasSconto', $daniZaCasasSconto);
	$statement->bindValue(':refProd', $refProd);
	$statement->bindValue(':komercijalista', $komercijalista);
	$statement->bindValue(':komentar', $komentar);
	$statement->bindValue(':kasa', $kasa);
        $statement->bindValue(':novac', $novac);
        $statement->bindValue(':povrat', $povrat);
        $statement->bindValue(':iznosKartice', $iznosKartice);
        $statement->bindValue(':vrstaKartice', $vrstaKartice);
        $statement->bindValue(':kodPoslovniceMp', $kodPoslovniceMp);
        $statement->bindValue(':stranaValuta', $stranaValuta);
        $statement->bindValue(':email_user', $email_user);      
        $statement->execute();
        $rowCount = $statement->rowCount();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = 'Dokument pod tim brojem već postoji!. <br>'.$e->getMessage();
        display_db_error($error_message);
    }
  //  return $rowCount;
  }  // za for
  return $rowCount;
}
function add_dok_stavke
(
    $brojStavke,$kodRobe,$vrstaProdaje,$cijena,$cijenaZaIntFak,$kolicina,
	$rabatPopust,$absRabatPopust,$rabatPopustNaKol,$absRabatPopustNaKol,
	$poreznaGrupa,$PDV,$ukalkuliraniPDV,$povratnaNaknada,$nabavnaCijena,$marza,
	$absMarza,$zavisniTroskovi,$absZavTr,$tekst,$vezniDokument,$ulaznaInterna='N') {
    global $db;
    $proda = $_SESSION['odabranaPoslovnica'];
    $vrsDo = $_SESSION['dok_zag']['vrsDo'];
    $proIn = $_SESSION['dok_zag']['proIn'];
    $zapis = $_SESSION['dok_zag']['zapis']; 
    $broDo = $_SESSION['dok_zag']['broDo'];
    $verzi = $_SESSION['dok_zag']['verzi'];
    if ($ulaznaInterna == 'D') {
        $vrsDo = '2 ';
        $proIn = $proda;
        $proda = $_SESSION['dok_zag']['kodPartnera'];
    }

   $poslovnica = get_poslovnica($proda);
   if ($poslovnica['vrstaPoslovnice'] == '1') {
       $porez = get_porez($poreznaGrupa);   //maloprodaje 
       $ukalkuliraniPDV = $porez['PDV']; 
    } else {         
       $ukalkuliraniPDV = 0;
    }

    $DVO = $_SESSION['dok_zag']['DVOY-m-d H:i:s'];
    if (empty($DVO) || $DVO === NULL) {
        echo 'Nepopunjen DVO pred INSERT u dok_stavke!!! '
        . 'program se prekida!!!(dokumenti.db )';
        exit;
    }    
    $email_user = $_SESSION['admin']['email'];
    $query = '
        INSERT INTO dok_stavke
		(proda,vrsDo,proIn,zapis,broDo,verzi,brojStavke,kodRobe,vrstaProdaje,
		cijena,cijenaZaIntFak,kolicina,rabatPopust,absRabatPopust,rabatPopustNaKol,
		absRabatPopustNaKol,poreznaGrupa,PDV,ukalkuliraniPDV,povratnaNaknada,nabavnaCijena,
		marza,absMarza,zavisniTroskovi,absZavTr,DVO,tekst,vezniDokument,datumOtvaranja,tkoJeIzmjenio)
        VALUES
		(:proda,:vrsDo,:proIn,:zapis,:broDo,:verzi,:brojStavke,:kodRobe,:vrstaProdaje,
		:cijena,:cijenaZaIntFak,:kolicina,:rabatPopust,:absRabatPopust,:rabatPopustNaKol,
		:absRabatPopustNaKol,:poreznaGrupa,:PDV,:ukalkuliraniPDV,:povratnaNaknada,:nabavnaCijena,
		:marza,:absMarza,:zavisniTroskovi,:absZavTr,:DVO,:tekst,:vezniDokument,NOW(),:email_user)';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':proda', $proda);
        $statement->bindValue(':vrsDo', $vrsDo);
        $statement->bindValue(':proIn', $proIn);
        $statement->bindValue(':zapis', $zapis);
        $statement->bindValue(':broDo', $broDo);
        $statement->bindValue(':verzi', $verzi);
        $statement->bindValue(':brojStavke', $brojStavke);
        $statement->bindValue(':kodRobe', $kodRobe);
        $statement->bindValue(':vrstaProdaje', $vrstaProdaje);
        $statement->bindValue(':cijena', $cijena);
        $statement->bindValue(':cijenaZaIntFak', $cijenaZaIntFak);
        $statement->bindValue(':kolicina', $kolicina);
        $statement->bindValue(':rabatPopust', $rabatPopust);
        $statement->bindValue(':absRabatPopust', $absRabatPopust);
        $statement->bindValue(':rabatPopustNaKol', $rabatPopustNaKol);
        $statement->bindValue(':absRabatPopustNaKol', $absRabatPopustNaKol);
        $statement->bindValue(':poreznaGrupa', $poreznaGrupa);
        $statement->bindValue(':PDV', $PDV);
        $statement->bindValue(':ukalkuliraniPDV', $ukalkuliraniPDV);
        $statement->bindValue(':povratnaNaknada', $povratnaNaknada);
        $statement->bindValue(':nabavnaCijena', $nabavnaCijena);
        $statement->bindValue(':marza', $marza);
        $statement->bindValue(':absMarza', $absMarza);
        $statement->bindValue(':zavisniTroskovi', $zavisniTroskovi);
        $statement->bindValue(':absZavTr', $absZavTr);
        $statement->bindValue(':DVO', $DVO);
        $statement->bindValue(':tekst', $tekst);
        $statement->bindValue(':vezniDokument', $vezniDokument);
        $statement->bindValue(':email_user', $email_user);
        $statement->execute();
        $rowCount = $statement->rowCount();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = 'Pogreška prilikom upisa stavaka! <br>'.$e->getMessage();
        display_db_error($error_message);
    }
    return $rowCount;
}

function get_dok_zag($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi) {
    global $db;
    $query = 'SELECT * FROM dok_zag WHERE proda = :proda AND vrsDo = :vrsDo AND proIn = :proIn
	AND zapis = :zapis AND broDo = :broDo AND verzi = :verzi';
    $statement = $db->prepare($query);
    $statement->bindValue(':proda', $proda);
	$statement->bindValue(':vrsDo', $vrsDo);
	$statement->bindValue(':proIn', $proIn);
	$statement->bindValue(':zapis', $zapis);
	$statement->bindValue(':broDo', $broDo);
	$statement->bindValue(':verzi', $verzi);
    $statement->execute();
    $dok_zag = $statement->fetch();
    $statement->closeCursor();
    return $dok_zag;
}

function get_dok_stavke($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi) {
    global $db;
    $query = 'SELECT * FROM dok_stavke WHERE proda = :proda AND vrsDo = :vrsDo AND proIn = :proIn
	AND zapis = :zapis AND broDo = :broDo AND verzi = :verzi';
    $statement = $db->prepare($query);
	$statement->bindValue(':proda', $proda);
	$statement->bindValue(':vrsDo', $vrsDo);
	$statement->bindValue(':proIn', $proIn);
	$statement->bindValue(':zapis', $zapis);
	$statement->bindValue(':broDo', $broDo);
	$statement->bindValue(':verzi', $verzi);
    $statement->execute();
    $dok_stavke = $statement->fetchAll();
    $statement->closeCursor();
    return $dok_stavke;
}
function puni_cart_iz_dok_stavke() {
    $proda = $_SESSION['odabranaPoslovnica'];
    $vrsDo = $_SESSION['dok_zag']['vrsDo']; 
    $proIn = $_SESSION['dok_zag']['proIn'];
    $zapis = $_SESSION['dok_zag']['zapis'];
    $broDo = $_SESSION['dok_zag']['broDo']; 
    $verzi = $_SESSION['dok_zag']['verzi'];	
    $dok_stavke = get_dok_stavke($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi);
    $brojStavke = 0;
    foreach ($dok_stavke as $stavka) {
	$_SESSION['cart'][$brojStavke]['kolicina'] = $stavka['kolicina']; 
	$_SESSION['cart'][$brojStavke]['rabatPopust'] = $stavka['rabatPopust'];
        $_SESSION['cart'][$brojStavke]['cijena'] = $stavka['cijena'];
	$_SESSION['cart'][$brojStavke]['kodRobe'] = $stavka['kodRobe'];
        $_SESSION['cart'][$brojStavke]['vrstaProdaje'] = $stavka['vrstaProdaje'];
	$_SESSION['cart'][$brojStavke]['cijenaZaIntFak'] = $stavka['cijenaZaIntFak'];
	$_SESSION['cart'][$brojStavke]['absRabatPopust'] = $stavka['absRabatPopust'];
	$_SESSION['cart'][$brojStavke]['rabatPopustNaKol'] = $stavka['rabatPopustNaKol'];
	$_SESSION['cart'][$brojStavke]['absRabatPopustNaKol'] = $stavka['absRabatPopustNaKol'];
	$_SESSION['cart'][$brojStavke]['poreznaGrupa'] = $stavka['poreznaGrupa'];
	$_SESSION['cart'][$brojStavke]['PDV'] = $stavka['PDV'];
	$_SESSION['cart'][$brojStavke]['ukalkuliraniPDV'] = $stavka['ukalkuliraniPDV'];
	$_SESSION['cart'][$brojStavke]['povratnaNaknada'] = $stavka['povratnaNaknada'];
	$_SESSION['cart'][$brojStavke]['nabavnaCijena'] = $stavka['nabavnaCijena'];
	$_SESSION['cart'][$brojStavke]['marza'] = $stavka['marza'];
	$_SESSION['cart'][$brojStavke]['absMarza'] = $stavka['absMarza'];
	$_SESSION['cart'][$brojStavke]['zavisniTroskovi'] = $stavka['zavisniTroskovi'];
        $_SESSION['cart'][$brojStavke]['absZavTr'] = $stavka['absZavTr'];
	$_SESSION['cart'][$brojStavke]['tekst'] = $stavka['tekst'];
	$_SESSION['cart'][$brojStavke]['vezniDokument'] = $stavka['vezniDokument'];
	$brojStavke++;
       // Set last category added to cart
	$kodRobe = $stavka['kodRobe'];   
        $roba = get_product($_SESSION['odabranaPoslovnica'], $kodRobe);
        $_SESSION['last_category_id'] = $roba['kodGrupe'];
        $_SESSION['last_category_name'] = $roba['nazivGrupe'];
       
    }
}


function get_dok_zag_po_partneru($kodPartnera) {
    global $db;
    $query = 'SELECT * FROM narudzbe WHERE kodPartnera = :kodPartnera
	ORDER BY DVO';
    $statement = $db->prepare($query);
    $statement->bindValue(':kodPartnera', $kodPartnera);
    $statement->execute();
    $order = $statement->fetchAll();
    $statement->closeCursor();
    return $dok_zag_po_partneru;
}

function delete_dok_zag($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi) {
    global $db;
    global $action;
    //prvo provjeriti da li je dokument zaključan ili ima neku drugu zabranu brisanja 
    //za interne fakture treba obrisati vrsdo 6 i vrsdo 2    
    $dok_zag = get_dok_zag($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi);
    if (empty($dok_zag)) {
       echo 'Navedeni dokument za brisanje ne postoji !';
       exit;
    }
    if ($dok_zag['datumZakljucavanja'] != NULL) {
       echo 'Dokument je zaključan i ne može se brisati !';
       exit; 
    }
    if ($dok_zag['zastitniKod'] != NULL) {
       echo 'Dokument je fiskaliziran pa se ne može brisati !';
       exit; 
    }
    $kolikoPuta = 1;
    if ($vrsDo == '6 ' ) $kolikoPuta = 2;
    
    for ($i = 1; $i <= $kolikoPuta; $i++) {    
        if ($i == 2) {
            //drugi prolaz briše se ulazna interna vrsDo 2
            //proIn se puni sa prodavaonom koja je izdala robu  -> proda
            //proda  se puni sa prodavaonom koja prima robu  -> kodPartnera
            $vrsDo = '2 ';
            $proIn = $proda;
            $proda = $dok_zag['kodPartnera'];
            //$_SESSION['prodaUlInt'] = $proda; //da zapamti za brisanje stavki
        } 
        if(isset($action))
            if($action=='moze_brisati') {
                $stavke=  get_dok_stavke($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi);
                if(!empty($stavke)) {
                    $error_message = 'Dokument nije moguće obrisati. Brisanje stavaka nije uspjelo!!';
                    display_db_error($error_message);
                }
            }
        $query = 'DELETE FROM dok_zag WHERE proda = :proda AND vrsDo = :vrsDo AND proIn = :proIn
            AND zapis = :zapis AND broDo = :broDo AND verzi = :verzi';
        try {	
            $statement = $db->prepare($query);
            $statement->bindValue(':proda', $proda);
            $statement->bindValue(':vrsDo', $vrsDo);
            $statement->bindValue(':proIn', $proIn);
            $statement->bindValue(':zapis', $zapis);
            $statement->bindValue(':broDo', $broDo);
            $statement->bindValue(':verzi', $verzi);
            $statement->execute();
            $statement->closeCursor();
        } catch (PDOException $e) {
            $error_message = $e->getMessage();
            display_db_error($error_message);
        } 
    }     // za for petlju 
}

function delete_dok_stavke($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi) {
    global $db;
    $kolikoPuta = 1;
    if ($vrsDo == '6 ' ) {
        $kolikoPuta = 2;
        $dok_zag = get_dok_zag($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi);
        $_SESSION['prodaUlInt'] = $dok_zag['kodPartnera']; //da zapamti za brisanje stavki
    }
    
    for ($i = 1; $i <= $kolikoPuta; $i++) { 
        //echo 'Prolaz kroz for i=' . $i . 'koliko puta=' . $kolikoPuta;
        if ($i == 2) {
            //drugi prolaz briše se ulazna interna vrsDo 2
            //proIn se puni sa prodavaonom koja je izdala robu  -> proda
            //proda  se puni sa prodavaonom koja prima robu  -> kodPartnera
            $vrsDo = '2 ';
            $proIn = $proda;
            $proda = $_SESSION['prodaUlInt'];
            //   echo 'Drugi prolaz delete_dok_stavke $proda=' . $proda;
            unset($_SESSION['prodaUlInt']);
        }

        // --------------------------------------------------------------------------------  
        //prije deleta kontraažuriranje stanja za sve stavke
        if ($vrsDo == '1 ' || $vrsDo == '2 ' || $vrsDo == '3 ' || $vrsDo == '5 '
                      || $vrsDo == '6 ' || $vrsDo == '7 ' || $vrsDo == '8 ')   {

            $query = 'SELECT * FROM dok_stavke
             WHERE proda = :proda AND vrsDo = :vrsDo AND proIn = :proIn
                AND zapis = :zapis AND broDo = :broDo AND verzi = :verzi  
            ';
            try {	
                $statement = $db->prepare($query);
                $statement->bindValue(':proda', $proda);
                $statement->bindValue(':vrsDo', $vrsDo);
                $statement->bindValue(':proIn', $proIn);
                $statement->bindValue(':zapis', $zapis);
                $statement->bindValue(':broDo', $broDo);
                $statement->bindValue(':verzi', $verzi);
                $statement->execute();
                $stavke = $statement->fetchAll();
                $statement->closeCursor();
            } catch (PDOException $e) {
                $error_message = $e->getMessage();
                display_db_error($error_message);
            }
            foreach($stavke as $s) {
                $kodPartneraPu = '';  
                $DVO = $s['DVO']; $kodRobe = $s['kodRobe']; $vrstaProdaje = $s['vrstaProdaje']; $cijena = $s['cijena']; $kolicina = round($s['kolicina'] * (-1), 3);
                $rabatPopust = $s['rabatPopust']; $absRabatPopust = $s['absRabatPopust']; $nabavnaCijenaPu = $s['nabavnaCijena']; 
                $marzaPu = $s['marza']; $absMarzaPu = $s['absMarza']; $zavisniTroskoviPu = $s['zavisniTroskovi']; $absZavisniTroskoviPu = $s['absZavTr'];

                azuriranje_stanja($proda,$vrsDo,$proIn,$zapis,$broDo,$verzi,$DVO,$kodPartneraPu,$kodRobe,$vrstaProdaje,$cijena,$kolicina,$rabatPopust,$absRabatPopust,
                    $nabavnaCijenaPu,$marzaPu,$absMarzaPu,$zavisniTroskoviPu,$absZavisniTroskoviPu);    
            }

        }  
        // --------------------------------------------------------------------------------     

        //$query = 'DELETE FROM dok_stavke WHERE proda = :proda AND vrsDo = :vrsDo AND proIn = :proIn
        //    AND zapis = :zapis AND broDo = :broDo AND verzi = :verzi';
        $query = 'DELETE FROM dok_stavke WHERE trim(proda) = trim(:proda) AND trim(vrsDo) = trim(:vrsDo) AND trim(proIn) = trim(:proIn)
           AND trim(zapis) = trim(:zapis) AND broDo = :broDo AND trim(verzi) = trim(:verzi)';
        try {	
            $statement = $db->prepare($query);
            $statement->bindValue(':proda', $proda);
            $statement->bindValue(':vrsDo', $vrsDo);
            $statement->bindValue(':proIn', $proIn);
            $statement->bindValue(':zapis', $zapis);
            $statement->bindValue(':broDo', $broDo);
            $statement->bindValue(':verzi', $verzi);
            $statement->execute();
            $rowCount = $statement->rowCount();
            $statement->closeCursor();
        //	return $rowCount;
        } catch (PDOException $e) {
            $error_message = $e->getMessage();
            display_db_error($error_message);
        }
    }     // za for petlju  
}

function update_dok_stavke_DVO() {
    global $db;
	$proda = $_SESSION['odabranaPoslovnica'];
	$vrsDo = $_SESSION['dok_zag']['vrsDo'];
	$proIn = $_SESSION['dok_zag']['proIn'];
	$zapis = $_SESSION['dok_zag']['zapis']; 
	$broDo = $_SESSION['dok_zag']['broDo'];
	$verzi = $_SESSION['dok_zag']['verzi']; 
	if (isset($_SESSION['dok_zag']['DVO'])) {
	  //   $DVO = $_SESSION['dok_zag']['DVO'];
		$DVO_o = new DateTime($_SESSION['dok_zag']['DVO']);
		$DVO = $DVO_o->format("Y-m-d H:i:s");    
	} else {	
	    $datum_o = new DateTime();
	    $DVO = $datum_o->format("Y-m-d H:i:s");
	}
	$email_user = $_SESSION['admin']['email'];
    $query = '
        UPDATE dok_stavke
        SET DVO = :DVO,
            datumIzmjene = NOW(),
		    tkoJeIzmjenio = :email_user
        WHERE proda = :proda AND vrsDo = :vrsDo AND proIn = :proIn
	AND zapis = :zapis AND broDo = :broDo AND verzi = :verzi';
    try {
        $statement = $db->prepare($query);
		$statement->bindValue(':proda', $proda);
        $statement->bindValue(':vrsDo', $vrsDo);
        $statement->bindValue(':proIn', $proIn);
        $statement->bindValue(':zapis', $zapis);
        $statement->bindValue(':broDo', $broDo);
        $statement->bindValue(':verzi', $verzi);
		$statement->bindValue(':DVO', $DVO);
		$statement->bindValue(':email_user', $email_user);
        $statement->execute();
		$rowCount = $statement->rowCount();
		$statement->closeCursor();
		return $rowCount;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

/*
 * POZOR!! 
 * f-ja round ima grešku, rijetku ali grešku.
 * npr.: round(141.075, 2) daje 141,07, round(4.725, 2) daje 4,72
 * To se vidi na paragoncu:
 * proda=2316, broDo=1663 DVO=21.08.2013 13:27:07
 * ukoliko bi se umjesto round pozvala f-ja mround ona bi korigirala tu grešku
 * Za sada sam ja f-ju racunajPDV slozio da računa s istom greškom
 * MAKAR, 19.1.20014.
 */
function zbroj_po_dok($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi, $cijeliDokIliRU='') {
    global $db;
    $query = 'SELECT *
    FROM dok_stavke WHERE  proda = :proda AND vrsDo = :vrsDo AND proIn = :proIn
    AND zapis = :zapis AND broDo = :broDo AND verzi = :verzi ';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':proda', $proda);
        $statement->bindValue(':vrsDo', $vrsDo);
        $statement->bindValue(':proIn', $proIn);
        $statement->bindValue(':zapis', $zapis);
        $statement->bindValue(':broDo', $broDo);
        $statement->bindValue(':verzi', $verzi);
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
     // return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
//bitna razlika: maloprodajni način obračuna gdje je cijena s pdv-om zaokružena
//na dvije decimale ovo je DEFAULTNO
//i veleprodajni način gdje su cijene na 3 decimale bez pdv-a a pdv se na kraju računa
//na ukupni neto iznos bez poreza  
//varijable koje se odnose na veleprodaju imaju nastavak VPC(veleprodajna cijena)    
  $iznosBezPDVbruto = 0; //  cijena * kolicina   vpc cijena na 3 decimale(zajedničko za VPC i MPC)
  $iznosSpdvBruto = 0;  //cijena s PDV * kolicina
  $iznosRabatPopust = 0; //za primke i sve ostale dokumente
  $iznosRabatPopustVPC = 0;
  $ukPoreznaOsnovica = 0; //ukupna porezna osnovica po svim stopama 
  $ukPoreznaOsnovicaVPC = 0;
  $ukIznosPDV = 0;  //ukupni iznos PDVa po svim stopama
  $ukIznosPDVvpc = 0;
  $ukUkalkuliraniPDV = 0;
  $zaNaplatu = 0;
  $iznosNabavnaCijena = 0;
  $iznosMarza = 0;
  $iznosZavisniTroskovi = 0;
  $rabatPopustNaCijenu = 0;
  $zbroj = array();  
  $poslovnica = get_poslovnica($proda);
 
foreach($result as $stavkaZbroja) {
    
    if ($cijeliDokIliRU !='') {   
        $kodRobe = $stavkaZbroja['kodRobe'];
       //traže se stavke samo usluge ili samo roba R ili U
        $query = 'SELECT robaUsluga
                 FROM maticna_robe WHERE kodRobe = :kodRobe';
       try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodRobe', $kodRobe);        
        $statement->execute();
        $resultm = $statement->fetch();
        $statement->closeCursor();     
       } catch (PDOException $e) {
        $error_message = 'Nije pronađen kodRobe ' . $kodRobe . ' u zbroj_po_dok ' . $e->getMessage();
        display_db_error($error_message);
       }
       $robaUsluga = $resultm[0];
       if ($robaUsluga != $cijeliDokIliRU) continue;
       
    }
    
    if ($broDo == 1111111)
    echo 'StavkaZbroja kodRobe=' . $stavkaZbroja['kodRobe'] . '</br>';
    
    $cijena = $stavkaZbroja['cijena'];
    $kolicina = $stavkaZbroja['kolicina'];
    $PDV = $stavkaZbroja['PDV'];
    $ukalkuliraniPDV = $stavkaZbroja['ukalkuliraniPDV'];
    $rabatPopust = $stavkaZbroja['rabatPopust'];
    $absRabatPopust = $stavkaZbroja['absRabatPopust'];
    $nabavnaCijena = $stavkaZbroja['nabavnaCijena'];
    $marza = $stavkaZbroja['marza'];
    $absMarza = $stavkaZbroja['absMarza'];
    $zavisniTroskovi = $stavkaZbroja['zavisniTroskovi'];
    $absZavTr = $stavkaZbroja['absZavTr'];
    
    $bezPdvStavka = $cijena * $kolicina;	
    $iznosBezPDVbruto += $bezPdvStavka;
  //  $ukalkuliraniPDVstavka = $bezPdvStavka * ($ukalkuliraniPDV / 100);
  // $ukUkalkuliraniPDV += $ukalkuliraniPDVstavka;         
    $cijenaSpdv = round(($cijena * (1 + $PDV / 100)),2); 
    if ($PDV == 0 && $ukalkuliraniPDV !=0)
        $cijenaSpdv = round(($cijena * (1 + $ukalkuliraniPDV / 100)),2);    
    $sPdvStavkaBruto = $cijenaSpdv * $kolicina;
    $iznosSpdvBruto += $sPdvStavkaBruto;
    if ($rabatPopust != 0) {
       if ($absRabatPopust == 'A') { 
          $rabatPopustNaCijenu = $rabatPopust; 
          $rabatPopustNaCijenuVPC = $rabatPopust;
       //ako je absolutni onda je to popust S POREZOM!!!  kod maloprodaja  a kod veleprodaja bez PDV
       } else {
          $rabatPopustNaCijenu = $cijenaSpdv * $rabatPopust / 100; 
          $rabatPopustNaCijenuVPC = $cijena * $rabatPopust / 100; 
       } 
    }
    else {
            $rabatPopustNaCijenu = 0; 
            $rabatPopustNaCijenuVPC = 0;
    }
    //TREBA JOŠ UGRADITI DODATNI KOLIČINSKI POPUST !
    
    $netoCijenaSpdv = round(($cijenaSpdv - $rabatPopustNaCijenu),2);
    $netoCijenaVPC = $cijena - $rabatPopustNaCijenuVPC;
    $zaNaplatuStavka = $netoCijenaSpdv * $kolicina;
    $zaNaplatu += $zaNaplatuStavka;
  //?zaokružena cijena na 2 dec  
    $pdvUstavki = ($netoCijenaSpdv - ($netoCijenaSpdv / ( 1 + $PDV / 100))) 
                  * $kolicina;
    $ukIznosPDV += $pdvUstavki;
    
    $ukalkuliraniPDVstavka = ($cijenaSpdv - ($cijenaSpdv / ( 1 + $ukalkuliraniPDV / 100))) 
                  * $kolicina;
    $ukUkalkuliraniPDV += $ukalkuliraniPDVstavka;
    
    $pdvUstavkiVPC = $netoCijenaVPC * $kolicina * $PDV / 100;
    $ukIznosPDVvpc += $pdvUstavkiVPC;   
        
    $poreznaOsnovicaUstavki = ($netoCijenaSpdv / ( 1 + $PDV / 100)) * $kolicina;
 //   if ($PDV == 0 && $ukalkuliraniPDV !=0)
 //   $poreznaOsnovicaUstavki = ($netoCijenaSpdv / ( 1 + $ukalkuliraniPDV / 100)) * $kolicina;    
    $ukPoreznaOsnovica += $poreznaOsnovicaUstavki;
    
    $poreznaOsnovicaUstavkiVPC = $netoCijenaVPC * $kolicina;
    $ukPoreznaOsnovicaVPC += $poreznaOsnovicaUstavkiVPC;
    
    $rabatPopustStavka = ($cijenaSpdv - $netoCijenaSpdv) * $kolicina;
    $rabatPopustStavkaVPC = ($cijena - $netoCijenaVPC) * $kolicina;
//dodaje se kasnije kod primke
   
//razrada po stopama PDV-a
    if (!isset($zbroj['PDVzbroj'])) {
       $zbroj['PDVzbroj'] = $PDV;
      // echo '$pdv1=' . $PDV;
       $zbroj[$PDV]['iznosPdv'] = $pdvUstavki;
       $zbroj[$PDV]['poreznaOsnovica'] = $poreznaOsnovicaUstavki;
    } else {
      //ako postoji više stopa jedna je aktivirana a druga ne npr.
       foreach ( $zbroj as $PDVzbroj  =>  $stavkaPDV ) {
          $nasaoPDV = 'NE';
          if ($PDVzbroj == $PDV) {
              $nasaoPDV = 'DA';
              $zbroj[$PDV]['iznosPdv'] += $pdvUstavki;
              $zbroj[$PDV]['poreznaOsnovica'] += $poreznaOsnovicaUstavki;
          }
       }
       if ($nasaoPDV == 'NE') {
              //neka druga PDV stopa jos nije otvorena
             $zbroj['PDVzbroj'] = $PDV;
             $zbroj[$PDV]['iznosPdv'] = $pdvUstavki;
             $zbroj[$PDV]['poreznaOsnovica'] = $poreznaOsnovicaUstavki; 
       }
    }
    
   /*
    //razrada po stopama ukalkulirani porez
    if (!isset($zbroj['ukalPDVzbroj'])) {
       $zbroj['ukalPDVzbroj'] = $ukalkuliraniPDV;
      // echo '$pdv1=' . $PDV;
       $zbroj[$ukalkuliraniPDV]['ukalIznosPdv'] = $ukalkuliraniPDVstavka;
       $zbroj[$ukalkuliraniPDV]['ukalPoreznaOsnovica'] = $bezPdvStavka;
    } else {
      //ako postoji više stopa jedna je aktivirana a druga ne npr.
       foreach ( $zbroj as $ukalPDVzbroj  =>  $stavkaUkalPDV ) {
          $nasaoUkalPDV = 'NE';
          if ($ukalPDVzbroj == $ukalkuliraniPDV) {
              $nasaoUkalPDV = 'DA';
              $zbroj[$ukalkuliraniPDV]['ukalIznosPdv'] += $ukalkuliraniPDVstavka;
              $zbroj[$ukalkuliraniPDV]['ukalPoreznaOsnovica'] += $bezPdvStavka;
          }
       }
       if ($nasaoUkalPDV == 'NE') {
              //neka druga PDV stopa jos nije otvorena
             $zbroj['ukalPDVzbroj'] = $ukalkuliraniPDV;
             $zbroj[$ukalkuliraniPDV]['ukalIznosPdv'] = $ukalkuliraniPDVstavka;
             $zbroj[$ukalkuliraniPDV]['ukalPoreznaOsnovica'] = $bezPdvStavka; 
       }
    }    
    */
    
   if ($broDo == 1111111) {
       $prolaz  = 1;
     foreach ( $zbroj as $PDVzbroj  =>  $stavkaPDV ) {
      // echo 'Prolaz=' . $prolaz;  
       if ($prolaz > 1){
       echo 'Prolaz=' . $prolaz;    
       echo 'PDVzbroj=' . $PDVzbroj;
       echo 'st.iznosPdv=' . $stavkaPDV['iznosPdv'];
       echo 'st.poreznaOsnovica=' . $stavkaPDV['poreznaOsnovica'] . '</br>';
       }
     $prolaz ++;
     }  
  }  
    // za primku
    $nabavnaCijenaStavka = $nabavnaCijena * $kolicina;
    $iznosNabavnaCijena += $nabavnaCijenaStavka;
    
    $marzaStavka = $nabavnaCijena * ($marza / 100) * $kolicina;
    if ($absMarza == 'A') $marzaStavka = $marza * $kolicina;
    $iznosMarza += $marzaStavka;
     
    $zavisniTroskoviStavka = $nabavnaCijena * ($zavisniTroskovi / 100) * $kolicina;
    if ($absZavTr == 'A') $zavisniTroskoviStavka = $zavisniTroskovi * $kolicina;
    $iznosZavisniTroskovi += $zavisniTroskoviStavka;
    
    if ($vrsDo == '1 ') {
       $rabatPopustStavka = $nabavnaCijena * ($rabatPopust / 100) * $kolicina; 
       if ($absRabatPopust == 'A' ) $rabatPopustStavka = $rabatPopust * $kolicina;
      }  
    //prije je za ostale dokumente izračunat rabat  
 $iznosRabatPopust += $rabatPopustStavka;
 $iznosRabatPopustVPC += $rabatPopustStavkaVPC;
 
}  //kraj forecha
   $query = 'SELECT *
    FROM dok_zag WHERE  proda = :proda AND vrsDo = :vrsDo AND proIn = :proIn
    AND zapis = :zapis AND broDo = :broDo AND verzi = :verzi ';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':proda', $proda);
        $statement->bindValue(':vrsDo', $vrsDo);
        $statement->bindValue(':proIn', $proIn);
        $statement->bindValue(':zapis', $zapis);
        $statement->bindValue(':broDo', $broDo);
        $statement->bindValue(':verzi', $verzi);
        $statement->execute();
        $result_dok_zag = $statement->fetch();
        $statement->closeCursor();
     // return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
  
    $zbroj['iznosCasasSconto'] = 0;
    $iznosCasasSconto = 0; $iznosCasasScontoVPC = 0;
    $zbroj['casasSconto'] = $result_dok_zag['casasSconto'];
    $zbroj['absCasasSconto'] = $result_dok_zag['absCasasSconto'];
    $zbroj['daniZaCasasSconto'] = $result_dok_zag['daniZaCasasSconto'];
    
  if ($result_dok_zag['casasSconto'] != 0 ) {
      if ($result_dok_zag['absCasasSconto'] == 'A') {
         //absolutni casa sconto NA CIJELI DOKUMENT(nema veze s količinom)
         // i BEZ POREZA SE SMATRA 
         $casasScontoPosto = ($result_dok_zag['casasSconto'] / $ukPoreznaOsnovica) * 100; 
         $ukPoreznaOsnovica = $ukPoreznaOsnovica - $result_dok_zag['casasSconto'];
         $zbroj['iznosCasasSconto'] = $result_dok_zag['casasSconto'];
         $iznosCasasSconto = $result_dok_zag['casasSconto'];
      } else {
         $iznosCasasSconto = $ukPoreznaOsnovica * ($result_dok_zag['casasSconto'] / 100); 
         $iznosCasasScontoVPC = $ukPoreznaOsnovicaVPC * ($result_dok_zag['casasSconto'] / 100);
         $ukPoreznaOsnovica = $ukPoreznaOsnovica - $iznosCasasSconto; 
         $ukPoreznaOsnovicaVPC = $ukPoreznaOsnovicaVPC - $iznosCasasScontoVPC; 
         $casasScontoPosto = $result_dok_zag['casasSconto'];
      }
//za % casas sconta se smanji i pdv  
     $smanjenjePDVa = ($casasScontoPosto / 100) * $ukIznosPDV; 
     $ukIznosPDV = $ukIznosPDV - $smanjenjePDVa;
     $zaNaplatu = $ukPoreznaOsnovica + $ukIznosPDV;
     
     $smanjenjePDVaVPC = ($casasScontoPosto / 100) * $ukIznosPDVvpc;
     $ukIznosPDVvpc = $ukIznosPDVvpc - $smanjenjePDVaVPC;
//?   
 }
 
  $zbroj['vrstaPoslovnice'] = $poslovnica['vrstaPoslovnice'];
  $zbroj['DVO'] = $result_dok_zag['DVO'];
  $zbroj['refProdOIB'] = $result_dok_zag['refProd'];
  $zbroj['kasa'] = $result_dok_zag['kasa'];
  $zbroj['PDVstatus'] = $result_dok_zag['PDVstatus'];
  $zbroj['fiskaliziraSe'] = false;
  if ($result_dok_zag['novac'] !=0 || $result_dok_zag['iznosKartice'] !=0 )
                 $zbroj['fiskaliziraSe'] = true;    
  
  $zbroj['iznosBezPDVbruto'] = round($iznosBezPDVbruto,2);
  $zbroj['iznosSpdvBruto'] = round($iznosSpdvBruto,2);
  $zbroj['iznosRabatPopust'] = round($iznosRabatPopust,2);
  $zbroj['iznosRabatPopustVPC'] = round($iznosRabatPopustVPC,2);

  $zbroj['iznosCasasSconto'] = round($iznosCasasSconto,2);
  $zbroj['ukPoreznaOsnovica'] = round($ukPoreznaOsnovica,2);
  $zbroj['ukPoreznaOsnovicaVPC'] = round($ukPoreznaOsnovicaVPC,2);
  
  $zbroj['ukIznosPDV'] = round($ukIznosPDV,2); 
  $zbroj['ukIznosPDVvpc'] = round($ukIznosPDVvpc,2);
  $zbroj['zaNaplatuVPC'] = round(($zbroj['ukPoreznaOsnovicaVPC'] + $zbroj['ukIznosPDVvpc']),2);
  $zbroj['ukUkalkuliraniPDV'] = round($ukUkalkuliraniPDV,2);
  $zbroj['zaNaplatu'] = round($zaNaplatu,2);
  if ($vrsDo != '1 ' && ($result_dok_zag['PDVstatus'] == '0' || $result_dok_zag['PDVstatus'] == '1' )) {
      $zbroj['zaNaplatu'] = $zbroj['zaNaplatuVPC']; 
      $zbroj['ukPoreznaOsnovica'] = $zbroj['ukPoreznaOsnovicaVPC'];
      $zbroj['iznosRabatPopust'] = $zbroj['iznosRabatPopustVPC'];
  }
  $zbroj['iznosNabavnaCijena'] = round($iznosNabavnaCijena,2);
  $zbroj['iznosMarza'] = round($iznosMarza,2);
  $zbroj['iznosZavisniTroskovi'] = round($iznosZavisniTroskovi,2);
  if ($iznosZavisniTroskovi == 0 )
      $zbroj['iznosMarza'] = $iznosBezPDVbruto - $iznosNabavnaCijena;
  if ($zbroj['iznosNabavnaCijena'] == 0) $zbroj['iznosMarza'] = 0;
  
  $zbroj['pretporez'] = 0;
  if ($vrsDo == '1 ' ) {
     $kupovnaVrijednost =  $zbroj['iznosNabavnaCijena'] - $zbroj['iznosRabatPopust'] - $zbroj['iznosCasasSconto'];
     $zbroj['pretporez'] = round($kupovnaVrijednost * 0.25,2); 
     if ($result_dok_zag['PDVstatus'] == '0' || $result_dok_zag['PDVstatus'] == '7') $zbroj['pretporez'] = 0;
     $zbroj['zaNaplatu'] = $kupovnaVrijednost + $zbroj['pretporez'];
     if ($poslovnica['vrstaPoslovnice'] == '1') {
        $zbroj['ukUkalkuliraniPDV'] = $zbroj['iznosSpdvBruto'] - $zbroj['iznosBezPDVbruto'];  //za maloprodaje
     } else {
        $zbroj['ukUkalkuliraniPDV'] = 0;  //za veleprodaje,repromaterijal,gotove priizvode i usluge
        $zbroj['iznosSpdvBruto'] =  $zbroj['iznosBezPDVbruto'];  //za veleprodaje,repromaterijal,gotove priizvode i usluge
     }
  }      
  return  $zbroj;
}

function get_pregledi_dokumenata($kodPoslovnice,$vrsDo,$zapis,$DVOod,$DVOdo,
    $valutaOd,$valutaDo,$partner,$nacinPlacanja,$PDVstatus,$brojNarudzbe,
    $refProd,$komercijalista,$samoKartice=false,$cijeliDokIliRU='') {
    global $db;
   $DVO_o = new DateTime($DVOod);
   $DVOod = $DVO_o->format("Y-m-d H:i:s");
    $DVO_o2 = new DateTime($DVOdo);
    $DVOdo = $DVO_o2->format("Y-m-d H:i:s");
 //echo 'DVOod=' . $DVOod . ' dvoDO=' . $DVOdo;
    if (trim($refProd)!='' ) {
        $operater = get_admin_by_skracenica ($refProd);
        $OIB = $operater['OIB'];
    } else {
        $OIB = '';
    }
    
    $query = "SELECT * FROM dok_zag WHERE (proda = :proda or :proda = '0')  AND vrsDo = :vrsDo
        AND (zapis = :zapis or trim(:zapis)='') AND (DVO >= :DVOod AND DVO <= :DVOdo)
        AND (kodPartnera = :kodPartnera or trim(:kodPartnera)='')
        AND (refProd = :OIB or :OIB='')
        AND (:samoKartice = false or iznosKartice <> 0)
        ORDER BY proda, broDo";
    
    $statement = $db->prepare($query);
    $statement->bindValue(':proda', $kodPoslovnice);
    $statement->bindValue(':vrsDo', $vrsDo);
    $statement->bindValue(':zapis', $zapis);
    $statement->bindValue(':DVOod', $DVOod);
    $statement->bindValue(':DVOdo', $DVOdo);
    $statement->bindValue(':kodPartnera', $partner);
    $statement->bindValue(':OIB', $OIB);
    $statement->bindValue(':samoKartice', $samoKartice);
    $statement->execute();
    $dok_zags = $statement->fetchAll();
    $statement->closeCursor();
 //   return $dok_zags;
    $dok_zbroj_konacni = array();
 foreach ($dok_zags as $dok_zag) {
    $proda = $dok_zag['proda'];
    $vrsDo = $dok_zag['vrsDo'];
    $proIn = $dok_zag['proIn'];
    $zapis = $dok_zag['zapis'];
    $broDo = $dok_zag['broDo'];
    $verzi = $dok_zag['verzi'];
    
    $zbroj = zbroj_po_dok($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi, $cijeliDokIliRU);
    if ($zbroj['zaNaplatu'] == 0 && $cijeliDokIliRU != '' ) continue; //kod robe i usluga uzima samo ako na dokumentu postoje roba ili usluga 
    
    if ($broDo == 111111) {
     $prolaz  = 1;
     foreach ( $zbroj as $PDVzbroj  =>  $stavkaPDV ) {
      // echo 'Prolaz=' . $prolaz;  
       if ($prolaz > 1 && is_numeric($PDVzbroj)){
       echo 'Prolaz=' . $prolaz;    
       echo 'PDVzbroj=' . $PDVzbroj;
       echo 'st.iznosPdv=' . $stavkaPDV['iznosPdv'];
       echo 'st.poreznaOsnovica=' . $stavkaPDV['poreznaOsnovica'] . '</br>';
       }
     $prolaz ++;
     }  
   }  
    $dok_zag['iznosRabatPopust'] = $zbroj['iznosRabatPopust'];
    $dok_zag['iznosRabatPopustVPC'] = $zbroj['iznosRabatPopustVPC'];
    $dok_zag['iznosCasasSconto'] = $zbroj['iznosCasasSconto'];
    $dok_zag['iznosBezPDVbruto'] = $zbroj['iznosBezPDVbruto'];
    $dok_zag['ukPoreznaOsnovica'] = $zbroj['ukPoreznaOsnovica'];
    $dok_zag['ukPoreznaOsnovicaVPC'] = $zbroj['ukPoreznaOsnovicaVPC'];
    $dok_zag['ukIznosPDV'] = $zbroj['ukIznosPDV'];
    $dok_zag['ukIznosPDVvpc'] = $zbroj['ukIznosPDVvpc'];
    $dok_zag['zaNaplatu'] = $zbroj['zaNaplatu'];
    $dok_zag['zaNaplatuVPC'] = $zbroj['zaNaplatuVPC'];
    $dok_zag['iznosNabavnaCijena'] = $zbroj['iznosNabavnaCijena'];
    $dok_zag['iznosMarza'] = $zbroj['iznosMarza'];
    $dok_zag['iznosZavisniTroskovi'] = $zbroj['iznosZavisniTroskovi'];
    $dok_zag['vrstaPoslovnice'] = $zbroj['vrstaPoslovnice'];
    $dok_zag['iznosSpdvBruto'] = $zbroj['iznosSpdvBruto'];
    $dok_zag['ukUkalkuliraniPDV'] = $zbroj['ukUkalkuliraniPDV'];
    $OIB = $dok_zag['refProd'];
   
    $operater = get_admin_by_OIB($OIB);
    $skracenica = $operater['skracenica'];
   
    $dok_zag['skracenicaOperatera'] = $skracenica;
    $dok_zbroj_konacni[] = $dok_zag;  //doda na kraj
 }
    return $dok_zbroj_konacni;
}

function update_dok_zag_JIR_ZKI($JIR,$ZKI, $komentar) {
    global $db;
	$proda = $_SESSION['odabranaPoslovnica'];
	$vrsDo = $_SESSION['dok_zag']['vrsDo'];
	$proIn = $_SESSION['dok_zag']['proIn'];
	$zapis = $_SESSION['dok_zag']['zapis']; 
	$broDo = $_SESSION['dok_zag']['broDo'];
	$verzi = $_SESSION['dok_zag']['verzi']; 
        if ($JIR === NULL) {
            $datumIvrijemeJIR = NULL;
        } else { 
	    $datum_o = new DateTime();
	    $datumIvrijemeJIR = $datum_o->format("Y-m-d H:i:s");
	}
    $query = '
        UPDATE dok_zag
        SET JIR = :JIR, 
            zastitniKod = :ZKI, 
            komentar = concat(komentar, :komentar),
            datumIvrijemeJIR = :datumIvrijemeJIR
        WHERE proda = :proda AND vrsDo = :vrsDo AND proIn = :proIn
	AND zapis = :zapis AND broDo = :broDo AND verzi = :verzi';
    try {
        $statement = $db->prepare($query);
	$statement->bindValue(':proda', $proda);
        $statement->bindValue(':vrsDo', $vrsDo);
        $statement->bindValue(':proIn', $proIn);
        $statement->bindValue(':zapis', $zapis);
        $statement->bindValue(':broDo', $broDo);
        $statement->bindValue(':verzi', $verzi);
	$statement->bindValue(':JIR', $JIR);
	$statement->bindValue(':ZKI', $ZKI);
	$statement->bindValue(':komentar', $komentar);
        $statement->bindValue(':datumIvrijemeJIR', $datumIvrijemeJIR);
        $statement->execute();
	$rowCount = $statement->rowCount();
	$statement->closeCursor();
	return $rowCount;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}
/// makar
function razrada_po_stopi($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi) {
    global $db;
    $query = 
        "
        SELECT PDV, sum(kolicina) as kolicina, sum(s.cijena) as cijena, 
        sum(round(racunajPDV(vrstaPoslovnice,s.cijena,kolicina,PDV,rabatPopust,absRabatPopust,rabatPopustNaKol,absRabatPopustNaKol,'zaplatit'),2)) as zaplatit, 

        sum(round(racunajPDV(vrstaPoslovnice,s.cijena,kolicina,PDV,rabatPopust,absRabatPopust,rabatPopustNaKol,absRabatPopustNaKol,'pdv'),2)) as PDVIznos, 
        sum(round(racunajPDV(vrstaPoslovnice,s.cijena,kolicina,PDV,rabatPopust,absRabatPopust,rabatPopustNaKol,absRabatPopustNaKol,'osnovica'),2)) as osnovica, 
        sum(round(racunajPDV(vrstaPoslovnice,s.cijena,kolicina,PDV,rabatPopust,absRabatPopust,rabatPopustNaKol,absRabatPopustNaKol,'rabat'),2)) as rabat,
        sum(round(racunajPDV(vrstaPoslovnice,s.cijena,kolicina,PDV,rabatPopust,absRabatPopust,rabatPopustNaKol,absRabatPopustNaKol,'rabatnakol'),2)) as rabatNaKol

        FROM dok_zag as z

        left outer join dok_stavke as s on s.proda=z.proda and s.vrsDo=z.vrsDo and s.proIn=z.proIn 
            and s.zapis=z.zapis and s.broDo=z.broDo and s.verzi=z.verzi
        left outer join  poslovnice as p on p.kodPoslovnice=z.proda

        WHERE z.proda = :proda AND z.vrsDo = :vrsDo AND z.proIn = :proIn
	AND z.zapis = :zapis AND z.broDo = :broDo AND z.verzi = :verzi
        GROUP BY PDV";
    $statement = $db->prepare($query);
    $statement->bindValue(':proda', $proda);
    $statement->bindValue(':vrsDo', $vrsDo);
    $statement->bindValue(':proIn', $proIn);
    $statement->bindValue(':zapis', $zapis);
    $statement->bindValue(':broDo', $broDo);
    $statement->bindValue(':verzi', $verzi);
    $statement->execute();
    $dok_po_stopi = $statement->fetchAll();
    $statement->closeCursor();
    return $dok_po_stopi;
}    

function get_ukupno_po_dokumentima($proda,$vrsDo,$DVOod,$DVOdo,$refProd,$kasa,$nacinPlacanja) {
    global $db;
    $query = "
            select 
            z.proda,  
            z.vrsDo,
            z.broDo,
          
            sum(kolicina) as kolicina, 
            sum(round(kolicina*s.cijena,2)) as osnovica, 
            sum(round(racunajPDV(vrstaPoslovnice,s.cijena,kolicina,PDV,rabatPopust,absRabatPopust,rabatPopustNaKol,absRabatPopustNaKol,'pdv'),2))
             as PDVIznos, 
            sum(round(racunajPDV(vrstaPoslovnice,s.cijena,kolicina,PDV,rabatPopust,absRabatPopust,rabatPopustNaKol,absRabatPopustNaKol,'rabat'),2)) as rabat, 
            sum(round(racunajPDV(vrstaPoslovnice,s.cijena,kolicina,PDV,rabatPopust,absRabatPopust,rabatPopustNaKol,absRabatPopustNaKol,'zaplatit'),2)) as ukupno,
            (z.novac - z.povrat ) as novac,
            sum( if(r.robaUsluga='U', round(racunajPDV(vrstaPoslovnice,s.cijena,kolicina,PDV,rabatPopust,absRabatPopust,rabatPopustNaKol,absRabatPopustNaKol,'pdv'),2),0)) as PDVIznosUsl, 
            sum( if(r.robaUsluga='U', round(racunajPDV(vrstaPoslovnice,s.cijena,kolicina,PDV,rabatPopust,absRabatPopust,rabatPopustNaKol,absRabatPopustNaKol,'rabat'),2),0)) as rabatUsl, 
            sum( if(r.robaUsluga='U', round(racunajPDV(vrstaPoslovnice,s.cijena,kolicina,PDV,rabatPopust,absRabatPopust,rabatPopustNaKol,absRabatPopustNaKol,'zaplatit'),2),0)) as ukupnoUsl

            from dok_stavke as s
            left outer join dok_zag as z 
            on z.proda=s.proda and z.vrsDo=s.`vrsDo` and z.`proIn`=s.`proIn` 
            and z.zapis=s.zapis and z.`broDo`=s.`broDo`
            left outer join  poslovnice as p on p.kodPoslovnice=z.proda
            left outer join maticna_robe as r on  r.kodRobe=s.kodRobe

            where (z.proda=:proda or trim(:proda)='' or trim(:proda)='0')
            and ( z.vrsDo=:vsrDo or trim(:vsrDo)='')
            and z.DVO between :DVOOd and :DVODo
            and (z.refProd=:refProd or trim(:refProd)='')
            and (z.kasa=:kasa or trim(:kasa)='')
            and (trim(:nacinPlacanja)='' or (:nacinPlacanja='N' and iznosKartice=0) or (:nacinPlacanja='K' and iznosKartice<>0))
            group by
            z.proda,  
            z.vrsDo,
            z.broDo,
            z.novac,
            z.povrat
            ";
    $DVO_o = new DateTime($DVOod);
    $DVO_o2 = new DateTime($DVOdo);

    $statement = $db->prepare($query);
    $statement->bindValue(':proda', $proda);
    $statement->bindValue(':vsrDo', $vrsDo);
    $statement->bindValue(':DVOOd', $DVO_o->format("Y-m-d H:i:s"));
    $statement->bindValue(':DVODo', $DVO_o2->format("Y-m-d H:i:s"));
    $statement->bindValue(':refProd', $refProd);
    $statement->bindValue(':kasa', $kasa);
    $statement->bindValue(':nacinPlacanja', $nacinPlacanja);
    $statement->execute();
    $dokumenti= $statement->fetchAll();
    $statement->closeCursor();
    return $dokumenti;
    
}
function get_ukupno_po_vkc($proda,$vrsDo,$DVOod,$DVOdo,$refProd,$kasa,$nacinPlacanja) {
    global $db;
    $query = "
            select 
            z.vrstaKartice, 
            nazivKarticeCeka,
            sum(z.iznosKartice) as iznosKartice 
            from dok_zag as z
            left outer join v_k_c on v_k_c.vrsKart=z.vrstaKartice 

            where (z.proda=:proda or trim(:proda)='' or trim(:proda)='0')
            and ( z.vrsDo=:vsrDo or trim(:vsrDo)='')
            and z.DVO between :DVOOd and :DVODo
            and (z.refProd=:refProd or trim(:refProd)='')
            and (z.kasa=:kasa or :kasa=0)
            and (trim(:nacinPlacanja)='' or (:nacinPlacanja='N' and iznosKartice=0) or (:nacinPlacanja='K' and iznosKartice<>0))
            and z.iznosKartice<>0
            group by
            z.vrstaKartice,
            nazivKarticeCeka
            ";
    $DVO_o = new DateTime($DVOod);
    $DVO_o2 = new DateTime($DVOdo);

    $statement = $db->prepare($query);
    $statement->bindValue(':proda', $proda);
    $statement->bindValue(':vsrDo', $vrsDo);
    $statement->bindValue(':DVOOd', $DVO_o->format("Y-m-d H:i:s"));
    $statement->bindValue(':DVODo', $DVO_o2->format("Y-m-d H:i:s"));
    $statement->bindValue(':refProd', $refProd);
    $statement->bindValue(':kasa', $kasa);
    $statement->bindValue(':nacinPlacanja', $nacinPlacanja);
    $statement->execute();
    $dokumenti= $statement->fetchAll();
    $statement->closeCursor();
    return $dokumenti;
    
}

function get_ukupno_po_stopi($proda,$vrsDo,$DVOod,$DVOdo,$refProd,$kasa,$nacinPlacanja, $vrstaRobe='') {
    global $db;
    $query = "
            SELECT z.proda, PDV, sum(kolicina) as kolicina, sum(s.cijena) as cijena, 
            sum(round(racunajPDV(vrstaPoslovnice,s.cijena,kolicina,PDV,rabatPopust,absRabatPopust,rabatPopustNaKol,absRabatPopustNaKol,'zaplatit'),2)) as zaplatit, 
            sum(round(racunajPDV(vrstaPoslovnice,s.cijena,kolicina,PDV,rabatPopust,absRabatPopust,rabatPopustNaKol,absRabatPopustNaKol,'pdv'),2)) as PDVIznos, 
            sum(round(racunajPDV(vrstaPoslovnice,s.cijena,kolicina,PDV,rabatPopust,absRabatPopust,rabatPopustNaKol,absRabatPopustNaKol,'osnovica'),2)) as osnovica, 
            sum(round(racunajPDV(vrstaPoslovnice,s.cijena,kolicina,PDV,rabatPopust,absRabatPopust,rabatPopustNaKol,absRabatPopustNaKol,'rabat'),2)) as rabat
            from dok_stavke as s
            left outer join dok_zag as z on z.proda=s.proda and z.vrsDo=s.vrsDo 
                and z.broDo=s.broDo and z.proIn=s.proIn and z.zapis=s.zapis and z.verzi=s.verzi
            left outer join  poslovnice as p on p.kodPoslovnice=z.proda    
            left outer join maticna_robe as r on  r.kodRobe=s.kodRobe


            where (z.proda=:proda or trim(:proda)='' or trim(:proda)='0')
            and ( z.vrsDo=:vsrDo or trim(:vsrDo)='')
            and z.DVO between :DVOOd and :DVODo
            and (z.refProd=:refProd or trim(:refProd)='')
            and (z.kasa=:kasa or :kasa=0)
            and (trim(:nacinPlacanja)='' or (:nacinPlacanja='N' and iznosKartice=0) or (:nacinPlacanja='K' and iznosKartice<>0))
            and (:vrstaRobe='' or r.robaUsluga=:vrstaRobe)
            
            group by
            z.proda,
            PDV
            ";
    $DVO_o = new DateTime($DVOod);
    $DVO_o2 = new DateTime($DVOdo);

    $statement = $db->prepare($query);
    $statement->bindValue(':proda', $proda);
    $statement->bindValue(':vsrDo', $vrsDo);
    $statement->bindValue(':DVOOd', $DVO_o->format("Y-m-d H:i:s"));
    $statement->bindValue(':DVODo', $DVO_o2->format("Y-m-d H:i:s"));
    $statement->bindValue(':refProd', $refProd);
    $statement->bindValue(':kasa', $kasa);
    $statement->bindValue(':nacinPlacanja', $nacinPlacanja);
    $statement->bindValue(':vrstaRobe', $vrstaRobe);
    $statement->execute();
    $dokumenti= $statement->fetchAll();
    $statement->closeCursor();
    return $dokumenti;
    
}

function get_dokumente_za_fiskalizciju($proda,$vrsDo,$DVOod,$DVOdo,$refProd,$kasa,$nacinPlacanja) {
    global $db;
    $query = "
            select 
            z.proda,  
            z.vrsDo,
            z.broDo

            from dok_stavke as s
            left outer join dok_zag as z on z.proda=s.proda and z.vrsDo=s.vrsDo 
                and z.broDo=s.broDo and z.proIn=s.proIn and z.zapis=s.zapis and z.verzi=s.verzi

            where (z.proda=:proda or trim(:proda)='' or trim(:proda)='0')
            and ( z.vrsDo=:vsrDo or trim(:vsrDo)='')
            and z.DVO between :DVOOd and :DVODo
            and (z.refProd=:refProd or trim(:refProd)='')
            and (z.kasa=:kasa or trim(:kasa)='')
            and (trim(:nacinPlacanja)='' or (:nacinPlacanja='N' and iznosKartice=0) or (:nacinPlacanja='K' and iznosKartice<>0))
            and (trim(JIR)='' or JIR is null)
            group by
            z.proda,  
            z.vrsDo,
            z.broDo
            ";
    $DVO_o = new DateTime($DVOod);
    $pocetak = new DateTime('2013-04-01 00:00:00');
    //var_dump($DVO_o<$pocetak);
    if ($DVO_o<$pocetak)
       $DVO_o=$pocetak;
    $DVO_o2 = new DateTime($DVOdo);

    $statement = $db->prepare($query);
    $statement->bindValue(':proda', $proda);
    $statement->bindValue(':vsrDo', $vrsDo);
    $statement->bindValue(':DVOOd', $DVO_o->format("Y-m-d H:i:s"));
    $statement->bindValue(':DVODo', $DVO_o2->format("Y-m-d H:i:s"));
    $statement->bindValue(':refProd', $refProd);
    $statement->bindValue(':kasa', $kasa);
    $statement->bindValue(':nacinPlacanja', $nacinPlacanja);
    $statement->execute();
    $dokumenti= $statement->fetchAll();
    $statement->closeCursor();
    return $dokumenti;

}
function rekonstrukcija_stanja($proda,$DVOdo) {
   global $db;
   $dodano_stavki = 0;
   $DVOod = '01.04.2013';
   $DVO_o = new DateTime($DVOod);
   $DVOod = $DVO_o->format("Y-m-d H:i:s");
    $DVO_o2 = new DateTime($DVOdo);
    $DVOdo = $DVO_o2->format("Y-m-d H:i:s");
 //echo 'DVOod=' . $DVOod . ' dvoDO=' . $DVOdo;
    $vrsDo = '1 ';
    $query = 'SELECT proda, vrsDo, proIn, zapis, broDo, verzi, DVO, kodPartnera  
        FROM dok_zag WHERE (proda = :proda AND vrsDo = :vrsDo
    AND DVO >= :DVOod    AND DVO <= :DVOdo)';
    
    $statement = $db->prepare($query);
    $statement->bindValue(':proda', $proda);
    $statement->bindValue(':vrsDo', $vrsDo);
    $statement->bindValue(':DVOod', $DVOod);
    $statement->bindValue(':DVOdo', $DVOdo);
    $statement->execute();
    $dok_zags = $statement->fetchAll();
    $statement->closeCursor();
 //   return $dok_zags;
// echo 'U obradi su dokumenti:';  
 foreach ($dok_zags as $dok_zag) {
    $proda = $dok_zag['proda'];
    $vrsDo = $dok_zag['vrsDo'];
    $proIn = $dok_zag['proIn'];
    $zapis = $dok_zag['zapis'];
    $broDo = $dok_zag['broDo'];
    $verzi = $dok_zag['verzi'];
    $DVO = $dok_zag['DVO'];
    $kodPartneraPu = $dok_zag['kodPartnera'];
    echo ' ' . $proda . $vrsDo . $proIn . $zapis . $broDo . $verzi;
    $query = 'SELECT *
    FROM dok_stavke WHERE  proda = :proda AND vrsDo = :vrsDo AND proIn = :proIn
    AND zapis = :zapis AND broDo = :broDo AND verzi = :verzi ';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':proda', $proda);
        $statement->bindValue(':vrsDo', $vrsDo);
        $statement->bindValue(':proIn', $proIn);
        $statement->bindValue(':zapis', $zapis);
        $statement->bindValue(':broDo', $broDo);
        $statement->bindValue(':verzi', $verzi);
        $statement->execute();
        $stavke = $statement->fetchAll();
        $statement->closeCursor();
     // return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
    
    foreach ($stavke as $stavka) {
           $kodRobe = $stavka['kodRobe'];
           $vrstaProdaje = $stavka['vrstaProdaje'];
	   $cijena = $stavka['cijena'];
	   $kolicina = $stavka['kolicina'];
           $rabatPopust = $stavka['rabatPopust']; 
	   $absRabatPopust = $stavka['absRabatPopust'];
	   $nabavnaCijenaPu = $stavka['nabavnaCijena']; 
           $marzaPu = $stavka['marza'];	
           $absMarzaPu = $stavka['absMarza'];
	   $zavisniTroskoviPu = $stavka['zavisniTroskovi'];
	   $absZavisniTroskoviPu = $stavka['absZavTr'];
        
    $rowCount =  azuriranje_stanja($proda,$vrsDo,$proIn,$zapis,$broDo,$verzi,$DVO,$kodPartneraPu,$kodRobe,$vrstaProdaje,$cijena,$kolicina,$rabatPopust,$absRabatPopust,
    $nabavnaCijenaPu,$marzaPu,$absMarzaPu,$zavisniTroskoviPu,$absZavisniTroskoviPu);     
    if ($rowCount == 1) $dodano_stavki ++;
    
   }
 }
  return $dodano_stavki;
}

function osnovicaPoStopi($pdvStavka)
{
    if($pdvStavka['rabat']!=0)
        $osnovica = $pdvStavka['osnovica'] - $pdvStavka['rabat']/(1+$pdvStavka['PDV']/100);
    else
        $osnovica = $pdvStavka['osnovica'];
    return $osnovica;
}

// makar 5.4.2013

function get_knjigu_popisa($proda,$vrsDo,$DVOod,$DVOdo,$donosDaNe) {
    global $db;
    ini_set('max_execution_time', 300);
    $query = "
select 
kodPoslovnice as proda, datumInventure as DVO, 0 as vrsDo, 'INVENTURA' as nazivDokumenta, 0 as broDo, ' ' as nazivPartnera,
'' as zapis,
'' as proIn,
'' as verzi,
vrstaPoslovnice,
if(vrstaPoslovnice=1,iznosInvSaPDV,`iznosInvBezPDV`) as zaduzenje,
0 as razduzenje, 0 as rabat, 0 as ukupnoUsl
from poslovnice
where (kodPoslovnice=:proda or trim(:proda)='' or trim(:proda)='0') and kodPoslovnice<>'0'
and :donosDaNe='D'

union all 

select 
z.proda,
z.DVO,  
z.vrsDo,
trim(concat(vd.nazivDokumenta,' ',z.zapis,' ',z.proIn)) as nazivDokumenta,
z.broDo,
pp.nazivPartnera,
z.zapis,
z.proIn,
z.verzi,
p.vrstaPoslovnice as vrstaPoslovnice,
if(z.vrsdo='6' or z.vrsDo='5' and int5.kodPoslovnice is not null ,-1,1 )
*sum(if(z.vrsDo='5' and int5.kodPoslovnice is null or z.vrsDo='7', 0, -- ako su dokumenti razdužemja u zaduženje stavlja 0
if(p.vrstaPoslovnice=1,
    if(z.vrsDo=1 or z.zapis='K1',
        -- bez rabata
        round(racunajPDV(p.vrstaPoslovnice,s.cijena,kolicina,if(trim(s.zapis)='' and trim(s.vrsDo)<>'1',s.PDV,s.ukalkuliraniPDV),0,0,0,0,'zaplatit'),2),
    -- else za : z.vrsDo=1 or z.zapis='K1'
        round(racunajPDV(p.vrstaPoslovnice,s.cijena,kolicina,if(trim(s.zapis)='',s.PDV,s.ukalkuliraniPDV),
           rabatPopust,absRabatPopust,rabatPopustNaKol,absRabatPopustNaKol,'zaplatit'),2)
    ),
    -- else za: p.vrstaPoslovnice=1
    round(kolicina*s.cijena,2)
)
)) as zaduzenje, 

sum(if((z.vrsDo='5' or z.vrsDo='7')  and int5.kodPoslovnice is null ,
 if(p.vrstaPoslovnice=1, 
    round(racunajPDV(p.vrstaPoslovnice,s.cijena,kolicina,if(trim(s.zapis)='',s.PDV,s.ukalkuliraniPDV),rabatPopust,absRabatPopust,rabatPopustNaKol,absRabatPopustNaKol,'zaplatit'),2), 
    round(kolicina*s.cijena,2)),
 0)) as razduzenje, 
-- popust se računa samo na maloprodaji uključujući sve zapisnike osim 'K1'
sum(if((z.vrsDo='5' or (z.vrsdo='3' and trim(z.zapis)<>'K1')) and p.vrstaPoslovnice=1,
    if(r.robaUsluga='U',0,round(racunajPDV(p.vrstaPoslovnice,s.cijena,kolicina,PDV,rabatPopust,absRabatPopust,rabatPopustNaKol,absRabatPopustNaKol,'rabat'),2))
       ,0)) as popust,
sum( if(r.robaUsluga='U', round(racunajPDV(p.vrstaPoslovnice,s.cijena,kolicina,if(p.vrstaPoslovnice=0,0,PDV),
        if(z.vrsDo=1, 0, rabatPopust),
        if(z.vrsDo=1, 0,absRabatPopust),
        if(z.vrsDo=1, 0,rabatPopustNaKol),
        if(z.vrsDo=1, 0,absRabatPopustNaKol),'zaplatit'),2),0)) as ukupnoUsl

from dok_stavke as s
left outer join dok_zag as z on z.proda=s.proda and z.vrsDo=s.vrsDo 
    and z.broDo=s.broDo and z.proIn=s.proIn and z.zapis=s.zapis and z.verzi=s.verzi
left outer join vrste_dokumenata as vd on vd.vrsDo=z.vrsDo
left outer join poslovnice as  p on p.kodPoslovnice=z.proda
left outer join partner as pp on pp.kodPartnera=z.kodPartnera
left outer join maticna_robe as r on  r.kodRobe=s.kodRobe
-- dali je  Interna dostavnica - kupac je jedna od poslovnica
left outer join poslovnice as  int5 on int5.kodPoslovnice=z.kodPartnera
where (z.proda=:proda or trim(:proda)='' or trim(:proda)='0')
and( z.vrsDo in ('1','2','3','5','6','7') and (trim(:vrsDo)='' or z.vrsDo=:vrsDo))
and z.DVO between :DVOOd and :DVODo
and (z.DVO>p.datumInventure or p.datumInventure is null)


group by
z.proda,
z.zapis,
z.proIn,
z.broDo,
z.verzi,
z.DVO,
vd.nazivDokumenta,
z.vrsDo,
z.broDo,
pp.nazivPartnera,
p.vrstaPoslovnice
 
union all


select 
z.proda,
max(z.DVO) as DVO,  
'8' as vrsDo,
'REKAPITUAR' as nazivDokumenta,
date(z.DVO) as broDo,
'Utržak' as nazivPartnera,
'' as zapis,
'' as proIn,
'' as verzi,

'1' as vrstaPoslovnice,
0 as zaduzenje,
sum(round(racunajPDV(p.vrstaPoslovnice,s.cijena,kolicina,PDV,rabatPopust,absRabatPopust,rabatPopustNaKol,absRabatPopustNaKol,'zaplatit'),2))
as razduzenje, 
sum(if(r.robaUsluga='U',0,round(racunajPDV(vrstaPoslovnice,s.cijena,kolicina,PDV,rabatPopust,absRabatPopust,rabatPopustNaKol,absRabatPopustNaKol,'rabat'),2))) as popust,

sum( if(r.robaUsluga='U', round(racunajPDV(p.vrstaPoslovnice,s.cijena,kolicina,PDV,
         rabatPopust,absRabatPopust,rabatPopustNaKol,absRabatPopustNaKol,'zaplatit'),2),0)) as ukupnoUsl
from dok_stavke as s
left outer join dok_zag as z on z.proda=s.proda and z.vrsDo=s.vrsDo 
    and z.broDo=s.broDo and z.proIn=s.proIn and z.zapis=s.zapis and z.verzi=s.verzi
left outer join vrste_dokumenata as vd on vd.vrsDo=z.vrsDo
left outer join poslovnice as  p on p.kodPoslovnice=z.proda
left outer join maticna_robe as r on  r.kodRobe=s.kodRobe

where (z.proda=:proda or trim(:proda)='' or trim(:proda)='0')
and (z.vrsDo='8' and (trim(:vrsDo)='' or :vrsDo=8))
and z.DVO between :DVOOd and :DVODo
and (z.DVO>p.datumInventure or p.datumInventure is null)

group by
date(z.DVO)

order by
proda,
DVO,
nazivDokumenta,
vrsDo,
broDo

";
    $poslovnica=  get_poslovnica($proda);
    if(strlen($poslovnica['datumInventure'])>1 && $donosDaNe=='D')
        $DVO_o = new DateTime($poslovnica['datumInventure']);
    else
        $DVO_o = new DateTime($DVOod);
    $DVO_o2 = new DateTime($DVOdo);

    $statement = $db->prepare($query);
    // /*
    $statement->bindValue(':proda', $proda);
    $statement->bindValue(':vrsDo', $vrsDo);
    $statement->bindValue(':DVOOd', $DVO_o->format("Y-m-d H:i:s"));
    $statement->bindValue(':DVODo', $DVO_o2->format("Y-m-d H:i:s"));
    $statement->bindValue(':donosDaNe', $donosDaNe);
     
     // */
    $statement->execute();
    $knjiga= $statement->fetchAll();
    $statement->closeCursor();
    return $knjiga;
}

function  rasterFile($firmaR,$vrstaRas,$brojProd,$brojRac,$datumValuta,$dobKup,$status,$vrstaR,$zaliha,$rabati,$iznosDobKup,
        $ukalTr,$rc,$brojRacD,$porez,$ukalPorez,$datumDVO,$iznosUstranojValuti=0,$stranaValuta='',$carineITakse=0,$zakljucak='',$EVporez=0) {
//$ukalTr,$rc,$brojRacD,$porez,$ukalPorez,$datumDVO,$iznosUstranojValuti=0,$stranaValuta='',$carineITakse=0,$zakljucak='',$email='',$komentar='',$EVporez=0) {
    $brojProd = str_pad(substr($brojProd,2),6);
    $brojRac = str_pad(trim($brojRac),14);
    if (!empty($datumValuta)) {
       $datum_o = new DateTime($datumValuta);
       $datumValuta = $datum_o->format("dmY");
    } else $datumValuta='        '; 
    $dobKup = str_pad(rtrim($dobKup),6);
    if (trim($status) == '')  $status = '3';
    $file = fopen('rasterFile.txt', 'ab');
    $dio1 = $firmaR.$vrstaRas.$brojProd.$brojRac.$datumValuta.$dobKup.$status.$vrstaR;
    fwrite($file, $dio1);
    $zaliha = f_rasterFile($zaliha);
    $rabati = f_rasterFile($rabati);
    $iznosDobKup = f_rasterFile($iznosDobKup);
    $ukalTr = f_rasterFile($ukalTr);
    $rc = f_rasterFile($rc);
    $porezpk = 0;
    $porezpk = f_rasterFile($porezpk);
    $zaokrp = 0;
    $zaokrp = f_rasterFile($zaokrp);
 //   $brojRacD = str_pad(rtrim($brojRacD),20);
    $brojRacD = str_pad(substr(trim($brojRacD),0,20),20);
    $iznosi1=$zaliha.$rabati.$iznosDobKup.$ukalTr.$rc.$porezpk.$zaokrp.$brojRacD;
    fwrite($file, $iznosi1);
    
    for ($i = 1; $i <= 10; $i++) {
       $izPor = '000000000000'; 
       if ($i == 1) $izPor = f_rasterFile($porez);
       if ($i == 10) $izPor = f_rasterFile($ukalPorez);
       fwrite($file, $izPor); 
    } 
    
    $datum_o = new DateTime($datumDVO);
    $datumDVO = $datum_o->format("dmY");
    $dioKraj = '0000'.$vrstaRas.' '.$datumDVO;
    if ($firmaR == '23')  {
        //za Panex-AGM datoteka iz koje se knjiži na vlastito knjigovodstvo
        //prošireni slog
       fwrite($file, $dioKraj);
       $iznosUstranojValuti = f_rasterFile($iznosUstranojValuti);
       $carineITakse = f_rasterFile($carineITakse);
       $stranaValuta = str_pad(substr(trim($stranaValuta),0,3),3);
       $zakljucak = str_pad(substr(trim($zakljucak),0,20),20);
       $EVporez = f_rasterFile($EVporez);
       $stranaKalk = $iznosUstranojValuti.$stranaValuta.$carineITakse.$zakljucak.$EVporez. "\n"; 
       fwrite($file, $stranaKalk);
    } else {
        //Panex Dinamic i CHAKY  knjigovodstvo na tuđem programu
       fwrite($file, $dioKraj . "\r\n");
       fwrite($file, "\r\n");
    }
    fclose($file);
    
}
function  f_rasterFile($iznos)  {
   if ($iznos < 0) {
      $iznos = str_pad(number_format($iznos, 2, '', ''), 12, '0', STR_PAD_LEFT);
      $zadnjaZnamenka = substr($iznos,11,1); $z = $zadnjaZnamenka;
      $iznos11 = substr($iznos,0,11);
      if ($z == 0) $iznos = $iznos11 . 'p';
      if ($z == 1) $iznos = $iznos11 . 'q';
      if ($z == 2) $iznos = $iznos11 . 'r';
      if ($z == 3) $iznos = $iznos11 . 's';
      if ($z == 4) $iznos = $iznos11 . 't';
      if ($z == 5) $iznos = $iznos11 . 'u';
      if ($z == 6) $iznos = $iznos11 . 'v';
      if ($z == 7) $iznos = $iznos11 . 'w';
      if ($z == 8) $iznos = $iznos11 . 'x';
      if ($z == 9) $iznos = $iznos11 . 'y';
      $iznos2 = str_replace('-', '0', $iznos);
      $iznos = $iznos2; 
   } else {    
      $iznos = str_pad(number_format($iznos, 2, '', ''), 12, '0', STR_PAD_LEFT);
   }
   return $iznos;
}

function add_dok_zag_zapisnik($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi,$kodPartnera,$DVO, $kasa)  {
    global $db;
    $email_user = $_SESSION['admin']['email'];
    $query = 
    'INSERT INTO dok_zag 
     (proda,vrsDo,proIn,zapis,broDo,verzi,kodPartnera,DVO,valuta,kasa,datumOtvaranja,tkoJeIzmjenio)
     VALUES 
    (:proda,:vrsDo,:proIn,:zapis,:broDo,:verzi,:kodPartnera,:DVO,:valuta,:kasa,NOW(),:email_user)';
    try {
        $datum_o = new DateTime($DVO);
        $DVO = $datum_o->format("Y-m-d H:i:s");    
        
        $statement = $db->prepare($query);
	$statement->bindValue(':proda', $proda);
	$statement->bindValue(':vrsDo', $vrsDo);
	$statement->bindValue(':proIn', $proIn);
	$statement->bindValue(':zapis', $zapis);
	$statement->bindValue(':broDo', $broDo);
	$statement->bindValue(':verzi', $verzi);
	$statement->bindValue(':kodPartnera', $kodPartnera);
	$statement->bindValue(':DVO', $DVO);
	$statement->bindValue(':valuta', $DVO);
	$statement->bindValue(':kasa', $kasa);

        $statement->bindValue(':email_user', $email_user);      
        $statement->execute();
        $rowCount = $statement->rowCount();
        $statement->closeCursor();
      } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
  return $rowCount;
}

function add_dok_stavke_zapisnik($proda, $vrsDo, $proIn, $zapis, $broDo, 
    $verzi,$DVO,$brojStavke,$kodRobe,$vrstaProdaje,$cijena,$kolicina,$ukalkuliraniPDV) {
    global $db;

    $email_user = $_SESSION['admin']['email'];
    $query = '
    INSERT INTO dok_stavke
    (proda,vrsDo,proIn,zapis,broDo,verzi,brojStavke,kodRobe,vrstaProdaje,
    cijena,kolicina,ukalkuliraniPDV,DVO,datumOtvaranja,tkoJeIzmjenio)
    VALUES
    (:proda,:vrsDo,:proIn,:zapis,:broDo,:verzi,:brojStavke,:kodRobe,:vrstaProdaje,
    :cijena,:kolicina,:ukalkuliraniPDV,:DVO,NOW(),:email_user)';
    $datum_o = new DateTime($DVO);
    $DVO = $datum_o->format("Y-m-d H:i:s");
    $statement = $db->prepare($query);
    $statement->bindValue(':proda', $proda);
    $statement->bindValue(':vrsDo', $vrsDo);
    $statement->bindValue(':proIn', $proIn);
    $statement->bindValue(':zapis', $zapis);
    $statement->bindValue(':broDo', $broDo);
    $statement->bindValue(':verzi', $verzi);
    $statement->bindValue(':brojStavke', $brojStavke);
    $statement->bindValue(':kodRobe', $kodRobe);
    $statement->bindValue(':vrstaProdaje', $vrstaProdaje);
    $statement->bindValue(':cijena', $cijena);
    $statement->bindValue(':kolicina', $kolicina);
    $statement->bindValue(':ukalkuliraniPDV', $ukalkuliraniPDV);

    $statement->bindValue(':DVO', $DVO);
    $statement->bindValue(':email_user', $email_user);
    $statement->execute();
    $rowCount = $statement->rowCount();
    $statement->closeCursor();
    return $rowCount;
}

function zabranjeno_po_poslovnici($opSaDok, $proda, $vrsDo, $DVO, $stavka=null, $vezniDokument=null)
{
    $poslovnica= get_poslovnica($proda);
    if($opSaDok=='Brisanje' && $poslovnica['brisanjeDokumenta']!='D')
        return 'Brisanje dokumenata u odabranoj poslovnici nije dozvoljeno!';
    if($opSaDok=='Unos') {
        if(trim($vrsDo)=="8" && is_array($stavka)) {
            if($poslovnica['daniStornoParagonci']==0)
                return;
            if(trim($stavka['vezniDokument'])=='') {
                return "Vezni dokument je prazan. Potrebno je unijeti broj dokumenta koji se stornira!";
            }
            $vezniDokument= get_dok_zag($proda, $vrsDo, '', '', $stavka['vezniDokument'], '');
            if(empty($vezniDokument))
                return "Unesen je nepostoječi vezni dokument. Dokument broj ".$stavka['vezniDokument']." ne postoji!";
            $DVO_d= new DateTime($vezniDokument["DVO"]);
        }
        else 
            $DVO_d= new DateTime($DVO);
                    
        $danas= new DateTime();
        //$DVO_d= new DateTime($DVO);
        $brojDana=$danas->diff($DVO_d)->days;
        if($brojDana<1 && trim($vrsDo)!="8")
            return false;
        switch (trim($vrsDo)) {
        case '1':
            if($poslovnica['daniUnazadPrimke']>0 && $poslovnica['daniUnazadPrimke']<$brojDana)
                return 'Knjiženje primke u nazad '.$brojDana.' dana nije dozvoljeno. Maksimalni broj dana za knjiženje primki je:'.$poslovnica['daniUnazadPrimke'].'!';
            break;
        case '5':
            if($poslovnica['daniUnazadDostavnice']>0 && $poslovnica['daniUnazadDostavnice']<$brojDana)
                return 'Knjiženje dostavnice u nazad '.$brojDana.' dana nije dozvoljeno. Maksimalni broj dana za knjiženje dostavnica je:'.$poslovnica['daniUnazadDostavnice'].'!';
            break;
        case '8':
            if(is_array($stavka)) {
                if($stavka['kolicina']<0) {
                    if($poslovnica['daniStornoParagonci']>0 && $poslovnica['daniStornoParagonci']<$brojDana)
                        return 'Knjiženje storno računa u nazad '.$brojDana.' dana nije dozvoljeno. Maksimalni broj dana za knjiženje storno računa je:'.$poslovnica['daniStornoParagonci'].'!';

                    global $db;
                    $query = '
                        select broDo, kolicina
                        from dok_stavke as s
                        where proda=:proda 
                            and vrsDo=:vrsDo 
                            and proIn=:proIn 
                            and zapis=:zapis 
                            and broDo=:vezniDokument
                            and kodRobe=:kodRobe
                            and vrstaProdaje=:vrstaProdaje  
                    ';
                    $statement = $db->prepare($query);
                    $statement->bindValue(':proda', $proda);
                    $statement->bindValue(':vrsDo', $vrsDo);
                    $statement->bindValue(':proIn', '');
                    $statement->bindValue(':zapis', '');
                    $statement->bindValue(':vezniDokument', $stavka['vezniDokument']);
                    //$statement->bindValue(':verzi', '');
                    $statement->bindValue(':kodRobe', $stavka['kodRobe']);
                    $statement->bindValue(':vrstaProdaje', $stavka['vrstaProdaje']);
                    $statement->execute();
                    $veznaStavka = $statement->fetch();
                    $statement->closeCursor();
                    if(!is_array($veznaStavka))
                        return "U dokumentu broj ".$stavka['vezniDokument']." ne postoji roba: ".$stavka['kodRobe']."!";
                        
                    $query = '
                        select ifnull(sum(kolicina),0) as stornirano
                        from dok_stavke as s
                        where proda=:proda 
                            and vrsDo=:vrsDo 
                            and proIn=:proIn 
                            and zapis=:zapis 
                            and vezniDokument=:vezniDokument
                            and kodRobe=:kodRobe
                            and vrstaProdaje=:vrstaProdaje                        
                    ';
                    $statement = $db->prepare($query);
                    $statement->bindValue(':proda', $proda);
                    $statement->bindValue(':vrsDo', $vrsDo);
                    $statement->bindValue(':proIn', '');
                    $statement->bindValue(':zapis', '');
                    $statement->bindValue(':vezniDokument', $stavka['vezniDokument']);
                    //$statement->bindValue(':verzi', '');
                    $statement->bindValue(':kodRobe', $stavka['kodRobe']);
                    $statement->bindValue(':vrstaProdaje', $stavka['vrstaProdaje']);
                    $statement->execute();
                    $dosadasnjiStorno = $statement->fetch();
                    $statement->closeCursor();
                    
                    $raspolozivo=$veznaStavka['kolicina'] + $dosadasnjiStorno['stornirano'];
                    if($raspolozivo<abs($stavka['kolicina']))
                        return "Raspoloživa količina: ".$raspolozivo." je manja od storno količine: ".$stavka['kolicina']."!";
                }
                
            }
            break;

        default:
            if($poslovnica['daniUnazadOstaliDok']>0 && $poslovnica['daniUnazadOstaliDok']<$brojDana)
                return 'Knjiženje dokumenta u nazad '.$brojDana.' dana nije dozvoljeno. Maksimalni broj dana za knjiženje ostali dokumenata je:'.$poslovnica['daniUnazadOstaliDok'].'!';
            break;
        }
    }
    return false;
}        

/*
 * POZOR!! 
 * f-ja round ima grešku, rijetku ali grešku.
 * npr.: round(141.075, 2) daje 141,07, round(4.725, 2) daje 4,72
 * To se vidi na paragoncu:
 * proda=2316, broDo=1663 DVO=21.08.2013 13:27:07
 * ukoliko bi se umjesto round pozvala f-ja mround ona bi korigirala tu grešku
 * Za sada sam ja f-ju racunajPDV slozio da računa s istom greškom
 * MAKAR, 19.1.20014.
 */
function mround($number, $precision=0) {
    //return(round($number, $precision));
    
    $precision = ($precision == 0 ? 1 : $precision);   
    $pow = pow(10, $precision);
   
    $ceil = ceil($number * $pow)/$pow;
    $floor = floor($number * $pow)/$pow;
   
    $pow = pow(10, $precision+1);
   
    $diffCeil     = $pow*($ceil-$number);
    $diffFloor     = $pow*($number-$floor)+($number < 0 ? -1 : 1);
   
    if($diffCeil >= $diffFloor) return $floor;
    else return $ceil;
} 
?>