
 <style>
    table, th, td {
      border: 1px solid black;
      padding: 5px;
    }
    table {
      border-spacing: 15px;
    }
</style>
<?php
/*
 GODIŠNJI OBRAČUN POREZA I PRIREZA
Napravi se redovni obračun plaće za 11 mjesec bez godišnje korekcije poreza i prireza.
Puste se IP kartice s godišnjim obračunom poreza i prireza
Za radnike gdje ima godišnjeg poreza prireza
(to je uglavnom odobrenje)
korigira se godisnjiPorez(-), godisnjiPrirez(-) i iznosZaIsplatu(+) u  tabeli obracuni_placa

Korigira se iznosZaIsplatu(+) u tabeli
isplate_na_banke_po_obracunu
za verziju place prazno(to je iznosZaIsplatu bez prijevoza).

Virman ne može biti negativan.
Ako su npr. radnici iz grada Čakovca odobreni ukupno za 3000 kn
po osnovi godišnjeg obračuna poreza i prireza, a svi radnici iz Čakovca prije
godišnje korekcije trebaju platiti npr. 10000 kn onda 
je virman za poreze i prireze 7000.

Virman ne može biti negativan. Ako bi to bilo onda bi se poslao zahtjev prema gradu Čakovcu
da ručno plati razliku.
Ili se dio može namiriti u okviru plaće, a dio po zahtjevu.

Nakon toga se puste virmani i JOPPD obrazac.

Kod JOPPD obrasca postoji dodatni red za godišnji obračun poreza prireza( oznaka 406)
kod radnika koji to imaju.* 
 */
include_once './dokumenti/komponenteZaPlace.php';
include_once '../model/maticna_radnika_db.php';
include_once './model/obracuni_placa_db.php';
include_once './model/primici_po_obracunu_db.php';    
include_once './model/osobni_odbici_db.php';    
include_once './model/doprinosi_porezi_db.php';
include_once './model/krediti_obustave_db.php';
include_once 'model/opcine_db.php';

$greska='';
$oznakeGreske['godinaObracunaOd'] = '&nbsp;';

$vrstaPrikaza = 'poStavkama';

$naslov='IP kartice i godišnji obračun poreza i prireza';

$slogi = array();

$ukPorez = 0; $ukPrirez = 0;

$firma = get_poslovnica('0');
$OIBfirme = $firma['OIB'];
$p = explode(' ', $firma['ulicaBroj']);
if(count($p)>1) {
    $kucniBroj = $p[count($p)-1];       
    $ulicaBroj = trim(str_replace($kucniBroj, '', $firma['ulicaBroj']));
}
else {
    $ulicaBroj = $firma['ulicaBroj'];
    $kucniBroj = '';
}

$danas = new DateTime();

$mjestoSjedista = $firma['mjestoSjedista'];
// *************************************************************************************************************************************

if(isset($_POST['godinaObracunaOd'])) {  
    // prihvaćeni su podaci s ekrana
   
    $godinaObracunaOd = $_POST['godinaObracunaOd'];
    $vrstaPlace = $_POST['vrstaPlace'];
    $verzijaPlace = $_POST['verzijaPlace'];
    $vrstaJOPPDizvjesca = $_POST['vrstaJOPPDizvjesca'];
    if(isset($_POST['kodRadnika']))
        $kodRadnika = $_POST['kodRadnika'];
    else
        $kodRadnika = '';
  
     if (isset($_POST['godisnjiObracunPoreza']))
        $godisnjiObracunPoreza=$_POST['godisnjiObracunPoreza'];
    else
        $godisnjiObracunPoreza = '';
     if (isset($_POST['skupnoRedovnaIplacaUnaravi']))
        $skupnoRedovnaIplacaUnaravi=$_POST['skupnoRedovnaIplacaUnaravi'];
    else
        $skupnoRedovnaIplacaUnaravi = '';
// =======================================================================================================================================================    
      
    if(trim($greska)=='') {
// ================================================================================================================================================================ 
        $godinaIpKartice = $godinaObracunaOd;  
        
        if (trim($kodRadnika) == '') 
            $OIBradnika = '';
         else {
             $radnik = get_radnik1($kodRadnika);
             $OIBradnika = $radnik['OIB'];            
        }
        $obracuni_placa =  get_obracuni_placa_ip_kartica($godinaIpKartice, $vrstaPlace, $verzijaPlace, $vrstaJOPPDizvjesca, $OIBradnika, $skupnoRedovnaIplacaUnaravi);  
      
// =================================================================================================================================================================         
    //    prikaziUTablici($obracuni_placa, '',0); 
    }   // end if($greska=='')
    
    if(isset($_POST['provediGodObr']) && isset($_POST['GodObr'])) {
        provedi_godisnji_obracun_poreza($_POST['GodObr']);
        $greska = "Godišnji obračun poreza i prireza je uspješno proveden.";
    }

} else { // ušli smo iz menua 
    $trenutnaGodina = $danas->format('Y');
//    $godinaObracunaOd = $trenutnaGodina -1;              
    $godinaObracunaOd = $trenutnaGodina;    
    $vrstaPlace='redPla';
    $verzijaPlace='';
    $vrstaJOPPDizvjesca='1';
    $kodRadnika='';   
    $skupnoRedovnaIplacaUnaravi = '';      
    $godisnjiObracunPoreza = '';
}

?>
<style>
    #page {
        margin: 0; 
        width: auto;
    }
</style>
<style>
  
@media print
{
    #prihvat { display: none; }
    #nePrintaj { display: none; }
    #pretraga { display: none; }
    #navigation { display: none; }
    #header { display: none; }
    #footer { display: none; }  
    #printable { display: block; }
    .t_lista_primka {font-size: 8pt; } 
    body {
        font-size: 8pt;
        margin-top: 0;
        font-family: Arial, Helvetica, sans-serif;
        background-color: white; 
    }  
    #page {
        margin: 0; 
        background-color: white;
        border: hidden;
        width: auto;
    }
  tfoot { 
      display:table-row-group; 
      background-color: #CAFFD8;  
      font-weight: 350;
      border: 1px solid black;
  } 
  #krajStranice {
      page-break-after: always;
  }
}

@page
{
    margin-top:0.5cm;
    margin-left:0.5cm;
    margin-right:0.5cm;
    margin-bottom:0.5cm;
    size: A4;
          
}
</style>
<div id="nePrintaj">

<form action="." method="post" id="view_IP">
<input type="hidden" name="action" value="izabran_je_ip_kartice" />
<!-- <h1><?php echo $naslov; ?> </h1> -->

<div id="panel" style="background-color: #EAFFEF; border: solid 1px grey; padding: 0.4em">
    <h1><?php echo $naslov; ?> 
    <img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=
" IP kartica radi po MJESECIMA KADA JE PLAĆA ISPLAĆENA(datumIsplatePlace),
a ne po MJESECU PLAĆE.
Npr. IP kartica za 2020 poćinje s plaćom za 12. mjesec 2019,
 koja je isplaćena u 1. mjesecu 2020, a završava s plaćom
 za 11. mjesec 2020 koja je isplaćena u 12. mjesecu 2020 godine
 " /> &nbsp; &nbsp;  </h1>
Za godinu: <input type="text" class="text_width_3em" name="godinaObracunaOd" id="godinaObracunaOd" value="<?php echo $godinaObracunaOd; ?>" 
               pattern="20[0-9][0-9]" required title="Unesite godinu obračuna tipa 20XX."/> 
    <span class="greska"><?php echo $oznakeGreske['godinaObracunaOd']; ?> </span>
Vrsta plaće: <?php listaVrstePlaca("vrstaPlace", $vrstaPlace); ?>  
Verzija: <input type="text" class="text_width_2em" name="verzijaPlace"  id="verzijaPlace" value="<?php echo $verzijaPlace; ?>" /> 
 <img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=
" Ako se odabere prazno, obrađuju se obraćuni kojima je verzija prazna,
(u ovom slučaju to ne znači sve vrste obračuna, jer npr. regres koji ima verziju RE i ostale
vrste obračuna PP, BZ, RR, PP i.t.d neće se prikazati)

Ako se ukuca sve  u obzir se uzimaju sve verzije plaće.
" />   &nbsp; &nbsp; &nbsp;
Vrsta JOPPD izvješća: 
<?php vrstaJOPPDizvjesca("vrstaJOPPDizvjesca", $vrstaJOPPDizvjesca,true); ?> 
 <img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=
" Ako se odabere prazno, obrađuju se sve vrste JOPPD izvješća(1 izvorno + 2 promjena + 3 dodavanje.)
" />   &nbsp; &nbsp; &nbsp;

<p></p>

Djelatnik: &nbsp;&nbsp; <?php listaRadnikaPoImenu("kodRadnika", $kodRadnika,TRUE,$samoAktivni=false, $vrstaPlace); ?> &nbsp;
<p></p>
 
&nbsp;<input type="checkbox" name="skupnoRedovnaIplacaUnaravi" id="skupnoRedovnaIplacaUnaravi" <?php if($skupnoRedovnaIplacaUnaravi!='') echo 'checked=""'; ?> />Skupno, Redovna plaća + plaća u naravi
<img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=
" Ako se označi, radi se IP kartica u kojoj su
 zbrojene redovna plaća i plaća u naravi.
 Odabire se bilo koji kod radnika(od redovne plaće ili plaće u naravi)
 jer u tom slučaju se zbrajanje tih dviju vrsta plaće radi po OIB-u radnika
" /> &nbsp; &nbsp;  

&nbsp;<input type="checkbox" name="godisnjiObracunPoreza" id="godisnjiObracunPoreza" <?php if($godisnjiObracunPoreza!='') echo 'checked=""'; ?> />Godišnji obračun poreza i prireza
<img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=
" Godišnji obračun poreza i prireza radi se na obračunatoj a nezaključanoj
plaći za 11. mjesec za koju još nije proveden JOPPD i virmani.
Na tako obračunataj plaći korigira se godišnji porez, i ond se pušta JOOPD i virmani
a plaća se zaključa.
" /> &nbsp; &nbsp;  

<p></p>


</div>
<p></p>
<div id="unosStavke">
    
   
<p></p>
<?php postaviTipkeUnosa('Unos', $greska) ; ?>

</div>
<br>   
</form>
</div>
<!-- ============================================================================================================================================ -->
<?php if( isset($_POST['godinaObracunaOd']) )  : ?>
<?php /* var_dump($ipSlog); */ 
    $OIBpomo = 'Pocetni!!!';
    $RB=0;
    $ukSviOporeziviPrimiciPoRadniku = 0;
    $ukDoprinosiIzPlace = 0;
    $ukDohodak = 0;
    $ukPorezIprirez = 0;
    $ukNetoIsplata = 0;
    $ukPoreznaOsnovica = 0;   
    $ukIznosIskoristeniOdbitak = 0;   
    $pisiZaglavlje='Da';
    $pisiUkupno = 'Ne';
    $pisiPrviRedNovogRadnikaNakonZaglavlja = 'Ne';
    $ukMaxMoguciGodisnjiOdbitak = 0;
    
  //  include_once 'model/kontrole_db.php';    
 //   prikaziUTablici($obracuni_placa, '',400);
    
?>

    <?php foreach ($obracuni_placa  as $o) : ?>
    <?php   
//   ****************foreach ($obracuni_placa  as $o)**********************************************************************************************************************************    
        if ($OIBpomo == 'Pocetni!!!') {
            pisiZaglavlje();          
        }    
        if ( trim($o['OIB']) !=  $OIBpomo && $OIBpomo != 'Pocetni!!!' ) {          
           pisiUkupno();
                $RB=0;
                $ukSviOporeziviPrimiciPoRadniku = 0;
                $ukDoprinosiIzPlace = 0;
                $ukDohodak = 0;
                $ukPorezIprirez = 0;
                $ukPorez = 0;
                $ukPrirez = 0;
                $ukNetoIsplata = 0;
                $ukPoreznaOsnovica = 0;   
                $ukIznosIskoristeniOdbitak = 0;  
                $ukMaxMoguciGodisnjiOdbitak = 0;
           pisiZaglavlje();
        }    
        $OIBpomo = trim($o['OIB']);
        // pisi tekući red
    ?>   

         
        <?php        
           $sviOporeziviPrimiciPoRadniku = pregledUnesenihPrimitaka($o['godinaObracuna'],$o['mjesecObracuna'],$o['godinaObracuna'],$o['mjesecObracuna'],$o['vrstaPlace'],$o['verzijaPlace'],$o['vrstaJOPPDizvjesca'],
                                  $o['kodRadnika'],$vrstaPrimitka='',$groupBy='svi oporezivi primici bruto placa',$oporezivPrimitak='D',$nazocnostNaPoslu=''); 
        //   prikaziUTablici($sviOporeziviPrimiciPoRadniku, 'Bruto plaće',0);
           $doprinosiIzPlace=get_doprinosi_porezi_po_obracunu($o['godinaObracuna'],$o['mjesecObracuna'],$o['godinaObracuna'],$o['mjesecObracuna'], $o['vrstaPlace'], $o['verzijaPlace'],$o['vrstaJOPPDizvjesca'],
                                   $o['kodRadnika'],$vrstaDoprinosaPoreza='',$groupBy='zbrojeni doprinosi iz place',$izIliNaPlacu='izPlace');         
      //    prikaziUTablici($doprinosiIzPlace, 'Doprinosi iz plaće',0);
 //  porezi    
       
          $porezi=get_doprinosi_porezi_po_obracunu($o['godinaObracuna'],$o['mjesecObracuna'],$o['godinaObracuna'],$o['mjesecObracuna'], $o['vrstaPlace'], $o['verzijaPlace'],$o['vrstaJOPPDizvjesca'],
                                   $o['kodRadnika'],$vrstaDoprinosaPoreza='',$groupBy='zbrojeni porezi po stopama',$izIliNaPlacu='naDohodak');        
   //      prikaziUTablici($porezi, 'Porezi',0);
//  prirez 
          $prirez=get_doprinosi_porezi_po_obracunu($o['godinaObracuna'],$o['mjesecObracuna'],$o['godinaObracuna'],$o['mjesecObracuna'], $o['vrstaPlace'], $o['verzijaPlace'],$o['vrstaJOPPDizvjesca'],
                                   $o['kodRadnika'],$vrstaDoprinosaPoreza='prirez',$groupBy='poVrstiDoprinosaPoreza',$izIliNaPlacu='');      
     //      prikaziUTablici($prirez, 'Prirez',0);
            if (empty($prirez)) {
               $prirez[0]['iznos'] =0; $prirez[0]['stopaDoprinosaPoreza'] =0;
            }
           $ipSlog['sviOporeziviPrimiciPoRadniku'] = $sviOporeziviPrimiciPoRadniku[0]['iznos'];
           
           
           if ($o['vrstaPlace'] == 'redPla')
              $maxMoguciOdbitak = $o['iznosOsnovniOdbitak'] + $o['iznosOdbitkaZaDjecu'] + $o['iznosOdbitkaZaUzdrzavane'] + $o['iznosOdbitkaZaInvalidnost'];
          else 
              $maxMoguciOdbitak = 0;            
    $ukMaxMoguciGodisnjiOdbitak += $maxMoguciOdbitak;       // !!!
    
    $ukSviOporeziviPrimiciPoRadniku += $sviOporeziviPrimiciPoRadniku[0]['iznos'];
    $ukDoprinosiIzPlace += $doprinosiIzPlace[0]['iznos'];
    $dohodak = $sviOporeziviPrimiciPoRadniku[0]['iznos']-$doprinosiIzPlace[0]['iznos'];
    $ukDohodak += $dohodak;
    $ukIznosIskoristeniOdbitak += $o['iznosIskoristeniOdbitak'];
    $porezIprirez = $porezi[0]['iznos'] + $prirez[0]['iznos'];
    $ukPorez += $porezi[0]['iznos'];
    $ukPrirez += $prirez[0]['iznos'];
    $ukPorezIprirez += $porezIprirez;
    $netoIsplata = $dohodak - $porezIprirez;
    $ukNetoIsplata += $netoIsplata;  
    $poreznaOsnovica = $dohodak - $o['iznosIskoristeniOdbitak'];
    $ukPoreznaOsnovica += $poreznaOsnovica;
    $RB = $RB + 1 ;
    $ostatak = $RB % 2;
    if ($ostatak == 0) {
       $pozadina = 'pozadina1';
    } else {
       $pozadina = 'pozadina2';
    }
    
    $o_ = $o;
      
    ?> 
    <tr class="<?php echo $pozadina;?>">
        <td class="right" style="padding-left: 1em"><?php echo substr($o['datumIsplatePlace'],5,2); ?> &nbsp;</td>      
        <td class="right" style="padding-left: 1em"><?php echo $o['opcinaPrebivalista']; ?> &nbsp;</td> 
        <td class="right" style="padding-left: 1em"><?php echo number_format($sviOporeziviPrimiciPoRadniku[0]['iznos'],2,',','.'); ?> &nbsp;</td> 
        <td class="right" style="padding-left: 1em"><?php echo number_format($doprinosiIzPlace[0]['iznos'],2,',','.'); ?> &nbsp;</td>       
        <td class="right" style="padding-left: 1em"><?php echo number_format($dohodak,2,',','.'); ?> &nbsp;</td> 
        <td class="right" style="padding-left: 1em"><?php echo $o['iznosIskoristeniOdbitak']; ?> &nbsp;</td> 
        <td class="right" style="padding-left: 1em"><?php echo number_format($poreznaOsnovica,2,',','.'); ?> &nbsp;</td> 
        <td class="right" style="padding-left: 1em"><?php echo number_format($porezIprirez,2,',','.'); ?> &nbsp;</td> 
        <td class="right" style="padding-left: 1em"><?php echo number_format($netoIsplata,2,',','.'); ?> &nbsp;</td> 
    </tr>

    <?php endforeach; ?>
<!--   ******end za**********foreach ($obracuni_placa  as $o)**********************************************************************************************************************************   --> 
    <?php pisiUkupno(); ?>   <!-- za zadnjeg radnika -->   
   
 <?php endif; ?>
    
<?php
function pisiZaglavlje() {       ?>
         <?php global $o, $firma, $godinaObracunaOd; ?>
               <BR>
                <table border="1"  style="font-size: 110%;">
                    <tr> 
                        <td style="min-width: 32em; text-align: center; font-size: 105%;"><p></p>
                               <p></p>             
                       </td> 
                       <td class="right" style="min-width: 35em;">Obrazac IP  &nbsp; &nbsp; </td>    
                    </tr>    
                    <tr>       
                        <td class="left" style="min-width: 32em;">&nbsp;<b>I. Podaci o poslodavcu</b>  &nbsp;<br>
                         &nbsp; &nbsp; 1. Naziv / Ime i Prezime<br>
                         &nbsp; &nbsp; &nbsp; &nbsp;<b> <?php echo $firma['nazivPoslovnice']; ?> </b><br>
                         &nbsp; &nbsp; 2. Adresa       <br> 
                         &nbsp; &nbsp; &nbsp; &nbsp; <?php echo $firma['mjestoSjedista'] . ' &nbsp;' . $firma['ulicaBroj'] . ', &nbsp; ' . $firma['brojPoste'] . ' ' . $firma['mjestoPoste']; ?> &nbsp<br>
                         &nbsp; &nbsp; 3. Osobni identifikacijski broj: <b> <?php echo $firma['OIB']; ?> </b> <br> 

                        </td>
                        <td class="left" style="min-width: 35em;">&nbsp;<b>II. Podaci o radniku</b>  &nbsp;<br>
                        &nbsp; &nbsp; 1. Ime i Prezime<br> 
                        &nbsp; &nbsp; &nbsp; &nbsp;<b> <?php echo $o['imeIprezime']; ?> </b><br>
                        &nbsp; &nbsp; 2. Adresa       <br> 
                        &nbsp; &nbsp; &nbsp; &nbsp; <?php echo $o['mjestoBoravka'] . ' &nbsp;' . $o['ulicaIbroj'] . ', &nbsp; ' . $o['brojPoste'] . ' ' . $o['mjestoPoste']; ?> &nbsp<br>
                        &nbsp; &nbsp; 3. Osobni identifikacijski broj: <b> <?php echo $o['OIB']; ?> </b> <br> 

                    </td>   
                </tr>    
                </table>  
                <br>
                <p style="font-size: 125%;"> 

                      III. PODACI O PLAĆI, MIROVINI, DOPRINOSIMA, POREZU I PRIREZU ZA <b><?php echo $godinaObracunaOd; ?></b> GODINU    &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; IDENTIFIKATOR  1

                </p>

    <table border="1" class="t_lista_primka"  style="font-size: 100%;"> 
                <thead>
                 <tr>       
                    <th class="right" style="min-width: 3em;">Mjesec &nbsp; <br>&nbsp; isplate &nbsp;</th>
                    <th class="right" style="min-width: 6em;"> Šifra &nbsp;&nbsp; &nbsp; &nbsp;&nbsp;<br> općine/grada &nbsp;</th>
                    <th class="right" style="min-width: 8em;">&nbsp;Isplaćena plaća<br> i mirovina &nbsp; &nbsp;</th>
                    <th class="right" style="min-width: 8em;">Uplaćeni doprinosi <br> iz plaće &nbsp; &nbsp;&nbsp; &nbsp;</th>   
                    <th class="right" style="min-width: 8em;">&nbsp; &nbsp; Dohodak&nbsp;</th>
                    <th class="right" style="min-width: 8em;">&nbsp; Osobni odbitak&nbsp;&nbsp;<br> iskorišteni&nbsp; &nbsp;&nbsp;</th>
                    <th class="right" style="min-width: 8em;">&nbsp; &nbsp; Porezna &nbsp;&nbsp;<br> osnovica&nbsp;</th>
                    <th class="right" style="min-width: 8em;">Uplaćeni porez&nbsp;&nbsp;<br> i prirez &nbsp; &nbsp; &nbsp;</th>
                    <th class="right" style="min-width: 8em;">&nbsp; &nbsp; Neto&nbsp;&nbsp;&nbsp;&nbsp; <br> isplata &nbsp;&nbsp;&nbsp;</th>    
                  </tr>
                  <tr>       
                    <th class="right" style="min-width: 3em;">1&nbsp;&nbsp; </th>
                    <th class="right" style="min-width: 6em;">2&nbsp;&nbsp;&nbsp;&nbsp;</th>
                    <th class="right" style="min-width: 8em;">3&nbsp;&nbsp;&nbsp;&nbsp;</th>
                    <th class="right" style="min-width: 8em;">4&nbsp;&nbsp;&nbsp;&nbsp;</th>   
                    <th class="right" style="min-width: 8em;">5(3-4)&nbsp;&nbsp;&nbsp;&nbsp;</th>
                    <th class="right" style="min-width: 8em;">6&nbsp;&nbsp;&nbsp;&nbsp;</th>
                    <th class="right" style="min-width: 8em;">7(5-6)&nbsp;&nbsp;&nbsp;&nbsp;</th>
                    <th class="right" style="min-width: 8em;">8&nbsp;&nbsp;&nbsp;&nbsp;</th>
                    <th class="right" style="min-width: 8em;">9(5-8)&nbsp;&nbsp;&nbsp;&nbsp;</th>    
                  </tr>
                </thead>
              
    <?php
}   

function pisiUkupno() { ?>
    <?php global $godinaObracunaOd,$o_,$godisnjiObracunPoreza,$ukSviOporeziviPrimiciPoRadniku,$ukDoprinosiIzPlace,$ukDohodak, $zaGodisnjObracun,
                 $ukIznosIskoristeniOdbitak,$ukMaxMoguciGodisnjiOdbitak,$ukPoreznaOsnovica,$ukPorezIprirez,$ukNetoIsplata,$OIBpomo, 
                 $ukPorez, $ukPrirez; ?> 
    <tfoot> 
        <tr>
         <td colspan="2" style="padding-left: 1em; padding-right: 1em"><b>UKUPNO </b>&nbsp;</td>  
         <td class="right" style="padding-left: 1em"><?php echo number_format($ukSviOporeziviPrimiciPoRadniku,2,',','.'); ?> &nbsp;</td> 
            <td class="right" style="padding-left: 1em"><?php echo number_format($ukDoprinosiIzPlace,2,',','.'); ?> &nbsp;</td>       
            <td class="right" style="padding-left: 1em"><?php echo number_format($ukDohodak,2,',','.'); ?> &nbsp;</td> 
            <td class="right" style="padding-left: 1em"><?php echo number_format($ukIznosIskoristeniOdbitak,2,',','.'); ?> &nbsp;</td> 
            <td class="right" style="padding-left: 1em"><?php echo number_format($ukPoreznaOsnovica,2,',','.'); ?> &nbsp;</td> 
            <td class="right" style="padding-left: 1em"><?php echo number_format($ukPorezIprirez,2,',','.'); ?> &nbsp;</td> 
            <td class="right" style="padding-left: 1em"><?php echo number_format($ukNetoIsplata,2,',','.'); ?> &nbsp;</td> 
        </tr>
              
    </tfoot>   
    
</table>
   <!--   *********************************************************************************************************************************** -->           
       
       <?php if($godisnjiObracunPoreza) : ?>
              <?php                       
                    $datumPoreza = $godinaObracunaOd . '-12' . '-31';
                    $opcina = get_prirez_za_datum($o_['opcinaPrebivalista'],$datumPoreza);
               
            //    var_dump($opcina);
                $godisnjaStopaPrireza = $opcina['stopaPrireza'];
             
             //   $godisnjaStopaPrireza = $prirez[0]['stopaDoprinosaPoreza'];
              //  Izračun razlike > 10KN između godišnjeg obračuna i kartice onda piše stavke godišnjeg obračuna, inače ne.                             
                $vazeciPorezi = get_doprinosi_porezi($datumPoreza, $izIliNaPlacu='naDohodak'); 
            //    prikaziUTablici($vazeciPorezi,'važeći porezi');                              
                $trenutnaPoreznaOsnovica = $ukPoreznaOsnovica; $godisnjiPorez = 0;   //  sa iskorištenim godišnjim odbitkom ?
                
                $trenutnaPoreznaOsnovica = $ukSviOporeziviPrimiciPoRadniku - $ukDoprinosiIzPlace - $ukMaxMoguciGodisnjiOdbitak; $godisnjiPorez = 0;   //  sa maxmogućim godišnjim odbitkom  ?
                
                foreach ($vazeciPorezi  as $vp) {                  
                    if ( $trenutnaPoreznaOsnovica <= (12*$vp['osnovica']) ) {
                        $trenutniPorez = $trenutnaPoreznaOsnovica * $vp['stopaDoprinosaPoreza'] / 100;
                        $trenutnaPoreznaOsnovica = 0;
                        $godisnjiPorez += $trenutniPorez;
                    } else {
                        $trenutniPorez = (12*$vp['osnovica']) * $vp['stopaDoprinosaPoreza'] / 100;
                        $trenutnaPoreznaOsnovica = $trenutnaPoreznaOsnovica  - (12*$vp['osnovica']);
                        $godisnjiPorez += $trenutniPorez;
                    }
                }               
                $godisnjiPrirez = $godisnjiPorez * $godisnjaStopaPrireza / 100;
                $godisnjiPorezIprirez = $godisnjiPorez + $godisnjiPrirez;
      //          echo 'godisnjiporeziprirez=' .  $godisnjiPorezIprirez;
                $razlika = $godisnjiPorezIprirez - $ukPorezIprirez;
                $absRazlika = abs($razlika);    
                $brojPoreza = 0;
                $osnovicaPrije = 0;
               
              ?>
                    <br>
                                                
                    <table> 
                        <caption>Godišnji stope poreza i osnovice</caption>
                        <tr>  
                            <th>Stopa % </th>
                            <th>Iznos od </th>
                            <th>Iznos do </th>
                        <tr/>
                        <?php foreach ($vazeciPorezi  as $vp) : ?>
                            <?php $brojPoreza ++;                                
                                  if ($brojPoreza == 1) 
                                      $osnovicaOd = 0.01;
                                  else 
                                      $osnovicaOd = $osnovicaPrije + 0.01;                                  
                            ?>
                            <tr>
                               <td class="right" ><?php echo number_format($vp['stopaDoprinosaPoreza'],3,',','.'); ?> &nbsp; </td>
                               <td class="right" ><?php echo number_format($osnovicaOd,2,',','.'); ?> &nbsp;</td>
                               <td class="right" ><?php echo number_format(12*$vp['osnovica'],2,',','.'); ?> &nbsp;</td>
                            </tr>   
                            <?php $osnovicaPrije = 12*$vp['osnovica']; ?>    
                        <?php endforeach; ?>
                    </table>    
                    <br>
                    <table>
                        <caption>Godišnji obračun poreza i prireza</caption>               
                         <?php $trenutnaPoreznaOsnovica= $ukPoreznaOsnovica; $godisnjiPorez = 0;   // sa iskorištenim godišnjim odbitkom ?
                               $trenutnaPoreznaOsnovica = $ukSviOporeziviPrimiciPoRadniku - $ukDoprinosiIzPlace - $ukMaxMoguciGodisnjiOdbitak; $godisnjiPorez = 0;   //  sa maxmogućim godišnjim odbitkom  ?    
                         ?> 
                        <tr> <td>Godišnji odbitak po poreznoj kartici</td> <td class="right" ><?php echo number_format($ukMaxMoguciGodisnjiOdbitak,2,',','.'); ?></td></tr> 
                        <tr> <td>Godišnja osnovica za porez</td> <td class="right" ><?php echo number_format($trenutnaPoreznaOsnovica,2,',','.'); ?></td></tr> 
                       
                        <?php if ($trenutnaPoreznaOsnovica < 0 ) $trenutnaPoreznaOsnovica = 0; ?>
                         <?php foreach ($vazeciPorezi  as $vp) : ?>
                            <?php 
                                if ( $trenutnaPoreznaOsnovica <= (12*$vp['osnovica']) ) {
                                    $trenutniPorez = $trenutnaPoreznaOsnovica * $vp['stopaDoprinosaPoreza'] / 100;
                                    $trenutnaPoreznaOsnovica = 0;
                                    $godisnjiPorez += $trenutniPorez;
                                } else {
                                    $trenutniPorez = (12*$vp['osnovica']) * $vp['stopaDoprinosaPoreza'] / 100;
                                    $trenutnaPoreznaOsnovica = $trenutnaPoreznaOsnovica  - (12*$vp['osnovica']);
                                    $godisnjiPorez += $trenutniPorez;
                                }
                            ?>
                            <tr>
                               <td>Godišnja stopa poreza <?php echo number_format($vp['stopaDoprinosaPoreza'],3,',','.'); ?> % </td>                     
                               <td class="right" ><?php echo number_format( $trenutniPorez,2,',','.' ); ?> </td>                             
                            </tr>                      
                        <?php endforeach; ?>
                        <tr> 
                            <td>Godišnja stopa prireza <?php echo number_format($godisnjaStopaPrireza,3,',','.'); ?> % </td>
                            <?php 
                            $godisnjiPrirez = $godisnjiPorez * $godisnjaStopaPrireza / 100;
                            $godisnjiPorezIprirez = $godisnjiPorez + $godisnjiPrirez; ?>                           
                            <td class="right" ><?php echo number_format($godisnjiPrirez,2,',','.'); ?></td>
                        </tr> 
                        <tr> <td>Ukupno godišnji porez i prirez</td> <td class="right" ><?php echo number_format($godisnjiPorezIprirez,2,',','.'); ?></td></tr>
                        <?php 
                           $razlika = round(($ukPorezIprirez - $godisnjiPorezIprirez),2);                        
                          
                           if ($razlika < 0) 
                               $povratIliDug = ' DUG: ';
                           elseif ($razlika > 0)
                               $povratIliDug = ' POVRAT: '; 
                           else 
                               $povratIliDug = '';
                           
                           $brojIsplacenihPlaca = get_rad1g_broj_placa($OIBpomo, ($godinaObracunaOd - 1), $mjesecObracunaOd_ = 12, $godinaObracunaOd, $mjesecObracunaDo_ = 11,
                                     $vrstaPlace_='redPla', $verzijaPlace_='',$vrstaJOPPDizvjesca_='1');  
                           if($razlika!=0 && $brojIsplacenihPlaca['brojPlaca']>=12) {
                               $r['kodRadnika'] = $o_['kodRadnika'];
                               $r['imeIprezime'] = $o_['imeIprezime'];
                               // $r['razlika'] = $razlika;
                               $r['godisnjiPorez'] = $ukPorez - $godisnjiPorez;
                               $r['godisnjiPrirez'] = round($ukPrirez - $godisnjiPrirez,2);
                               $r['razlika'] = $r['godisnjiPorez'] + round($r['godisnjiPrirez'],2); 
                               $r['povratIliDug'] = $povratIliDug;
                               $r['iznosZaIsplatu'] = $o_['iznosZaIsplatu'];
                               $r['godinaObracuna'] = $o_['godinaObracuna'];
                               $r['mjesecObracuna'] = $o_['mjesecObracuna'];
                               $r['vrstaPlace'] = $o_['vrstaPlace'];
                               $r['verzijaPlace']= $o_['verzijaPlace'];
                               $r['vrstaJOPPDizvjesca']= $o_['vrstaJOPPDizvjesca'];
                               
                               $zaGodisnjObracun[]  = $r;
                                       
                           }
                           ?>
                           
                        <tr> <td>Razlika po godišnjem obračunu poreza i prireza: &nbsp; </td>
                             <td class="right" ><?php echo $povratIliDug . number_format(abs($razlika),2,',','.'); ?></td></tr>
                        
                        <?php if ($brojIsplacenihPlaca['brojPlaca'] < 12) : ?>                        
                              <tr> <td colspan = "2">Broj isplaćenih plaća tokom cijele godine je manji od 12. Ne podlježe godišnjem obračunu poreza i prireza ? &nbsp; </td></tr>
                        <?php endif; ?>    
                    </table>     
       
        <?php endif; ?>      
  <!--   *********************************************************************************************************************************** -->            
       
     <?php $pozadina = 'pozadina1'; ?>
                    <br> <br> <br> <br> <br>  
         &nbsp; &nbsp; &nbsp;  Datum sastavljanja:   _______________________________________ &nbsp; &nbsp;&nbsp; &nbsp; &nbsp;&nbsp; &nbsp; &nbsp;&nbsp; &nbsp; &nbsp;
                        Pečat i potpis ovlaštene osobe:   _______________________________________  
    <br><br><br><br> <br><br><br><br> <br><br><br><br><br><br><br> 
    <div id="footer_ispis_place">
                <p class="copyright">
                    &copy; <?php echo date("Y") . ' '. $_SESSION['nazivFirme']; ?> 
                </p>
     </div>
     <div id="krajStranice" >
        &nbsp;
    </div>
    
    
<?php     
}

if($godisnjiObracunPoreza) {
    include_once './dokumenti/dialog_god_obr_poreza.php';
    ?>
    <script type="text/javascript">
        prikaziDialogGodObr();
    </script>
    <?php
}

?>