<style>
.tablica table {
    border-collapse: collapse;
}

.tablica table, .tablica th, .tablica td {
    border: 1px solid #CCCCCC;
}
</style>


<?php
include_once './model/obracuni_placa_db.php';
include_once './model/primici_po_obracunu_db.php';
include_once './dokumenti/komponenteZaPlace.php';

$greska='';
if(isset($_REQUEST['godinaObracunaOd'])) {
    $godinaObracunaOd=$_REQUEST['godinaObracunaOd'];
    $mjesecObracunaOd=$_REQUEST['mjesecObracunaOd'];
    $godinaObracunaDo=$_REQUEST['godinaObracunaDo'];
    $mjesecObracunaDo=$_REQUEST['mjesecObracunaDo'];
    $vrstaPlace=$_REQUEST['vrstaPlace']; 
    $verzijaPlace=$_REQUEST['verzijaPlace'];
    $vrstaJOPPDizvjesca=$_REQUEST['vrstaJOPPDizvjesca'];
    $kodRadnika=$_REQUEST['kodRadnika'];
    $vrstaPrimitka=$_REQUEST['vrstaPrimitka'];
}
else {
    $d = new DateTime();
    $d->modify('-1 month');
    $mjesecObracunaOd=$d->format('m');
    $godinaObracunaOd=$d->format('Y');
    $mjesecObracunaDo=$d->format('m');
    $godinaObracunaDo=$d->format('Y');
    $vrstaPlace=$verzijaPlace='sve';
    $vrstaJOPPDizvjesca='';
    $kodRadnika='';
    $vrstaPrimitka='';
}
$samoKumulativno=false;
?>

<form action="." method="post" id="view_pregled_primitaka">
   <input type="hidden" name="action" value="view_pregled_primitaka" />
    <h1>Pregled primitaka</h1>
Plaća za mjesec od: 
<?php listaMjeseci("mjesecObracunaOd", $mjesecObracunaOd); ?> 
godinu od: <input type="text" class="text_width_3em" name="godinaObracunaOd" id="godinaObracunaOd" value="<?php echo $godinaObracunaOd; ?>" 
               pattern="20[0-9][0-9]" required title="Unesite godinu obračuna tipa 20XX."/> 
Vrsta plaće: <?php listaVrstePlaca("vrstaPlace", $vrstaPlace, $daliSve=true) ?>  
Verzija: <input type="text" class="text_width_2em" name="verzijaPlace"  id="verzijaPlace" value="<?php echo $verzijaPlace; ?>" />
Vrsta JOPPD izvješća: 
<?php vrstaJOPPDizvjesca("vrstaJOPPDizvjesca", $vrstaJOPPDizvjesca,true); ?> 
Djelatnik: <?php listaRadnikaPoImenu("kodRadnika", $kodRadnika,TRUE,$samoAktivni=false,$vrstaPlace); ?>
Vrste primitaka:
  <?php listaRadnoVrijeme("vrstaPrimitka", $vrstaPrimitka, 'OD', true); ?>
<p></p>
Plaća za mjesec do: 
<?php listaMjeseci("mjesecObracunaDo", $mjesecObracunaDo); ?> 
godinu do: <input type="text" class="text_width_3em" name="godinaObracunaDo" id="godinaObracunaDo" value="<?php echo $godinaObracunaDo; ?>" 
               pattern="20[0-9][0-9]" required title="Unesite godinu obračuna tipa 20XX."/> 
<p></p>
<p id="prihvat">
    <input type="submit" value="Prihvat " />	  
</p>
	<?php if (trim($greska)!='') : ?>
            <br>
	    <?php
	    //ako je greska onda u tekstu greske ima barem jedan !
	    $imaUsklicnik = strpos($greska, '!');
	    if ($imaUsklicnik === FALSE) {
		$greska_prihvat = 'greska_prihvat_nije_greska';
	    } else {
		$greska_prihvat = 'greska_prihvat';
	    }
	    ?>
	    <p id="<?php echo $greska_prihvat; ?>"> <?php echo $greska; ?> </p>
	<?php endif; ?> 
   
</form>    

<?php
if(isset($_REQUEST['godinaObracunaOd'])) {
    $primiciPoKolonama = primiciPoKolonama($godinaObracunaOd, $mjesecObracunaOd, $godinaObracunaDo, $mjesecObracunaDo, $vrstaPlace, $verzijaPlace, 
                                           $vrstaJOPPDizvjesca, $kodRadnika,$vrstaPrimitka);
    if(count($primiciPoKolonama)>0) {
    ?>
<table class="t_lista_primka tablica" >
    <thead>
    <tr>   
<!--        <th>Djelatnik</th>
        <th>Ime i prezime</th>  -->
        <th rowspan="2">Plaća</th>
    <?php
    $koloneNula=array();
    foreach ($primiciPoKolonama as $kolona => $naziv) {
        $vrstaPrimitkaP = get_vrsta_primitka($kolona);
        $prikazSati[$kolona]=$vrstaPrimitkaP['unosiSe']=='satnica';
        $koloneNula[$kolona]=0;
        $koloneNula[$kolona.'_sati']=0;
        ?>
        <th colspan="2"><?php echo str_replace(' ', '<br>', $naziv); ?></th>
        <?php
        $koloneNula['bruto']=0;
        $koloneNula['ukupnoSati']=0;
        
    }
    $brojKolona=count($primiciPoKolonama)*2+3;
    ?>
    <th rowspan="2" >Sati <br> ukupno </th>    
    <th rowspan="2 ">Ukupno<br>svi<br>primici</th>    
    </tr>
    <tr>
     <?php 
    foreach ($prikazSati as $daliSati) {
        if($daliSati) {
            ?>
            <th>Sati</th>
            <th>Iznos</th>
            <?php
        }
        else {
            ?>
            <th colspan="2">Iznos</th>
            <?php
            
        }
    }
     ?>
    </tr>
    </thead>    
    <?php    
    $primici=pregledUnesenihPrimitaka($godinaObracunaOd, $mjesecObracunaOd, $godinaObracunaDo, $mjesecObracunaDo, $vrstaPlace, $verzijaPlace, 
                                      $vrstaJOPPDizvjesca, $kodRadnika, $vrstaPrimitka);
    $trenutniRadnik='';
    $broPlaca=0;
    $ukupno=$koloneNula;
    foreach ($primici as $primitak) {
        if($trenutniRadnik!=$primitak['kodRadnika']) {
            $trenutniRadnik=$primitak['kodRadnika'];
            if($broPlaca>1 || $samoKumulativno)
                ispisKumulativa ('Ukupno:', $ukupnoPoradniku);
            $ukupnoPoradniku=$koloneNula;
            $broPlaca=0;
        ?>
        <tr>
            <td colspan="<?php echo $brojKolona;?>"> <b><?php echo $primitak['kodRadnika'].'  '.$primitak['imeIprezime'] ?> </b></td>
        </tr>
        <?php
        }
        
        $link = '&action=unos_primici&godinaObracuna='.$primitak['godinaObracuna']
                .'&mjesecObracuna='.$primitak['mjesecObracuna']
                .'&vrstaPlace='.$primitak['vrstaPlace']
                .'&verzijaPlace='.$primitak['verzijaPlace']
                .'&vrstaJOPPDizvjesca='.$primitak['vrstaJOPPDizvjesca']
                .'&kodRadnika='.$primitak['kodRadnika']
        
        ?>
        <tr>
        <td> 
            <a href="<?php echo  './?opSaDok=Izmjena'
                                        .$link
                                        .'&brojStavke=1'
                    ?>" >                                                                                                                                                     
            <?php echo $primitak['placa'] ?> 
            </a>    
        </td>

        <?php
            foreach ($primiciPoKolonama as $kolona => $naziv) {
                if(isset($primitak[$kolona])) {
                    $ukupnoPoradniku[$kolona]+=$primitak[$kolona];
                    $ukupno[$kolona]+=$primitak[$kolona];
                    $ukupnoPoradniku[$kolona.'_sati']+=$primitak[$kolona.'_sati'];
                    $ukupno[$kolona.'_sati']+=$primitak[$kolona.'_sati'];
                }
                $colspan='colspan="2"';
                if($prikazSati[$kolona]) {
                    $colspan='';
                    ?>
        <td class="right" style="padding-left: 5px; padding-right: 5px" > <?php echo isset($primitak[$kolona])?round($primitak[$kolona.'_sati']):0 ?> </td>
                    <?php
                }
                ?>
        <td class="right" style="padding-left: 5px; padding-right: 5px" <?php echo $colspan ?> > <?php echo number_format((isset($primitak[$kolona])?$primitak[$kolona]:0),2,',','.') ?> </td>
                <?php
            }
            $ukupnoPoradniku['bruto']+=$primitak['bruto'];
            $ukupno['bruto']+=$primitak['bruto'];
            $ukupnoPoradniku['ukupnoSati']+=$primitak['ukupnoSati'];
            $ukupno['ukupnoSati']+=$primitak['ukupnoSati'];
             ?>
        <td class="right" style="padding-left: 5px; padding-right: 5px"> <?php echo $primitak['ukupnoSati']; ?> </td>
        <td class="right" style="padding-left: 5px; padding-right: 5px"> <?php echo number_format($primitak['bruto'],2,',','.'); ?> </td>
        
        </tr>
        <?php
        $broPlaca++;
    }
    if($broPlaca>1 || $samoKumulativno)
       ispisKumulativa ('Ukupno:', $ukupnoPoradniku);
    ?>
<tfoot>
<?php
    ispisKumulativa ('', $ukupno);
?>
</tfoot>        
</table>
    <?php
    }
    else echo 'Nema podataka!';
}    

function ispisKumulativa($tekstPrveKolone, $kumulativi) {
    global $primiciPoKolonama, $prikazSati;
    ?>
    <tr style="font-weight: bold">
        <td> <?php echo $tekstPrveKolone; ?> </td>    
    <?php
    foreach ($primiciPoKolonama as $kolona => $naziv) {
        $colspan='colspan="2"';
        if($prikazSati[$kolona]) {
            $colspan='';
            ?>
        <td class="right" style="padding-left: 5px; padding-right: 5px" > <?php echo round($kumulativi[$kolona.'_sati']) ?> </td>
            <?php
        }
        ?>
    
        <td class="right" style="padding-left: 5px; padding-right: 5px" <?php echo $colspan ?> > <?php echo number_format($kumulativi[$kolona],2,',','.'); ?> </td>   
    <?php
    }    
    ?>
        <td class="right" style="padding-left: 5px; padding-right: 5px"> <?php echo  $kumulativi['ukupnoSati']; ?> </td>   
        <td class="right" style="padding-left: 5px; padding-right: 5px"> <?php echo  number_format($kumulativi['bruto'],2,',','.'); ?> </td>   
    </tr>
    <?php
}
?>