<?php
include_once 'model/tablica_db.php';

$tipka='Prihvat';
$tablica='vrste_primitaka_place';

$slogZaUnos=kreiraj_slog_tablice($tablica);

$poljaKljuca=get_primarni_kljuc($tablica);

$oznakeGreske['vrstaPrimitka'] = '&nbsp;';   
$oznakeGreske['godinaZaKopiranje'] = '&nbsp;';   

$skriptaPregleda='./dokumenti/view_pregled_vrste_primitaka_place.php';
$povratakIzPregleda='izabrana_je_vrste_primitaka_place';
  
$dokument = 'Vrste primitaka za plaću';
$slogIzBaze=null;

$greska='';

if(isset($_REQUEST['opSaDok']) || $action==$povratakIzPregleda) {
    // puni polja kljuca s poljima u $_POST ili $_GET i uzme slog iz baze ako postoji
    $slogZaUnos['vrstaPrimitka']=$_REQUEST['vrstaPrimitka'];
    if($greska == '')
        $slogIzBaze = get_slog_tablice($tablica, $slogZaUnos, $poljaKljuca);
}    

include 'dokumenti/view_unos_zajednicki.php';

if(isset($greskaKopiranje)) {
    $greska=$greskaKopiranje;
    $potvrdaUnosa=FALSE;
}

if($potvrdaUnosa) {
    if(trim($greska)=='') {
        // brisanje ili upis u bazu
        switch ($_REQUEST['opSaDok']) {
            case 'Unos':
                add_slog_tablice($tablica, $slogZaUnos);
                $greska='Vrsta primitka "'.$slogZaUnos['vrstaPrimitka'].'" je uspješno upisana';
                break;
            case 'Izmjena':
                update_slog_tablice($tablica, $slogZaUnos, $poljaKljuca);
                $greska='Vrsta primitka "'.$slogZaUnos['vrstaPrimitka'].'" je uspješno izmjenjena.';
                break;
            case 'Brisanje':
                delete_slog_tablice($tablica, $slogZaUnos, $poljaKljuca);
                $greska='Vrsta primitka "'.$slogZaUnos['vrstaPrimitka'].'" je uspješno obrisana';
                break;
        } 
    }
}

include 'view/header.php'; 
?>

<form action="." method="post" id="view_zag">
<input type="hidden" name="action" value="view_vrste_primitaka_place" />
<table>
    <tr>
       <td><h1><?php echo $dokument; ?> </h1> &nbsp;</td>
       <td> 
          &nbsp; &nbsp; &nbsp; <span class="veca_slova_110">  
          <b>Operacije: &nbsp; </b> </span>
          <?php include 'dokumenti/operacije.php'; ?> 
       </td>
       <td> </td>
     </tr>
</table>
Vrsta prinitka:
<input type="text" size="6" name="vrstaPrimitka" value="<?php echo $slogZaUnos['vrstaPrimitka']; ?>" required />  
 <span class="greska"><?php echo $oznakeGreske['vrstaPrimitka']; ?> </span>  	
Naziv vrste primitka:
<input type="text" class="text_width_50em" name="nazivPrimitka" value="<?php echo $slogZaUnos['nazivPrimitka']; ?>" required /> 
<br>
Oporezivo: &nbsp; &nbsp;&nbsp;
      <select name="oporezivPrimitak">
         <option value="D" <?php if($slogZaUnos['oporezivPrimitak'] == 'D') echo 'selected="selected"'; ?> >Da</option>
         <option value="N" <?php if($slogZaUnos['oporezivPrimitak'] == 'N') echo 'selected="selected"'; ?> >Ne</option>
       </select>  &nbsp; &nbsp; &nbsp;
Nazočnost na poslu:
      <select name="nazocnostNaPoslu">
         <option value="D" <?php if($slogZaUnos['nazocnostNaPoslu'] == 'D') echo 'selected="selected"'; ?> >Da</option>
         <option value="N" <?php if($slogZaUnos['nazocnostNaPoslu'] == 'N') echo 'selected="selected"'; ?> >Ne</option>
       </select>  &nbsp; &nbsp;
Koristi se:
      <select name="aplikacija">
         <option value="" <?php if($slogZaUnos['aplikacija'] == '') echo 'selected="selected"'; ?> >u obje aplikacije</option>
         <option value="OD" <?php if($slogZaUnos['aplikacija'] == 'OD') echo 'selected="selected"'; ?> >u osobnim dohotcima</option>
         <option value="RV" <?php if($slogZaUnos['aplikacija'] == 'RV') echo 'selected="selected"'; ?> >u evidenciji radnog vremena</option>
       </select>  &nbsp; &nbsp;
Na plaćama se unosi:
      <select name="unosiSe">
         <option value="satnica" <?php if($slogZaUnos['unosiSe'] == 'satnica') echo 'selected="selected"'; ?> >satnica</option>
         <option value="iznos" <?php if($slogZaUnos['unosiSe'] == 'iznos') echo 'selected="selected"'; ?> >iznos</option>
         <option value="posto" <?php if($slogZaUnos['unosiSe'] == 'posto') echo 'selected="selected"'; ?> >posto</option>
       </select>  &nbsp; &nbsp;


<?php postaviTipkeUnosa($opSaDok, $greska) ; ?>

</form>

<?php
 include './dokumenti/view_pregled_vrste_primitaka_place.php';
?>