<?php

include_once 'model/tablica_db.php';

function add_osobni_odbici($slog) {
    add_slog_tablice('osobni_odbici', $slog);
}

function update_osobni_odbici($slog) {
    update_slog_tablice('osobni_odbici', $slog);
}

function delete_osobni_odbici($slog) {
    delete_slog_tablice('osobni_odbici', $slog);
}

function get_osobniOdbitak($vrstaOsobnogOdbitka, $kojaVrsta) {
    $slog['vrstaOsobnogOdbitka']=$vrstaOsobnogOdbitka;
    $slog['kojaVrsta']=$kojaVrsta;
    return get_slog_tablice('osobni_odbici', $slog);
}

function get_osobni_odbici() {
    return get_tablica('osobni_odbici');
}

function get_izracunaniOdbici_($kojaVrstaZaDjecu,$kojaVrstaZaUzdrzavane,$kojaVrstaZaInvalidnost) { 
    $osobni_odbici = get_osobni_odbici();
    $odbici=array();
    $ukupniOdbitak = 0; $iznosOsnovniOdbitak = 0; $koeficijentZaDjecu = 0; $iznosOdbitkaZaDjecu = 0;
    $koeficijentZaUzdrzavane = 0; $iznosOdbitkaZaUzdrzavane = 0; $koeficijentZaInvalidnost = 0; $iznosOdbitkaZaInvalidnost = 0;
    
    foreach ($osobni_odbici as $o) {
        if ($o['vrstaOsobnogOdbitka'] == 'osnoOd') {
           $odbitak = round(($o['osnovicaOsobnogOdbitka'] * $o['koeficijent']),-2);
           $ukupniOdbitak += $odbitak;
           $iznosOsnovniOdbitak = $odbitak;  
           continue;
        }   
        
        $odbitak = round(($o['osnovicaOsobnogOdbitka'] * $o['koeficijent'] ),2);    
        
        if ($o['vrstaOsobnogOdbitka'] == 'zaDjec' && $o['kojaVrsta'] == $kojaVrstaZaDjecu) {
           $koeficijentZaDjecu = $o['koeficijent']; $iznosOdbitkaZaDjecu = $odbitak;  
           $ukupniOdbitak += $odbitak;
        }          
        if ($o['vrstaOsobnogOdbitka'] == 'zaUzdr' && $o['kojaVrsta'] == $kojaVrstaZaUzdrzavane) {
           $koeficijentZaUzdrzavane = $o['koeficijent']; $iznosOdbitkaZaUzdrzavane = $odbitak;
           $ukupniOdbitak += $odbitak;
        }       
        if ($o['vrstaOsobnogOdbitka'] == 'zaInva' && $o['kojaVrsta'] == $kojaVrstaZaInvalidnost) {
          $koeficijentZaInvalidnost = $o['koeficijent']; $iznosOdbitkaZaInvalidnost = $odbitak;
          $ukupniOdbitak += $odbitak;
        }    
    } 
    
    $odbici['iznosOsnovniOdbitak'] = $iznosOsnovniOdbitak; $odbici['koeficijentZaDjecu'] = $koeficijentZaDjecu; $odbici['iznosOdbitkaZaDjecu'] = $iznosOdbitkaZaDjecu;
    $odbici['koeficijentZaUzdrzavane'] = $koeficijentZaUzdrzavane; $odbici['iznosOdbitkaZaUzdrzavane'] = $iznosOdbitkaZaUzdrzavane;
    $odbici['koeficijentZaInvalidnost'] = $koeficijentZaInvalidnost; $odbici['iznosOdbitkaZaInvalidnost'] = $iznosOdbitkaZaInvalidnost;
    $odbici['ukupniOdbitak'] = $ukupniOdbitak;

    return $odbici;
}

function get_izracunaniOdbici($kojaVrstaZaDjecu,$kojaVrstaZaUzdrzavane,$kojaVrstaZaInvalidnost) {
  //  echo 'kojaVrstaZaDjecu=' . $kojaVrstaZaDjecu . 'kojaVrstaZaUzdrzavane=' . $kojaVrstaZaUzdrzavane . 'kojaVrstaZaInvalidnost' . $kojaVrstaZaInvalidnost;
    $osobni_odbici = get_osobni_odbici();
    $odbici=array();
    $ukupniOdbitak = 0; $iznosOsnovniOdbitak = 0; $koeficijentZaDjecu = 0; $iznosOdbitkaZaDjecu = 0;
    $koeficijentZaUzdrzavane = 0; $iznosOdbitkaZaUzdrzavane = 0; $koeficijentZaInvalidnost = 0; $iznosOdbitkaZaInvalidnost = 0;
    
    foreach ($osobni_odbici as $o) {
        if ($o['vrstaOsobnogOdbitka'] == 'osnoOd') {                      
    //       $odbitak = round(($o['osnovicaOsobnogOdbitka'] * $o['koeficijent']),-2);  // komentirano 4.1.2023
             $odbitak = 530.90;   // 4000 / 7,5345 = 530,891233     od 4.1.2023    ili ? 530,90
           $ukupniOdbitak += $odbitak;
           $iznosOsnovniOdbitak = $odbitak;  
           continue;
        }           
        $odbitak = round(($o['osnovicaOsobnogOdbitka'] * $o['koeficijent'] ),2);            
        
    /* Primjer: za 2021
     * Osobni odbitak + 3 djece + 2 uzdražavana + 20 % invaliditet
     * 4000 + (0,7*2500 + 1*2500 + 1,4*2500) + (0,7*2500 + 1,4*2500) + 1,92 * 2500     
     */    
        if ($o['vrstaOsobnogOdbitka'] == 'zaDjec' && $o['kojaVrsta'] <= $kojaVrstaZaDjecu) {    // zbroj za svu djecu
           $koeficijentZaDjecu = $o['koeficijent']; $iznosOdbitkaZaDjecu += $odbitak;  
   //        echo 'Za djecu:' . $odbitak;
           $ukupniOdbitak += $odbitak;
        }          
        if ($o['vrstaOsobnogOdbitka'] == 'zaUzdr' && $o['kojaVrsta'] <= $kojaVrstaZaUzdrzavane) {   // zbroj za sve uzdržavane
    //         echo 'Za uzdrzavane:' . $odbitak;
           $koeficijentZaUzdrzavane = $o['koeficijent']; $iznosOdbitkaZaUzdrzavane += $odbitak;
           $ukupniOdbitak += $odbitak;
        }                          
       
        
        if ($o['vrstaOsobnogOdbitka'] == 'zaInva' && $o['kojaVrsta'] === $kojaVrstaZaInvalidnost) {  
            // samo jedan slog za invalidnost može biti   pr. ako je $kojaVrstaZaInvalidnost == '' onda && $o['kojaVrsta'] == $kojaVrstaZaInvalidnost
            //                                                                                                   0         == ''    nula je jednako '' zato treba staviti ===, onda nula nije ''   
          $koeficijentZaInvalidnost = $o['koeficijent']; $iznosOdbitkaZaInvalidnost = $odbitak;
     //      echo 'Za invalidnost:' . $odbitak;
          $ukupniOdbitak += $odbitak;
        }    
    } 
 //   echo 'iznosOsnovniOdbitak=' . $iznosOsnovniOdbitak;
    $odbici['iznosOsnovniOdbitak'] = $iznosOsnovniOdbitak; $odbici['koeficijentZaDjecu'] = $koeficijentZaDjecu; $odbici['iznosOdbitkaZaDjecu'] = $iznosOdbitkaZaDjecu;
    $odbici['koeficijentZaUzdrzavane'] = $koeficijentZaUzdrzavane; $odbici['iznosOdbitkaZaUzdrzavane'] = $iznosOdbitkaZaUzdrzavane;
    $odbici['koeficijentZaInvalidnost'] = $koeficijentZaInvalidnost; $odbici['iznosOdbitkaZaInvalidnost'] = $iznosOdbitkaZaInvalidnost;
    $odbici['ukupniOdbitak'] = $ukupniOdbitak;

    return $odbici;
}
       