<!DOCTYPE html>
<html>
<meta name="viewport" content="width=device-width, initial-scale=1">
<style>
body {  
  font-family: Arial;
  margin: 0;  
}

* {
  box-sizing: border-box;
}

img {
  vertical-align: middle;
    display: block;
    margin-left: auto;
    margin-right: auto;
}
figcaption {
    text-align: center;
    font-size: 110%;
    background-color: white;
}
/* Position the image container (needed to position the left and right arrows) */
.container {
  position: relative;
  background-image_: url("pic_trull.jpg"); 
  background-color: #cccccc;
  background-color: #f2ffe6;
  background-color: #e6ffff;
  background-image: linear-gradient(to right, rgba(255,0,0,0), rgba(255,0,0,1));
  background-image: linear-gradient(to right, rgb(230, 255, 255), rgb(242, 242, 242));
}

/* Hide the images by default */
.mySlides {
  display: none;
}

/* Add a pointer when hovering over the thumbnail images */
.cursor {
  cursor: pointer;
}

/* Next & previous buttons */
.prev,
.next {
  cursor: pointer;
  position: absolute;
  top: 40%;
  width: auto;
  padding: 16px;
  margin-top: -50px;
  color: white;
  color: red;
  font-weight: bold;
  font-size: 20px;
  border-radius: 0 3px 3px 0;
  user-select: none;
  -webkit-user-select: none;
}

/* Position the "next button" to the right */
.next {
  right: 0;
  border-radius: 3px 0 0 3px;
}

/* On hover, add a black background color with a little bit see-through */
.prev:hover,
.next:hover {
  background-color: rgba(0, 0, 0, 0.8);
}

/* Number text (1/3 etc) */
.numbertext {
  color: #f2f2f2;
  font-size: 12px;
  padding: 8px 12px;
  position: absolute;
  top: 0;
}

/* Container for image text */
.caption-container {
  text-align: center;
  background-color: #222;
  padding: 2px 16px;
  color: white;
}

.row:after {
  content: "";
  display: table;
  clear: both;
}

/* Six columns side by side */
.column {
  float: left;
  width: 16.66%; 
}

/* Add a transparency effect for thumnbail images */
.demo {
  opacity: 0.6;
}

.active,
.demo:hover {
  opacity: 1;
}
</style>
<body>

<h1 style="text-align:center">Najprodavaniji bicikli, gume i biciklistički pribor</h1>

<div class="container">
  <div class="mySlides">
    <div class="numbertext">1 / 6</div>
    <figure>  
        <img src="../product_images/cha/MTB 2620 M_m.png" style="width:65%">
        <figcaption>Bicikl MTB sa cijenom 2345,78</figcaption>
    </figure>    
  </div>

  <div class="mySlides">
    <div class="numbertext">2 / 6</div>
    <img src="../product_images/cha/MTB 2720 M_m.png" style="width:65%">
  </div>
    
  <div class="mySlides">
    <div class="numbertext">4 / 6</div>
    <img src="../product_images/cha/TROKOLO 20_m.png" style="width:65%">
  </div>

  <div class="mySlides">
    <div class="numbertext">5 / 6</div>
    <img src="../product_images/cha/FOLDING 106_m.png" style="width:65%">
  </div>
    
  <div class="mySlides">
    <div class="numbertext">6 / 6</div>
    <img src="../product_images/cha/PRIKOLICA 90_m.png" style="width:65%">
  </div>
  
  <div class="mySlides">
    <div class="numbertext">6 / 6</div>
    <img src="../product_images/cha/CRUZEE_m.png" style="width:65%">
  </div>  
    
  <a class="prev" onclick="plusSlides(-1)">❮</a>
  <a class="next" onclick="plusSlides(1)">❯</a>

  <div class="caption-container">
    <p id="caption">conteinera</p>
  </div>


  <div class="row">
    <div class="column">
      <img class="demo cursor" src="../product_images/cha/MTB 2620 M_m.png" style="width:30%" onclick="currentSlide(1)" alt="The Woods">
    </div>
    <div class="column">
      <img class="demo cursor" src="../product_images/cha/MTB 2720 M_m.png" style="width:30%" onclick="currentSlide(2)" alt="Cinque Terre">
    </div>
    <div class="column">
      <img class="demo cursor" src="../product_images/cha/TROKOLO 20_m.png" style="width:30%" onclick="currentSlide(3)" alt="Mountains and fjords">
    </div>
    <div class="column">
      <img class="demo cursor" src="../product_images/cha/FOLDING 106_m.png" style="width:30%" onclick="currentSlide(4)" alt="Northern Lights">
    </div>
    <div class="column">
      <img class="demo cursor" src="../product_images/cha/PRIKOLICA 90_m.png" style="width:30%" onclick="currentSlide(5)" alt="Nature and sunrise">
    </div>    
    <div class="column">
      <img class="demo cursor" src="../product_images/cha/CRUZEE_m.png" style="width:30%" onclick="currentSlide(6)" alt="Snowy Mountains">
    </div>
  </div>
</div>

<script>
var slideIndex = 1;
showSlides(slideIndex);

function plusSlides(n) {
  showSlides(slideIndex += n);
}

function currentSlide(n) {
  showSlides(slideIndex = n);
}

function showSlides(n) {
  var i;
  var slides = document.getElementsByClassName("mySlides");
  var dots = document.getElementsByClassName("demo");
  var captionText = document.getElementById("caption");
  if (n > slides.length) {slideIndex = 1}
  if (n < 1) {slideIndex = slides.length}
  for (i = 0; i < slides.length; i++) {
      slides[i].style.display = "none";
  }
  for (i = 0; i < dots.length; i++) {
      dots[i].className = dots[i].className.replace(" active", "");
  }
  slides[slideIndex-1].style.display = "block";
  dots[slideIndex-1].className += " active";
  captionText.innerHTML = dots[slideIndex-1].alt;
}
</script>
    
</body>
</html>
