<?php
//Evo PHP verzija izrauna zatitnog koda:

$zki = ZastitniKodIzracun("democert.pfx", "uh3a8k", "20329616636", "2013-01-15 08:04:27", "1", "11", "12", "11125.25");
//echo ($zki);
echo 'Zastitni kod=' . $zki;



function ZastitniKodIzracun($certifikat, $lozinka, $oib, $datetime, $brrac, $ozn_posl, $ozn_napl, $ukup_izn_rac){

	$p12cert = array();
	$fd = fopen($certifikat, 'r');
	$p12buf = fread($fd, filesize($certifikat));
	fclose($fd);

	if (openssl_pkcs12_read($p12buf, $p12cert, $lozinka)){
		
		$private_key = $p12cert['pkey'];
		
	}
	else
	{
		echo 'Nemogu otvoriti certifikat!';
	}

	$medjurezultat = $oib;

	$datVrij = 	date('d.m.Y H:i:s', strtotime($datetime));

	$medjurezultat .= $datVrij;

	$medjurezultat .= $brrac;

	$medjurezultat .= $ozn_posl;

	$medjurezultat .= $ozn_napl;

	$medjurezultat .= $ukup_izn_rac;

	$signature = "";

	openssl_sign($medjurezultat, $signature, $private_key, OPENSSL_ALGO_SHA1);
	
	//openssl_free_key($private_key);
	//ako se ovo gore odkmentira dojavljuje warning, emu slui ova funkcija ?
	
    echo 'signature=' . $signature . '</br>' . '</br>';
	echo '</br>';
	echo 'private_key=' . $private_key  . '</br>' . '</br>';
	return md5($signature);
}

?>