/*za Panex-dinamic u maticna_robe izbaciti robu koje trenutno nema na stanju i kod koje nije
bilo prometa 3  godine  2017 2018 I 2019(tekuća)*/

/* Početna godina prva godina */
/* u 2017 */
CREATE TABLE kodovi_robe (
  kodRobe CHAR(16) NOT NULL,  
  PRIMARY KEY (kodRobe)  
) ENGINE=InnoDB;
/* u kodovi_robe se popišu svi koji su imali nekakav ulazno-izlazni promet */
INSERT INTO kodovi_robe
SELECT DISTINCT kodRobe FROM dok_stavke;



/* sljedeća godina */
/* 2018 */
/* kodovi robe iz 2017 se prekopiraju u 2018 i tu se doda roba koja je imala promet */
INSERT INTO kodovi_robe
(
SELECT DISTINCT b.kodRobe FROM dok_stavke as b
LEFT JOIN kodovi_robe as a
on  a.kodRobe = b.kodRobe
where a.kodRobe is null
);


/* uđe se u sljedeću godinu tekuću 2019 */
/* kodovi robe iz 2018 se prekopiraju u 2019 i tu se doda roba koja je imala promet */
INSERT INTO kodovi_robe
(
SELECT DISTINCT b.kodRobe FROM dok_stavke as b
LEFT JOIN kodovi_robe as a
on  a.kodRobe = b.kodRobe
where a.kodRobe is null
);


/* ubace se kodovi robe iz stanja koja nisu nula ovo se npr. izvodi i u 2018 i 2019 */
INSERT INTO kodovi_robe
(
SELECT DISTINCT b.kodRobe FROM stanja as b
LEFT JOIN kodovi_robe as a
on  a.kodRobe = b.kodRobe
where b.stanje <> 0 and a.kodRobe is null
);

/* skopirati maticna_robe   u maticna_robeorg. U kodoviRobe su ostali svi koji se ne smiju brisati */ 
/* obrišu se svi koji nisu imali prometa u 2017, i 2018 i trenutno u 2019 nisu na stanju */
/* 
DELETE FROM maticna_robe
WHERE kodRobe NOT IN
(SELECT * FROM kodovi_robe);
*/

/* stavke predviđene za brisanje se svrstaju u dvije posebne grupe */
UPDATE maticna_robe SET stavkaSklopa = ' ';
UPDATE maticna_robe SET kodGrupe = ' ' WHERE kodGrupe = '0790';
UPDATE maticna_robe SET stavkaSklopa = 'B' WHERE kodRobe NOT IN (SELECT * FROM kodovi_robe);
UPDATE maticna_robe SET kodGrupe = '0790' WHERE stavkaSklopa = 'B' and datumOtvaranja < '2018-11-30 00:00:00';

/*
UPDATE maticna_robe SET kodGrupe = '0799' WHERE stavkaSklopa = 'B' AND (kodGrupe NOT LIKE '04%' AND kodGrupe NOT LIKE '0788');
UPDATE maticna_robe SET kodGrupe = '0788' WHERE stavkaSklopa = 'B' AND kodGrupe LIKE '04%';
*/







