set @DVOOd = '2015-01-01 00:00:00', @DVODo = '2015-12-31 23:59:59'; 
set @kontoOd = '0', @kontoDo = '999999';

select 
    konto, 
    sum(donosD) as donosD, 
    sum(donosP) as donosP, 
    sum(prometD) as prometD, 
    sum(prometP) as prometP    
    from 
    (
        select  
          konto,           
          if(brojTemeljnice=1,iznosDug,0) as donosD,
          if(brojTemeljnice=1,iznosPot,0) as donosP,
          if(brojTemeljnice<>1,iznosDug,0) as prometD,
          if(brojTemeljnice<>1,iznosPot,0) as prometP
        from gk_stavke 
        where DVO between @DVOOd and @DVODo
        and konto between @kontoOd and @kontoDo
    ) as t
    group by
    konto;     
