-- DROP TABLE kpi;

CREATE TABLE kpi ( 
    interniBroj INT(11) NOT NULL, 
    DVO DATETIME NOT NULL,
    brojTemeljnice VARCHAR(20) DEFAULT " ",
    opis VARCHAR(60) DEFAULT " ",
    gotovinaPrimitak DECIMAL(11,2) DEFAULT 0,    
    ziroPrimitak DECIMAL(11,2) DEFAULT 0,    
    naravaPrimitak DECIMAL(11,2) DEFAULT 0,    
    PDVPrimitak DECIMAL(11,2) DEFAULT 0,    
    gotovinaIzdatak DECIMAL(11,2) DEFAULT 0,    
    ziroIzdatak DECIMAL(11,2) DEFAULT 0,    
    naravaIzdatak DECIMAL(11,2) DEFAULT 0,    
    PDVIzdatak DECIMAL(11,2) DEFAULT 0,    
    cl33Izdatak DECIMAL(11,2) DEFAULT 0,    
    vezniDokument VARCHAR(20) DEFAULT NULL,

    datumOtvaranja    DATETIME NOT NULL,
    datumIzmjene      DATETIME DEFAULT NULL,
    tkoJeIzmjenio     VARCHAR(40) DEFAULT " ",
    PRIMARY KEY (interniBroj),
    INDEX (DVO),
    INDEX (vezniDokument)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_croatian_ci;
