/* ulazi */
UPDATE stanja as st
join
(  
SELECT s.proda, s.kodRobe, s.`vrstaProdaje`, s.cijena, s.vrsDo, s.proIn, s.zapis, s.broDo, s.verzi, 
s.`rabatPopust`,s.`absRabatPopust`, s.marza,s.`absMarza`,s.`zavisniTroskovi`,s.`absZavTr`, s.`nabavnaCijena`, z.kodPartnera, z.`DVO`  
FROM dok_stavke as s
join
(
SELECT s.proda, s.kodRobe, s.`vrstaProdaje`, s.cijena,  
max(s.DVO) as datum 
FROM dok_stavke as s
JOIN vrste_dokumenata AS vd ON vd.`vrsDo`=s.`vrsDo`
WHERE vd.`azurStanja`=1
GROUP BY s.proda, s.kodRobe, s.`vrstaProdaje`, s.cijena
) as s2 on s2.proda=s.proda and s2.`kodRobe`=s.`kodRobe` and s2.cijena=s.cijena and s2.datum=s.DVO
JOIN vrste_dokumenata AS vd ON vd.`vrsDo`=s.`vrsDo`
join dok_zag as z 
  on z.proda=s.proda and z.vrsDo=s.`vrsDo` and z.`proIn`=s.`proIn` 
  and z.zapis=s.zapis and z.`broDo`=s.`broDo` and z.verzi=s.verzi

WHERE vd.`azurStanja`=1

)
as s on s.proda=st.proda and s.kodRobe=st.kodRobe and s.vrstaProdaje=st.`vrstaProdaje` and s.cijena=st.cijena 
set
    st.`vrsDoPu`=s.vrsDo,
    st.`proInPu`=s.proIn,
    st.`zapisPu`=s.zapis,
    st.`broDoPu`=s.broDo,
    st.`verziPu`=s.verzi,
    st.`datumPu`=s.DVO,
    st.`rabatPu`=s.rabatPopust,
    st.`absRabatPu`=s.`absRabatPopust`, 
    st.`marzaPu`=s.marza,
--/*
    st.`absMarzaPu`=s.`absMarza`,
    st.zavisniTroskoviPu=s.zavisniTroskovi,
    st. absZavisniTroskoviPu=s.absZavTr, 
    st.nabavnaCijenaPu=s.`nabavnaCijena`, 
    st.kodPartneraPu=s.kodPartnera
-- */
;

/* izlazi */
UPDATE stanja as st
join
(  
SELECT s.proda, s.kodRobe, s.`vrstaProdaje`, s.cijena, s.vrsDo, s.proIn, s.zapis, s.broDo, s.verzi, 
s.`rabatPopust`,s.`absRabatPopust`, s.marza,s.`absMarza`,s.`zavisniTroskovi`,s.`absZavTr`, s.`nabavnaCijena`, z.kodPartnera, z.`DVO`  
FROM dok_stavke as s
join
(
SELECT s.proda, s.kodRobe, s.`vrstaProdaje`, s.cijena,  
max(s.DVO) as datum 
FROM dok_stavke as s
JOIN vrste_dokumenata AS vd ON vd.`vrsDo`=s.`vrsDo`
WHERE vd.`azurStanja`=-1
GROUP BY s.proda, s.kodRobe, s.`vrstaProdaje`, s.cijena
) as s2 on s2.proda=s.proda and s2.`kodRobe`=s.`kodRobe` and s2.cijena=s.cijena and s2.datum=s.DVO
JOIN vrste_dokumenata AS vd ON vd.`vrsDo`=s.`vrsDo`
join dok_zag as z 
  on z.proda=s.proda and z.vrsDo=s.`vrsDo` and z.`proIn`=s.`proIn` 
  and z.zapis=s.zapis and z.`broDo`=s.`broDo` and z.verzi=s.verzi

WHERE vd.`azurStanja`=-1

)
as s on s.proda=st.proda and s.kodRobe=st.kodRobe and s.vrstaProdaje=st.`vrstaProdaje` and s.cijena=st.cijena 
set
    st.`vrsDoPi`=s.vrsDo,
    st.`proInPi`=s.proIn,
    st.zapisPi=s.zapis,
    st.`broDoPu`=s.broDo,
    st.`verziPi`=s.verzi,
    st.`datumPi`=s.DVO,
    st.`rabatPopustPi`=s.rabatPopust,
    st.`absRabatPopustPi`=s.`absRabatPopust`
;

select *
from stanja
