set @DVOOd = '2013-04-1 00:00:00.00', @DVODo='2013-04-8 23:59:59.00', 
    @proda='', @vsrDo='', @refProd='', @kasa='', @nacinPlacanja='', @vrstaRobe='';

SELECT z.proda, PDV, sum(kolicina) as kolicina, sum(s.cijena) as cijena, 
sum(round(racunajPDV(vrstaPoslovnice,s.cijena,kolicina,PDV,rabatPopust,absRabatPopust,rabatPopustNaKol,absRabatPopustNaKol,'zaplatit'),2)) as zaplatit, 

sum(round(racunajPDV(vrstaPoslovnice,s.cijena,kolicina,PDV,rabatPopust,absRabatPopust,rabatPopustNaKol,absRabatPopustNaKol,'pdv'),2)) as PDVIznos, 
sum(round(racunajPDV(vrstaPoslovnice,s.cijena,kolicina,PDV,rabatPopust,absRabatPopust,rabatPopustNaKol,absRabatPopustNaKol,'osnovica'),2)) as osnovica, 
sum(round(racunajPDV(vrstaPoslovnice,s.cijena,kolicina,PDV,rabatPopust,absRabatPopust,rabatPopustNaKol,absRabatPopustNaKol,'rabat'),2)) as rabat,
sum(round(racunajPDV(vrstaPoslovnice,s.cijena,kolicina,PDV,rabatPopust,absRabatPopust,rabatPopustNaKol,absRabatPopustNaKol,'rabatnakol'),2)) as rabatNaKol

FROM dok_zag as z

left outer join dok_stavke as s on s.proda=z.proda and s.vrsDo=z.vrsDo and s.proIn=z.proIn 
    and s.zapis=z.zapis and s.broDo=z.broDo and s.verzi=z.verzi
left outer join  poslovnice as p on p.kodPoslovnice=z.proda
left outer join maticna_robe as r on  r.kodRobe=s.kodRobe


where (z.proda=@proda or trim(@proda)='' or trim(@proda)='0')
and ( z.vrsDo=@vsrDo or trim(@vsrDo)='')
and z.DVO between @DVOOd and @DVODo
and (z.refProd=@refProd or trim(@refProd)='')
and (z.kasa=@kasa or @kasa='')

and (trim(@nacinPlacanja)='' or (@nacinPlacanja='N' and iznosKartice=0) or (@nacinPlacanja='K' and iznosKartice<>0))
-- /*
 and (@vrstaRobe='' or r.robaUsluga=@vrstaRobe)
-- */
group by
z.proda,
PDV
