set @zemlja='';
set @DVOod='2014-01-01 00:00:00', @DVOdo='2015-12-31 23:59:59';
set @broDo=55, @verzi= '', @godina='2014';

select
    brojStavke,
    kodRobe,
    kolicina,  
    tarifniBroj, 
    broDo,
    vrsDo,
    proda, 
--    sum(kolicinaPrimkeStavka) as kolicinaPrimkeStavka, 
--    sum(iznosPrimkeStavka) as iznosPrimkeStavka, 
--    sum(kolicinaIzdatniceStavka) as kolicinaIzdatniceStavka, 
--    sum(iznosIzdatniceStavka) as iznosIzdatniceStavka, 
    zemljaPorijekla, 
    nazivZemljeHR,
    ifnull(naziv, 'Nema tarifnog broja') as naziv

    from 
    (
        select    
          s.brojStavke,
          s.kodRobe,
          s.kolicina,
          s.broDo,
          s.vrsDo,
          s.proda,
          r.tarifniBroj as tarifniBroj,
          if(s.vrsDo='1',s.kolicina,0) as kolicinaPrimkeStavka,
--        if(s.vrsDo='1',round(s.kolicina*s.cijena,2),0) as iznosPrimkeStavka,  
          if(s.vrsDo='1',round(s.kolicina*s.nabavnaCijena,2) - round(round(s.kolicina*s.nabavnaCijena,2) * s.`rabatPopust`/100,2) ,0) as iznosPrimkeStavka,
          if(s.vrsDo='7',s.kolicina,0) as kolicinaIzdatniceStavka,
          if(s.vrsDo='7',round(s.kolicina*s.cijena,2),0) as iznosIzdatniceStavka,    
          r.zemljaPorijekla as zemljaPorijekla, 
          nazivZemljeHR,
          ifnull(t.`nazivTarifnogBroja`, nazivRobe) as naziv
        from murskiga_robno_din_14.dok_stavke as s
        join murskiga_robno_din_14.dok_zag as z 
        on z.proda=s.proda and z.vrsDo=s.`vrsDo` and z.`proIn`=s.`proIn` 
        and z.zapis=s.zapis and z.`broDo`=s.`broDo` and z.verzi=s.verzi   
        left outer join maticna_robe as r on r.`kodRobe`=s.`kodRobe`
        left outer join tarifni_brojevi as t on t.`tarifniBroj`=r.`tarifniBroj`
        left outer join zemlje as ze on ze.zemlja=r.zemljaPorijekla 
        where z.DVO between @DVOOd and @DVODo
--        and FIND_IN_SET(trim(r.zemljaPorijekla), @zemlja)
        and ((trim(@zemlja)='' and r.`zemljaPorijekla`<>'CN') or (trim(@zemlja)='CN' and r.`zemljaPorijekla`='CN'))
        and (s.vrsDo='7' and s.broDo = @broDo and s.verzi = @verzi and year(z.DVO) = @godina)
        and r.`robaUsluga`='R'
        and (r.vrstaArtikla = 'BIT' or r.vrstaArtikla = 'ODI')       
        union all

        select 
          s.brojStavke,
          s.kodRobe,
          s.kolicina, 
          s.broDo,
          s.vrsDo,
          s.proda,  
          r.tarifniBroj as tarifniBroj,
          if(s.vrsDo='1',s.kolicina,0) as kolicinaPrimkeStavka,
--          if(s.vrsDo='1',round(s.kolicina*s.cijena,2),0) as iznosPrimkeStavka,
          if(s.vrsDo='1',round(s.kolicina*s.nabavnaCijena,2) - round(round(s.kolicina*s.nabavnaCijena,2) * s.`rabatPopust`/100,2) ,0) as iznosPrimkeStavka,
          if(s.vrsDo='7',s.kolicina,0) as kolicinaIzdatniceStavka,
          if(s.vrsDo='7',round(s.kolicina*s.cijena,2),0) as iznosIzdatniceStavka,    
          r.zemljaPorijekla as zemljaPorijekla,
          nazivZemljeHR,
          ifnull(t.`nazivTarifnogBroja`, nazivRobe) as naziv
        from dok_stavke as s
        join dok_zag as z 
        on z.proda=s.proda and z.vrsDo=s.`vrsDo` and z.`proIn`=s.`proIn` 
        and z.zapis=s.zapis and z.`broDo`=s.`broDo` and z.verzi=s.verzi 
        left outer join maticna_robe as r on r.`kodRobe`=s.`kodRobe`
        left outer join tarifni_brojevi as t on t.`tarifniBroj`=r.`tarifniBroj`
        left outer join zemlje as ze on ze.zemlja=r.zemljaPorijekla
        where z.DVO between @DVOOd and @DVODo
--        and FIND_IN_SET(trim(r.zemljaPorijekla), @zemlja)
        and ((trim(@zemlja)='' and r.`zemljaPorijekla`<>'CN') or (trim(@zemlja)='CN' and r.`zemljaPorijekla`='CN'))
        and (s.vrsDo='7' and s.broDo = @broDo and s.verzi = @verzi and year(z.DVO) = @godina)
        and r.`robaUsluga`='R'
        and (r.vrstaArtikla = 'BIT' or r.vrstaArtikla = 'ODI')  
    ) as t
--   group by
--    tarifniBroj, 
--    zemljaPorijekla,
--        naziv
     order by 
          brojStavke
