<?php

function velicina_slike($slika, $grupa, $faktorPovecanja=1, $fiksna_visina='') {
    // ovdje se mora navesti cijeli path $slika = $doc_root.$velikaSlika lokalno je to npr. C:/xampp/htdocs/apl/robno/../product_images/cha/S 200_26 S_m.png
    // resaizing slika   
    /*  ako fiksna_visina nije  '', npr.  ista_visina =400, a slika orginal 550 visine i 450 širine
     * širina slike se proporcionalno mijenja
     * slika se resaiza na visinu 400 i širinu (400/500) * 450 = 0,8 * 450 = 360
     */    
    if(file_exists($slika)) {   
        $image_info = getimagesize($slika);                     
        $old_width=$new_width=$image_info[0];
        $old_height=$new_height=$image_info[1]; 
    // svođenje na fiksnu visinu 
        if (trim($fiksna_visina) !='') {
           $omjer_promjene = $fiksna_visina / $old_height;         
           $new_width = $omjer_promjene * $old_width;
           $velicina['height']=$fiksna_visina;
           $velicina['width']=$new_width;       
           return $velicina;           
        }        
        $orginalGrupe=($grupa=='1081' || $grupa=='1082' || $grupa=='1083' || $grupa=='1085' || $grupa=='1086' || $grupa=='1087' || $grupa=='1088' || $grupa=='1089');                  
        if (!$orginalGrupe) {
            $max_width=280;
            $max_height=220;
            // Calculate height and width ratios
            $width_ratio = $old_width / $max_width;
            $height_ratio = $old_height / $max_height;
            // If image is larger than specified ratio, create the new image
            if ($width_ratio > 1 || $height_ratio > 1) {
            // Calculate height and width for the new image
               $ratio = max($width_ratio, $height_ratio);
               $new_height = round($old_height * $faktorPovecanja / $ratio);
               $new_width = round($old_width * $faktorPovecanja / $ratio);
               // Create the new image
            } else {
               $new_height = $old_height;
               $new_width = $old_width;
            } 
        }  
    }
    else {
     
        $new_height = $new_width = 0;
    }
    $velicina['height']=$new_height;
    $velicina['width']=$new_width;
    return $velicina;
}

function naziv_slike_artikla($kodRobe, $velikaMala='s', $vracaDefault=false) {
    global $app_path;
    
    if(!isset($_SESSION['direktorijSlika']))
        $direktorijSlika=postavi_direktiorijSlika();
    else 
        $direktorijSlika=$_SESSION['direktorijSlika'];
    $defaultSlika = '';
    $nazivSlike = $kodRobe;
    $nazivSlike = str_replace('/', '_', $nazivSlike);  // VAŽNO!!! slash / ne može biti u nazivu slike ili file pa se pretvara u _
    $nazivSlike = trim($nazivSlike)."_$velikaMala.png";
    $image_path_source = $_SERVER['DOCUMENT_ROOT'] . $app_path . '../product_images/' . $direktorijSlika . '/' . $nazivSlike;
    if (is_file($image_path_source)) {
        return $app_path . '../product_images/' . $direktorijSlika . '/' . $nazivSlike ;
    }
    return $vracaDefault?$defaultSlika:'';
}