CREATE TABLE dok_stavke (
 proda VARCHAR(5)   NOT NULL, 
 vrsDo VARCHAR(2)   NOT NULL,
 proIn VARCHAR(5)   NOT NULL,  
 zapis VARCHAR(2)   NOT NULL,
 broDo INT          NOT NULL,
 verzi VARCHAR(3)   NOT NULL,
 brojStavke INT     NOT NULL, 
  kodRobe           VARCHAR(16)    NOT NULL,
  vrstaProdaje      CHAR(1) DEFAULT "0",
  cijena            DECIMAL(11,3)  NOT NULL,
  cijenaZaIntFak    DECIMAL(11,3)  NOT NULL,
  kolicina          DECIMAL(11,3)  NOT NULL,
  rabatPopust         DECIMAL(11,3)  NOT NULL,
   absRabatPopust      CHAR(1) DEFAULT " ",
  rabatPopustNaKol     DECIMAL(11,3)  NOT NULL,
   absRabatPopustNaKol CHAR(1) DEFAULT " ",
  poreznaGrupa         VARCHAR(2) DEFAULT "A" NOT NULL,
  PDV               DECIMAL(6,3)  NOT NULL,
  ukalkuliraniPDV  DECIMAL(6,3)  NOT NULL,
  povratnaNaknada  DECIMAL(4,2) DEFAULT 0,
  nabavnaCijena    DECIMAL(11,3)  NOT NULL, 
  marza             DECIMAL(11,3)  NOT NULL,
   absMarza         VARCHAR(1) DEFAULT " ",
  zavisniTroskovi  DECIMAL(11,3)  NOT NULL,
   absZavTr        VARCHAR(1) DEFAULT " ",
  DVO              DATETIME NOT NULL, 
  tekst            VARCHAR(100) DEFAULT NULL, 
  datumOtvaranja   DATETIME NOT NULL,
  datumIzmjene     DATETIME DEFAULT NULL,
  tkoJeIzmjenio    VARCHAR(40) DEFAULT " ", 
  PRIMARY KEY (proda, vrsdo, proin, zapis, brodo, verzi, brojStavke), 
  INDEX kartica (proda, kodRobe, DVO)
);
