CREATE TABLE konta (
  konto CHAR(12) NOT NULL,
  nazivKonta VARCHAR(50) NOT NULL,
  vrstaKonta CHAR(1) DEFAULT '0',
  dugPot CHAR(1) DEFAULT NULL, 
  datumOtvaranja    DATETIME NOT NULL,
  datumIzmjene      DATETIME DEFAULT null,
  tkoJeIzmjenio     VARCHAR(40) DEFAULT " ",
  PRIMARY KEY (konto) 
) DEFAULT CHARSET=utf8;
/* vrstaKonta F - financijski, knjiži se bez kodaPartnera((samo glavna knjiga GK)
              S - salda konti, obavezno je popunjen kodPartnera(salda konti i GK) 
   dugPot  D - konto se može knjižiti samo dugovno (npr. klasa 4 uglavnom)
           P - konto se može knjižiti samo potražno
             sve ostalo može dugovno i potražno 
*/
