<?php 
if (isset($_POST['xmlObrazac'])) {
    $nazivXMLDok = 'ObrazacURA.xml';   

    $URAxml = new XMLWriter();
    
    $URAxml->openUri($nazivXMLDok);
    $URAxml->startDocument('1.0', 'UTF-8');
    $URAxml->setIndent(true);
    
    $URAxml->startElement("ObrazacURA");
    // atributi za <ObrazacURA>
        $URAxml->startAttribute('verzijaSheme');
            $URAxml->text('1.0');         
        $URAxml->endAttribute(); // verzijaSheme

        $URAxml->startAttribute('xsi:schemaLocation');
            $URAxml->text('http://e-porezna.porezna-uprava.hr/sheme/zahtjevi/ObrazacURA/v1-0 ObrazacURA-v1-0.xsd');         
        $URAxml->endAttribute(); // xsi:schemaLocation
        $URAxml->startAttribute('xmlns');
            $URAxml->text('http://e-porezna.porezna-uprava.hr/sheme/zahtjevi/ObrazacURA/v1-0');         
        $URAxml->endAttribute(); // xmlns

        $URAxml->startAttribute('xmlns:meta');
            $URAxml->text('http://e-porezna.porezna-uprava.hr/sheme/Metapodaci/v2-0');         
        $URAxml->endAttribute(); // xmlns:meta
        $URAxml->startAttribute('xmlns:xsi');
            $URAxml->text('http://www.w3.org/2001/XMLSchema-instance');         
        $URAxml->endAttribute(); // xmlns:xsi
    // ------------
    
    $URAxml->startElement('meta:Metapodaci');

        $URAxml->startElement('meta:Naslov');
            $URAxml->startAttribute('dc');
            $URAxml->text('http://purl.org/dc/elements/1.1/title');
            $URAxml->endAttribute();
            $URAxml->text('Knjiga primljenih (ulaznih) računa');
        $URAxml->endElement(); 

        $URAxml->startElement('meta:Autor');
            $URAxml->startAttribute('dc');
            $URAxml->text('http://purl.org/dc/elements/1.1/creator');
            $URAxml->endAttribute();
            // $URAxml->text('KORISNIK 2EP');
            $URAxml->text(trim($_POST['Ime']).' '.trim($_POST['Prezime']));
        $URAxml->endElement(); 

        $URAxml->startElement('meta:Datum');
            $URAxml->startAttribute('dc');
            $URAxml->text('http://purl.org/dc/elements/1.1/date');
            $URAxml->endAttribute();
            $URAxml->text(date('Y-m-d\TH:i:s'));
        $URAxml->endElement(); 

        $URAxml->startElement('meta:Format');
            $URAxml->startAttribute('dc');
            $URAxml->text('http://purl.org/dc/elements/1.1/format');
            $URAxml->endAttribute();
            $URAxml->text('text/xml');
        $URAxml->endElement(); 

        $URAxml->startElement('meta:Jezik');
            $URAxml->startAttribute('dc');
            $URAxml->text('http://purl.org/dc/elements/1.1/language');
            $URAxml->endAttribute();
            $URAxml->text('hr-HR');
        $URAxml->endElement();

        $URAxml->startElement('meta:Identifikator');
            $URAxml->startAttribute('dc');
            $URAxml->text('http://purl.org/dc/elements/1.1/identifier');
            $URAxml->endAttribute();
            $URAxml->text(generirajUUID());
        $URAxml->endElement(); 

        $URAxml->startElement('meta:Uskladjenost');
            $URAxml->startAttribute('dc');
            $URAxml->text('http://purl.org/dc/terms/conformsTo');
            $URAxml->endAttribute();
            $URAxml->text('ObrazacURA-v1-0');
        $URAxml->endElement();

        $URAxml->startElement('meta:Tip');
            $URAxml->startAttribute('dc');
            $URAxml->text('http://purl.org/dc/elements/1.1/type');
            $URAxml->endAttribute();
            $URAxml->text('Elektronički obrazac');
        $URAxml->endElement();

        $URAxml->writeElement('meta:Adresant', 'Ministarstvo Financija, Porezna uprava, Zagreb');
    $URAxml->endElement(); // end meta podaci

    $URAxml->startElement('Zaglavlje');
    
        $URAxml->startElement('Razdoblje');
            $d = new DateTime($_POST['DVOod']);
            $URAxml->writeElement('DatumOd', $d->format("Y-m-d"));
            $d = new DateTime($_POST['DVOdo']);
            $URAxml->writeElement('DatumDo', $d->format("Y-m-d"));                
        $URAxml->endElement();
        
        $URAxml->startElement('Obveznik');
            $URAxml->writeElement('OIB', $_POST['OIB']);
            $URAxml->writeElement('Naziv', $_POST['Naziv']); 
            $URAxml->startElement('Adresa');
                $URAxml->writeElement('Mjesto', $_POST['Mjesto']);
                $URAxml->writeElement('Ulica', $_POST['Ulica']); 
                $URAxml->writeElement('Broj', $_POST['Broj']); 
                $URAxml->writeElement('DodatakKucnomBroju', trim($_POST['DodatakKucnomBroju'])); 
            $URAxml->endElement(); // Adresa
            // $URAxml->writeElement('Email', $_POST['EmailPo']);
            $URAxml->writeElement('PodrucjeDjelatnosti', $_POST['podrucjeDjelatnosti']);
            $URAxml->writeElement('SifraDjelatnosti', $_POST['sifraDjelatnosti']);
        $URAxml->endElement();  // Obveznik
        
        if(trim($_POST['psOIB'])=='')
            $URAxml->startElement('ObracunSastavio');
        else {
            $URAxml->startElement('PoslovniSubjekt');
            $URAxml->writeElement('OIB', $_POST['psOIB']);
            $URAxml->writeElement('Naziv', trim($_POST['psNaziv'])); 
            
        }
            $URAxml->writeElement('Ime', $_POST['Ime']);
            $URAxml->writeElement('Prezime', $_POST['Prezime']);  
        $URAxml->endElement();
                
    $URAxml->endElement(); // Zaglavlje
    
    $URAxml->startElement('Tijelo');
    $URAxml->startElement('Racuni');
}


 if(isset($_POST['kodPartnera'])) {
     $kodPartnera=$_POST['kodPartnera'];
    //$partner=$_POST['partner'];
    if($action=='izabran_je_kodPartnera') {
        //$action='uzmi_karticu';
        $kodPartnera=$_GET['kodPartnera'];
    }    
    else if(trim($_POST['kodPartnera'])!='') {
        $pom=  pretraga_partnera($kodPartnera,'dokumenti/obrazac_URA.php');
        if(is_array($pom)) {
             $partneri=$pom;
             $pretraga_partner_header = true;
             $imaNemaPartner = 'Ima';
             include 'view/header.php';
             include 'view_pretraga_partnera.php';
             include 'view/footer.php';
             exit;            
        }
    }
 }
 else 
     $kodPartnera='';

$greska=''; 
require_once './knjigovodstvo/model/gk_db.php';
$firma=  get_poslovnica(0);
if(isset($_POST['proda']))
     $proda=$_POST['proda'];
else 
     $proda='';
if(isset($_POST['DVOod']))
     $DVOod=$_POST['DVOod'];
else 
     $DVOod='';
if(isset($_POST['vrstaUre']))
     $vrstaUre=$_POST['vrstaUre'];
else 
     $vrstaUre='';
 /*
$greskaDatum = is_valid_datum($DVOod);
if (isset($greskaDatum)) {
   $greska .= ' Greška DVO od ! ' . $greskaDatum; $greskaDVOod = '*';
}  
  */  
if(isset($_POST['DVOdo']))
     $DVOdo=$_POST['DVOdo'];
else 
     $DVOdo='';
if(isset($_POST['vrsDo']))
     $vrsDo=$_POST['vrsDo'];
else 
     $vrsDo='';
/*
$greskaDatum = is_valid_datum($DVOdo);
if (isset($greskaDatum)) {
   $greska .= ' Greška DVO do ! ' . $greskaDatum; $greskaDVOdo = '*';
 * 
 */   
$greskaDatum = usporedi_datume($DVOod,$DVOdo, 'DVO od', 'DVO do', 'obavezni',false, true);
if (isset($greskaDatum)) {
    $greska .= $greskaDatum;
    $greskaDVOod = '*';
    $greskaDVOdo = '*';
} 
 if(isset($_POST['poSkladistima']))
     $poSkladistima=$_POST['poSkladistima'];
 else 
     $poSkladistima='N';
 if(isset($_POST['PDVstatus']))
     $PDVstatus=$_POST['PDVstatus'];
 else 
     $PDVstatus='S';
 if(trim($greska)!='') {
    include 'view/header.php'; 
    include('dokumenti/view_IRA.php');
    include ('view/footer.php');
    exit;
}
?>

<HTML>
<HEAD>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<?php if (isset($_POST['xmlObrazac'])) : ?>
    <link rel="stylesheet" href="/apl/locallibs/js/jquery/themes/smoothness/jquery-ui.css">
    <script src="/apl/locallibs/js/jquery/jquery.js"></script>
    <script src="/apl/locallibs/js/jquery/jquery-ui.js"></script> 
<?php endif; ?>
<TITLE>Obrazac U-RA</TITLE>

<script>
   function printpage() {
    //document.body.innerHTML = "";
    window.print();
  }
  //-->
</script>
<style type="text/css">
body {font: Arial, Helvetica, sans-serif}
body { font-size: 10pt} 
table {
    font-size: 8pt; 
    border: 1px solid;
    border-collapse: collapse;

} 
th, td {
    border: 1px solid;
    padding: 4px 4px 4px 4px; 
} 
.right {text-align: right;}
.pdvcol1 {text-align: right;}
.pdvcol {text-align: right;}
.left {text-align: left;}
thead {border: 1px solid}
tfoot {border: 1px solid}

@media print
{
    #non-printable { display: none; }
    #printable { display: block; }
}
@page
{
    margin-top:0.5cm;
    margin-left:0.5cm;
    margin-right:0.5cm;
    margin-bottom:0.5cm;
  /*  size: landscape; */
    
}

</style>        
<body topmargin="0" leftmargin="0" rightmargin="0" bottommargin="0" >
    <div id="non-printable">
        <br>   Obrazac URA  <br>
        <form method="post" action="?action=view_URA" >
        <input type="submit" class="fb-button-special" value="Povratak" /> 
        <input type="button" class="fb-button-special" value="Ispis" onclick="printpage()" /> 
        </form> 
    </div>
    <div id="printable">
        <h2><div align="right"> Obrazac U-RA</div>
            POREZNI OBVEZNIK:<br>
        
       <?php echo $firma['nazivPoslovnice'].'<br>';
            echo trim($firma['mjestoSjedista']).', '.$firma['ulicaBroj'].'<br>';
            echo 'Djelatnost: <br>'; //.$firma['nazivPoslovnice'] 
            echo 'OIB:'.$firma['OIB'].'<br>' ?>
            <div align="center" >KNJIGA PRIMLJENIH (ULAZNIH RAČUNA) <br>
                za dokumente od:<?php echo $DVOod.' do:'.$DVOdo ?></div>
     <h2>
     <?php 
     if($PDVstatus!='S') {
         echo '<div align="center">';
         switch ($PDVstatus) {
         case ' ' :
             echo '<h3>Oporezivo PDV-om( )</h3>';
             break;
         case '0' :
             echo '<h3>Ostala oslobođenja od PDV-a(0)</h3>'; 
             break;
         case '6' :
             echo '<h3>Uvoz izvan EU(6)<h3>';  
             break;
         case '7' :
             echo '<h3>Uvoz iz EU(7)</h3>';  
             break;
         case '8' :
             echo '<h3>Usluge iz EU(8)</h3>';  
             break;
        } 
        echo '</div>';
     }
     if($vrsDo!='') {
         echo '<div align="center">';
         switch ($vrsDo) {
         case 'K' :
             echo '<p>Vrsta dokumenta: Kalkulacija/primka</p>';
             break;
         case '10' :
             echo '<p>Vrsta dokumenta: Ulazni račun (UFA)</p>'; 
             break;
         case '11' :
             echo '<p>Vrsta dokumenta: UFA obična (UFO)</p>';  
             break;
        } 
        echo '</div>';
     }
     if ($poSkladistima === 'D' || $proda!='0' || trim($kodPartnera)!='') {
         echo'<h3>Dodatni parametri:<br>'
         .($poSkladistima === 'D'?'Sortirano po poslovnicama<br>':'')
         .($proda!='0'?"Poslovnica:$proda<br>":'')
         .(trim($kodPartnera)!=''?"Partner:$kodPartnera<br>":'')
         .'</h3>'
         ;
     }
     
     ?>
    <TABLE id="IRA" align="center">
        <THEAD>
        <tr>
            <th>
                
            </th>
            <th colspan="2">
                RAČUN
            </th>
            <th colspan="7">
                DOBAVLJAČ (ISPORUČITELJ DOBARA ILI USLUGA)
            </th>
            <th colspan="6">
                PREDPPOREZ
            </th>
        </tr>
        <tr>
            <th rowspan="2">
                RED.<BR>BROJ
            </th>
            <th rowspan="2">
                BROJ
            </th>
            <th rowspan="2">
                DATUM
            </th>
            <th rowspan="2">
                NAZIV - IME I <BR>
                PREZIME  I <BR>
                SJEDIŠTE/ <BR>
                PREBIVALIŠTE <BR>
                ILI <BR>
                UOBIČAJENO <BR> 
                BORAVIŠTE
            </th>
            <th rowspan="2">
                (PDV ID. <BR>
                BR/ <BR>
                OIB)
            </th >
            <th colspan="3">
                POREZNA OSNOVICA
            </th>
            <th rowspan="2">
               UKUPNI <BR>IZNOS <BR>S PDV-om
            </th>
            <th rowspan="2">
               UKUPNO
            </th>

            <th colspan="2">
                5%
            </th>
            <th colspan="2">
                13%
            </th>
            <th colspan="2">
                25%
            </th>
        </tr>
        <tr>
            <th >
                5%
            </th>
            <th >
                13%
            </th>
            <th >
                25%
            </th>
            <th>
                MOŽE<BR> SE ODBITI
            </th>
            <th>
                NE MOŽE<BR> SE ODBITI
            </th>
            <th>
                MOŽE<BR> SE ODBITI
            </th>
            <th>
                NE MOŽE<BR> SE ODBITI
            </th>
            <th>
                MOŽE<BR> SE ODBITI
            </th>
            <th>
                NE MOŽE<BR> SE ODBITI
            </th>
        </tr>
        <tr>
            <th>1</th>
            <th>2</th>
            <th>3</th>
            <th>4</th>
            <th>5</th>
            <th>6</th>
            <th>7</th>
            <th>8</th>
            <th>9</th>
            <th>10(11+12+13+14+15+16)</th>
            <th>11</th>
            <th>12</th>
            <th>13</th>
            <th>14</th>
            <th>15</th>
            <th>16</th>
        </tr>
        </THEAD>
        <?php 
        $date_od = new DateTime($DVOod);
        if($date_od->format("Y")=='2013')
            $m='04';
        else 
            $m='01';        
        if($proda=='0' && $poSkladistima=='N' && trim($kodPartnera)==''
           || $date_od->format("Y")=='2013' && $date_od->format("m")=='04') {
            $od=$date_od->format("Y").'-'.$m.'-01 00:00:00';
        }
        else 
            $od=$DVOod;
        
        $ira = get_URA($proda, $od, $DVOdo, $poSkladistima, $kodPartnera,$PDVstatus,$vrsDo);
       
        $rbr=0;
        $ukupnoIznosSPDVom=0;
        $ukupnoOsnovica25=0;
        $ukupnoPdv25=0;
         $ukupnoOsnovica0=0;
        $ukupnoOsnovica5=0;
        $ukupnoPdv5=0;
        $ukupnoOsnovica13=0;
        $ukupnoPdv13=0;
        $ukupnoIzvoz=0;
        $ukupnoPorez=0;
        $ukupnoNeMozeSeOdbiti25=0;
        $ukupnoNeMozeSeOdbiti13=0;
        $ukupnoNeMozeSeOdbiti5=0;
        if( isset($_POST['prebaci_u_kpi']) && $_POST['prebaci_u_kpi']=='Da' )
            include_once 'model/KPI_db.php';
               
        ?>
        
    <?php foreach ($ira as $dokument) : ?>
        <?php 
        if (trim($dokument['broDo']) == '' ||  trim($dokument['brojDobavljacevogRacuna']) == '' )
         echo 'Nepopunjen broj dokumenta ili dobavljačevog računa !!! za: ' . $dokument['proda'] . $dokument['broDo'] . $dokument['nazivPartnera']. '<br>';
        $neMozeSeOdbiti25=0;
        $neMozeSeOdbiti13=0;
        $neMozeSeOdbiti5=0;
        if($dokument['brojTemeljnice']==0 && $vrstaUre == 'uraZaPdvObrazac' && ($dokument['PDVstatus'] == '6' || $dokument['PDVstatus'] == '7')) continue;
        if($dokument['brojTemeljnice'] !=0 && $vrstaUre == 'uraZaPdvObrazac' && $dokument['PDVstatus'] == '8') continue;
        if($dokument['brojTemeljnice'] !=0 && $vrstaUre == 'obicnaUra' && $dokument['PDVstatus'] == '6') continue;
         if($vrstaUre == 'uraZaPdvObrazac' && $dokument['PDVstatus'] == '8') continue;
        ++$rbr;
        $datum_dvo = new DateTime($dokument['DVO']);

        if($datum_dvo<$date_od)
            continue;
                 
        if($dokument['brojTemeljnice']==0) {
            $ukupnoIznosSPDVom+=$dokument['iznosSPDVom'];
            $ukupnoOsnovica25+=$dokument['osnovica25'];
            $ukupnoPdv25+=$dokument['pdv25'];
            $osnovica25=$dokument['osnovica25'];
            $pdv25=$dokument['pdv25'];
    //        $osnovica25 = round(($pdv25 * 100) / 25, 2);
            $osnovica5=0;
            $pdv5=0;
            $osnovica13=0;
            $pdv13=0;
            $dokument['nazivDokumenta'] = 'Primka';
        }
        else {         
            $porez=get_URA_stopa($dokument['brojTemeljnice'], $dokument['brojStavke'], 25);
            if(is_array($porez)) {
                $osnovica25=$porez['osnovica'];
                $razlika = round($porez['iznosPDV'] + $porez['neMozeSeOdbiti'] - (round($osnovica25 * 0.25  ,2)), 2);
                if (abs($razlika) >  0.01) 
                    echo 'Razlika PDV unešeni i PDV izračunat iz osnovice je ' . $razlika .' za dokument' . $dokument[$_POST['brojDokumenta']] . '<br>';
                $pdv25=$porez['iznosPDV'];
                $neMozeSeOdbiti25=$porez['neMozeSeOdbiti'];
            }
            else {
                $osnovica25=0;
                $pdv25=0;
            }
            $porez=get_URA_stopa($dokument['brojTemeljnice'], $dokument['brojStavke'], 5);
            if(is_array($porez)) {
                $osnovica5=$porez['osnovica'];
                $razlika = round($porez['iznosPDV'] + $porez['neMozeSeOdbiti'] - (round($osnovica5 * 0.05  ,2)), 2);
                if (abs($razlika) >  0.01) 
                    echo 'Razlika PDV unešeni i PDV izračunat iz osnovice je ' . $razlika .' za dokument' . $dokument[$_POST['brojDokumenta']]. '<br>';
                $pdv5=$porez['iznosPDV'];
                $neMozeSeOdbiti5=$porez['neMozeSeOdbiti'];
            }
            else {
                $osnovica5=0;
                $pdv5=0;
            }
            $porez=get_URA_stopa($dokument['brojTemeljnice'], $dokument['brojStavke'], 13);
            if(is_array($porez)) {
                $osnovica13=$porez['osnovica'];
                $razlika = round($porez['iznosPDV'] + $porez['neMozeSeOdbiti'] - (round($osnovica13 * 0.13  ,2)),2);
                if (abs($razlika) >  0.01) 
                    echo 'Razlika PDV unešeni i PDV izračunat iz osnovice je ' . $razlika .' za dokument' . $dokument[$_POST['brojDokumenta']] . '<br>';
                $pdv13=$porez['iznosPDV'];
                $neMozeSeOdbiti13=$porez['neMozeSeOdbiti'];
            }
            else {
                $osnovica13=0;
                $pdv13=0;
            }
            if ($osnovica25 == 0 && $osnovica13 == 0 &&  $osnovica5 == 0) {
                --$rbr;
                continue;
            }
            $ukupnoIznosSPDVom+=$dokument['iznosSPDVom'];
            $ukupnoOsnovica25+=$osnovica25;
            $ukupnoPdv25+=$pdv25;
            $ukupnoOsnovica13+=$osnovica13;
            $ukupnoPdv13+=$pdv13;
                $ukupnoOsnovica0+=$osnovica0;
            $ukupnoOsnovica5+=$osnovica5;
            $ukupnoPdv5+=$pdv5;
            $ukupnoNeMozeSeOdbiti25+=$neMozeSeOdbiti25;
            $ukupnoNeMozeSeOdbiti13+=$neMozeSeOdbiti13;
            $ukupnoNeMozeSeOdbiti5+=$neMozeSeOdbiti5;
            
            $dokument['nazivDokumenta'] = 'Temeljnica';
        }
        $porezIznos=$pdv5+$pdv13+$pdv25 + $neMozeSeOdbiti5 + $neMozeSeOdbiti13 + $neMozeSeOdbiti25;
        $ukupnoPorez+=$porezIznos;
        $razlikaOsnovicePlusPDV_iznosSPDV = round($osnovica25 + $osnovica5 + $osnovica13 + $porezIznos - $dokument['iznosSPDVom'], 2);  // neoporezivo
  //      if ($razlikaOsnovicePlusPDV_iznosSPDV !=0) echo 'razlikaOsnovicePlusPDV_iznosSPDV' . $razlikaOsnovicePlusPDV_iznosSPDV;
        if (isset($_POST['korekcijaIznosSPDVom']) && $razlikaOsnovicePlusPDV_iznosSPDV !=0) {
  //          echo 'dolazim';
            $dokument['iznosSPDVom'] = $dokument['iznosSPDVom'] + $razlikaOsnovicePlusPDV_iznosSPDV;
   //         echo 'iznosSPDVom' . $dokument['iznosSPDVom'];
            $ukupnoIznosSPDVom = $ukupnoIznosSPDVom + $razlikaOsnovicePlusPDV_iznosSPDV;
            $razlikaOsnovicePlusPDV_iznosSPDV = 0;            
        }
        if ($razlikaOsnovicePlusPDV_iznosSPDV !=0 && $porezIznos != 0) echo 'Razlika=' . $razlikaOsnovicePlusPDV_iznosSPDV . ' (Osnovice + PDV) - Iznos računa s PDV-om '
                . ' za ulazni račun ' . $dokument[$_POST['brojDokumenta']] . ' - ima neoporezivo ? <br>';
        
        if(isset($_POST['prebaci_u_kpi']) && $_POST['prebaci_u_kpi']=='Da') {
            $dokument['osnovica'] = $osnovica25 + $osnovica5 + $osnovica13;
            $dokument['pdv'] = $porezIznos;
            prebaci_u_KPI($dokument, 'izdatak');
        }
        ?>
        <tr>
            <td class="right">
                <?php echo $rbr ?>
            </td>
            <td>
                <?php // echo $dokument['broDo'] ?>
                <?php echo $dokument[$_POST['brojDokumenta']] ?>
            </td>
            <td>
                <?php
                $datum_o = new DateTime($dokument['DVO']);
                $DVOf = $datum_o->format("d.m.Y");
                echo $DVOf ?>
            </td>
            <td>
                <?php echo $dokument['nazivPartnera'];
                    if(trim($dokument['ulicaBroj'].$dokument['mjestoSjedista'])!='')
                        echo '<br>'.  trim($dokument['ulicaBroj']).', '.$dokument['mjestoSjedista'] ?>                
            </td>
            <td>
               <?php echo $dokument['OIB'] ?> 
            </td>
            <td class="right">
                <?php echo format_ili_prazno($osnovica5, 2, ',', '.') ?>
            </td>
            <td class="right">
                <?php echo format_ili_prazno($osnovica13, 2, ',', '.') ?>
            </td>
            <td class="right">
                <?php echo format_ili_prazno($osnovica25, 2, ',', '.') ?>
            </td>
            <td class="right">
                <?php echo format_ili_prazno($dokument['iznosSPDVom'],2,',','.' )?>
            </td>
            <td class="right">
                <?php echo format_ili_prazno($porezIznos, 2, ',', '.') ?>
            </td>
            <td class="right">
                <?php echo format_ili_prazno($pdv5, 2, ',', '.') ?>
            </td>
            <td>
                <?php echo format_ili_prazno($neMozeSeOdbiti5, 2, ',', '.') ?>                
            </td>
            <td class="right">
                <?php echo format_ili_prazno($pdv13, 2, ',', '.') ?>
            </td>
            <td>
                <?php echo format_ili_prazno($neMozeSeOdbiti13, 2, ',', '.') ?>                
            </td>

            <td class="right">
                <?php echo format_ili_prazno($pdv25, 2, ',', '.') ?>
            </td>
            <td>
                <?php echo format_ili_prazno($neMozeSeOdbiti25, 2, ',', '.') ?>                
            </td>
            
        </tr>
        <?php 
        if (isset($_POST['xmlObrazac'])) {
            $URAxml->startElement('R');
            $URAxml->writeElement('R1', $rbr);
            // $URAxml->writeElement('R2', $dokument['broDo']);
            $URAxml->writeElement('R2', $dokument[$_POST['brojDokumenta']]);         
            $URAxml->writeElement('R3', $datum_o->format("Y-m-d"));
            $URAxml->writeElement('R4', trim($dokument['nazivPartnera']));
            $URAxml->writeElement('R5', trim($dokument['ulicaBroj']).', '.trim($dokument['mjestoSjedista']));
            if(ctype_digit(substr($dokument['OIB'], 0, 2))) // ako su prva dva znaka brojevi radi se o OIBu
               $indikator="1";
            else  // prva dva znaka nisu brojevi (slova su) - PDV identifikacijski broj
               $indikator="2";
            $URAxml->writeElement('R6', $indikator); // tip identifikacijskog broja: 1 - OIB, 2 - PDV identifikacijski broj
            $URAxml->writeElement('R7', $dokument['OIB']);
            $osnovica0=0.00; 
            $URAxml->writeElement('R19', number_format($osnovica0,2,'.',''));
            $URAxml->writeElement('R8', number_format($osnovica5,2,'.',''));
            $URAxml->writeElement('R9', number_format($osnovica13,2,'.',''));
            $URAxml->writeElement('R10', number_format($osnovica25,2,'.',''));
            $URAxml->writeElement('R11', number_format($dokument['iznosSPDVom'],2,'.',''));
            $URAxml->writeElement('R12', number_format($porezIznos,2,'.','')); // ukupno predporez
            $URAxml->writeElement('R13', number_format($pdv5,2,'.',''));
            $URAxml->writeElement('R14', number_format($neMozeSeOdbiti5,2,'.',''));
            $URAxml->writeElement('R15', number_format($pdv13,2,'.',''));
            $URAxml->writeElement('R16', number_format($neMozeSeOdbiti13,2,'.',''));
            $URAxml->writeElement('R17', number_format($pdv25,2,'.',''));
            $URAxml->writeElement('R18', number_format($neMozeSeOdbiti25,2,'.',''));
        $URAxml->endElement(); // R
            
        }
        ?>
        
        <?php endforeach; ?>
        <tr style="font: bold">
            <td colspan="5" > Ukupno:</td>
            <td class="right">
                <?php echo format_ili_prazno($ukupnoOsnovica5,2,',','.' )?>
            </td>
            <td class="right">
                <?php echo format_ili_prazno($ukupnoOsnovica13,2,',','.' )?>
            </td>
            <td class="right">
                <?php echo format_ili_prazno($ukupnoOsnovica25,2,',','.' )?>
            </td>
            <td class="right">
                <?php echo format_ili_prazno($ukupnoIznosSPDVom,2,',','.' )?>
            </td>
            <td class="right">
                <?php echo format_ili_prazno($ukupnoPorez,2,',','.' )?>
            </td>
            <td class="right">
                <?php echo format_ili_prazno($ukupnoPdv5,2,',','.' )?>
            </td>
            <td>
                <?php echo format_ili_prazno($ukupnoNeMozeSeOdbiti5,2,',','.' )?>                
            </td>
            <td class="right">
                <?php echo format_ili_prazno($ukupnoPdv13,2,',','.' )?>
            </td>
            <td>
                <?php echo format_ili_prazno($ukupnoNeMozeSeOdbiti13,2,',','.' )?>                
            </td>
            <td class="right">
                <?php echo format_ili_prazno($ukupnoPdv25,2,',','.' )?>
            </td>
            <td>
                <?php echo format_ili_prazno($ukupnoNeMozeSeOdbiti25,2,',','.' )?>                
            </td>
        </tr>
    </TABLE> 

</div>
</body>
</html>
        
<?php 
if (isset($_POST['xmlObrazac'])) {

    $URAxml->endElement(); // Racuni
    $URAxml->startElement('Ukupno');
        $URAxml->writeElement('U19', number_format($ukupnoOsnovica0,2,'.','')); 
        $URAxml->writeElement('U8', number_format($ukupnoOsnovica5,2,'.',''));
        $URAxml->writeElement('U9', number_format($ukupnoOsnovica13,2,'.',''));
        $URAxml->writeElement('U10', number_format($ukupnoOsnovica25,2,'.',''));
        $URAxml->writeElement('U11', number_format($ukupnoIznosSPDVom,2,'.',''));
        $URAxml->writeElement('U12', number_format($ukupnoPorez,2,'.','')); // ukupno predporez
        $URAxml->writeElement('U13', number_format($ukupnoPdv5,2,'.',''));
        $URAxml->writeElement('U14', number_format($ukupnoNeMozeSeOdbiti5,2,'.',''));
        $URAxml->writeElement('U15', number_format($ukupnoPdv13,2,'.',''));
        $URAxml->writeElement('U16', number_format($ukupnoNeMozeSeOdbiti13,2,'.',''));
        $URAxml->writeElement('U17', number_format($ukupnoPdv25,2,'.',''));
        $URAxml->writeElement('U18', number_format($ukupnoNeMozeSeOdbiti25,2,'.',''));
    $URAxml->endElement();   // Ukupno
    
    $URAxml->endElement();  // Tijelo

    $URAxml->endElement();  //ObrazacURA
    $URAxml->endDocument();
    $URAxml->flush();
    
    include 'view/dialog_download.php';
    dialog_download('XML datoteka je kreirana.', $nazivXMLDok, $nazivXMLDok);
    
}
?>