<?php
if(trim($slogZaUnos['kodRadnika'])!='') {
    $slogRadnika=get_radnik($slogZaUnos['kodRadnika']);
    if(!isset($slogRadnika['kodRadnika'])) {
        $greska='Radnik s kodom "'.$slogZaUnos['kodRadnika'].'" ne postoj!.';
        $oznakeGreske['kodRadnika']='*';
    }
    else {
        if($_SESSION['admin']['tRadnoVrijeme']=='Punkt') {
            $p = get_admin_by_OIB($slogRadnika['OIB']);
            if(isset($p['punkt'])) {
                if($p['punkt']!=$_SESSION['admin']['punkt'])
                    $greska=' Radnik nije u vašem punktu! Možete ažurirati rsdno vrijeme rsdnika svog punkta! ';
            }
            else
                $greska=' Radnik nije prijavljen kao administrator! Samim tim nije u vašem punktu';
        }
    }
}
if(isset($_POST['obradaIntervala']) ) {    
    $nacinBrisanjaIntervala = $_POST['nacinBrisanjaIntervala']; $nacinKreiranjaIntervala = $_POST['nacinKreiranjaIntervala'];
    $datumOd = $_POST['datumOd']; $datumDo = $_POST['datumDo']; $datumZakljucavanja = $_POST['datumZakljucavanja'];
    $v1= new DateTime($datumOd);
    $v2= new DateTime($datumDo);
    $razlika= date_diff($v1, $v2);

    if ($razlika->invert==1) {
        // pocetakRadaSatMin > zavrsetakRadaSatMin
        $greska .= " Datum od mora biti 'prije' od datuma do ! ";  
        $greskadatumOd = '*';   
        $greskadatumDo = '*';                
    }
    $greskaDatum = usporedi_datume($datumOd,$datumDo, 'datum od', 'datum do', 'ovisni',true);
    if (isset($greskaDatum)) {
        $greska .= $greskaDatum;  
        $greskadatumOd = '*';   
        $greskadatumDo = '*';  
    } 
    
    if (!empty($datumZakljucavanja)) {
       $greskaDatum = is_valid_datum($datumZakljucavanja);
       if (isset($greskaDatum)) {
        $greska .= ' Datum zaključavanja:'.$greskaDatum;  
        $oznakeGreske['datumZakljucavanja'] = '*';         
       }
    }    
       
}
else {
//  if (!isset($_POST['obradaIntervala']))  {
     if(trim($slogZaUnos['kodRadnika'])=='') {
        $greska.='Polje kod radnika ne smije  biti prazno!';
        $oznakeGreske['kodRadnika']='*';
     }
     $greskaDatum = is_valid_datum($slogZaUnos['datum']);
     if (isset($greskaDatum)) {
        $greska .= ' Datum:'.$greskaDatum;  
        $oznakeGreske['datum'] = '*';   
     }
//  }   

if((trim($slogZaUnos['pocetakRadaSatMin'])!='' && (trim($slogZaUnos['vrijeme'])=='' || trim($slogZaUnos['zavrsetakRadaSatMin'])==''))
    || (trim($slogZaUnos['zavrsetakRadaSatMin'])!='' && (trim($slogZaUnos['pocetakRadaSatMin'])=='' || trim($slogZaUnos['vrijeme'])==''))
    ) {
        $greska .= " Za rad unesite: sate rada, početak rada i završetak rada (sva tri polja) ! ";  
        $oznakeGreske['vrijeme'] = '*';   
        $oznakeGreske['pocetakRadaSatMin'] = '*';   
        $oznakeGreske['zavrsetakRadaSatMin'] = '*';      
}
else if(trim($slogZaUnos['pocetakRadaSatMin'])!='') {
    $greskaV1 = is_valid_vrijeme($slogZaUnos['pocetakRadaSatMin']);
    if (isset($greskaV1)) {
        $greska .= ' Početak rada:'.$greskaDatum;  
        $oznakeGreske['pocetakRadaSatMin'] = '*';   
    } 
    $greskaDaV2 = is_valid_vrijeme($slogZaUnos['zavrsetakRadaSatMin']);
    if (isset($greskaV2)) {
        $greska .= ' Završetak rada:'.$greskaDatum;  
        $oznakeGreske['zavrsetakRadaSatMin'] = '*';   
    } 

    if (!isset($greskaV1) && !isset($greskaV2)) {
        $v1= new DateTime($slogZaUnos['pocetakRadaSatMin']);
        $v2= new DateTime($slogZaUnos['zavrsetakRadaSatMin']);
        $razlika= date_diff($v1, $v2);

        if ($razlika->invert==1) {
            // pocetakRadaSatMin > zavrsetakRadaSatMin
            $greska .= " Početak rada mora biti 'prije' završetka rada ! ";  
            $oznakeGreske['pocetakRadaSatMin'] = '*';   
            $oznakeGreske['zavrsetakRadaSatMin'] = '*';   
            $oznakeGreske['vrijeme'] = '*';   
        }
        else {
            if($razlika->h<>$slogZaUnos['vrijeme'] || $razlika->i!=0) {
                $greska .= " Uneseni sati rada ne odgovaraju razlici početka rada i završetka rada ! ";  
                $oznakeGreske['pocetakRadaSatMin'] = '*';   
                $oznakeGreske['zavrsetakRadaSatMin'] = '*';   
                $oznakeGreske['vrijeme'] = '*';   
            }    
        }

    }    
}

if(trim($greska)=='') {
    $slogZaUnos['dan'] = danUtjednu($slogZaUnos['datum'],"HR");
    $slogZaUnos['dan']=SUBSTR($slogZaUnos['dan'],0,3);
    $kojiJeBlagdan = kojiJeBlagdan($slogZaUnos['datum']);

    $slogZaUnos['radniPraznikNeradni'] = 'R';       
    if (!empty($kojiJeBlagdan)) {       
        $slogZaUnos['radniPraznikNeradni'] = 'P'; 
        //$slogZaUnos['pocetakRadaSatMin'] = ''; $slogZaUnos['zavrsetakRadaSatMin'] = '';
    }   
    else if( ($slogZaUnos['dan'] == 'Sub' && $slogZaUnos['vrijeme'] =='') || $slogZaUnos['dan'] == 'Ned' ) {
        $slogZaUnos['radniPraznikNeradni'] = 'N'; 
        //$slogZaUnos['pocetakRadaSatMin'] = ''; $slogZaUnos['zavrsetakRadaSatMin'] = '';
    }
    // if ($radniPraznikNeradni == 'P' || $radniPraznikNeradni == 'N') $oznakaVremena = 'nerDa';
}

}  
?>