<?php
$greska='';  
if (!isset($_POST['kodGrupe'])) {
    $kodGrupe = '';
    $zapamti = true;
} else {
    $kodGrupe = $_POST['kodGrupe'];
    if(trim($kodGrupe) == '') {
        $greska = 'Odaberite robne grupe!';
    }
    $zapamti = isset($_POST['zapamti']);
}    

if(isset($_POST['formatDatoteke'])) {
    $formatDatoteke =  $_POST['formatDatoteke'];
} else {
    $formatDatoteke =  'json';
}

if(isset($_POST['poslovnice'])) 
    $poslovnice=$_POST['poslovnice'];
else {
    $parametar=get_parametar('poslovniceZaWeb_'.$_SESSION['skracenicaFirme']);
    if(is_array($parametar))
       $proda=$parametar['vrijednostParametra'];
    else 
        $proda = '201,202,204,205,208,209,210';       
    $poslovnice = explode(',', $proda);
}
include 'dokumenti/dialog_robne_grupe_multi.php';       
?>
<form action="." method="post" id="view_promet_po_robi" name="view_promet_po_robi">
    <h2>Eksport cijena robe za Dinamic web</h2>
    <input type="hidden" name="action" value="obrada_export_za_dinamic_web" /> 
    Robne grupe:
     <input type="text" class="text_width_30em" name="kodGrupe" id="kodGrupe" value= "<?php echo $kodGrupe ?>"  /> 
    <button id="tipkaRG" type="button" onclick="prikaziDialogRG('view_zalihe', 'kodGrupe');">..</button> 
    Format datoteke;
    <select name="formatDatoteke">
        <option value="json" <?php if($formatDatoteke == 'json') echo 'selected="selected"'; ?>>json</option>
        <option value="csv" <?php if($formatDatoteke == 'csv') echo 'selected="selected"'; ?>>csv</option>     
    </select>   
   <br>
   <table>
   <tr>
   <td style="padding-right: 2em">
   
   </td>
   <td>       
   Poslovnice: <br>
   <?php
   listaPoslovnicaMultiSamoNumericProda("poslovnice[]", false, $poslovnice, 12); 
   ?>
   </td>
   </tr>
   </table>
   <input type="checkbox" name="zapamti" <?php if($zapamti) echo 'checked=""' ?> />Trajno zapamti odabrane poslovnice 

    <p></p>
   <p id="prihvat">
        <input type="submit" value="Pokreni obradu" />	  
    </p>
	<?php if (trim($greska)!='') : ?>
            <br>
	    <?php
	    //ako je greska onda u tekstu greske ima barem jedan !
	    $imaUsklicnik = strpos($greska, '!');
	    if ($imaUsklicnik === FALSE) {
		$greska_prihvat = 'greska_prihvat_nije_greska';
	    } else {
		$greska_prihvat = 'greska_prihvat';
	    }
	    ?>
	    <p id="<?php echo $greska_prihvat; ?>"> <?php echo $greska; ?> </p>
	<?php endif; ?> 
   
</form>   
<?php
if ($action=='obrada_export_za_dinamic_web' && trim($greska=='')) { 
    $proda = implode(',', $poslovnice);
    if($zapamti) {
        azuriraj_parametar('poslovniceZaWeb_'.$_SESSION['skracenicaFirme'], $proda, 'Odabrane Dinamic poslovnice u view_export_za_dinamic_web.');
    }
        
    $stavkeZaObradu = za_dimamic_web($proda, $kodGrupe);
    if (count($stavkeZaObradu)>0) {
        if ($formatDatoteke == 'json') {
            $nazivDok = 'export_cijena_robe.json';

          //  $jsonVar = json_encode($stavkeZaObradu, JSON_UNESCAPED_UNICODE);
            $jsonVar = json_encode($stavkeZaObradu, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);
            // echo 'encoding:'.mb_detect_encoding($nazivDok).'<br>';
            file_put_contents($nazivDok, $jsonVar);
        } else {
            $nazivDok = 'export_cijena_robe.csv';
            $fcsv = fopen($nazivDok, 'w');
            $zaglavlje = array_keys($stavkeZaObradu[0]);
            fputcsv($fcsv, $zaglavlje);
            foreach ($stavkeZaObradu as $slog) {
                $slog['kodRobe'] = iconv('UTF-8', 'WINDOWS-1250', trim($slog['kodRobe']));
                $slog['nazivRobe'] = iconv('UTF-8', 'WINDOWS-1250', trim($slog['nazivRobe']));
                $slog['opis'] = iconv('UTF-8', 'WINDOWS-1250', trim($slog['opis']));
                $slog['brand'] = iconv('UTF-8', 'WINDOWS-1250', trim($slog['brand']));
                $slog['jedinicaMjere'] = iconv('UTF-8', 'WINDOWS-1250', trim($slog['jedinicaMjere']));
                fputcsv($fcsv, $slog);
            }
            fclose($fcsv);
        }

        include 'view/dialog_download.php';
        dialog_download('Datoteka je kreirana.', $nazivDok, $nazivDok);
    } else {
        echo 'Nema podataka! <br>';
    }
}

function listaPoslovnicaMultiSamoNumericProda($naziv, $daliFirma, $odabranePoslovnice, $brojRedova=NULL,$samoDozvoljene=true) {
    $pom=' ';
    if(isset($brojRedova))
        $pom=' size='.$brojRedova;
    $lista='<select name="'.$naziv.'"'.$pom.' id="'.$naziv.'" multiple>';
    //$lista='<select name="poslovnice_izbor[]" multiple>';
    include('dokumenti/kontrola_poslovnice_init.php');
    $poslovnice = get_poslovnice();
    $korisnik = get_admin_by_email($_SESSION['admin']['email']);
    $dozvoljenePoslovnice=  explode(',', $korisnik['poslovnicePunkta']);
    $prioritet=$korisnik['prioritet'];
    $samoDozvoljene&=(array_search('0',$dozvoljenePoslovnice)===FALSE);
    /*+
    if(empty($odabranePoslovnice) && $dozvoljenePoslovnice[0]=='0' && isset($dozvoljenePoslovnice[1])) {
        //if(in_array($dozvoljenePoslovnice[1],$poslovnice))
            $odabranePoslovnice[]=$dozvoljenePoslovnice[1];
    }
     * 
     */
    $dozvPosl=array();
 
    foreach ($poslovnice as $poslovnica_izbor) {      
        if(!is_numeric($poslovnica_izbor['kodPoslovnice'])) continue;
        if(!$daliFirma && $poslovnica_izbor['kodPoslovnice']=='0')
            continue;
        if($samoDozvoljene && $prioritet>4 && array_search($poslovnica_izbor['kodPoslovnice'],$dozvoljenePoslovnice)===FALSE)
            continue;
        if(empty($odabranePoslovnice)) 
            $odabranePoslovnice[]=$poslovnica_izbor['kodPoslovnice'];
        $lista.='<option value="'.$poslovnica_izbor['kodPoslovnice'].'"';
        if (in_array_trim($poslovnica_izbor['kodPoslovnice'], $odabranePoslovnice)){
               $lista.=' selected="selected"';
         } 
        $lista.='>'.$poslovnica_izbor['kodPoslovnice'].' &nbsp;'.$poslovnica_izbor['nazivPoslovnice'].' </option>';
        $dozvPosl[]=$poslovnica_izbor['kodPoslovnice'];
    }
    $lista.='</select>';
    echo $lista;
    return $dozvPosl;
}

?>

