<?php
require_once('./model/posebni_cjenici_db.php');
if (!isset($prKodGrupe)) $prKodGrupe = '';
$citaStranicu=false;

//ako ima get ide na drugu stranicu i mora uzeti stare post varijable koje smo zapamtili u sesiji
if(isset($_GET['opSaDok'])) {
    //postavlja oznaku da ide na drugu stranicu 
    $citaStranicu=true;
    // vreča $_POST iz sesije
    $_POST=kopiraj_array($_SESSION['posebniCjenik_POST']);
    // pamti get varijable kako bi nakon promjene cijena ili brisanja robe znao pročitati stranicu na kojoj su napravljene promjene
    $_SESSION['posebniCjenik_$GET']=kopiraj_array($_GET);
}
if(isset($_POST['opSaDok'])) {
    $opSaDok=$_POST['opSaDok'];
    $proda=$_POST['proda'];
    $oznakaCjenika=$_POST['oznakaCjenika'];
    $kodPartnera=$_POST['kodPartnera'];
    $sortCjenika=$_POST['sortCjenika'];
    if(isset($_POST['kodRobe']))
        $kodRobe=$_POST['kodRobe'];
    else 
        $kodRobe='';
    
    if($action=='izabran_je_kodPartnera') {
        $action='obrada_posebni_cjenik';
        $kodPartnera=$_GET['kodPartnera'];
    }    
    else if(trim($_POST['kodPartnera'])!='') {
        $pom=  pretraga_partnera($kodPartnera,'dokumenti/view_posebni_cjenik.php');
        if(is_array($pom)) {
             $partneri=$pom;
             $pretraga_partner_header = true;
             $imaNemaPartner = 'Ima';
             include 'view/header.php';
             include 'view_pretraga_partnera.php';
             include 'view/footer.php';
             exit;            
        }
        $imaUsklicnik = strpos($pom, '!');
        if ($imaUsklicnik === FALSE) {
            $kodPartnera=$pom;
        } else {
            $greska = $pom;
        }
    }
    
    $dodUcjenik=$_POST['dodUcjenik'];    
    $naziv_cjenika=  get_nazivi_cjenika($oznakaCjenika);
    if(empty($naziv_cjenika)) {
        if(isset($_POST['nazivCjenika']))
            $nazivCjenika=$_POST['nazivCjenika'];
        else 
            $nazivCjenika='';
        if($dodUcjenik == '')
            $greska='Cjenik:'.$oznakaCjenika.' ne postoji. Potrebno ga je kreirati !';
    }
    else {
        if(isset($_POST['izmjenaNazivaCjenika'])) 
           $nazivCjenika=$_POST['nazivCjenika'];
        else 
            $nazivCjenika=$naziv_cjenika['nazivCjenika'];
        $primjenaCjenika=$naziv_cjenika['primjenaCjenika'];
    }
    if(trim($kodRobe)!='')
        if(!$roba=get_product_maticna_robe($kodRobe)) {
            $greska='Unesena roba ne postoji !';
        }
     
}
else {
    $opSaDok='';
    $proda=''; 
    $nazivCjenika='';
    $oznakaCjenika='';
    $kodPartnera=''; 
    $dodUcjenik='';
    $sortCjenika='kodGrupe, nazivRobe';
    $kodRobe='';
}

if(isset($_POST['stavkaOd'])) {
    $stavkaOd=$_POST['stavkaOd'];
    $stavkaDo=$_POST['stavkaDo'];
}
else {
    $stavkaOd=1;
    $stavkaDo=50;    
}

if(isset($_POST['kodGrupe'])) {
    $prKodGrupe=$_POST['kodGrupe'];
    if(!isset($primjenaCjenika)) $primjenaCjenika=$_POST['primjenaCjenika'];
    $brisiCjenik = isset($_POST['brisiCjenik']); 
    $promjenaCijene=$_POST['promjenaCijene'];
    $posto=$_POST['posto'];
    $vrstaProdaje=$_POST['vrstaProdaje'];
    //echo $opSaDok;
    if($opSaDok=='Knjiženje') {
        $greska='';
        $ukupnoBrisanja=0;
        $izmjenjeno=  izmjeneCjenika((int)$_POST['brojSlogova'], $oznakaCjenika, $proda, $kodPartnera);
        if ($izmjenjeno>0)
            $greska='Cjenik uspješno ažuriran. Izmjenjeno slogova:'.$izmjenjeno;
        if ($ukupnoBrisanja>0)
            $greska.=' Obrisano slogova:'.$ukupnoBrisanja;
        if(isset($_SESSION['posebniCjenik_$GET']))
            $_GET=kopiraj_array($_SESSION['posebniCjenik_$GET']);
        $_POST['opSaDok']='Pregled';
    }
}
else {
    $prKodGrupe = '';
    $primjenaCjenika='';
    $promjenaCijene='S';
    $posto='0'; 
    if (!isset($brisiCjenik)) $brisiCjenik=false;
    $vrstaProdaje='0';
}

// kontrole
if($proda=='0' && $dodUcjenik == 'S')
    $greska='Kada generiramo cjenik iz stanja moramo odabrati poslovnicu za koju generiramo cjenik !';
if(trim($prKodGrupe)!='') {
    $grupa=  get_category($prKodGrupe);
    if(empty($grupa))
        $greska="Robna grupa:$prKodGrupe ne postoji!";
}
?>

<span class="veca_slova_110"> <b>Posebni cjenici&nbsp; </b> </span><img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=
" Kod izbora cijena za izlaze-ulaze program vadi cijene
iz posebnog cjenika(ako ta roba postoji u posebnom cjeniku)
Primjeri kreiranja raznih vrsta cjenika:
1. Cjenik koji vrijedi samo za jednu prodavaonu
   - odabere se odgovarajuća poslovnica(prodavaonica)
   - odabere se jedna robna grupa(ako se želi dodati iz 
     glavnog cjenika ili tabele stanja samo jedna grupa)
   - ili se grupa ostavi prazna -> iz glavnog cjenika ili iz 
     tabele stanja će se u posebni cjenik prebaciti SVA roba.
   - odabere se iz polja Dodavanje stavki...
       iz glavnog cjenika
           ili
       iz stanja    
   - ostalo se ne mjenja
   - nakon toga se promjene cijene prema potrebi ili obrišu
     nepotrebne stavke.     
2. Cjenik vrijedi za cijelu firmu i za određenu grupu kupaca
   - odabere se poslovnica 0
   - Oznaka cjenika proizvoljna do 13 znakova(npr. c1)
   - popuni se Naziv cjenika (Npr. Cjenik za firme Beton,Auto-sevis)
   - ostalo slično kao pod 1.
3. Cjenik  vrijedi samo za jednog kupca
   - slično kao pod 2 samo se popuni kod partnera
   - kada se knjiže dokumenti za tog kupca, program
     će automatski uzimati cijene iz tog cjenika
4.  Cjenik vrijedi za sve poslovnice maloprodaje
    - slično kao pod 2 samo se u polju Primjena cjenika
      odabere     na sve maloprodaje
      " /> &nbsp; &nbsp; &nbsp;
<form action="." method="post">
Poslovnica: &nbsp; &nbsp; &nbsp;&nbsp; 
<?php listaPoslovnica("proda", true, $proda); ?>  
<img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=
" Ako je odabrana poslovnica 0(cijela firma),
posebni cjenik se primjenjuje na cijelu firmu(sve prodavaone),
inače samo na odabranu prodavaonu." /> 
Vrsta prodaje:
<?php listaVrsteProdaje('vrstaProdaje', $vrstaProdaje, true); ?>  &nbsp;
Sort po:
<select name="sortCjenika">
    <option value="kodGrupe, nazivRobe" <?php if($sortCjenika == 'kodGrupe, nazivRobe') echo 'selected="selected"'; ?> >robnoj grupi, nazivu robe</option>
    <option value="kodGrupe, kodRobe" <?php if($sortCjenika == 'kodGrupe, kodRobe') echo 'selected="selected"'; ?> >robnoj grupi, kodu robe</option>
</select>
<!--
Prikaz stavaka od:
<input type="number" class="text_width_2em" name="stavkaOd" value="<?php //echo $stavkaOd ?>" required pattern="\d+?"/> 
do:
<input type="number" class="text_width_2em" name="stavkaDo" value="<?php //echo $stavkaDo ?>" required pattern="\d+?"/> 
-->
<p></p>
Oznaka cjenika: <input type="text" class="text_width_10em" name="oznakaCjenika" value= "<?php echo $oznakaCjenika ?>"  />
     <button id="tipkaPC" type="button" >..</button> &nbsp; 
Primjena cjenika: 
   <select name="primjenaCjenika">
            <option value="" <?php if($primjenaCjenika == '') echo 'selected="selected"'; ?> >prema odabiru</option>
	    <option value="1" <?php if($primjenaCjenika == '1') echo 'selected="selected"'; ?> >na sve maloprodaje</option>
            <option value="0" <?php if($primjenaCjenika == '0') echo 'selected="selected"'; ?> >na sve veleprodaje</option> 
  </select>
<br>     
Naziv cjenika:   &nbsp;&nbsp;
<input type="text" class="text_width_70em" name="nazivCjenika" value= "<?php echo $nazivCjenika ?>"  />
<?php // if(isset($naziv_cjenika)) : if(count($naziv_cjenika)>1) : ?>
<input type="checkbox" name="izmjenaNazivaCjenika" /> Izmjena naziva cjenika     
<?php // endif; endif; ?>
<p></p>

Robna grupa: &nbsp; &nbsp;&nbsp;
<input type="text" class="text_width_10em" name="kodGrupe" value= "<?php echo $prKodGrupe ?>"  /> 
     <button id="tipkaRG" type="button" >..</button> &nbsp; 
Kod robe:&nbsp; &nbsp;&nbsp; &nbsp;       
<input type="text" class="text_width_8em" name="kodRobe" value= "<?php echo $kodRobe ?>"  />
<button id="tipkaRoba" type="button" >..</button> &nbsp;
Partner:
<input type="text" name="kodPartnera" value= "<?php echo $kodPartnera ?>" placeholder="Dio naziva ili šifra "  /> &nbsp;
<?php 
if(isset($_POST['kodPartnera']))
    if(trim($_POST['kodPartnera'])!='') {
        $partner=  get_partner($kodPartnera);
        if(!empty($partner))
            echo $partner['nazivPartnera'];
    }
?>
<p></p>
Dodavanje stavki u posebni cjenik : 
   <select name="dodUcjenik">
       <option value="" <?php if($dodUcjenik == '') echo 'selected="selected"'; ?> >ne dodaju se stavke(prikaz postojećeg cjenika)</option>
       <option value="M" <?php if($dodUcjenik == 'M') echo 'selected="selected"'; ?> >iz glavnog cjenika (sva roba)</option>
       <option value="S" <?php if($dodUcjenik == 'S') echo 'selected="selected"'; ?> >iz stanja (samo roba na toj poslovnici)</option>
   </select>
<img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=
" &nbsp; Kod dodavanja stavki iz glavnog cjenika u posebni cjenik,
dodaju se sve stavke koje se vide po programu Matični podaci o robi
(ako je odabrana jedna robna grupa onda samo stavke iz te robne grupe).
  Ako je u tom slučaju odabrana jedna poslovnica, onda se u posebni cjenik
dodaju i stavke koje ta poslovnica nije koristila(ali su je koristile neke
druge poslovnice).
 
  U slučaju odabira dodavanja u posebni cjenik stavki iz stanja,
dodaju se samo stavke koje su u tekućoj godini imale nekakav ulazno-izlazni
promet ili su bile na inventuri ili na donosu.

  Ako stavka postoji otprije u posebnom cjeniku neće se mjenjati
(dodaju se samo stavke kojih nema u posebnom cjeniku) 
" />
&nbsp; &nbsp; &nbsp; 
<input type="checkbox" name="brisiCjenik"   <?php if(isset($_POST['brisiCjenik'])) echo 'checked="checked"'; ?>  /> Brisanje posebnog cjenika &nbsp; &nbsp; &nbsp;     

   <select name="promjenaCijene">       
       <option value="P" <?php if($promjenaCijene == 'P') echo 'selected="selected"'; ?> >Povišenje cijena %</option>
       <option value="S" <?php if($promjenaCijene == 'S') echo 'selected="selected"'; ?> >Sniženje cijena %</option>
   </select>  &nbsp; 
   <input type="text" class="text_width_3em right" name="posto" value= "<?php echo $posto ?>" pattern="<?php echo $pCijena3Decimale ?>" /> 
<p></p>

<?php 
if($action=='obrada_posebni_cjenik' && !isset($greska) && !$citaStranicu) {
   //ako samo čita stranicu nema obrade
   $poruka=obrada_posebnih_cjenika($oznakaCjenika, $nazivCjenika, $primjenaCjenika, $proda, $kodPartnera, $vrstaProdaje, $prKodGrupe, $kodRobe,
                                   $brisiCjenik, $dodUcjenik, $promjenaCijene, $posto, $stavkaOd, $stavkaDo);
   if(!empty($poruka))
       $greska=$poruka;
   if(isset($_POST['izmjenaNazivaCjenika'])) {
       update_nazivi_cjenika($oznakaCjenika, $nazivCjenika);
       if(isset($greska))
          $greska.="Naziv cjenika je izmjenjen.";
       else
          $greska="Naziv cjenika je izmjenjen.";
   }
}
/*
if(isset($_SESSION['poruka'])) {
    $greska=$_SESSION['poruka'];
    unset($_SESSION['poruka']);
}
 */

if (isset($greska)) : ?>
        <p></p>
        <p></p>
        <?php
          //ako je greska onda u tekstu greske ima barem jedan !
          $imaUsklicnik = strpos($greska, '!');
          if ($imaUsklicnik === FALSE) {
              $greska_prihvat = 'greska_prihvat_nije_greska';
          } else {
              $greska_prihvat = 'greska_prihvat';
          }
       ?>
       <p id="<?php echo $greska_prihvat; ?>"> <?php echo $greska; ?> </p>
<?php endif; ?> 
<p></p>
<p id="prihvat">
    <input type="submit" value="Prihvati " />
    <input type="hidden" name="action" value="obrada_posebni_cjenik" />
    <input type="hidden" name="opSaDok" value="Pregled" />
</p>        
</form>

<?php 
include 'dokumenti/dialog_robe.php';
include 'dokumenti/dialog_posebni_cjenici.php';
include 'dokumenti/dialog_robne_grupe.php';
?>
      <?php if($action=='obrada_posebni_cjenik') :?>
      <?php 
      //$robaZaprikaz=obrada_posebnih_cjenika($oznakaCjenika, $nazivCjenika, $primjenaCjenika, $proda, $kodPartnera, $vrstaProdaje, $prKodGrupe, 
      //                                      $brisiCjenik, $dodUcjenik, $promjenaCijene, $posto, $stavkaOd, $stavkaDo);
      include "util/pregled_po_stranicama.php";
      $sql="
        select pc.*, m.nazivRobe, m.jedinicaMjere, m.kodGrupe, round(pc.cijena*(1+PDV/100) ,3) as cijenaSPDV
        from posebni_cjenik as pc
        left outer join maticna_robe as m on m.`kodRobe`=pc.`kodRobe`
        left outer join porezi as p on p.poreznaGrupa=m.poreznaGrupa
        where oznakaCjenika='$oznakaCjenika' and kodPoslovnice='$proda' and kodPartnera='$kodPartnera'
        and (vrstaProdaje='$vrstaProdaje' or trim('$vrstaProdaje')='')
        and (kodGrupe='$prKodGrupe' or trim('$prKodGrupe')='')
        order by $sortCjenika " ;
      
      // pamti $_POST varijable za slijedecu stranicu
      $_SESSION['posebniCjenik_POST']=kopiraj_array($_POST);
      $pager=''; 
      $robaZaprikaz=poStranici('./?action=obrada_posebni_cjenik&opSaDok=Pregled', 100, $pager, $sql,'posebni_cjenik as pc join maticna_robe as m on m.`kodRobe`=pc.`kodRobe`');
      ?>
       <form action="." method="post">
       <!-- <form action="<?php echo $_SERVER['REQUEST_URI'] ?>" method="post"> -->
        <table class="t_lista_primka">
	  <thead>
             <tr>
		<th class="left" style="padding-left: 1em">Kod robe &nbsp;</th>
                <th class="left" >V.P. &nbsp;</th>
		<th class="left" >Naziv robe &nbsp;</th>
                <th class="left" >JMJ &nbsp;</th>
                <th class="left" >Robna grupa &nbsp;</th>
                <th class="right" >Cijena <br>bez PDV-a&nbsp;</th>
                <th class="right" >&nbsp;Cijena+PDV &nbsp;</th>
                <th class="neispisuje" >Nova cijena <br>bez PDV-a&nbsp;</th>
                <th class="neispisuje" >Brisanje&nbsp;</th>
              </tr>
	  </thead>
	  <?php
              $RB = 0;
          ?>
          <?php if(isset($robaZaprikaz)) : 
          foreach ($robaZaprikaz as $slog) : ?>
	     <?php 
               $RB = $RB + 1 ;
  	       $ostatak = $RB % 2;
	       if ($ostatak == 0) {
                  $pozadina = 'pozadina1';
               } else {
                  $pozadina = 'pozadina2';
	       }
	    ?> 
              <tr class="<?php echo $pozadina;?>" >
                <td class="left" style="padding-right: 1em; padding-left: 1em">
                    <?php echo $slog['kodRobe']; ?>
                </td>  
                <td class="left" style="padding-right: 1em">
                    <?php echo $slog['vrstaProdaje']; ?>
                </td>  
                <td class="left" style="padding-right: 1em">
                    <?php echo $slog['nazivRobe']; ?>
                </td>  
                <td class="left" style="padding-right: 1em">
                    <?php echo $slog['jedinicaMjere']; ?>
                </td>  
                <td class="left" style="padding-right: 1em">
                    <?php echo $slog['kodGrupe']; ?>
                </td>  
                <td class="right" style="padding-right: 1em">
                    <?php echo number_format($slog['cijena'],4,',',''); ?>
                </td>  
                <td class="right" style="padding-right: 1em">
                    <?php echo number_format($slog['cijenaSPDV'],2,',',''); ?>
                </td>  
                <td class="neispisuje"  style="padding-right: 1em;">
                 <input  type="text" class="text_width_5em" name="<?php echo 'novaCijena'.$RB ?>" value="" pattern="<?php echo $pCijena4Decimale ?>?" title="Unesite novo cijenu bez PDV-a" /> 
                </td>  
                <td class="neispisuje" tyle="padding-right: 1em">                    
                    <input type="checkbox"  name="<?php echo 'brisanje'.$RB ?>"  /> 
                </td>
                 <input type="hidden" name="<?php echo 'artikal'.$RB ?>" value="<?php echo $slog['kodRobe'].';'.$slog['vrstaProdaje']; ?>" />
<!--                 <input type="hidden" name="<?php echo 'kodRobe'.$RB ?>" value="<?php echo $slog['kodRobe']; ?>" />
                 <input type="hidden" name="<?php echo 'vrstaProdaje'.$RB ?>" value="<?php echo $slog['vrstaProdaje']; ?>" />-->

                 
              </tr>
            <?php  endforeach; endif;?>

            <tfoot>
               <tr>
		  <td class="right_t_lista"><b>Pronađeno: &nbsp;</b> </td>
                 <td class="left">
                     <?php echo $RB; ?></td>
                 <td colspan="7"></td>

		</tr>
   	    </tfoot>   
      </table>
           <p></p> <p></p>  
	<p id="otkaz">
	    <input type="submit" value="Prihvat promjena posebnog cjenika" />
            <input type="hidden" name="action" value="obrada_posebni_cjenik" />
            <input type="hidden" name="opSaDok" value="Knjiženje" />
            <input type="hidden" name="brojSlogova" value="<?php echo $RB ?>" />
            <input type="hidden" name="proda" value="<?php echo $proda ?>" />
            <input type="hidden" name="oznakaCjenika" value="<?php echo $oznakaCjenika ?>" />
            <input type="hidden" name="kodPartnera" value="<?php echo $kodPartnera ?>" />
            <input type="hidden" name="kodGrupe" value="<?php echo $prKodGrupe ?>" />
            <input type="hidden" name="vrstaProdaje" value="<?php echo $vrstaProdaje ?>" />
            <input type="hidden" name="dodUcjenik" value="" />
            <input type="hidden" name="primjenaCjenika" value="<?php echo $primjenaCjenika ?>" />
            <input type="hidden" name="promjenaCijene" value="<?php echo $promjenaCijene ?>" />
            <input type="hidden" name="posto" value="<?php echo $posto ?>" />
            <input type="hidden" name="stavkaOd" value="<?php echo $stavkaOd ?>" />
            <input type="hidden" name="stavkaDo" value="<?php echo $stavkaDo ?>" />
            <input type="hidden" name="sortCjenika" value="<?php echo $sortCjenika ?>" />
            <?php if(isset($_REQUEST['od'])) : ?>
                <input type="hidden" name="od" value="<?php echo $_REQUEST['od'] ?>" />
                <input type="hidden" name="koliko" value="<?php echo $_REQUEST['koliko'] ?>" />
            <?php endif; ?>    
        </p>        
      </form>
     <?php endif; ?>
     <br>
    <?php
          if (isset($pager)) echo $pager;        
    ?>
	 
<?php
function izmjeneCjenika($brojSlogova, $oznakaCjenika, $proda, $kodPartnera) {
    global $ukupnoBrisanja;
    $ukupnoPromjena=0;
    for ($i=1; $i<=$brojSlogova; $i++ ) {
        $artikal=explode(';', $_POST['artikal'.$i]);
        if(isset($_POST['brisanje'.$i])) {
            //$kodRobe = $_POST['kodRobe'.$i];
            //$vrstaProdaje = $_POST['vrstaProdaje'.$i];
            //echo 'Brišem:'.$kodRobe.'<br>';
            $kodRobe=$artikal[0];
            $vrstaProdaje=$artikal[1];
            delete_posebni_cjenik($oznakaCjenika, $proda, $kodPartnera, '', $kodRobe, $vrstaProdaje);
            $ukupnoBrisanja++;
            unset($_POST['brisanje'.$i]);
        }
        else {
            $novaCijenaStr=str_replace(',', '.',$_POST['novaCijena'.$i]);
            if (is_numeric($novaCijenaStr)) {
                $novaCijena=(float)str_replace(',', '.',$_POST['novaCijena'.$i]);
                //$kodRobe = $_POST['kodRobe'.$i];
                //$vrstaProdaje = $_POST['vrstaProdaje'.$i];
                $kodRobe=$artikal[0];
                $vrstaProdaje=$artikal[1];
                update_robu_u_cjeniku($oznakaCjenika, $proda, $kodPartnera, $kodRobe, $vrstaProdaje, $novaCijena);
                $ukupnoPromjena++;
            }     
        }
        unset($_POST['vrstaProdaje'.$i]);
        unset($_POST['kodRobe'.$i]);
        unset($_POST['novaCijena'.$i]);
    }
    return $ukupnoPromjena;
}
?>








    