<?php
if($action=="uzmi_pregled_kupona") {
    $kodPoslovnice = $_POST['kodPoslovnice'];
    $datumod = $_POST['datumod'];
    $datumdo = $_POST['datumdo'];
    $kojiKuponi = $_POST['kojiKuponi'];
}
else {
    $kodPoslovnice='0';
    $date = new DateTime();     
    $datumod = $date->format("01.01.Y 00:00:00");
    $datumdo = $date->format("d.m.Y H:i:s");
    datumiUArhivi($datumod, $datumdo);
    $kojiKuponi='s';
}
?>

<form action="." method="post" id="view_zag">
   	 
<input type="hidden" name="action" value="uzmi_pregled_kupona" />
<h1>Pregled kupona</h1> 
<p></p>
Poslovnica: 
<?php listaPoslovnica("kodPoslovnice", true, $kodPoslovnice); ?>
    &nbsp; &nbsp;
Datum izdavanja od:  
<input type="text" name="datumod" pattern="<?php echo $patternDatumVrijeme ?>" title="datum:dd.mm.gggg hh:mm:ss" 
       value="<?php echo $datumod;  ?>" /> 

 do: 
<input type="text" name="datumdo" pattern="<?php echo $patternDatumVrijeme ?>" title="datum:dd.mm.gggg hh:mm:ss" 
       value="<?php echo $datumdo; ?>" />
&nbsp; &nbsp; 
Prikazuje:  
<select name="kojiKuponi">	
    <option value="s" <?php if($kojiKuponi == 's')  echo 'selected="selected"';  ?>>sve kupone</option>
    <option value="i" <?php if($kojiKuponi == 'i')  echo 'selected="selected"';  ?> >iskorištene kupone</option>
    <option value="n" <?php if($kojiKuponi == 'n')  echo 'selected="selected"';  ?>>neiskorištene kupone</option>
</select>
</br>
<p></p>
<p id="prihvat">
    <input type="submit" value="Prihvat " />
</p>
</br>
<?php if (isset($greska)) : ?>
    <?php
    //ako je greska onda u tekstu greske ima barem jedan !
    $imaUsklicnik = strpos($greska, '!');
    if ($imaUsklicnik === FALSE) {
        $greska_prihvat = 'greska_prihvat_nije_greska';
    } else {
        $greska_prihvat = 'greska_prihvat';
    }
    ?>
    <p id="<?php echo $greska_prihvat; ?>"> <?php echo $greska; ?> </p>
<?php endif; ?> 
</form>
<?php
if($action=="uzmi_pregled_kupona") {
    include_once 'model/kuponi_db.php';
    $kuponi = get_pregled_kupona($kodPoslovnice, $datumod, $datumdo, $kojiKuponi);
    if(count($kuponi)>0) {
        $RB = 0;
        $ukupnoIzvrseno = 0;
        ?>
        <table class="t_lista">
        <thead>
             <tr>
		<th class="left" style="padding-left: 1em">Poslovnica &nbsp;</th>
		<th class="right" >Broj &nbsp;</th>
                <th class="left" >Datum <br>izdavavanja &nbsp;</th>
		<th class="right" >Iskorišteno &nbsp;</th>
                <th class="left" >Datum <br>iskorištenja &nbsp;</th>
                <th class="right" >Iskorišteno u &nbsp;<br>dokumentu &nbsp;</th>
              </tr>
	</thead>
	  <?php
            foreach($kuponi as $slog) : 
	      
               $RB = $RB + 1 ;
  	       $ostatak = $RB % 2;
	       if ($ostatak == 0) {
                  $pozadina = 'pozadina1';
               } else {
                  $pozadina = 'pozadina2';
	       }	
               $datumIzdavanja = new DateTime($slog['datumIzdavanja']);
               $datumIskoristenja = new DateTime($slog['datumIskoristenja']);
               $ukupnoIzvrseno += $slog['iskoristeniIznosKupona'];
	    ?> 
              <tr class="<?php echo $pozadina;?>">
		<td class="left" style="padding-left: 1em"> <?php echo $slog['proda'] ?> </td>
		<td class="right" ><?php echo $slog['broDo'] ?> &nbsp;</td>
                <td class="left" ><?php echo $datumIzdavanja->format("d.m.Y H:i:s") ?></td>
                <td class="right" ><?php echo number_format($slog['iskoristeniIznosKupona'],2,',','.') ?> &nbsp;</td>
                <td class="left" ><?php echo $slog['iskoristeniIznosKupona']==0 ? '' : $datumIskoristenja->format("d.m.Y H:i:s") ?></td>
                <td class="right" ><?php echo $slog['dokumentIskoristenja'] ?> &nbsp;</td>
            </tr>
            <?php endforeach; ?>
      
            <tfoot>
               <tr>
		  <td class="right_t_lista"><b>Pronađeno: &nbsp;</b> </td>
                  <td class="left" colspan="1">
                     <?php echo $RB; ?>
                  </td>
                  <td class="right" colspan="2">
                     <?php echo number_format($ukupnoIzvrseno, 2, ',', '.') ?> &nbsp;
                  </td>
                  <td class="left" colspan="2">
                  </td>
		</tr>
   	    </tfoot>   
        </table>
    <?php
    }
    else 
        echo 'Nema podataka.';
}    