<?php
$greska = '';
$znamenke = 2;
$greskaStariKodRobe = $greskaNoviKodRobe = $greskaDVOod = $greskaDVOdo ='&nbsp';
if(isset($_POST['proda'])) {
    $proda = $_POST['proda'];
    $vrsDo = $_POST['vrsDo'];
    $vrsteDokumenata = $_POST['vrsteDokumenata'];

    $stariKodRobe = $_POST['stariKodRobe'];
    if(!$roba=get_product_maticna_robe($stariKodRobe)) {
        $greska.='Uneseni stari kod robe ne postoji !';
        $greskaStariKodRobe = '*';
        $stariNazivRobe = '';
    }
    else {
        $stariNazivRobe = $roba['nazivRobe'];
    }
    $staraVrstaProdaje = $_POST['staraVrstaProdaje'];
    
    $noviKodRobe = $_POST['noviKodRobe'];
    if(!$roba=get_product_maticna_robe($noviKodRobe)) {
        $greska.='Uneseni novi kod robe ne postoji !';
        $greskaNoviKodRobe = '*';
        $noviNazivRobe = $cijenaNoveSifre = '';
    }
    else {
        $noviNazivRobe = $roba['nazivRobe'];
        $cijenaNoveSifre = $roba['cijena'];
    }
    $novaVrstaProdaje = $_POST['novaVrstaProdaje'];

    $DVOod = $_POST['DVOod'];
    $DVOdo = $_POST['DVOdo'];
    $greskaDatum = usporedi_datume($DVOod,$DVOdo, 'DVO od', 'DVO do', 'obavezni',true, true);
    if (isset($greskaDatum)) {
        $greska .= $greskaDatum;  
    }
    $azuranjeStanja = $_POST['azuranjeStanja'];
    $tipDokumenta = $_POST['tipDokumenta'];
    $stvarnePromjene = $_POST['stvarnePromjene'];
}
else {
    $proda = '';
    $vrsDo = $vrsteDokumenata = '';
    $stariKodRobe = $stariNazivRobe = '';
    $staraVrstaProdaje = $novaVrstaProdaje = '0';
    $noviKodRobe = $noviNazivRobe = $cijenaNoveSifre = '';
    
    $date_do = new DateTime();
    $date_do->setTime(23, 59, 59);
    $DVOdo = $date_do->format("d.m.Y H:i:s");
    $date_od = new DateTime($date_do->format("Y").'-01-01 00:00:00');
    $DVOod = $date_od->format("d.m.Y H:i:s");
    $azuranjeStanja = 'Da';
    $tipDokumenta = 'R';
    $stvarnePromjene = 'Ne';
}

?>
<form action="." method="post" id="view_zamjena_sifri_po_dok" name="view_zamjena_sifri_po_dok">
   <input type="hidden" name="action" value="uzmi_zamjena_sifri_po_dok" />
<h2>Zamjena šifri robe po dokumentima i tablici stanja</h2> 
<table>
<tr>
<td>
Poslovnica: &nbsp; &nbsp; &nbsp;
<?php listaPoslovnica("proda", true, $proda); ?> &nbsp; &nbsp; &nbsp;
<p></p>     
Stari kod robe:&nbsp; 
<input type="text" class="text_width_8em" name="stariKodRobe" value="<?php echo $stariKodRobe; ?>" required
        x-moz-errormessage=" Unos robe je obavezan. "  /> 
<button id="tipkaStaraRoba" type="button" onclick="dialogRobeClick('stariKodRobe')">..</button>
<span class="greska"><?php echo $greskaStariKodRobe; ?> </span>  	
 <img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=" Unos robe je obavezan. " />  &nbsp; 
 VP:<?php listaVrsteProdaje('staraVrstaProdaje', $staraVrstaProdaje, false); ?>  &nbsp;
 <?php echo $stariNazivRobe; ?> &nbsp; &nbsp;
<p></p>     
</td>
<td>
Vrste dokumenata:
        <select name="vrsteDokumenata">
	    <option value="" <?php if($vrsteDokumenata == '') echo 'selected="selected"'; ?>  >Svi dokumenti</option>
            <option value="1" <?php if($vrsteDokumenata == '1') echo 'selected="selected"'; ?> >Samo ulazi</option>
	    <option value="-1" <?php if($vrsteDokumenata == '-1') echo 'selected="selected"'; ?> >Samo izlazi</option>
        </select>
<?php listaVrsteDokumenata('vrsDo', $vrsDo, $daliSve=true)?>
<p></p>        
Novi kod robe:&nbsp; &nbsp;&nbsp; &nbsp;&nbsp; 
<input type="text" class="text_width_8em" name="noviKodRobe" value="<?php echo $noviKodRobe; ?>" required
        x-moz-errormessage=" Unos robe je obavezan. "  /> 
<button id="tipkaNovaRoba" type="button" onclick="dialogRobeClick('noviKodRobe')">..</button>
<span class="greska"><?php echo $greskaNoviKodRobe; ?> </span>  	
 <img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=" Unos robe je obavezan. " />  &nbsp; 
 VP:<?php listaVrsteProdaje('novaVrstaProdaje', $novaVrstaProdaje, false); ?>  &nbsp;
 <?php echo trim($noviNazivRobe).' <b>Cijena.'.$cijenaNoveSifre.'<b>'; ?> &nbsp; &nbsp;
<p></p>     
</td>
</tr>
</table>

<span style="padding-right: 0.3em">Datum DVO od:  </span> 
<input type="text" name="DVOod"  pattern="<?php echo $patternDatumVrijeme ?>" title="datum:dd.mm.gggg hh:mm:ss" 
       value="<?php echo $DVOod; ?>"  /> 
<span class="greska"><?php echo $greskaDVOod; ?> </span> &nbsp; &nbsp;

<span >Datum DVO do: </span> &nbsp;
<input type="text" name="DVOdo"  pattern="<?php echo $patternDatumVrijeme ?>" title="datum:dd.mm.gggg hh:mm:ss" 
       value="<?php echo $DVOdo; ?>"  required/>
<span class="greska"><?php echo $greskaDVOdo; ?> </span>  
<img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=
" DVO se puni u obliku dd.mm.gggg hh:mm:ss. 
Punjenje vremena hh:mm:ss nije obavezno.
AKO SE DVO od; OSTAVI PRAZAN
PROGRAM UZIMA DATUM INVENTURE za DVO od; " /> &nbsp; &nbsp; &nbsp; &nbsp;
 <p></p>
Ažuriranje stanja:
      <select name="azuranjeStanja">
        <option value="Da" <?php if($azuranjeStanja == 'Da') echo 'selected="selected"'; ?> >Da</option>
        <option value="Ne" <?php if($azuranjeStanja == 'Ne') echo 'selected="selected"'; ?> >Ne</option>
    </select>
 <p></p>
Dokumenti koji se ažuriraju:
      <select name="tipDokumenta">
        <option value="" <?php if($tipDokumenta == '') echo 'selected="selected"'; ?> >svi</option>
        <option value="R" <?php if($tipDokumenta == 'R') echo 'selected="selected"'; ?> > robni (koji ažuriraju stanja)</option>
        <option value="NR" <?php if($tipDokumenta == 'NR') echo 'selected="selected"'; ?> > nerobni (koji ne ažuriraju stanja)</option>
    </select>
 <p></p>
Provestii stvarne promjene: 
      <select name="stvarnePromjene">
        <option value="Da" <?php if($stvarnePromjene == 'Da') echo 'selected="selected"'; ?> >Da</option>
        <option value="Ne" <?php if($stvarnePromjene == 'Ne') echo 'selected="selected"'; ?> >Ne</option>
    </select>
 <p></p>

<p id="prihvat">
    <input type="submit" value="Prihvat " name="obrada" />	  
</p>
	<?php if (trim($greska)!='') : ?>
            <br>
	    <?php
	    //ako je greska onda u tekstu greske ima barem jedan !
	    $imaUsklicnik = strpos($greska, '!');
	    if ($imaUsklicnik === FALSE) {
		$greska_prihvat = 'greska_prihvat_nije_greska';
	    } else {
		$greska_prihvat = 'greska_prihvat';
	    }
	    ?>
	    <p id="<?php echo $greska_prihvat; ?>"> <?php echo $greska; ?> </p>
	<?php endif; ?>  

</form>   

<?php

include 'dokumenti/dialog_robe.php';
 
if(isset($_POST['obrada']) && $greska=='') {
    $kartica = get_stavke_dok_za_sifru($proda, $vrsDo, $stariKodRobe, $staraVrstaProdaje, $DVOod, $DVOdo, $tipDokumenta, $vrsteDokumenata);
    
    if($kartica) {
    ?>
    <h1>Stavke kojima se zamjenjuje roba </h1>
    <table class="t_lista">
      <thead>
         <tr>
            <th class="right">&nbsp;R.br. &nbsp; </th>
            <th class="left">Poslovnica &nbsp;</th>
            <th class="left">DVO&nbsp;</th>
            <th class="left">Vrsta dokument &nbsp;</th>
            <th class="right">Broj &nbsp;</th>
            <th class="right" style="min-width: 6em;">Cijena&nbsp;</th>
            <th class="right" style="min-width: 6em;">Ulaz&nbsp;</th>
            <th class="right" style="min-width: 6em;">Izlaz&nbsp;</th>
        </tr>
      </thead>
                
      <?php  
      
      $trenutnaProda = '';
      $br=$brojPoslovnica=0;
      $ukUlaz=0;
      $ukIzlaz=0;
      $prodaUlaz=0;
      $prodaIzlaz=0;
      foreach ($kartica as $slog) : 
           if($trenutnaProda!=$slog['proda']) {
               if($trenutnaProda!='') {
                   ?>
                    <tr class="pozadinaSilver">
                     <td colspan="6" class="right_t_lista"><b>Poslovnica: <?php echo $trenutnaProda; ?> &nbsp;</b> </td>
                     <td class="right">&nbsp;
                         <?php echo number_format($prodaUlaz,3,',',''); ?>
                     </td>  
                     <td class="right">&nbsp;
                         <?php echo number_format($prodaIzlaz,3,',',''); ?>
                     </td>  

                     </tr>
                   <?php
               }
               $trenutnaProda=$slog['proda'];
               $prodaUlaz=0;
               $prodaIzlaz=0;
               ++$brojPoslovnica;
              
           }
           
           $datum_o = new DateTime($slog['DVO']);
           $DVOf = $datum_o->format("d.m.Y H:i:s");
           $ukUlaz += $slog['ulaz'];
           $ukIzlaz += $slog['izlaz'];
           $prodaUlaz += $slog['ulaz'];
           $prodaIzlaz += $slog['izlaz'];
           if (++$br%2 == 0) 
               $pozadina = 'pozadina1';
            else 
               $pozadina = 'pozadina2';
            
            if($stvarnePromjene == 'Da') {
                if($slog['vrsDo']=='0') {
                    if($azuranjeStanja == 'Da') 
                        zamjena_robe_na_inventuri($slog['proda'], $stariKodRobe, $staraVrstaProdaje, $noviKodRobe, $novaVrstaProdaje, $slog['cijena']);
                } else {                
                    update_dok_stavke_kodRobe($slog['proda'], $slog['vrsDo'], $slog['proIn'], $slog['zapis'], $slog['broDo'], 
                                              $slog['verzi'], $slog['brojStavke'], $noviKodRobe, $novaVrstaProdaje);
                    if($azuranjeStanja == 'Da') {
                        azuriranje_stanja($slog['proda'],$slog['vrsDo'],$slog['proIn'],$slog['zapis'],$slog['broDo'],$slog['verzi'],$DVOf,
                                          $slog['kodPartnera'],$stariKodRobe,$staraVrstaProdaje, $slog['cijena'], -$slog['kolicina'],0,0,0,0,0,0,0);   
                        azuriranje_stanja($slog['proda'],$slog['vrsDo'],$slog['proIn'],$slog['zapis'],$slog['broDo'],$slog['verzi'],$DVOf,
                                          $slog['kodPartnera'],$noviKodRobe,$novaVrstaProdaje, $slog['cijena'], $slog['kolicina'],$slog['rabatPopust'],$slog['absRabatPopust'],0,0,0,0,0);   
                    }
                }
            }
        ?> 

          <tr class="<?php echo $pozadina;?>">
            <td class="right">&nbsp;<?php echo $br; ?>&nbsp;&nbsp;</td>
            <td><?php echo $slog['proda']; ?>&nbsp;</td> 
            <td><?php echo $DVOf; ?>&nbsp;</td>
            <td><?php echo $slog['nazivDokumenta']; ?>&nbsp;</td> 
            <td> 
                <?php echo $slog['broDo'].(trim($slog['verzi'])!=''?'/'.$slog['verzi']:''); ?>&nbsp;
            </td> 
            <td class="right">&nbsp;
                <?php echo format_ili_prazno($slog['cijena'],2 ,',',''); ?>
            </td>  
            <td class="right">&nbsp;
                <?php echo format_ili_prazno($slog['ulaz'],3,',',''); ?>
            </td>  
            <td class="right">&nbsp;
                <?php echo format_ili_prazno($slog['izlaz'],3,',',''); ?>
            <td class="right">&nbsp;
        <?php endforeach; 
        if($brojPoslovnica>1) {
           ?>
            <tr class="pozadinaSilver">
             <td colspan="6" class="right_t_lista"><b>Poslovnica: <?php echo $trenutnaProda; ?> &nbsp;</b> </td>
             <td class="right">&nbsp;
                 <?php echo number_format($prodaUlaz,3,',',''); ?>
             </td>  
             <td class="right">&nbsp;
                 <?php echo number_format($prodaIzlaz,3,',',''); ?>
             </td>  

             </tr>
           <?php
        }
        ?>
          <tfoot>         
           <tr>
            <td colspan="6" class="right_t_lista"><b>Ukupno: &nbsp;</b> </td>
            <td class="right">&nbsp;
                <?php echo number_format($ukUlaz,3,',',''); ?>
            </td>  
            <td class="right">&nbsp;
                <?php echo number_format($ukIzlaz,3,',',''); ?>
            </td>  

            </tr>
         </tfoot>     
    </table>
    <?php
        if($stvarnePromjene == 'Da') echo '<br><b> Uspješno izmjejeno slogova:'.$br.'</b><br>';
    }
    else
        echo 'Nema podataka !';
}
?>