set @konto='1200', @vrsDo='48', @broDo='709-5 PEVEC/14', @kodPartnera='1127', @DVOdo='2011-01-30 00:00:00';
--set @konto='1200', @vrsDo='48', @broDo='709-5 PEVEC/14', @kodPartnera='1127', @DVOdo='';
--set @konto='1200', @vrsDo='40', @broDo='122-3444', @kodPartnera='101', @DVOdo='';
--set @konto='1200', @vrsDo='20', @broDo='701-4134/14', @kodPartnera='1023', @DVOdo='';

/*
kratak opis upita:
sign(v.iznosVeze) - predznak iznosa na stavki veze,
sign(gk.iznosDug+gk.iznosPot) - predznak dug/pot stavke u gk za koju vršimo izračun 
ako ta dva predznaka nisu jednaka radi se o vezi sa storno stavkom i u sumi mora promjeniti predznak
*/
select 
ifnull(sum(sign(v.iznosVeze) * sign(gk.iznosDug+gk.iznosPot)*v.iznosVeze),0) as sumaVeza, 
(gk.iznosDug+gk.iznosPot) - ifnull(sum(sign(v.iznosVeze) * sign(gk.iznosDug+gk.iznosPot)*v.iznosVeze),0) otvoreno,
gk.iznosDug+gk.iznosPot as iznosUgk 
from gk_stavke as gk
left outer join 
(
    select v.*
    from veze as v 
    -- povezujemo se s gk da bismo vidjelistanje na dan 
    join gk_stavke as gk_veze 
    on ((gk_veze.konto=v.konto and gk_veze.kodPartnera=v.kodPartnera and gk_veze.vrsDo=v.vrsDo and gk_veze.broDo=v.broDo)
    or (gk_veze.konto=v.vKonto and gk_veze.kodPartnera=v.vKodPartnera and gk_veze.vrsDo=v.vVrsDo and gk_veze.broDo=v.vBroDo))
    where ((v.konto=@konto and v.kodPartnera=@kodPartnera and v.vrsDo=@vrsDo and v.broDo=@broDo)
    or (vKonto=@konto and vKodPartnera=@kodPartnera and vVrsDo=@vrsDo and vBroDo=@broDo))
    and not (gk_veze.vrsDo=@vrsDo and gk_veze.broDo=@broDo) 
    and (gk_veze.DVO<=@DVOdo or trim(@DVOdo)='')
) as v on
((v.konto=gk.konto and v.kodPartnera=gk.kodPartnera and v.vrsDo=gk.vrsDo and v.broDo=gk.broDo)
or (vKonto=gk.konto and vKodPartnera=gk.kodPartnera and vVrsDo=gk.vrsDo and vBroDo=gk.broDo))
where gk.konto=@konto and gk.kodPartnera=@kodPartnera and gk.vrsDo=@vrsDo and gk.broDo=@broDo
;
