set @konto='1200', @vrsDo='48', @broDo='709-5 PEVEC/14', @kodPartnera='1127', @DVOdo='2015-10-03 00:00:00';
--set @konto='1200', @vrsDo='20', @broDo='701-5079/13', @kodPartnera='101', @DVOdo='';
set @konto='1200', @vrsDo='20', @broDo='701-352', @kodPartnera='1001', @DVOdo='2015-03-10 00:00:00';

select 'glavni' as vrstaVeze, v.konto, v.vrsDo, v.broDo, v.kodPartnera, 
vkonto as kontoVeze, vvrsDo as vrsDoVeze, vd.oznakaDokumenta as oznakaDokumentaVeze, vbroDo as broDoVeze, vkodPartnera as kodPartneraVeze, iznosVeze,
gk.brojTemeljnice, gk.brojStavke, gk.DVO, gk.valuta, gk.iznosDug, gk.iznosPot, gk.iznosOtv
from veze as v
left outer join vrste_dokumenata as vd on vd.vrsDo=v.vvrsDo
left outer join gk_stavke as gk on gk.konto=v.vkonto and gk.kodPartnera=v.vkodPartnera and gk.vrsDo=v.vVrsDo and gk.broDo=v.vbroDo
where v.konto=@konto and v.kodPartnera=@kodPartnera and v.vrsDo=@vrsDo and v.broDo=@broDo
and (gk.DVO<=@DVOdo or trim(@DVOdo)='')
union all
select 'vezni' as vrstaVeze, vkonto, vvrsDo, vbroDo, vkodPartnera,  
v.konto, v.vrsDo, vd.oznakaDokumenta as oznakaDokumentaVeze, v.broDo, v.kodPartnera, iznosVeze ,
gk.brojTemeljnice, gk.brojStavke, gk.DVO, gk.valuta, gk.iznosDug, gk.iznosPot, gk.iznosOtv
from veze as v
left outer join vrste_dokumenata as vd on vd.vrsDo=v.vrsDo
left outer join gk_stavke as gk on gk.konto=v.konto and gk.kodPartnera=v.kodPartnera and gk.vrsDo=v.vrsDo and gk.broDo=v.broDo
where vkonto=@konto and vkodPartnera=@kodPartnera and vvrsDo=@vrsDo and vbroDo=@broDo
and (gk.DVO<=@DVOdo or trim(@DVOdo)='')

;
