SET @mimSaldo=1, @DVO='2017-01-01 00:00:00'; 

DELETE FROM test.gk_stavke
; 

INSERT INTO test.gk_stavke
(
brojTemeljnice, brojStavke, vrsDo, broDo, brojIzvoda, konto, kodPartnera, DVO, valuta, 
brojDobRacuna,
opisKnjizenja,
iznosPdv,
vrstaRacuna, 
neoporezivIznos,
iznosDug, iznosPot, iznosOtv,
donosDug, donosPot ,
datumOtvaranja, tkoJeIzmjenio
)
SELECT 
1 as brojTemeljnice, @b:=@b+1 as brojStavke, '48' as vrsDo, 1 as broDo, 0 as brojIzvoda, f.konto, '' as kodPartnera, @DVO as DVO, @DVO as valuta,
'' as brojDobRacuna,
'' as opisKnjizenja,
0 as iznosPdv,
'' as vrstaRacuna, 
0 as neoporezivIznos, 
if(saldo>0, saldo,0) as iznosDug,
if(saldo<0, -saldo,0) as iznosPot,
0 as iznosOtv,
duguje as donosDug,
potrazuje as domosPot, 
NOW() as datumOtvaranja, 
'DONOS' as tkoJeIzmjenio
FROM 
( 
SELECT 
gk.konto, sum(iznosDug) as duguje, sum(iznosPot) as potrazuje,
sum(iznosDug-iznosPot) as saldo
FROM gk_stavke as gk
INNER JOIN konta as k ON k.konto=gk.konto
WHERE k.`vrstaKonta`='F'
GROUP BY gk.konto
-- HAVING abs(sum(iznosDug-iznosPot))>=@mimSaldo
) AS f,
(SELECT @b:=ifnull(max(brojStavke),0) FROM test.gk_stavke WHERE brojTemeljnice=1) as n

;

