<?php  
require_once('../util/main.php');
 $prazno = ' ';
 $query = '
        SELECT  *
                FROM maticna_robe
		WHERE tkoJeIzmjenio > :prazno';
    try {
        $statement = $db->prepare($query);
		$statement->bindValue(':prazno', $prazno);
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
	$dodano = 0;
	foreach($result as $stavka) {
	  $kodRobe = $stavka['kodRobe'];
	  $nazivRobe = $stavka['nazivRobe'];
	  $jedinicaMjere = $stavka['jedinicaMjere']; 
	  $cijena = $stavka['cijena'];
	  $popust = $stavka['popust'];
	  $kodGrupe = $stavka['kodGrupe'];
	  $poreznaGrupa = $stavka['poreznaGrupa'];
	  $minZaliha = $stavka['minZaliha'];
      $EANkod = $stavka['EANkod'];
	  $brutoTezina = $stavka['brutoTezina'];
	  $netoTezina = $stavka['netoTezina'];
	  $zemljaPorijekla = $stavka['zemljaPorijekla'];
	  $zemljaUvoznik = $stavka['zemljaUvoznik'];
	  $proOzRobe = $stavka['proOzRobe'];
	  $sklopPoKatalogu = $stavka['sklopPoKatalogu'];
	  $stavkaSklopa = $stavka['stavkaSklopa'];
	  $kodProizvodjaca = $stavka['kodProizvodjaca'];
	  $povratnaNaknada = $stavka['povratnaNaknada'];
	  $robaUsluga = $stavka['robaUsluga'];
	  $prikazStanja = $stavka['prikazStanja'];
      $opis = $stavka['opis'];
      $datumOtvaranja = $stavka['datumOtvaranja']; 
	  $datumIzmjene = $stavka['datumIzmjene']; 
	  $tkoJeIzmjenio = $stavka['tkoJeIzmjenio']; 
	  $dodano++; 
 //      echo 'dodano=' . $dodano; 
	  $query = 'INSERT INTO maticna_robe_pomo
                 (kodRobe, nazivRobe, jedinicaMjere, cijena, popust, kodGrupe, poreznaGrupa,
				  minZaliha, EANkod, brutoTezina, netoTezina, zemljaPorijekla, zemljaUvoznik,
				  proOzRobe, sklopPoKatalogu, stavkaSklopa, kodProizvodjaca, povratnaNaknada,
                  robaUsluga, prikazStanja, opis, datumOtvaranja, datumIzmjene, tkoJeIzmjenio)				  
              VALUES
			      (:kodRobe, :nazivRobe, :jedinicaMjere, :cijena, :popust, :kodGrupe, :poreznaGrupa,
				  :minZaliha, :EANkod, :brutoTezina, :netoTezina, :zemljaPorijekla, :zemljaUvoznik,
				  :proOzRobe, :sklopPoKatalogu, :stavkaSklopa, :kodProizvodjaca, :povratnaNaknada,
                  :robaUsluga, :prikazStanja, :opis, :datumOtvaranja, :datumIzmjene, :tkoJeIzmjenio)';	
            try {
        $statement = $db->prepare($query);
		$statement->bindValue(':kodRobe', $kodRobe);
        $statement->bindValue(':nazivRobe', $nazivRobe);
        $statement->bindValue(':jedinicaMjere', $jedinicaMjere);
		$statement->bindValue(':cijena', $cijena);
        $statement->bindValue(':popust', $popust);
		$statement->bindValue(':kodGrupe', $kodGrupe);
		$statement->bindValue(':poreznaGrupa', $poreznaGrupa);
		$statement->bindValue(':minZaliha', $minZaliha);
		$statement->bindValue(':EANkod', $EANkod);
		$statement->bindValue(':brutoTezina', $brutoTezina);
		$statement->bindValue(':netoTezina', $netoTezina);
		$statement->bindValue(':zemljaPorijekla', $zemljaPorijekla);
		$statement->bindValue(':zemljaUvoznik', $zemljaUvoznik);
		$statement->bindValue(':proOzRobe', $proOzRobe);
		$statement->bindValue(':sklopPoKatalogu', $sklopPoKatalogu);
		$statement->bindValue(':stavkaSklopa', $stavkaSklopa);
		$statement->bindValue(':kodProizvodjaca', $kodProizvodjaca);
		$statement->bindValue(':povratnaNaknada', $povratnaNaknada);
		$statement->bindValue(':robaUsluga', $robaUsluga);
		$statement->bindValue(':prikazStanja', $prikazStanja);
		$statement->bindValue(':opis', $opis);
		$statement->bindValue(':datumOtvaranja', $datumOtvaranja);
		$statement->bindValue(':datumIzmjene', $datumIzmjene);
		$statement->bindValue(':tkoJeIzmjenio', $tkoJeIzmjenio);
        $statement->execute();
        $statement->closeCursor();
//      return $kodRobe;
      	
      } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
     } 
	
    }
    echo 'U maticna_robe_pomo dodano je: ' .  $dodano . ' slogova '; 	



?>