<?php
include_once 'model/tablica_db.php';
include_once './model/doprinosi_porezi_db.php';

$tipka='Prihvat';
$tablica='doprinosi_porezi';

$slogZaUnos=kreiraj_slog_tablice($tablica);

$poljaKljuca=get_primarni_kljuc($tablica);

$oznakeGreske['vrstaDoprinosaPoreza'] = '&nbsp;';   
$oznakeGreske['stopaDoprinosaPoreza'] = '&nbsp;';   
$oznakeGreske['vrijediOd'] = '&nbsp;';   
// $oznakeGreske['vrijediDo'] = '&nbsp;';   

$skriptaPregleda='./dokumenti/view_pregled_doprinosi_porezi.php';
$povratakIzPregleda='izabrano_je_doprinosi_porezi';
  
$dokument = 'Doprinosi - porezi';
$slogIzBaze=null;

$greska='';

if(isset($_REQUEST['opSaDok']) || $action==$povratakIzPregleda ) {
    // puni polja kljuca s poljima u $_POST ili $_GET i uzme slog iz baze ako postoji
    $slogZaUnos['vrstaDoprinosaPoreza']=$_REQUEST['vrstaDoprinosaPoreza'];
    $slogZaUnos['vrijediOd']=$_REQUEST['vrijediOd'];
    if($greska == '') {
        // $slogIzBaze = get_slog_tablice($tablica, $slogZaUnos, $poljaKljuca);
        $slogIzBaze = get_jedan_doprinosPorez($slogZaUnos['vrstaDoprinosaPoreza'], $slogZaUnos['vrijediOd']);
    }    
}    

// za datume na nam ne treba vrijeme
$datumBezVremena=true;

include 'dokumenti/view_unos_zajednicki.php';

if(isset($greskaKopiranje)) {
    $greska=$greskaKopiranje;
    $potvrdaUnosa=FALSE;
}

if($potvrdaUnosa) {

    // Kontrola ispravnosti polja za unos i izmjenu
    
    if($slogZaUnos['stopaDoprinosaPoreza']>=100) {
        $greska.='Stopa ne može biti veča ili jednaka 100%!';
        $oznakeGreske['stopaDoprinosaPoreza'] = '*';   
    }
    
    if(trim($slogZaUnos['IBAN'])!='') {
        if(!is_valid_IBAN($slogZaUnos['IBAN'])) {
            $greska .= ' Neispravan IBAN !';   
        }
    }
    
    if(trim($greska)=='' && $opSaDok!='Brisanje') {
        /*
        $greskaDatum = usporedi_datume($slogZaUnos['vrijediOd'],$slogZaUnos['vrijediDo'], 'Vrijedi od', 'Vrijedi do', 'ovisni',true);
        if (isset($greskaDatum)) {
            $greska .= $greskaDatum;  
            $oznakeGreske['vrijediOd'] = '*';   
            $oznakeGreske['vrijediDo'] = '*';   
        } 
         */
        $greskaDatum = is_valid_datum($slogZaUnos['vrijediOd']);
        if (isset($greskaDatum)) {
        $buduciDatum = stripos($greskaDatum, ' Budući datum ! ');
            if ($buduciDatum !== 0) { 
                $greska .= ' Vrijedi od:'.$greskaDatum;  
                $oznakeGreske['vrijediOd'] = '*';
            }
        } 
        
    }

    if(trim($greska)=='') {
        // brisanje ili upis u bazu
        switch ($_REQUEST['opSaDok']) {
            case 'Unos':
                // add_slog_tablice($tablica, $slogZaUnos);
                add_doprinosi_porezi($slogZaUnos);
                $greska='Slog "'.$slogZaUnos['vrstaDoprinosaPoreza'].'" je uspješno upisan';
                break;
            case 'Izmjena':
                 // update_slog_tablice($tablica, $slogZaUnos, $poljaKljuca);
                $stariKljuc['vrstaDoprinosaPoreza']=$_REQUEST['vrstaDoprinosaPoreza_st'];
                $stariKljuc['vrijediOd']=$_REQUEST['vrijediOd_st'];
                update_doprinosi_porezi($slogZaUnos, $stariKljuc);
                $greska='Slog "'.$slogZaUnos['vrstaDoprinosaPoreza'].'" je uspješno izmjenjen.';
                break;
            case 'Brisanje':
                // delete_slog_tablice($tablica, $slogZaUnos, $poljaKljuca);
                delete_doprinosi_porezi($slogZaUnos['vrstaDoprinosaPoreza'], $slogZaUnos['vrijediOd']);
                $greska='Slog "'.$slogZaUnos['vrstaDoprinosaPoreza'].'" je uspješno obrisan';
                break;
        } 
    }
}

include 'view/header.php'; 
?>

<form action="." method="post" id="view_zag">
<input type="hidden" name="action" value="view_doprinosi_porezi" />
<table>
    <tr>
       <td><h1><?php echo $dokument; ?> </h1> &nbsp;
       <img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title="
             Primjer: stopa poreza se mijenja od 01.01.2021 na 20 %.
                 Prije je vrijedila 24%.
                 Unese se porez1 (za osnovicu do 30000) sa datumom Vrijedi od: 01.01.2021
                 Također se unese porez2 sa stopmom 30%(prije je stopa bila 36%)
                 za porezne osnovice veće od 30000.
               Ove stope ulaze u obračun za plaću za 12 mjesec 2020 i dalje.
            Slično se unaša u slučaju da se mjenja porezna osnovica.
             Ovdje se mogu pratiti važeći(aktivni) doprinosi porezi kao i oni iz prošlosti
             koji nisu aktivni.
             Doprinosi-porezi imaju vremenski rok važenja
             od datuma Vrijedi od:
             Zato se u naziv doprinosa-poreza ne piše stopa(ali se može pisati).
             Iz tog razloga isti kod doprinosa-poreza ne može u jednom razdoblju 
             imati izIliNaPlacu  npr. izPlace, a u drugom naPlacu.
             (Takva situacija bi zahtjevala promejenu kodDoprinosa poreza u novom razdoblju)
             Ovo bi izazvalo poremećaje u računanju npr. za razdoblja
             koja se protežu na više mjeseci(godina).
             
             Promjena stope ili IBAN-a ili poziva na broj
             traži prijavu novog sloga sa novim datumom Vrijedi od:            
 " /> &nbsp; &nbsp; &nbsp;  
       </td>
       <td> 
          &nbsp; &nbsp; &nbsp; <span class="veca_slova_110">  
          <b>Operacije: &nbsp; </b> </span>
          <?php include 'dokumenti/operacije.php'; ?> 
       </td>
       <td> </td>
     </tr>
</table>

<b>Vrsta:</b> &nbsp; &nbsp; &nbsp;
<input type="text" size="6" name="vrstaDoprinosaPoreza" value="<?php echo $slogZaUnos['vrstaDoprinosaPoreza']; ?>" required />  
 <span class="greska"><?php echo $oznakeGreske['vrstaDoprinosaPoreza']; ?> </span>  
 Naziv: 
<input type="text" class="text_width_50em" name="nazivDoprinosaPoreza" value="<?php echo $slogZaUnos['nazivDoprinosaPoreza']; ?>" required /> 
<p></p>
Stopa(%):
<input type="text" class="text_width_5em" name="stopaDoprinosaPoreza" value="<?php echo $slogZaUnos['stopaDoprinosaPoreza']; ?>" 
       required pattern="[0-9]*[.,]?[0-9]{1,5}"/>  &nbsp   
<b>Vrijedi od:</b>
<input type="text" size="8" name="vrijediOd" value="<?php echo $slogZaUnos['vrijediOd']; ?>" required pattern="<?php echo $patternDatum ?>"  />  
 <span class="greska"><?php echo $oznakeGreske['vrijediOd']; ?> </span> &nbsp   

Obračunava se:
      <select name="izIliNaPlacu">
         <option value="izPlace" <?php if($slogZaUnos['izIliNaPlacu'] == 'izPlace') echo 'selected="selected"'; ?> >Iz plaće</option>
         <option value="naPlacu" <?php if($slogZaUnos['izIliNaPlacu'] == 'naPlacu') echo 'selected="selected"'; ?> >Na plaću</option>
         <option value="naDohodak" <?php if($slogZaUnos['izIliNaPlacu'] == 'naDohodak') echo 'selected="selected"'; ?> >Na dohodak</option>
         <option value="naPorez" <?php if($slogZaUnos['izIliNaPlacu'] == 'naPorez') echo 'selected="selected"'; ?> >Na porez</option>
         <option value="naDobit" <?php if($slogZaUnos['izIliNaPlacu'] == 'naDobit') echo 'selected="selected"'; ?> >Na dobit</option>
       </select>  &nbsp; &nbsp; &nbsp;
Osnovica do:
<input type="text" class="text_width_6em" name="osnovica" value="<?php echo $slogZaUnos['osnovica']; ?>" 
       required pattern="<?php echo $pCijena2Decimale?>"/>  
<p></p>
Poziv na broj platitelja: 
<input type="text" size="4" class="text_width_3em" name="modelPlatitelja" value="<?php echo $slogZaUnos['modelPlatitelja']; ?>"  />  &nbsp;
<input type="text" size="22" class="text_width_15em" name="pozivNaBrojPlatitelja" value="<?php echo $slogZaUnos['pozivNaBrojPlatitelja']; ?>"  /> 

IBAN: 
<input type="text" class="text_width_15em" name="IBAN" value="<?php echo $slogZaUnos['IBAN']; ?>"  /> &nbsp; &nbsp;
Poziv na broj primatelja: 
<input type="text" size="4" class="text_width_3em" name="modelPrimatelja" value="<?php echo $slogZaUnos['modelPrimatelja']; ?>"  />  &nbsp;
<input type="text" size="22" class="text_width_15em" name="pozivNaBrojPrimatelja" value="<?php echo $slogZaUnos['pozivNaBrojPrimatelja']; ?>"  /> 

<input type="hidden" name="vrstaDoprinosaPoreza_st" value="<?php echo $slogZaUnos['vrstaDoprinosaPoreza']; ?>" />  
<input type="hidden" name="vrijediOd_st" value="<?php echo $slogZaUnos['vrijediOd']; ?>" />  

<?php postaviTipkeUnosa($opSaDok, $greska) ; ?>
<br>
<?php
  include './dokumenti/view_pregled_doprinosi_porezi.php';
?>
</form>
<?php
poljaKljucaUjs($poljaKljuca);
?>

