<style>
.tablica table {
    border-collapse: collapse;
}

.tablica table, .tablica th, .tablica td {
    border: 1px solid #CCCCCC;    
    font-size: 150%;
}
.ukupno {
    background-color: #CAFFD8;
}
</style>
    
<?php
require_once('dokumenti/komponenteZaPlace.php');
$naslov = 'HZZO potvda o plaći';
$greska = '';
if(isset($_POST['mjesecObracunaOd'])) {  
    // prihvaćeni su podaci s ekrana
    $mjesecObracunaOd = $_POST['mjesecObracunaOd'];
    $godinaObracunaOd = $_POST['godinaObracunaOd'];
    $mjesecObracunaDo = $_POST['mjesecObracunaDo'];
    $godinaObracunaDo = $_POST['godinaObracunaDo'];
    $kodRadnika = $_POST['kodRadnika'];
}
else {
    $danas = new DateTime();
    $d = new DateTime($danas->format('Y').'-'.$danas->format('m').'-1');
    $d->modify('-2 month');
    $godinaObracunaDo = $d->format('Y');
    $mjesecObracunaDo = $d->format('m');
    $d->modify('-6 month');
    $godinaObracunaOd = $d->format('Y');
    $mjesecObracunaOd = $d->format('m');
    $kodRadnika = '';
}
?>


<form action="." method="post" id="view_hzzo_potvda_o_placi">
<input type="hidden" name="action" value="view_hzzo_potvda_o_placi" />
<!-- <h1><?php echo $naslov; ?> </h1> -->

<div id="panel" style="background-color: #EAFFEF; border: solid 1px grey; padding: 0.4em">
    <h1><?php echo $naslov; ?> </h1>
Djelatnik: &nbsp;&nbsp;<?php listaRadnikaPoImenu("kodRadnika", $kodRadnika,false,$samoAktivni=true); ?> &nbsp;
Mjesec od: 
<?php listaMjeseci("mjesecObracunaOd", $mjesecObracunaOd); ?> 
godina od: 
<input type="text" class="text_width_3em" name="godinaObracunaOd" id="godinaObracunaOd" value="<?php echo $godinaObracunaOd; ?>" 
       pattern="20[0-9][0-9]" required title="Unesite godinu obračuna tipa 20XX."/> 
 mjesec do: 
<?php listaMjeseci("mjesecObracunaDo", $mjesecObracunaDo); ?> 
godina do: 
<input type="text" class="text_width_3em" name="godinaObracunaDo" id="godinaObracunaDo" value="<?php echo $godinaObracunaDo; ?>" 
        pattern="20[0-9][0-9]" required title="Unesite godinu obračuna tipa 20XX."/> &nbsp;&nbsp;
<p></p>

<p></p>



<?php postaviTipkeUnosa('Unos', $greska) ; ?>

</div>
<br>   
</form>

<?php
if(isset($_POST['mjesecObracunaOd'])) {  
    require_once('./model/obracuni_placa_db.php');
    $place = get_place_za_hzzo($godinaObracunaOd, $mjesecObracunaOd, $godinaObracunaDo, $mjesecObracunaDo, $kodRadnika);
    if(count($place)<1) {
        echo "Ne postoje podaci!";
        include ('view/footer.php');
        exit;
    }
    $ukupnoBruto = $ukupnoNeto = $ukupnoSati = 0;
    ?>
<table class="t_lista_primka tablica" >
    <thead>
    <tr>
        <th>Isplata za<br>mj/god</th>
        <th>Plaća</th>
        <th>Isplaćena <br> plaća</th>
        <th>Ukupno sati</th>
    </tr>
    </thead>
    <?php
        foreach ($place as $placa) {
            $ukupnoBruto += $placa['brutoIznos'];
            $ukupnoNeto += $placa['netoIznos'];
            $ukupnoSati += $placa['brutoSati'];
            
        ?>
    <tr>
        <td> <?php echo $placa['mjesecObracuna'].'/'.$placa['godinaObracuna'] ?> </td>
        <td class="right" style="padding-left: 5px; padding-right: 5px" > <?php echo number_format($placa['brutoIznos'], 2,',','.') ?> </td>
        <td class="right" style="padding-left: 5px; padding-right: 5px" > <?php echo number_format($placa['netoIznos'], 2,',','.') ?> </td>
        <td class="right" style="padding-left: 5px; padding-right: 5px" > <?php echo number_format($placa['brutoSati'], 0,',','.') ?> </td>
        
    </tr>
        <?php
        }
if($ukupnoSati>0) {        
    $satnicaBruto = $ukupnoBruto/$ukupnoSati;
    $satnicaNeto = $ukupnoNeto/$ukupnoSati;
}
else $satnicaBruto = $satnicaNeto = 0;

?>
    <tfoot>
    <tr>    
    <td>Ukupno:</td>
        <td class="right" style="padding-left: 5px; padding-right: 5px" > <?php echo number_format($ukupnoBruto, 2,',','.') ?> </td>
        <td class="right" style="padding-left: 5px; padding-right: 5px" > <?php echo number_format($ukupnoNeto, 2,',','.') ?> </td>
        <td class="right" style="padding-left: 5px; padding-right: 5px" > <?php echo number_format($ukupnoSati, 0,',','.') ?> </td>
    </tr>
    </tfoot>
</table>
<p>
<b> Osnovicu čini prosječni iznos plaće isplaćene u posljednjih šest mjeseci,<br>
    a koja iznosi <?php echo number_format($satnicaBruto, 2,',','.') ?> kn po satu - bruto, odnsno <?php echo number_format($satnicaNeto, 2,',','.') ?> kn po satu - neto. </b>
</p>    
<?php
}
?>