<?php

include_once './model/krediti_obustave_db.php';
include_once './dokumenti/komponenteZaPlace.php';

if ($action=='izabran_je_kodPartnera' && isset($_SESSION['pregledPartnera'])) {
   $_REQUEST = kopiraj_array($_SESSION['pregledPartnera']);
   $_REQUEST['kodBanke']=$_GET['kodPartnera'];
}
else if(isset($_GET['kodPartnera']))
   $_REQUEST['kodBanke']=$_GET['kodPartnera'];

if(isset($_REQUEST['opSaDok']))
    $opSaDok = $_REQUEST['opSaDok'];
else
    $opSaDok = 'Unos';
$greska='';
$naslov='Krediti - obustave';

$slogZaUnos=array();
$slogZaUnos['kodRadnika']='';
postaviPoljaKredita($slogZaUnos);
$oznakeGreske['kodBanke'] = '&nbsp;';
$oznakeGreske['kodKredita'] = '&nbsp;';  
$oznakeGreske['pocetakObustave'] = '&nbsp;';  
$oznakeGreske['pocetakObustave'] = '&nbsp;';  
// $oznakeGreske['sati'] = '&nbsp;';  
// $oznakeGreske['satnica'] = '&nbsp;';  

if(isset($_REQUEST['opSaDok'])) {
    // $slogZaUnos=puni_slog($slogZaUnos, $_REQUEST, $datumBezVremena=true);

    $slogZaUnos['kodRadnika'] = $_REQUEST['kodRadnika'];
    if(!isset($_REQUEST['odustani'])) {
        $slogZaUnos['kodBanke'] = $_REQUEST['kodBanke'];
        $slogZaUnos['kodKredita'] = $_REQUEST['kodKredita'];
    }
  
    if($opSaDok=='Izmjena' && isset($_GET['opSaDok'])) {
        $slogIzBaze = get_kredit($slogZaUnos);
        $slogZaUnos=puni_slog($slogZaUnos, $slogIzBaze, $datumBezVremena=true);        
    }
    else if($opSaDok=='Brisanje' && isset($_GET['opSaDok'])) {
        delete_krediti_obustave($slogZaUnos);
        $greska='Kredit je obrisan.';
        postaviPoljaKredita($slogZaUnos);
    }
}
else { // ušli smo iz menua
    $radnici = get_maticna_radnika();
    if(count($radnici)>0) {
        $slogZaUnos['kodRadnika'] = $radnici[0]['kodRadnika'];  
    }
     
}

if(isset($_REQUEST['opSaDok'])) {
    /*
    if($opSaDok=='Brisanje') {
        delete_krediti_obustave($slogZaUnos);
        $greska = 'Kredit je obrisan.';
    }
     */
    if(isset($_REQUEST['prihvati'])) {
        $slogZaUnos=puni_slog($slogZaUnos, $_REQUEST, $datumBezVremena=true);
        $greska = kontrolaUnosaKredita($slogZaUnos);
        if(trim($greska)=='') {
            // kontrola i preuzimanje partnera
            if(isset($_GET['kodBanke'])) {
                $slogZaUnos['kodBanke']=$_GET['kodBanke'];
                $_REQUEST['kodBanke'] = $_GET['kodBanke'];
            }    

            if(trim($slogZaUnos['kodBanke'])!='') {
                $partner=get_partner($slogZaUnos['kodBanke']);
                if(!is_array($partner)) {
                $pom=pretraga_partnera($slogZaUnos['kodBanke'],'./cart/view_krediti.php');
                    if(is_array($pom)) {
                        $partneri=$pom;
                         $pretraga_partner_header = false;
                         $imaNemaPartner = 'Ima';
                         include 'view/header.php';
                         include 'dokumenti/view_pretraga_partnera.php';
                         include 'view/footer.php';
                         exit;            
                    }
                }
            }
    
            if($opSaDok=='Unos') {
                add_krediti_obustave($slogZaUnos);
                $greska = 'Kredit je uspješno unesen.';
            }
            else { // izmjena
                update_krediti_obustave($slogZaUnos,$slogZaUnos);
                $greska = 'Kredit je izmjenjen.';
            }
            postaviPoljaKredita($slogZaUnos);
            $opSaDok='Unos';
        }
    }
}
$parametriZaPregled ='&kodRadnika='.$slogZaUnos['kodRadnika'];

include 'view/header.php'; 

?>
<style>
    #page {
        margin: 0; 
        width: auto;
    }
</style>

<form action="." method="post" id="view_krediti">
<input type="hidden" name="action" value="unos_krediti" />
<h1><?php echo $naslov; ?> 
<img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=" 
                  Krediti za robu, stambeni krediti...
                  Obustave: sindikalne članarine, životno osiguranje...                   
                " />     
    
    &nbsp;&nbsp; <a href=<?php echo "./?action=view_pregled_kredita".$parametriZaPregled ?> > Pregled</a> 
</h1>
<br>
<div id="panel" style="background-color: #EAFFEF; border: solid 1px grey; padding: 0.4em">

<p>
Djelatnik:  <?php listaRadnikaPoImenu("kodRadnika", $slogZaUnos['kodRadnika'],$daliSve=false, $samoAktivni=true); ?> 
</p>
</div>
<p></p>
<div id="unosStavke">
    <table class="t_lista_primka">
    <thead>
        <tr>
            <th class='left' style="padding-left:  0.5em" >Banka </th>
            <th class='left'>Kod<br>kredita
            <img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=" 
                  Ova rubrika je obično prazna, ako radnik u jednoj banci
                ima jedan kredit.  
                   U slučaju da radnik ima više različitih kredita u istoj banci,
                   onda prvi kredit u toj banci može imati ovu rubriu prazno, drugi npr. 2 ili B
                   ili K2 ili traktorYTO (rubrika je duljine do 12 znaka).
                " /> 
            </th>
            <th class='left'>Naziv kredita<br>obustave 
            <img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=" 
                  Ova rubrika se ne mora popuniti, ali je dobro da se popuni
                  npr. Životno osiguranje, Kredit za robu, Sindikalna članarina i.t.d                 
                " /> 
            </th>
            <th class='left'>Rata 
            <img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=" 
                  Ova rubrika se obavezno puni i to je rata koja se skida kod
                  obračuna plaće. (piše se iznos ili postotak).
                  Ako je u postotku osnovica za obračun rate kredita je: 
                  brutoOsnovicaZaDoprinose - sumaDoprinosaIzPlace - ukupniPorez - iznosPrireza + HZZO bolovanja
                  (prijevoz ne ulazi u osnovicu za kredite ako je rata u postotku)
                " /> 
            </th>
            <th class='left'> A/% 
                <img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=" 
                    Iznos rate kredita može biti u postocima (%)
                 npr. sindikalna članarina 0,6%),                
                ili čisti iznos rate(absolutni) - prazno. " /> 
            </th>
            <th class='left'>IBAN banke primatelja</th>
            <th class='left'>Model <br> primatelja</th>
            <th>Poziv na broj<br> primatelja </th>
            <th class='right' style="padding-right: 1em">Ukupni iznos <br>kredita </th>
            <th class='right' style="padding-right: 1em">Broj rata </th>
            <th class='left'>Početak<br>obustave 
            <img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=" 
                    datum početka obustave prva rata npr. 01.06.2019 ili 18.06.2019 
                    kredit se počinje skidat na plaći za 5 mjesec    
                 " /> 
            </th>
            <th class='left'>Završetak<br>obustave 
           <img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title="      
            datum završetka obustave zadnja rata  npr. 15.07.2025 zadnje skidanje na plaći za 6. mjesec 2025 
            ili npr. 01.01.2999 ili prazno,  kredit se trajno skida " /> 
            </th>
            <th class='left'>Virman
              <img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=" 
                    Virmani po kreditima-obustavama mogu se ispisivati(platiti) pojedinačno po svakom radniku
                    -> tako se ispisuju krediti.
                    
                   Npr.virman za sindikalnu članarinu može se ispisati grupno, jedan virman
                   u kojem su zbrojeni svi iznosi tog tipa sindikalne članarine
                   po svim radnicima.          
                " />               
            </th>
            <th class='right' style="padding-right: 1em">Prva rata </th>
            <th class='right' style="padding-right: 1em">Zadnja rata </th>
            <th class='left'>Model <br> platitelja</th>
            <th>Poziv na broj<br> platitelja </th>
            <th>Aktivan </th>
        </tr>
    </thead>
    <tr>
        <td class="td_t_lista"> 
            <input type="text" size="7" name="kodBanke" value="<?php echo $slogZaUnos['kodBanke']; ?>"  required="" /> 
        </td>
        <td class="td_t_lista"> 
            <input type="text" class="text_width_6em" size="12" name="kodKredita" value="<?php echo $slogZaUnos['kodKredita']; ?>" /> 
        </td>
        <td class="td_t_lista"> 
            <input type="text" size="15" name="nazivKreditaObustave" value="<?php echo $slogZaUnos['nazivKreditaObustave']; ?>"  required="" /> 
        </td>
        <td class="right_t_lista">
            <input type="text" class="text_width_5em" name="rataKredita" id="rataKredita" pattern="[0-9]*[.,]?[0-9]{1,4}" title="Unesite broj do 4 decimalnih mjesta"                              
                   value="<?php echo $slogZaUnos['rataKredita']; ?>" required />
        </td>
        <td class="right_t_lista">
            <select name="absRataKredita" > 
              <option value=""  <?php if($slogZaUnos['absRataKredita'] == '')  echo 'selected="selected"';  ?></option>
              <option value="%"  <?php if($slogZaUnos['absRataKredita'] == '%')  echo 'selected="selected"';  ?>>%</option>
            </select>             
        </td>
        <td class="td_t_lista"> 
            <input type="text" size="20" name="brojRacunaZaIsplatuKredita" value="<?php echo $slogZaUnos['brojRacunaZaIsplatuKredita']; ?>"  required /> 
        </td>
        <td class="td_t_lista"> 
            <input type="text" size="2" name="modelPrimatelja" value="<?php echo $slogZaUnos['modelPrimatelja']; ?>"  required /> 
        </td>
        <td class="td_t_lista"> 
            <input type="text" size="20" name="pozivNaBrojPrimatelja" value="<?php echo $slogZaUnos['pozivNaBrojPrimatelja']; ?>"  required /> 
        </td>
        <td class="right_t_lista">
            <input type="text" class="text_width_5em" name="ukupniIznosKredita" id="ukupniIznosKredita" pattern="<?php echo $pCijena2Decimale ?>" title="Unesite broj do 5 decimalnih mjesta"                              
                   value="<?php echo $slogZaUnos['ukupniIznosKredita']; ?>" required="" />
        </td>
        <td class="right_t_lista">
            <input type="text" class="text_width_5em" name="brojRata" id="sati" pattern="[0-9]{1,5}"                              
                   value="<?php echo round($slogZaUnos['brojRata']); ?>" required="" />
        </td>

        <td class="td_t_lista"> 
            <input type="text" name="pocetakObustave" value="<?php echo $slogZaUnos['pocetakObustave']; ?>" 
                   pattern="[0-9]{1,2}.{0,1}[0-9]{1,2}.{0,1}[0-9]{4}" size="8" title="datum:dd.mm.gggg" required /> 
        </td>
        <td class="td_t_lista"> 
            <input type="text" name="zavrsetakObustave" value="<?php echo $slogZaUnos['zavrsetakObustave']; ?>" 
                   pattern="[0-9]{1,2}.{0,1}[0-9]{1,2}.{0,1}[0-9]{4}" size="8" title="datum:dd.mm.gggg"/> 
        </td>
        <td class="right_t_lista">
            <select name="virmanPojedinacniGrupni" > 
              <option value="pojedi"  <?php if($slogZaUnos['virmanPojedinacniGrupni'] == 'pojedi')  echo 'selected="selected"';  ?>>Pojedinačni</option>
              <option value="grupni"  <?php if($slogZaUnos['virmanPojedinacniGrupni'] == 'grupni')  echo 'selected="selected"';  ?>>Grupni</option>
            </select>             
        </td>
        <td class="right_t_lista">
            <input type="text" class="text_width_5em" name="iznosPrveRate" id="iznosPrveRate" pattern="<?php echo $pCijena2Decimale ?>" title="Unesite broj do 5 decimalnih mjesta"                              
                   value="<?php echo $slogZaUnos['iznosPrveRate']; ?>" required="" />
        </td>
        <td class="right_t_lista">
            <input type="text" class="text_width_5em" name="iznosZadnjeRate" id="iznosZadnjeRate" pattern="<?php echo $pCijena2Decimale ?>" title="Unesite broj do 5 decimalnih mjesta"                              
                   value="<?php echo $slogZaUnos['iznosZadnjeRate']; ?>" required="" />     
        <td class="td_t_lista"> 
            <input type="text" size="2" name="modelPlatitelja" value="<?php echo $slogZaUnos['modelPlatitelja']; ?>"  required="" /> 
        </td>
        <td class="td_t_lista"> 
            <input type="text" size="20" name="pozivNaBrojPlatitelja" value="<?php echo $slogZaUnos['pozivNaBrojPlatitelja']; ?>"  required="" /> 
        </td>
        <td class="td_t_lista"> 
           <select name="aktivan" > 
              <option value="Da"  <?php if($slogZaUnos['aktivan'] == 'Da')  echo 'selected="selected"';  ?>>Da</option>
              <option value="Ne"  <?php if($slogZaUnos['aktivan'] == 'Ne')  echo 'selected="selected"';  ?>>Ne</option>
            </select>             
        </td>
     </tr>
    
</table>
<p></p><p></p>

<input type="hidden" name="opSaDok" value="<?php echo $opSaDok ?>" />
<input type="submit" name="prihvati" id="prihvati" value="Prihvat stavke" autofocus="autofocus" />
<input type="submit" name="odustani" value="Odustani" formnovalidate />
</div>

</form>

<?php 

include './dokumenti/view_prikaz_kredita.php';


if (trim($greska)!='') : 

    if(!isset($_REQUEST['tipka']))
        $_REQUEST['tipka']='Prihvat';
      //ako je greska onda u tekstu greske ima barem jedan !
      $imaUsklicnik = strpos($greska, '!');
      if ($imaUsklicnik === FALSE) {
          $greska_prihvat = 'greska_prihvat_nije_greska';
      } else {
          $greska_prihvat = 'greska_prihvat';
      }
    ?>
    <br>
    <p id="<?php echo $greska_prihvat; ?>"> <?php echo $greska; ?> </p>
<?php endif;  

function postaviPoljaKredita(&$slogZaUnos) {
    $slogZaUnos['kodBanke']='';
    $slogZaUnos['kodKredita']='';
    $slogZaUnos['nazivKreditaObustave']='';
    $slogZaUnos['rataKredita']=0;
    $slogZaUnos['absRataKredita']='';
    $slogZaUnos['brojRacunaZaIsplatuKredita']='';
    $slogZaUnos['modelPrimatelja']='';
    $slogZaUnos['pozivNaBrojPrimatelja']='';
    $slogZaUnos['ukupniIznosKredita']=0;
    $slogZaUnos['pocetakObustave']='';
    $slogZaUnos['zavrsetakObustave']='';
    $slogZaUnos['virmanPojedinacniGrupni']='pojedi';
    $slogZaUnos['iznosPrveRate']=0;
    $slogZaUnos['brojRata']=0;
    $slogZaUnos['iznosZadnjeRate']=0;
    $slogZaUnos['modelPlatitelja']='HR67';
    $slogZaUnos['pozivNaBrojPlatitelja']='OIBpl-JOPPD-0';
    $slogZaUnos['aktivan']='Da';
}

function kontrolaUnosaKredita(&$slogZaUnos) {
    global $oznakeGreske, $opSaDok;
    $greska='';
    $d = new DateTime();
 
    $rataKredita=(float)(str_replace(',', '.',$slogZaUnos['rataKredita']));
    if($rataKredita==0) {
        $greska.="Rata kredita mora biti popunjena i veća od 0!";
        $oznakeGreske['rataKredita'] = '*';   
    }
    
    $ukupniIznosKredita=(float)(str_replace(',', '.',$slogZaUnos['ukupniIznosKredita']));
    if($ukupniIznosKredita<>0 && $slogZaUnos['pocetakObustave']=='') {
        $greska.="Unesite početak obaveze! ";
        $oznakeGreske['pocetakObustave'] = '*';   
    }
    else {
        $greskaDatum = usporedi_datume($slogZaUnos['pocetakObustave'],$slogZaUnos['zavrsetakObustave'], 'Početak obrade', 'Završetak obrade', 
                                       'neobavezni',$buduciDatum=true, $dozvoljenaKorekcija=false,$datumUarhivi=false);
        if(isset($greskaDatum)) {
            $greska .= $greskaDatum;  
            $oznakeGreske['pocetakObustave'] = '*';   
            $oznakeGreske['zavrsetakObustave'] = '*';   
        }
        
        if(!isset($greskaDatum) && $slogZaUnos['pocetakObustave']!='' && $slogZaUnos['zavrsetakObustave']!='') {
            $d1 = new DateTime($slogZaUnos['pocetakObustave']);
            $d2 = new DateTime($slogZaUnos['zavrsetakObustave']);
            $razdoblje = $d2->diff($d1);
            $mjeseci = $razdoblje->m + 12*$razdoblje->y + 1;
            if($slogZaUnos['brojRata']>0 && $mjeseci!=$slogZaUnos['brojRata']) {
                $greska.='Broj mjeseci (planiranih plaća) u razdoblju:'.$mjeseci.' različit je od unesenih broja rata! ';
                return $greska;
            }
            if($slogZaUnos['brojRata']==0) {
                $ukupnoPoratama = iznosPoRatama($slogZaUnos, $mjeseci);
                if($ukupnoPoratama!=$ukupniIznosKredita) {
                   $greska.="Ukupno u razdoblju(po mjecima):".$ukupnoPoratama. " nije jednako ukupnom iznosu kredita:".$ukupniIznosKredita." ! ";
                }
            }
        }
        if(!isset($greskaDatum) && $ukupniIznosKredita>0 && $slogZaUnos['brojRata']>0) {
            if($slogZaUnos['absRataKredita']=='%') {
                $greska.='Za ovaj tip kredita nije dozvoljena rata u postotku ! ';
                return $greska;
            }
           $brojRedovnihRata=(int)$slogZaUnos['brojRata'];
           if($brojRedovnihRata<2) {
              $greska.="Unesen je premalen broj rata! " ;
              $oznakeGreske['brojRata'] = '*';   
           }
           else {
               $ukupnoPoratama = iznosPoRatama($slogZaUnos, $brojRedovnihRata);
               if($ukupnoPoratama!=$ukupniIznosKredita) {
                   $greska.="Ukupno po ratama:".$ukupnoPoratama. " nije jednako ukupnom iznosu kredita:".$ukupniIznosKredita." ! ";
               }
           }
        }
        
    }
    if($opSaDok=='Unos') {
        $slogIzBaze = get_kredit($slogZaUnos);
        if($slogIzBaze) {
            $greska.='Takav kredit već postoji. Unesite ga pod drugim brojem!';
        }
    }    
    return $greska;
}

function iznosPoRatama($slogZaUnos, $brojRedovnihRata) {
    $rataKredita=(float)(str_replace(',', '.',$slogZaUnos['rataKredita']));
    $brojRazlicitihRata=0;
    $iznosPrveRate=(float)(str_replace(',', '.',$slogZaUnos['iznosPrveRate']));
    if($iznosPrveRate>0) {
       $brojRedovnihRata--;
       $brojRazlicitihRata++;
    }
    $iznosZadnjeRate=(float)(str_replace(',', '.',$slogZaUnos['iznosZadnjeRate']));
    if($iznosZadnjeRate>0) {
       $brojRedovnihRata--;
       $brojRazlicitihRata++;
    }
    return $ukupnoPoratama=round($iznosPrveRate + $rataKredita*$brojRedovnihRata + $iznosZadnjeRate, 2);
    
}
?>
<script>
function promjenaUvjeta() {
    // naziv = document.activeElement.name;
    // alert(naziv);
    view_krediti.submit();
}

kodRadnika.onchange=promjenaUvjeta;


</script>