<style>
.tablica table {
    border-collapse: collapse;
}

.tablica table, .tablica th, .tablica td {
    border: 1px solid #CCCCCC;
    padding-left: 0.5em;
    padding-right: 0.5em;
}
</style>

<?php
include_once 'od/dokumenti/komponenteZaPlace.php';

$naslov = 'Radni staž na dan';
$greska = '';
if(isset($_POST['datumObracuna'])) {  
    // prihvaćeni su podaci s ekrana
    $datumObracuna = $_POST['datumObracuna'];
    $kodRadnika = $_POST['kodRadnika'];
    $vrstaRadnika = $_POST['vrstaRadnika'];
    $azuriraPodatke = isset($_POST['azuriraPodatke']);
}
else {
    $danas = new DateTime();
    $datumObracuna = $danas->format('d.m.Y');
    $kodRadnika = '';
    $azuriraPodatke = true;
    $vrstaRadnika = 'A';
}
?>


<form action="." method="post" id="view_rad_1g">
<input type="hidden" name="action" value="view_staz_na_dan" />

<h1><?php echo $naslov; ?> </h1>

Datum obračuna: 
<input type="text" class="text_width_5em" name="datumObracuna"  id="datumObracuna" value="<?php echo $datumObracuna; ?>" 
        pattern="[0-9]{1,2}.{0,1}[0-9]{1,2}.{0,1}[0-9]{4}" size="8" title="datum:dd.mm.gggg"/> &nbsp;&nbsp;
Djelatnik: &nbsp;&nbsp; <?php listaRadnikaPoImenu("kodRadnika", $kodRadnika,TRUE,$samoAktivni=false); ?> &nbsp;
Djelatnici: &nbsp;
<select name="vrstaRadnika" id="vrstaPrikaza"">  
    <option value="" <?php if($vrstaRadnika == '') echo 'selected="selected"'; ?> >Svi </option>
    <option value="A" <?php if($vrstaRadnika == 'A') echo 'selected="selected"'; ?> >Aktvni</option>    
    <option value="N" <?php if($vrstaRadnika == 'N') echo 'selected="selected"'; ?> >Neaktvni</option>    
</select>  &nbsp;

<input type="checkbox" name="azuriraPodatke" value="true" <?php if($azuriraPodatke) echo 'checked="checked"' ?> /> Upisuje u tablicu radnika 
<p></p>

<p></p>

<?php postaviTipkeUnosa('Unos', $greska) ; ?>

<br>   
</form>

<?php
if(isset($_POST['datumObracuna'])) {  
    // prihvaćeni su podaci s ekrana
    $radnici = staz_radnika_na_dan($datumObracuna, $vrstaRadnika, $azuriraPodatke, $kodRadnika);
    if(is_array($radnici)) {
        ?>
        <table class="tablica">
        <thead>
         <tr>
            <th class="left" >Rb.</th>
            <th >Djelatnik </th>
            <th >OIB </th>
            <th >Adresa </th>
            <th class="left">Datum <br>prijave u <br>firmi </th>
            <th class="left">Stručna <br>sprema</th>
            <th colspan="3">Radni staž <br> ukupno</th> 
            <th colspan="3">Radni staž <br> u firmi</th> 
          </tr>
        </thead>
        <?php
        $RB = 0;
        $ugovororadu = '';
        $strucneSpreme = strucneSpreme();
        foreach ($radnici as $slog) {
            $RB = $RB + 1 ;
            $ostatak = $RB % 2;
            if ($ostatak == 0) {
               $pozadina = 'pozadina1';
            } else {
               $pozadina = 'pozadina2';
            }
            $dd = new DateTime($slog['pocetakRada']);
            $d = $dd->format('d.m.Y');
            //$stazPrije = new DateInterval('P'.$slog['stazIzvanFirmeG'].'Y'.$slog['stazIzvanFirmeM'].'M'.$slog['stazIzvanFirmeD'].'D');
            //$stazuFirni = new DateInterval('P'.$slog['stazUFirmiG'].'Y'.$slog['stazUFirmiM'].'M'.$slog['stazUFirmiD'].'D');
            
            $ukupnoD = $slog['stazIzvanFirmeD'] + $slog['stazUFirmiD'];
            if($ukupnoD>=30) {
                $ukupnoD-=30;
                $prijenos = 1;
            }
            else {
                $prijenos=0;
            }
            $ukupnoM = $slog['stazIzvanFirmeM'] + $slog['stazUFirmiM'] + $prijenos;
            if($ukupnoM>=12) {
                $ukupnoM-=12;
                $prijenos = 1;
            }
            else {
                $prijenos=0;
            }
            $ukupnoG = $slog['stazIzvanFirmeG'] + $slog['stazUFirmiG'] + $prijenos;
            
            if($ugovororadu!=$slog['ugovorOradu']) {
                $ugovororadu = $slog['ugovorOradu'];
                ?>
                <tr>
                    <td colspan="12" class="marker_plavi"> <?php echo $ugovororadu=='N'?'NEODREĐENO':'ODREĐENO'; ?> </td>
                </tr>
            <?php
            }
            ?> 
              <tr class="<?php echo $pozadina;?>">
                <td class="right" >
                    <?php echo $RB; ?>
                </td>  
                <td class="left" style="padding-right: 1em">
                    <?php echo $slog['imeIprezime']; ?>
                </td>  
                <td class="left" style="padding-right: 1em">
                    <?php echo $slog['OIB']; ?>
                </td>  
                <td class="left" style="padding-right: 1em">
                    <?php echo $slog['ulicaIbroj'].', '.$slog['mjestoBoravka']; ?>
                </td>  
                <td class="left" style="padding-right: 1em">
                    <?php echo $d; ?>
                </td>  
                <td class="left" style="padding-right: 1em">
                    <?php echo $strucneSpreme[$slog['strucnaSprema']]['kratica']; ?>
                </td>  
                <td class="left" style="padding-right: 1em">
                    <?php echo $ukupnoG ?>
                </td>  
                <td class="left" style="padding-right: 1em">
                    <?php echo $ukupnoM ?>
                </td>  
                <td class="left" style="padding-right: 1em">
                    <?php echo $ukupnoD; ?>
                </td>  
                <td class="left" style="padding-right: 1em">
                    <?php echo $slog['stazUFirmiG']; ?>
                </td>  
                <td class="left" style="padding-right: 1em">
                    <?php echo $slog['stazUFirmiM']; ?>
                </td>  
                <td class="left" style="padding-right: 1em">
                    <?php echo $slog['stazUFirmiD']; ?>
                </td>  
                  
              </tr>
            <?php 
        }
        ?>
        </table>
        <?php
    }
}

?>


