-- insert into inv_stanja
-- select * from stanja;
set @proda='2302',  @vrstaProdaje='', @kodGrupe='', @poreznaGrupa='', @brojInvStavkeOd=1, @brojInvStavkeDo=10000,
@kojaStanja=''
--@kojaStanja='+-'
--@kojaStanja='0'
--@kojaStanja='+'
--@kojaStanja='-'
;
select s.proda,
`brojInvStavke`,
s.kodRobe, 
m.`nazivRobe`, 
`vrstaProdaje`, 
m.`jedinicaMjere`,
`kodGrupe`,
s.cijena, 
PDV, 
round(s.cijena*(PDV/100),3) as iznosPDV, 
round(s.cijena*(1+PDV/100),3) as cijenaSPDV, 
stanje,
0 as novoStanje
from inv_stanja as s
inner join maticna_robe as m on trim(m.kodRobe)=trim(s.`kodRobe`)
inner join porezi as p on p.poreznaGrupa= m.poreznaGrupa

where trim(s.proda)=@proda 
and (trim(@vrstaProdaje)='' or s.vrstaProdaje=@vrstaProdaje)
and (trim(@kodGrupe)='' or m.kodGrupe=@kodGrupe)
and (trim(@poreznaGrupa)='' or p.poreznaGrupa=@poreznaGrupa)
and (trim(@kojaStanja)='' 
    or (@kojaStanja='+-' and s.stanje<>0)
    or (@kojaStanja='0' and s.stanje=0)
    or (@kojaStanja='+' and s.stanje>0)
    or (@kojaStanja='-' and s.stanje<0)
    )
and brojInvStavke between @brojInvStavkeOd and @brojInvStavkeDo


--and 
--trim(s.kodRobe)='7722'


order by `brojInvStavke`, s.kodRobe, vrstaProdaje