set @proda='701', @DVOOd = '2015-01-01 00:00:00', @DVODo='2015-12-05 23:59:59';

select k2.proda, k2.`vrsDo`, k2.`proIn`, k2.zapis, k2.`broDo`, k2.verzi, k2.`brojStavke`, 
k2.`kodRobe`, k2.`vrstaProdaje` as VP, k2.kolicina, k2.cijena, 'Nedostaje stavka s VP=0 u dokumentu verzije 1' as greska
from dok_stavke as k2
left outer join dok_stavke as s 
on s.proda=k2.proda and s.vrsDo=k2.vrsDo and s.proIn=k2.proIn and s.zapis=k2.zapis and s.broDo=k2.broDo and s.verzi='1' and s.brojStavke=k2.brojStavke
where k2.zapis='K2' and k2.verzi=''
and s.proda is null
and (k2.proda=@proda or trim(@proda)='' or trim(@proda)='0')
and k2.DVO between @DVOOd and @DVODo
UNION ALL
select k2.proda, k2.`vrsDo`, k2.`proIn`, k2.zapis, k2.`broDo`, k2.verzi, k2.`brojStavke`, 
k2.`kodRobe`, k2.`vrstaProdaje` as VP, k2.kolicina, k2.cijena, 'Nedostaje stavka s VP=2' as greska
from dok_stavke as k2
left outer join dok_stavke as s 
on s.proda=k2.proda and s.vrsDo=k2.vrsDo and s.proIn=k2.proIn and s.zapis=k2.zapis and s.broDo=k2.broDo and s.verzi='' and s.brojStavke=k2.brojStavke
where k2.zapis='K2' and k2.verzi='1'
and s.proda is null
and (k2.proda=@proda or trim(@proda)='' or trim(@proda)='0')
and k2.DVO between @DVOOd and @DVODo
UNION ALL
select k2.proda, k2.`vrsDo`, k2.`proIn`, k2.zapis, k2.`broDo`, k2.verzi, k2.`brojStavke`, 
k2.`kodRobe`, k2.`vrstaProdaje` as VP, k2.kolicina, k2.cijena, concat('Stavka s VP=0 količina=', s.kolicina) as greska
from dok_stavke as k2
join dok_stavke as s 
on s.proda=k2.proda and s.vrsDo=k2.vrsDo and s.proIn=k2.proIn and s.zapis=k2.zapis and s.broDo=k2.broDo and s.verzi='1' and s.brojStavke=k2.brojStavke
where k2.zapis='K2' and k2.verzi=''
and s.kolicina<>-1*k2.kolicina
and (k2.proda=@proda or trim(@proda)='' or trim(@proda)='0')
and k2.DVO between @DVOOd and @DVODo
UNION ALL
select k2.proda, k2.`vrsDo`, k2.`proIn`, k2.zapis, k2.`broDo`, k2.verzi, k2.`brojStavke`, 
k2.`kodRobe`, k2.`vrstaProdaje` as VP, k2.kolicina, k2.cijena, 'Pogrešna vrsta prodaje' as greska
from dok_stavke as k2
where k2.zapis='K2' and (k2.verzi='' and k2.vrstaprodaje<>'2' or k2.verzi='1' and k2.vrstaprodaje<>'0')
and (k2.proda=@proda or trim(@proda)='' or trim(@proda)='0')
and k2.DVO between @DVOOd and @DVODo
UNION ALL
select k2.proda, k2.`vrsDo`, k2.`proIn`, k2.zapis, k2.`broDo`, k2.verzi, '', 
'', '' as VP, '', '', concat('Različiti partneri: za VP=2 partner=', trim(k2.kodPartnera), ', za VP=0 partner=', trim(s.kodPartnera)) as greska
from dok_zag as k2
join dok_zag as s 
on s.proda=k2.proda and s.vrsDo=k2.vrsDo and s.proIn=k2.proIn and s.zapis=k2.zapis and s.broDo=k2.broDo and s.verzi='1' 
where k2.zapis='K2' and k2.verzi=''
and s.kodPartnera<>k2.kodPartnera
and (k2.proda=@proda or trim(@proda)='' or trim(@proda)='0')
and k2.DVO between @DVOOd and @DVODo
UNION ALL
select k2.proda, k2.`vrsDo`, k2.`proIn`, k2.zapis, k2.`broDo`, k2.verzi, '', 
'', '' as VP, '', '', concat('Različiti DVO: za VP=2 DVO=', trim(k2.DVO), ', za VP=0 DVO=', trim(s.DVO)) as greska
from dok_zag as k2
join dok_zag as s 
on s.proda=k2.proda and s.vrsDo=k2.vrsDo and s.proIn=k2.proIn and s.zapis=k2.zapis and s.broDo=k2.broDo and s.verzi='1' 
where k2.zapis='K2' and k2.verzi=''
and s.DVO<>k2.DVO
and (k2.proda=@proda or trim(@proda)='' or trim(@proda)='0')
and k2.DVO between @DVOOd and @DVODo
