drop trigger if exists partner_before_delete;
DELIMITER $$
CREATE TRIGGER partner_before_delete BEFORE DELETE ON partner
FOR EACH ROW
BEGIN
    IF (SELECT COUNT(*) FROM  dok_zag WHERE kodPartnera=old.kodPartnera)!=0 THEN
        SIGNAL SQLSTATE '80000'
        SET MESSAGE_TEXT='Partner se koristi u dokumentima. Brisanje nije dozvoljeno!';
    END IF;
END$$   
DELIMITER ;