set @DVOOd = '2015-01-01 00:00:00.00', @DVODo='2015-12-03 23:59:59.00', 
    @proda='0', @kodRobe='', @vrstaProdaje='', @vrstaIspisa='2', @kodGrupe='', @vrsDo= '5,6,7,8', @kakoIspisuje='skupno',
    @kodPartnera='', @vrstaPoslovnice='', @robaUsluga='R', @poPartneru='', @dioNazivaRobe='%%',
    @refProd='', @poRefProd='', @ukljucenPDV='Da',@zapis='', @brojnarudzbe='', @poNarudzbi='Ne',
    @tarifniBroj='', @vrstaArtikla='', @zemljaPorijekla='', @sortPo='RG', @tarifniVrstaPorijeklo='Da';

select 
if(@kakoIspisuje='skupno', '0', z.proda) as proda,
if(@sortPo='RG',r.kodGrupe, t.tarifniBroj) as grupa,
trim(if(@sortPo='RG',rg.nazivGrupe, t.nazivTarifnogBroja)) as nazivGrupe ,
   
if(@poPartneru='1', z.kodPartnera, '') as partner,
if(@poNarudzbi='Da' and trim(@kodPartnera)<>'',
    if(trim(ifnull(z.brojNarudzbe,''))='','ZZZZ', z.brojNarudzbe), '') as narudzba,
if(@poPartneru='1', part.nazivPartnera, '') as nazivPartnera,
if(@poRefProd='1', z.refProd, '') as prodavac,
if(@vrstaIspisa<>'2', s.kodRobe, if(@sortPo='RG',r.kodGrupe, r.tarifniBroj)) as roba,
if(@vrstaIspisa<>'2', s.vrstaProdaje, '') as vrstaProdaje,

case @vrstaIspisa
    when '0' then  round(sum(s.cijena* abs(s.kolicina))/sum(abs(s.kolicina)),3)
    when '1' then s.cijena
    else 0
end 
* if(@ukljucenPDV='Da',(1+PDV/100),1) as cijena,
if(@vrstaIspisa<>'2', r.nazivRobe, if(@sortPo='RG',rg.nazivGrupe, t.nazivTarifnogBroja)) as naziv, 

sum(s.kolicina) as kolicina,
sum(round(s.cijena*s.kolicina*if(@ukljucenPDV='Da',(1+PDV/100),1),2)) as iznos,
sum(round(if(`absRabatPopust`<>'A',
    racunajPDV('0',s.cijena,kolicina,0,rabatPopust,absRabatPopust,rabatPopustNaKol,absRabatPopustNaKol,'rabat'),
    (kolicina/abs(kolicina))*rabatPopust/if(p.`vrstaPoslovnice`=1,(1+PDV/100),1))*if(@ukljucenPDV='Da',(1+PDV/100),1),2) 
) as popust,
sum(round((s.cijena*s.kolicina - if(`absRabatPopust`<>'A',racunajPDV('0',s.cijena,kolicina,0,rabatPopust,absRabatPopust,rabatPopustNaKol,absRabatPopustNaKol,'rabat'),
    (kolicina/abs(kolicina))*rabatPopust/if(p.`vrstaPoslovnice`=1,(1+PDV/100),1)))*z.casasSconto/100 * if(@ukljucenPDV='Da',(1+PDV/100),1), 2)) as casasSconto,
count(s.`brojStavke`) as brojStavaka,
null as stanje,
if(@tarifniVrstaPorijeklo='Da', r.tarifniBroj, '') as tarifniBroj,
if(@tarifniVrstaPorijeklo='Da', r.vrstaArtikla, '') as vrstaArtikla,
if(@tarifniVrstaPorijeklo='Da', r.zemljaPorijekla, '') as zemljaPorijeklaP,
if(@tarifniVrstaPorijeklo='Da', t.nazivTarifnogBroja, '') as nazivTarifnogBroja

from dok_stavke as s
join dok_zag as z 
  on z.proda=s.proda and z.vrsDo=s.`vrsDo` and z.`proIn`=s.`proIn` 
  and z.zapis=s.zapis and z.`broDo`=s.`broDo` and z.verzi=s.verzi
join poslovnice as p on p.kodPoslovnice=z.proda
join vrste_dokumenata as vd on vd.vrsDo=z.vrsDo
left outer join partner as part on part.`kodPartnera`=z.`kodPartnera`
join maticna_robe as r on s.kodRobe=r.kodRobe
join robne_grupe as rg on rg.kodGrupe=r.kodGrupe
left outer join tarifni_brojevi as t on t.tarifniBroj=r.tarifniBroj

where (FIND_IN_SET(trim(z.proda), @proda) or trim(@proda)='' or trim(@proda)='0')
and z.DVO between @DVOOd and @DVODo
and (s.kodRobe=@kodRobe or trim(@kodRobe)='')
and (FIND_IN_SET(trim(r.kodGrupe), @kodGrupe) or trim(@kodGrupe)='')
and FIND_IN_SET(trim(z.vrsDo), @vrsDo)
and (z.zapis=@zapis or trim(@zapis)='')
and (z.kodPartnera=@kodPartnera or trim(@kodPartnera)='') 
and (s.vrstaProdaje=@vrstaProdaje or trim(@vrstaProdaje)='')
and (p.vrstaPoslovnice=@vrstaPoslovnice or trim(@vrstaPoslovnice)='')
and (r.robaUsluga=@robaUsluga or trim(@robaUsluga)='')
and (r.nazivRobe LIKE @dioNazivaRobe or trim(@dioNazivaRobe)='')
and (z.refProd=@refProd or trim(@refProd)='') 
and (z.brojNarudzbe=@brojNarudzbe or trim(@brojNarudzbe)='') 
and vd.tipDokumenta='R'
and (FIND_IN_SET(trim(r.tarifniBroj), @tarifniBroj) or trim(@tarifniBroj)='')
and (FIND_IN_SET(trim(r.vrstaArtikla), @vrstaArtikla) or trim(@vrstaArtikla)='')
and (FIND_IN_SET(trim(r.zemljaPorijekla), @zemljaPorijekla) or trim(@zemljaPorijekla)='')
-- and r.robaUsluga='R'

group by
proda,
narudzba,
grupa,
--nazivGrupe --,
partner,
prodavac,
naziv,
roba,
case @vrstaIspisa
    when '2' then ''
    else s.vrstaProdaje
end,

case @vrstaIspisa
    when '1' then s.cijena
    else 0
end,
tarifniBroj,
zemljaPorijeklaP            
;
