set @kodRobe='28/47-622ZA SS'
;


select proda, vrstaProdaje, s.DVO, s.vrsDo, 
s.zapis, s.proIn, s.verzi,
s.broDo, s.kodRobe, 
s.cijena, 
if(vd.azurStanja=1,  s.kolicina, 0) as ulaz,
if(vd.azurStanja=-1, s.kolicina, 0) as izlaz,
s.rabatPopust, s.absRabatPopust, 
s.marza, s.absMarza
from murskiga_robno_din_20.dok_stavke as s
left outer join murskiga_robno_din_20.vrste_dokumenata as vd on vd.vrsDo=s.vrsDo
where kodRobe=@kodRobe
and s.vrsDo='1'
and
(
    select sum(vd.azurStanja*sz.kolicina) as stanje
    from murskiga_robno_din_20.dok_stavke as sz
    left outer join murskiga_robno_din_20.vrste_dokumenata as vd on vd.vrsDo=sz.vrsDo
    where sz.kodRobe=@kodRobe and sz.proda=s.proda
) > 0

union all
select proda, vrstaProdaje, s.DVO, s.vrsDo, 
s.zapis, s.proIn, s.verzi,
s.broDo, s.kodRobe, 
s.cijena, 
if(vd.azurStanja=1,  s.kolicina, 0) as ulaz,
if(vd.azurStanja=-1, s.kolicina, 0) as izlaz,
s.rabatPopust, s.absRabatPopust, 
s.marza, s.absMarza
from murskiga_robno_din_19.dok_stavke as s
left outer join murskiga_robno_din_19.vrste_dokumenata as vd on vd.vrsDo=s.vrsDo
where kodRobe=@kodRobe
and s.vrsDo='1'
and
(
    select sum(vd.azurStanja*sz.kolicina) as stanje
    from murskiga_robno_din_19.dok_stavke as sz
    left outer join murskiga_robno_din_19.vrste_dokumenata as vd on vd.vrsDo=sz.vrsDo
    where sz.kodRobe=@kodRobe and sz.proda=s.proda
) > 0
union all
select proda, vrstaProdaje, s.DVO, s.vrsDo, 
s.zapis, s.proIn, s.verzi,
s.broDo, s.kodRobe, 
s.cijena, 
if(vd.azurStanja=1,  s.kolicina, 0) as ulaz,
if(vd.azurStanja=-1, s.kolicina, 0) as izlaz,
s.rabatPopust, s.absRabatPopust, 
s.marza, s.absMarza
from murskiga_robno_din_18.dok_stavke as s
left outer join murskiga_robno_din_18.vrste_dokumenata as vd on vd.vrsDo=s.vrsDo
where kodRobe=@kodRobe
and s.vrsDo='1'
and
(
    select sum(vd.azurStanja*sz.kolicina) as stanje
    from murskiga_robno_din_18.dok_stavke as sz
    left outer join murskiga_robno_din_18.vrste_dokumenata as vd on vd.vrsDo=sz.vrsDo
    where sz.kodRobe=@kodRobe and sz.proda=s.proda
) > 0

union all
select proda, vrstaProdaje, s.DVO, s.vrsDo, 
s.zapis, s.proIn, s.verzi,
s.broDo, s.kodRobe, 
s.cijena, 
if(vd.azurStanja=1,  s.kolicina, 0) as ulaz,
if(vd.azurStanja=-1, s.kolicina, 0) as izlaz,
s.rabatPopust, s.absRabatPopust, 
s.marza, s.absMarza
from murskiga_robno_din_17.dok_stavke as s
left outer join murskiga_robno_din_17.vrste_dokumenata as vd on vd.vrsDo=s.vrsDo
where kodRobe=@kodRobe
and s.vrsDo='1'
and
(
    select sum(vd.azurStanja*sz.kolicina) as stanje
    from murskiga_robno_din_17.dok_stavke as sz
    left outer join murskiga_robno_din_17.vrste_dokumenata as vd on vd.vrsDo=sz.vrsDo
    where sz.kodRobe=@kodRobe and sz.proda=s.proda
) > 0
