DELIMITER @@
DROP TRIGGER IF EXISTS stanja_before_inert @@
CREATE TRIGGER stanja_before_inert
BEFORE INSERT ON stanja
FOR EACH ROW
BEGIN
    DECLARE x int;
    IF new.cijena <=0 THEN
        SELECT 'Stanja:cijena mora biti veća od  0' INTO x FROM stanja;
    END IF;
END @@ 
DELIMITER ; 

DELIMITER @@
DROP TRIGGER IF EXISTS stanja_before_updte @@
CREATE TRIGGER stanja_before_updte
BEFORE UPDATE ON stanja
FOR EACH ROW
BEGIN
/*
    IF new.broj <=0 THEN
        SIGNAL SQLSTATE '80000'
        SET MESSAGE_TEXT='broj mora biti veći od  0';
    END IF;
*/
    DECLARE x int;
    IF new.cijena <=0 THEN
        SELECT 'Stanja:cijena mora biti veća od  0' INTO x FROM stanja;
    END IF;
END @@ 
DELIMITER ; 
