<?php
declare(strict_types=1);

function qrKod_qrlib($tekst,$velicina='2')  { 
    /**
     * VAŽNA NAPOMENA!! U apache server je potrebno uključiti GD Library 
     * lokalno xampp: u php.ini enablirati extension=gd i restartati apache 
     * (skinuti komentar ; */
    include_once $_SERVER['DOCUMENT_ROOT'].'/apl/locallibs/phpqrcode/qrlib.php' ; 
    
    $tempDir = $_SERVER["DOCUMENT_ROOT"].'/temp';
    if(!is_dir($tempDir)) 
        mkdir($tempDir);
    
    //$tempNaziv = sprintf( '%04x%04x-%04x.png', mt_rand( 0, 0xffff ), mt_rand( 0, 0xffff ), mt_rand( 0, 0xffff ));
    //$tempNaziv = $_SESSION['admin']['email'].'.png' ;
    global $vrsDo, $broDo, $proda, $verzi;
    if(isset($broDo)) {
        $tempNaziv = $_SESSION['admin']['email'].'_'.$broDo.'_' .$proda.'_'.$vrsDo.(trim($verzi)!=''?'_'.$verzi:'').'_qr.png';
    }    
    else {
        $tempNaziv = $_SESSION['admin']['email'].'_qr.png' ;
    }
    array_map('unlink', glob($tempDir.'/'.$_SESSION['admin']['email'].'*.png'));
  //  QRcode::png($tekst, $tempDir.'/'.$tempNaziv, QR_ECLEVEL_L, 2);
      QRcode::png($tekst, $tempDir.'/'.$tempNaziv, QR_ECLEVEL_L, $velicina);
    ?>
<img src="/temp/<?php echo $tempNaziv ?>" alt=""/>
    <?php     
 //   unlink($tempDir.'/'.$tempNaziv);
    
    //QRcode::png($tekst, $tempDir.'007_2.png', QR_ECLEVEL_L, 2);   
    //echo '<img src="'.$tempDir.'007_2.png" />';
}

/*
function qrKod_tcpdf($tekst)  { 
    ?>
    <div style="margin: 5mm 5mm 5mm 5mm">
    <?php
    include_once $_SERVER['DOCUMENT_ROOT'].'/apl/locallibs/TCPDF/tcpdf_barcodes_2d.php' ; 
    $barcodeobj = new TCPDF2DBarcode($tekst, 'QRCODE,L');
    //echo $barcodeobj->getBarcodeHTML(3,2);
    //echo '<br>';

    // echo $barcodeobj->getBarcodePNG(2,2, array(0,0,0));
    
    // $qrPng = $barcodeobj->getBarcodePngData(2,2);
    // $qrFile = './qr.png';
    // imagepng($qrPng, $qrFile)

    $qrFile = './qr.png';
    file_put_contents($qrFile, $barcodeobj->getBarcodePngData(3,2,array(0,0,0)));    
    ?>
    <img src="<?php echo $qrFile ?>"
    </div>
    <?php
}
*/

spl_autoload_register(function ($class_name) {
    $filename = $_SERVER['DOCUMENT_ROOT'].'/apl/locallibs/PHP-PDF417/'.str_replace('\\', DIRECTORY_SEPARATOR, $class_name) . '.php';
    include $filename;
});

use PDF417\PDF417;
use PDF417\pColor;

function pdf417($tekst) {
    // echo 'tekst:' . $tekst.'<br>';
    $tempDir = $_SERVER["DOCUMENT_ROOT"].'/temp';
    if(!is_dir($tempDir)) 
        mkdir($tempDir);
    global $vrsDo, $broDo, $proda, $verzi;
    if(isset($broDo)) {
        $tempNaziv = $_SESSION['admin']['email'].'_'.$broDo.'_' .$proda.'_'.$vrsDo.(trim($verzi)!=''?'_'.$verzi:'').'_pdf417.png';
    }    
    else {
        $tempNaziv = $_SESSION['admin']['email'].'_pdf417.png' ;
    }
    array_map('unlink', glob($tempDir.'/'.$_SESSION['admin']['email'].'*.png'));

    // Encode the data, returns a BarcodeData object
    $pdf417 = new PDF417();
    $pdf417->encode($tekst);
    
    // Create a PNG image
    $pdf417->toFile($tempDir.'/'.$tempNaziv);
    unset($pdf417);

    ?>
 <!--   <img src="/temp/<?php echo $tempNaziv ?>" width="220" height="128" />  -->
    <img src="/temp/<?php echo $tempNaziv ?>" width="420" height="120" alt=""/>
    <?php
}

?>