<style>
.klikni {
    cursor: pointer; 
    text-decoration: underline; 
    color: rgb(69, 85, 106); 
    font-weight: bold;    
}
.naslovFlt {
    background: linear-gradient(to bottom,#fff 0,#e9e9e9 100%);
    border: 1px solid #e5e5e5;
    border-top-left-radius: 6px;
    border-top-right-radius: 6px;
    height: 24px;
    padding: 8px 0 0 3px;
    /* font:  1.1em/2em Arial, sans-serif; */
    font-weight: bolder;
}
.filterPanel {
    padding:3px 3px 3px 3px ;
    border: 1px solid #e5e5e5;
    display: none;
}
.fontCL { 
    font:  Arial, sans-serif; 
    color: #004e97;
    font-size: 95%
}
</style>

<script src="/apl/robno/js/multiSelect.js"></script>

<?php
function kreirajFilter($naslov,$nazivPolja, $polje, $lista, $poljeSifre, $poljeNaziva=null, $prikazSifre=true, $brojKolona=1) {
    $tablica='filterTablica'.$nazivPolja;
    $panel='filter'.$nazivPolja;
    $odabrano=explode(',', $polje);
    $klasa='ch'.$nazivPolja;
    $otvoren=isset($_REQUEST['otvoren_'.$panel]) || trim($polje)!='';
?>
<div class="naslovFlt"> 
    <input type="checkbox" name="<?php echo 'otvoren_'.$panel ?>"
           onclick="otvoriFilter(this, '<?php echo $panel ?>')" form="forma_pretrage"
           <?php if($otvoren) echo 'checked=""' ?> />                       
    <?php echo $naslov; ?>
</div>
<input type="hidden" name="<?php echo $nazivPolja ?>" id="<?php echo $nazivPolja ?>" value="<?php echo $polje; ?>"  form="forma_pretrage"/>
<div id="<?php echo $panel?>" class="filterPanel fontCL"  <?php if($otvoren) echo 'style="display: block"' ?>>
    <table  id="<?php echo $tablica ?>" class="fontCL">
        <tbody style=" background-color: white;"> 
          <?php $RB = 0; 
          foreach ($lista as $slog) :
          ?>
            <tr >
                <td style="width: 2em" >
                    <input type="checkbox" class="<?php echo $klasa ?>" id="<?php echo $klasa.$RB ?>" value="<?php echo $slog[$poljeSifre]?>" 
                           onclick="filterClick('<?php echo $nazivPolja ?>', '<?php echo $klasa ?>')"
                          <?php if(in_array($slog[$poljeSifre], $odabrano)) echo 'checked=""' ?> />                       
                </td>
                <td style="min-width: 3em">                  
                   <?php if($prikazSifre) echo $slog[$poljeSifre]; ?> &nbsp; 
                    <?php if( !empty($poljeNaziva) ) echo $slog[$poljeNaziva]; ?> &nbsp;
                </td>  
            </tr>
            <?php endforeach; ?>
        </tbody>
    </table>  
<!--    <span class='klikni' onclick="selektirajSveFlt('<?php echo $tablica ?>',0,true, '<?php echo $nazivPolja ?>', '<?php echo $klasa ?>')">Označi sve </span>  &nbsp; &nbsp;-->
    <span class='klikni' onclick="selektirajSveFlt('<?php echo $tablica ?>',0,false, '<?php echo $nazivPolja ?>', '<?php echo $klasa ?>')">Makni sve oznake</span> 
</div>

<script type="text/javascript">
    var polje=document.getElementById("<?php echo $nazivPolja?>");
    var klasa="<?php echo $klasa?>";
    
    puniPolje(polje.name,"","."+klasa);

</script>
<?php
}
?>
<script>
    function filterClick(nazivPolja, klasa) {
        puniPolje(nazivPolja,"","."+klasa);
        forma=document.getElementById('forma_pretrage');
        forma.submit();
    }
    
    function selektirajSveFlt(nazivTablice,kolona, DaNe,nazivPolja, klasa) {
        postaviSve(nazivTablice,kolona, DaNe);
        puniPolje(nazivPolja,"","."+klasa);
        forma=document.getElementById('forma_pretrage');
        forma.submit();
    }
    
    function otvoriFilter(otvori_chk, nazivPanela) {
        (otvori_chk.checked) ? $("#"+nazivPanela).slideDown("slow"): $("#"+nazivPanela).slideUp("slow");        
    }

</script>